<?php
	// セッションの生成
	session_start();
	// 不正アクセスチェック
	require_once '../hp_ref/popups/wysiwyg_access_check.php';
	// 暗号化キー
	$file_fullname_key = '../hp_ref/src/encdec_key.php';
	$len = 16;
	$bytes_data		= openssl_random_pseudo_bytes($len);
	$file_contents 	= bin2hex($bytes_data);	
	$rtn1 = file_put_contents($file_fullname_key, $file_contents);
	// 初期化ベクター用16進数
	$file_fullname_iv = '../hp_ref/src/encdec_iv.php';
	$len = 16;
	$bytes_data		= openssl_random_pseudo_bytes($len);
	$file_contents 	= bin2hex($bytes_data);	
	$rtn2 = file_put_contents($file_fullname_iv, $file_contents);
	
	include '../hp_ref/src/function_cms2.php';
	$conn = init_sqlite2();
	
	// 入力チェック
	$_SESSION["errmsg"] = NULL;
	// 通知先メールアドレスチェック
	if (!filter_var($_POST["e_mail"], FILTER_VALIDATE_EMAIL)) $_SESSION["errmsg"] .= "通知先メールアドレスの形式が正しくありません！<br />\n";
	// パスワードチェック
	$pwd1 = htmlspecialchars($_POST['pwd1'], ENT_QUOTES);
	$pwd2 = htmlspecialchars($_POST['pwd2'], ENT_QUOTES);
	//echo 'パスワード１' . $pwd1;
	//echo 'パスワード２' . $pwd2;
	if ($pwd1 <> $pwd2) {
		$_SESSION["errmsg"] .= "パスワードが一致していません！<br />\n";
	}
	$pass = $pwd1;
	if (!(mb_strlen($pass) >=6 && mb_strlen($pass) <= 30)) $_SESSION["errmsg"] 	.= "「パスワード」は６～３２文字の範囲で入力してください。<br />\n";
	if (!preg_match( "/^[0-9a-zA-Z._-]+$/", $pass)) $_SESSION["errmsg"] .= "「パスワード」は半角英数字と「.」「_」「-」で入力してください。<br />\n";
	
	if ($_POST["facebook_appid"] == NULL || $_POST["facebook_appid"] == "") $_SESSION["errmsg"] .= "FaceBook App ID(アプリID)が入力されていません。";

	if ($_SESSION["errmsg"] <> NULL) {
		$loc = 'Location:install.php?err=1';
		header($loc);
		exit;
	}
	// 通知先メールアドレス、パスワードを暗号化する。
	$encode_decode	= 1;
	$encode_email	= encode_decode_data($encode_decode, $_POST["e_mail"]);
	$encode_pass	= encode_decode_data($encode_decode, $pass);
	
	// 通知先メールアドレスの設定
	$sql = 'SELECT * FROM user_info';
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$id				= $row["id"];
		$login_name		= $encode_email;
		$dest_e_mail	= $encode_email;
		$login_password	= $encode_pass;
		update_user_info($conn, $id, $login_name, $login_password, $dest_e_mail);
	}else{
		$login_name		= $encode_email;
		$dest_e_mail	= $encode_email;
		$login_password	= $encode_pass;
		$id = insert_user_info($conn, $login_name, $login_password, $dest_e_mail);
	}
	
	// FaceBook App ID(アプリID)の設定
	$file_fullname = '../hp_ref/src/appid.php';
	$file_contents = $_POST["facebook_appid"];
	$rtn = file_put_contents($file_fullname, $file_contents);
	
	unlink("./install.php");
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>インストール</title>
<link href="../hp_ref/cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
</head>
<body>
<div class="normalmsg2">インストールが完了しました。</div>
<br class="clear_both">
<span class="aka">※セキュリティ確保のため「admin/install.php」は削除されました。<br>
再度実行する場合は「admin/install.php」をアップロードしてください。</span>
<br>
</body>
<script>window.focus();</script>
</html>
