<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	include 'function_cms.php';
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>画像確認</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
</head>
<body style="background-color: #F7F3EA;">
<?php
	// ファイル名の取り出し
	$file_name = $_FILES['filename']['name'];
	if ($file_name == null){
		if ($_SESSION["upload_name"] <> NULL) {				// 確認ページからの戻り
			$upload_name	= $_SESSION['upload_name_title'];
			echo '<div class="p_sel_img">';
			echo '<img src="'.$upload_name.'">';
			echo '</div>';
			exit;
		}else{
			$_SESSION['upload_name_title'] = NULL;
			echo '<span class="p_edit_guide">画像ファイルを選択してください。</span>';
			exit;
		}
	}
	// [参照]のクリック後[選択画像確認]がクリックされた場合
	// ファイル（MIME）タイプの取り出し
	$file_type = $_FILES['filename']['type'];
	// 一時ファイル名の取り出し
	$temp_name = $_FILES['filename']['tmp_name'];
	// 画像
	// 保存先のディレクトリ
	$dir = 'data/uploads/';
	// 保存先のファイル名
	$time 			= time();
	$now_time 	= date('YmdHis', $time);	//画像ファイル名が重複しないようにする。
	$file_name_arry = explode(".", $file_name);		//ファイル名と拡張子を分離して取り出す。
	$upload_name = $dir."contents_news_data_news_img_file_0.".$file_name_arry[1];
	$_SESSION['upload_name_title'] = $upload_name;
	// image_upload2.phpから呼ばれたのが２回目以降の場合に該当すると判定する。
	if ($_SESSION['repeat'] == "on") {
		if (file_exists($_SESSION['upload_name_title'])) {unlink($_SESSION['upload_name_title']);}
	} else {
		$_SESSION['repeat'] = "on";		// 初回呼ばれたときにonにする。
	}
	// JPEG or PNG pr GIF形式のファイルをアップロードする
	if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') || 
		($file_type == 'image/png')  || ($file_type == 'image/x-png')   ||
		($file_type == 'image/gif')) {	
		// 画像サイズをホームページ用に変更する。
		// 画像の幅と高さを取り出す
		$image_size = getimagesize($temp_name);
		$width = $image_size[0];
		$height = $image_size[1];
		//ホームページ用画像サイズを算出する。
		$w_max = 100;				//横幅MAX
		$h_max = 66;				//縦MAX
		
		if (($height > $h_max) || ($width > $w_max)) {		//画像サイズがmaxを超えている場合
		   if ( ($height * ($w_max/$width)) >= $h_max ) {
			  $after_height = $h_max;
			  $after_width = round($width * $after_height/$height);
		   } else {
			  $after_width = $w_max;
			  $after_height = round($height * $after_width/$width);
		   } 
		} else {
			$after_width = $width;
			$after_height = $height;
		}
		//画像サイズを変更する。	    
		//画像ヘッダを追加する。（不要みたい）
		if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') ) {
			$source = imagecreatefromjpeg($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagejpeg($after_img,$upload_name);
			imagedestroy($source);
		} elseif (($file_type == 'image/png')  || ($file_type == 'image/x-png')){
			$source = imagecreatefrompng($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagepng($after_img,$upload_name);
			imagedestroy($source);
		} else {														//gifの場合
			$source = imagecreatefromgif($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagegif($after_img,$upload_name);
			imagedestroy($source);
		}
	} else {
		// JPEG、PNG、GIF形式以外のファイルはアップロードしない
		echo '■JPEG、PNG、GIF形式の画像を選択してください。';
	}
?>
<div class="p_sel_img">
<img src="<?php echo $upload_name; ?>">
</div>
</body>
</html>
