<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';				// ＤＢファイルのロックを防止するため、PayPal IPNで更新するテーブルは別ファイルとする。
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	
	$sql = "SELECT * FROM section WHERE id = ".$_SESSION["section_id"];
	//echo "<br>sql=".$sql;		// debug
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($rowsec = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$section_id		= $rowsec["id"];
		$section_form	= $rowsec["section_form"];
		$sec_width 		= 960 - ceil(($rowsec["section_border_width"]*2));
		$section_ari 	= true;
	}else{
		$section_ari = false;
	}
	$dv_width = 960;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜セクションの追加</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_index_contents_mng.css" rel="stylesheet" type="text/css">
<?php
include("cms_parts_page_head_common1.php");
?>
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<!--<script type="text/javascript" src="jscolor/jscolor.js"></script>-->
<script type="text/javascript" src="js/color_input.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<script>
$(function () {
	$("#wColorPicker1").css("display","none");
	var bk_color = jQuery("#section_bk_color_input").val();
	jQuery(".section_area_<?php echo $rowsec["id"];?>").css("background-color",bk_color);
	$("#section_bk_color_input").on("click touchend", function(){
		$("#wColorPicker1").slideDown("fast");
	});
	$("#wColorPicker1").wColorPicker({
		color: '#FFFFCC',
		onSelect: function(color){
			$("#section_bk_color_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#section_bk_color_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#section_bk_color_input").css('background', color).val(color);
		}
	});
	var bd_color = jQuery("#border_color_input").val();
	jQuery(".section_area_<?php echo $rowsec["id"];?>").css("border-color",bd_color);
	$("#wColorPicker2").css("display","none");
	$("#border_color_input").on("click touchend", function(){
		$("#wColorPicker2").slideDown("fast");
	});
	$("#wColorPicker2").wColorPicker({
		color: '#FF3333',
		onSelect: function(color){
			$("#border_color_input").css('background', color).val(color);
		},
		onMouseover: function(color){
			$("#border_color_input").css('background', color).val(color);
		},
		onMouseout: function(color){
			$("#border_color_input").css('background', color).val(color);
		}
	});
	var bk_color = jQuery("#section_bk_color_input").val();
	jQuery("#section_bk_color_input").css("background-color",bk_color);
	var bd_color = jQuery("#border_color_input").val();
	jQuery("#border_color_input").css("background-color",bd_color);
	
	$(document).on("click touchend", function(event) {
		if (!$(event.target).closest("#section_bk_color_input").length) {
			bk_color = jQuery("#section_bk_color_input").val();
			//alert("bk_color2="+bk_color);		// debug
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("background-color",bk_color);
			  
			$("#wColorPicker1").slideUp("fast");
		}
		if (!$(event.target).closest("#border_color_input").length) {
			bd_color = jQuery("#border_color_input").val();
			//alert("bd_color2="+bd_color);		// debug
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("border-color",bd_color);
			$("#wColorPicker2").slideUp("fast");
		}
	});				
});
</script>
</head>
<body>
<div id="container">
<div id ="mainarea" style="background-color:white;">
	<div class="p_section_edit_title" style="width:960px;">セクションの背景色/外枠の設定</div>
	<br class="clear_both">
	<!--
    //**********************************************************//
	//					　セクションの追加						//
	//**********************************************************//
    -->
	<span class="p_edit_guide">　背景色、外枠の色・太さ・形状、余白（タイトル以外の内容に対して）を指定できます。<br>
   　 外枠の太さ、余白は(＋)(－)で指定するか、右側の入力欄に値（px単位）を入力してください。</span>
	<br class="clear_both"><br>
    <form action="cms_index_contents_mng_section_style_set_dbsave.php" method="POST">
	<?php
		if ($section_ari) {
			$_SESSION["section_form"] 	= $rowsec["section_form"];
			$section_form				= $_SESSION["section_form"];
			include("cms_index_contents_parts_section_box_width_cnt.php");
			// セクションの背景色、外枠の色太さをセット
			$style_section = ' style="text-align:left;line-height:normal;float:left;padding-left:'.$rowsec["padding_left"].'px;padding-top:'.$rowsec["padding_top"].'px;padding-right:'.$rowsec["padding_right"].'px;padding-bottom:'.$rowsec["padding_bottom"].'px;word-break: break-all;';
			if ($rowsec["section_border_width"] > 0) {
				$section_width				= $dv_width;
				$style_section 				= $style_section.'width:'.$section_width.'px;border-width:'.$rowsec["section_border_width"].'px;border-style:'.$rowsec["section_border_style"].';border-color:'.$rowsec["section_border_color"].';background-color:'.$rowsec["section_bk_color"].';"';
				$style_img 					= ' style="width:'.$img_width.'px;height:'.$img_height.'px"';		// 画像の幅からborderの幅を引いて960pxに収まるようにする。
				$section_bk_color_input 	= $rowsec["section_bk_color"];
				$border_color_input 		= $rowsec["section_border_color"];
				$section_border_width_input = $rowsec["section_border_width"];
				$border_style 				= $rowsec["section_border_style"];
				$border_style_dsp["solid"]	= "1本線";
				$border_style_dsp["dashed"]	= "破線";
				$border_style_dsp["dotted"]	= "点線";
				$section_border_width 		= $rowsec["section_border_width"];		// セクションの高さ調整用
				
			}else{
				$section_width				= $dv_width;
				$style_section 	= $style_section.'width:'.$section_width.'px;background-color:'.$rowsec["section_bk_color"].';"';
				$style_img					= NULL;
				$section_bk_color_input 	= $rowsec["section_bk_color"];
				$border_color_input 		= "#FFFFFF";;
				$section_border_width_input = 0;
				$border_style 				= "solid";
				$border_style_dsp["solid"]	= "1本線";
				$border_style_dsp["dashed"]	= "破線";
				$border_style_dsp["dotted"]	= "点線";
			}
			// セクションタイトルを表示
			$section_title_ari = false;
			if ($rowsec["section_title"] <> NULL) $section_title_ari = true;
			if ($section_title_ari) {
				include 'cms_index_contents_section_common_parts_page_title_mng.php';		// タイトル位置調整（$style_titleセット）
				$dsp_contents = link_rel_to_abs($rowsec["section_title"]);
				// 編集のためにクリックしたときに、クリック拡大画像が開いてしまうのを防ぐため、aタグを除去する。
				$dsp_contents = atag_strip($dsp_contents);
				$title_img_no = $rowsec["title_img_no"];
				echo '<div id="section_title_back_'.$section_id.'" class="p_title_back_'.$title_img_no.'" '.$style_title.'>'.$dsp_contents.'</div>';
				echo '<br class="clear_both">';
			}	
			echo '<div class="section_area_'.$rowsec["id"].'"'.$style_section.'>';
			$adjust 		= false;
			$section 		= false;
			$index			= false;
			$style			= true;
			$text_kakunin	= false;
			include("cms_index_contents_parts_section_contents.php");		// セクションエリアの内容を表示している。
			echo '</div>';
			
		}
		echo '<br class="clear_both">';
        if ($_GET["err"]) {
            echo "<div class=\"errmsg\" >";
            echo $_SESSION['errmsg'];
            echo "</div>";
        }
		echo '<br class="clear_both"><br>';
		echo '<div id="color_area">　背景色 </div><div style="position:relative;float:left;"><div id="wColorPicker1" class="hoverBox" style="position:absolute;top:24px;"></div><input type="text" name="section_bk_color_input" id="section_bk_color_input" value="'.$section_bk_color_input.'" size="6" autocomplete="off"></div>';
		echo '<div id="color_area">　外枠の色 </div><div style="position:relative;float:left;"><div id="wColorPicker2" class="hoverBox" style="position:absolute;top:24px;"></div><input type="text" name="border_color_input" id="border_color_input"  value="'.$border_color_input.'" size="6" autocomplete="off"></div>';
		echo '<div id="color_area">　外枠の太さ </div><div id="border_width_plus">(＋)</div><div id="border_width_minus">(－)　</div><div class="input_box"><input type="text" name="section_border_width_input" id="section_border_width_input" value="'.$section_border_width_input.'" size=1></div>';
		echo '<div id="color_area">　枠線の形状';
		echo '<select name="border_style_input">';
		echo '<option value="'.$border_style.'">'.$border_style_dsp[$border_style].'</option>';
		echo '<option value="solid">1本線</option>';
		echo '<option value="dashed">破線</option>';
		echo '<option value="dotted">点線</option>';
		echo '</select>';
		echo '  </div>';
		echo '<br class="clear_both">';
		echo '<div id="color_area">　余白(左) </div><div id="padding_left_plus">(＋)</div><div id="padding_left_minus">(－)</div><div class="input_box"><input type="text" name="padding_left_input" id="padding_left_input" value="'.$padding_left_input.'" size=1></div>';
		echo '<div id="color_area">　余白(上) </div><div id="padding_top_plus">(＋)</div><div id="padding_top_minus">(－)</div><div class="input_box"><input type="text" name="padding_top_input" id="padding_top_input" value="'.$padding_top_input.'" size=1></div>';
		echo '<div id="color_area">　余白(右) </div><div id="padding_right_plus">(＋)</div><div id="padding_right_minus">(－)</div><div class="input_box"><input type="text" name="padding_right_input" id="padding_right_input" value="'.$padding_right_input.'" size=1></div>';
		echo '<div id="color_area">　余白(下) </div><div id="padding_bottom_plus">(＋)</div><div id="padding_bottom_minus">(－)</div><div class="input_box"><input type="text" name="padding_bottom_input" id="padding_bottom_input" value="'.$padding_bottom_input.'" size=1></div>';
		if(strstr($_SESSION["return_uri_text_save"], "?")) {
			$param = '&modoru=1';
		}else{
			$param = '?modoru=1';
		}
	?>
	<br class="clear_both">
	<br>
    <div class="p_button_submit3"><input type="submit" value="保存"></div>
    <div class="p_button_submit3"><input type="button" value="戻る" onClick="location='<?php echo $_SESSION["return_uri_text_save"].$param;?>'"></div>
    </form>
    <br class="clear_both">
    <br><br>
</div>
</div>
</body>
<script type="text/javascript">
jQuery(function(){
	<?php
	if ($section_ari) {
		echo 'var border_width 		= '.$rowsec["section_border_width"].';';
		if (!$rowsec["padding_left"] == NULL) {
			echo 'var padding_left 		= '.$rowsec["padding_left"].';';
		}else{
			echo 'var padding_left 		= 0;';
		}
		if (!$rowsec["padding_top"] == NULL) {
			echo 'var padding_top 		= '.$rowsec["padding_top"].';';
		}else{
			echo 'var padding_top 		= 0;';
		}
		if (!$rowsec["padding_right"] == NULL) {
			echo 'var padding_right 	= '.$rowsec["padding_right"].';';
		}else{
			echo 'var padding_right 	= 0;';
		}
		if (!$rowsec["padding_bottom"] == NULL) {
			echo 'var padding_bottom 	= '.$rowsec["padding_bottom"].';';
		}else{
			echo 'var padding_bottom 	= 0;';
		}
		if ($rowsec["section_border_width"] == 0) {
			echo 'jQuery(".section_area_'.$rowsec["id"].'").css("border-style","solid");';		// デフォルト
			echo 'jQuery(".section_area_'.$rowsec["id"].'").css("border-width",0);';			// デフォルト
			echo 'var border_width 		= 0;';
		}else{
			echo 'var border_width 		= '.$section_border_width_input.';';
		}
		echo 'jQuery("#padding_left_input").val(padding_left);';
		echo 'jQuery("#padding_top_input").val(padding_top);';
		echo 'jQuery("#padding_right_input").val(padding_right);';
		echo 'jQuery("#padding_bottom_input").val(padding_bottom);';
	}else{
		echo 'var border_width 		= 0';
		echo 'var padding_left 		= 0';
		echo 'var padding_top 		= 0';
		echo 'var padding_right 	= 0';
		echo 'var padding_bottom 	= 0';
		echo 'jQuery(".section_area_'.$rowsec["id"].'").css("border-style","solid");';
	}
	?>
	jQuery("#border_width_plus").click(function(){
		border_width = border_width + 1;
		if (border_width > 50) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#section_border_width_input").val(border_width);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("border-width",border_width);

			var section_area_width = jQuery(".section_area_<?php echo $rowsec["id"];?>").css("width");
			section_area_width = Number(section_area_width.replace( /px/g , "" ));
			section_area_width	= section_area_width - 2;
			jQuery("#cta_btn_img_<?php echo $rowsec["id"];?>").css("width",section_area_width);
			
			if (jQuery(".text_area_<?php echo $rowsec["id"];?>")[0]) {											// classセレクター「text_area_(セクションＩＤ)」が存在する場合
				var text_area_width = jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width");
				text_area_width = Number(text_area_width.replace( /px/g , "" ));
				text_area_width			= text_area_width - 2;
				jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width",text_area_width);
			}
			if (jQuery(".edit_area1")[0]) {											// classセレクター「edit_area1」が存在する場合
				var edit_area1_width = jQuery(".edit_area1").css("width");
				edit_area1_width = Number(edit_area1_width.replace( /px/g , "" ));
				edit_area1_width = edit_area1_width - 2;
				jQuery(".edit_area1").css("width",edit_area1_width)
			}
			
			if (jQuery(".count_down_area")[0]) {											// classセレクター「count_down_area」が存在する場合
				var count_down_area_width = jQuery(".count_down_area").css("width");
				count_down_area_width = Number(count_down_area_width.replace( /px/g , "" ));
				count_down_area_width = count_down_area_width - 2;
				if (jQuery(".count_down_title_top")[0]) {											// classセレクター「count_down_title_top」が存在する場合
					var count_down_title_top_width = jQuery(".count_down_title_top").css("width");
					//alert("count_down_title_top_width="+count_down_title_top_width);	// test
					count_down_title_top_width = Number(count_down_title_top_width.replace( /px/g , "" ));
					count_down_title_top_width = count_down_title_top_width - 2;
					jQuery(".count_down_area").css("width",count_down_area_width);
					jQuery(".count_down_title_top").css("width",count_down_title_top_width);
				}
			}
			if (jQuery(".timer_line")[0]) {											// classセレクター「timer_line」が存在する場合
				var timer_line_width = jQuery(".timer_line").css("width");
				timer_line_width = Number(timer_line_width.replace( /px/g , "" ));
				timer_line_width = timer_line_width - 2;
				jQuery(".timer_line").css("width",timer_line_width);
			}
		}
	});
	jQuery("#border_width_minus").click(function(){
		border_width = border_width - 1;
		if (border_width < 0) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#section_border_width_input").val(border_width);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("border-width",border_width);
			var section_area_width = jQuery(".section_area_<?php echo $rowsec["id"];?>").css("width");
			section_area_width = Number(section_area_width.replace( /px/g , "" ));
			section_area_width	= section_area_width + 2;
			jQuery("#cta_btn_img_<?php echo $rowsec["id"];?>").css("width",section_area_width);
			
			if (jQuery(".text_area_<?php echo $rowsec["id"];?>")[0]) {											// classセレクター「text_area_(セクションＩＤ)」が存在する場合
				var text_area_width = jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width");
				text_area_width = Number(text_area_width.replace( /px/g , "" ));
				text_area_width			= text_area_width + 2;
				jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width",text_area_width);
			}
			if (jQuery(".edit_area1")[0]) {											// classセレクター「edit_area1」が存在する場合
				var edit_area1_width = jQuery(".edit_area1").css("width");
				edit_area1_width = Number(edit_area1_width.replace( /px/g , "" ));
				edit_area1_width = edit_area1_width + 2;
				jQuery(".edit_area1").css("width",edit_area1_width)
			}
			
			if (jQuery(".count_down_area")[0]) {											// classセレクター「count_down_area」が存在する場合
				var count_down_area_width = jQuery(".count_down_area").css("width");
				count_down_area_width = Number(count_down_area_width.replace( /px/g , "" ));
				count_down_area_width = count_down_area_width + 2;
				if (jQuery(".count_down_title_top")[0]) {											// classセレクター「count_down_title_top」が存在する場合
					var count_down_title_top_width = jQuery(".count_down_title_top").css("width");
					//alert("count_down_title_top_width="+count_down_title_top_width);	// test
					count_down_title_top_width = Number(count_down_title_top_width.replace( /px/g , "" ));
					count_down_title_top_width = count_down_title_top_width + 2;
					jQuery(".count_down_area").css("width",count_down_area_width);
					jQuery(".count_down_title_top").css("width",count_down_title_top_width);
				}
			}
			if (jQuery(".timer_line")[0]) {											// classセレクター「timer_line」が存在する場合
				var timer_line_width = jQuery(".timer_line").css("width");
				timer_line_width = Number(timer_line_width.replace( /px/g , "" ));
				timer_line_width = timer_line_width + 2;
				jQuery(".timer_line").css("width",timer_line_width);
			}
		}
	});
	jQuery('[name=border_style_input]').change(function() {
		// 選択されているvalue属性値を取り出す
		var border_style = $('[name=border_style_input]').val();
		jQuery(".section_area_<?php echo $rowsec["id"];?>").css("border-style",border_style);	
		
	});
	jQuery("#padding_left_plus").click(function(){
		padding_left = padding_left + 1;
		if (padding_left > 50) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#padding_left_input").val(padding_left);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("padding-left",padding_left);
			var section_area_width = jQuery(".section_area_<?php echo $rowsec["id"];?>").css("width");
			section_area_width = Number(section_area_width.replace( /px/g , "" ));
			section_area_width	= section_area_width - 1;
			jQuery("#cta_btn_img_<?php echo $rowsec["id"];?>").css("width",section_area_width);
			if (jQuery(".text_area_<?php echo $rowsec["id"];?>")[0]) {											// classセレクター「text_area_(セクションＩＤ)」が存在する場合
				var text_area_width = jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width");
				text_area_width = Number(text_area_width.replace( /px/g , "" ));
				text_area_width			= text_area_width - 1;
				jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width",text_area_width);
			}
			if (jQuery(".edit_area1")[0]) {											// classセレクター「edit_area1」が存在する場合
				var edit_area1_width = jQuery(".edit_area1").css("width");
				edit_area1_width = Number(edit_area1_width.replace( /px/g , "" ));
				edit_area1_width = edit_area1_width - 1;
				jQuery(".edit_area1").css("width",edit_area1_width)
			}
			if (jQuery(".count_down_area")[0]) {											// classセレクター「count_down_area」が存在する場合
				var count_down_area_width = jQuery(".count_down_area").css("width");
				count_down_area_width = Number(count_down_area_width.replace( /px/g , "" ));
				count_down_area_width = count_down_area_width - 1;
				if (jQuery(".count_down_title_top")[0]) {											// classセレクター「count_down_title_top」が存在する場合
					var count_down_title_top_width = jQuery(".count_down_title_top").css("width");
					//alert("count_down_title_top_width="+count_down_title_top_width);	// test
					count_down_title_top_width = Number(count_down_title_top_width.replace( /px/g , "" ));
					count_down_title_top_width = count_down_title_top_width - 1;
					jQuery(".count_down_area").css("width",count_down_area_width);
					jQuery(".count_down_title_top").css("width",count_down_title_top_width);
				}
			}
			if (jQuery(".timer_line")[0]) {											// classセレクター「timer_line」が存在する場合
				var timer_line_width = jQuery(".timer_line").css("width");
				timer_line_width = Number(timer_line_width.replace( /px/g , "" ));
				timer_line_width = timer_line_width - 1;
				jQuery(".timer_line").css("width",timer_line_width);
			}
		}
	});
	jQuery("#padding_left_minus").click(function(){
		padding_left = padding_left - 1;
		if (padding_left < 0) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#padding_left_input").val(padding_left);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("padding-left",padding_left);
			var section_area_width = jQuery(".section_area_<?php echo $rowsec["id"];?>").css("width");
			section_area_width = Number(section_area_width.replace( /px/g , "" ));
			section_area_width	= section_area_width + 1;
			jQuery("#cta_btn_img_<?php echo $rowsec["id"];?>").css("width",section_area_width);
			if (jQuery(".text_area_<?php echo $rowsec["id"];?>")[0]) {											// classセレクター「text_area_(セクションＩＤ)」が存在する場合
				var text_area_width = jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width");
				text_area_width = Number(text_area_width.replace( /px/g , "" ));
				text_area_width			= text_area_width + 1;
				jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width",text_area_width);
			}
			if (jQuery(".edit_area1")[0]) {											// classセレクター「edit_area1」が存在する場合
				var edit_area1_width = jQuery(".edit_area1").css("width");
				edit_area1_width = Number(edit_area1_width.replace( /px/g , "" ));
				edit_area1_width = edit_area1_width + 1;
				jQuery(".edit_area1").css("width",edit_area1_width)
			}
			if (jQuery(".count_down_area")[0]) {											// classセレクター「count_down_area」が存在する場合
				var count_down_area_width = jQuery(".count_down_area").css("width");
				count_down_area_width = Number(count_down_area_width.replace( /px/g , "" ));
				count_down_area_width = count_down_area_width + 1;
				if (jQuery(".count_down_title_top")[0]) {											// classセレクター「count_down_title_top」が存在する場合
					var count_down_title_top_width = jQuery(".count_down_title_top").css("width");
					//alert("count_down_title_top_width="+count_down_title_top_width);	// test
					count_down_title_top_width = Number(count_down_title_top_width.replace( /px/g , "" ));
					count_down_title_top_width = count_down_title_top_width + 1;
					jQuery(".count_down_area").css("width",count_down_area_width);
					jQuery(".count_down_title_top").css("width",count_down_title_top_width);
				}
			}
			if (jQuery(".timer_line")[0]) {											// classセレクター「timer_line」が存在する場合
				var timer_line_width = jQuery(".timer_line").css("width");
				timer_line_width = Number(timer_line_width.replace( /px/g , "" ));
				timer_line_width = timer_line_width + 1;
				jQuery(".timer_line").css("width",timer_line_width);
			}
		}
	});
	jQuery("#padding_right_plus").click(function(){
		padding_right = padding_right + 1;
		if (padding_right > 50) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#padding_right_input").val(padding_right);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("padding-right",padding_right);
			var section_area_width = jQuery(".section_area_<?php echo $rowsec["id"];?>").css("width");
			section_area_width = Number(section_area_width.replace( /px/g , "" ));
			section_area_width	= section_area_width - 1;
			jQuery("#cta_btn_img_<?php echo $rowsec["id"];?>").css("width",section_area_width);
			if (jQuery(".text_area_<?php echo $rowsec["id"];?>")[0]) {											// classセレクター「text_area_(セクションＩＤ)」が存在する場合
				var text_area_width = jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width");
				text_area_width = Number(text_area_width.replace( /px/g , "" ));
				text_area_width			= text_area_width - 1;
				jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width",text_area_width);
			}
			if (jQuery(".edit_area1")[0]) {											// classセレクター「edit_area1」が存在する場合
				var edit_area1_width = jQuery(".edit_area1").css("width");
				edit_area1_width = Number(edit_area1_width.replace( /px/g , "" ));
				edit_area1_width = edit_area1_width - 1;
				jQuery(".edit_area1").css("width",edit_area1_width)
			}
			if (jQuery(".count_down_area")[0]) {											// classセレクター「count_down_area」が存在する場合
				var count_down_area_width = jQuery(".count_down_area").css("width");
				count_down_area_width = Number(count_down_area_width.replace( /px/g , "" ));
				count_down_area_width = count_down_area_width - 1;
				if (jQuery(".count_down_title_top")[0]) {											// classセレクター「count_down_title_top」が存在する場合
					var count_down_title_top_width = jQuery(".count_down_title_top").css("width");
					//alert("count_down_title_top_width="+count_down_title_top_width);	// test
					count_down_title_top_width = Number(count_down_title_top_width.replace( /px/g , "" ));
					count_down_title_top_width = count_down_title_top_width - 1;
					jQuery(".count_down_area").css("width",count_down_area_width);
					jQuery(".count_down_title_top").css("width",count_down_title_top_width);
				}
			}
			if (jQuery(".timer_line")[0]) {											// classセレクター「timer_line」が存在する場合
				var timer_line_width = jQuery(".timer_line").css("width");
				timer_line_width = Number(timer_line_width.replace( /px/g , "" ));
				timer_line_width = timer_line_width - 1;
				jQuery(".timer_line").css("width",timer_line_width);
			}
		}
	});
	jQuery("#padding_right_minus").click(function(){
		padding_right = padding_right - 1;
		if (padding_right < 0) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#padding_right_input").val(padding_right);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("padding-right",padding_right);
			var section_area_width = jQuery(".section_area_<?php echo $rowsec["id"];?>").css("width");
			section_area_width = Number(section_area_width.replace( /px/g , "" ));
			section_area_width	= section_area_width + 1;
			jQuery("#cta_btn_img_<?php echo $rowsec["id"];?>").css("width",section_area_width);
			
			if (jQuery(".text_area_<?php echo $rowsec["id"];?>")[0]) {											// classセレクター「text_area_(セクションＩＤ)」が存在する場合
				var text_area_width = jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width");
				text_area_width = Number(text_area_width.replace( /px/g , "" ));
				text_area_width			= text_area_width + 1;
				jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width",text_area_width);
			}
			if (jQuery(".edit_area1")[0]) {											// classセレクター「edit_area1」が存在する場合
				var edit_area1_width = jQuery(".edit_area1").css("width");
				edit_area1_width = Number(edit_area1_width.replace( /px/g , "" ));
				edit_area1_width = edit_area1_width + 1;
				jQuery(".edit_area1").css("width",edit_area1_width)
			}
			if (jQuery(".count_down_area")[0]) {											// classセレクター「count_down_area」が存在する場合
				var count_down_area_width = jQuery(".count_down_area").css("width");
				count_down_area_width = Number(count_down_area_width.replace( /px/g , "" ));
				count_down_area_width = count_down_area_width + 1;
				if (jQuery(".count_down_title_top")[0]) {											// classセレクター「count_down_title_top」が存在する場合
					var count_down_title_top_width = jQuery(".count_down_title_top").css("width");
					//alert("count_down_title_top_width="+count_down_title_top_width);	// test
					count_down_title_top_width = Number(count_down_title_top_width.replace( /px/g , "" ));
					count_down_title_top_width = count_down_title_top_width + 1;
					jQuery(".count_down_area").css("width",count_down_area_width);
					jQuery(".count_down_title_top").css("width",count_down_title_top_width);
				}
			}
			if (jQuery(".timer_line")[0]) {											// classセレクター「timer_line」が存在する場合
				var timer_line_width = jQuery(".timer_line").css("width");
				timer_line_width = Number(timer_line_width.replace( /px/g , "" ));
				timer_line_width = timer_line_width + 1;
				jQuery(".timer_line").css("width",timer_line_width);
			}
		}
	});
	jQuery("#padding_top_plus").click(function(){
		padding_top = padding_top + 1;
		if (padding_top > 50) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#padding_top_input").val(padding_top);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("padding-top",padding_top);
		}
	});
	jQuery("#padding_top_minus").click(function(){
		padding_top = padding_top - 1;
		if (padding_top < 0) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#padding_top_input").val(padding_top);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("padding-top",padding_top);
		}
	});
	jQuery("#padding_bottom_plus").click(function(){
		padding_bottom = padding_bottom + 1;
		if (padding_bottom > 50) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#padding_bottom_input").val(padding_bottom);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("padding-bottom",padding_bottom);
		}
	});
	jQuery("#padding_bottom_minus").click(function(){
		padding_bottom = padding_bottom - 1;
		if (padding_bottom < 0) {
			alert("これ以上調整できません！");
		}else{
			jQuery("#padding_bottom_input").val(padding_bottom);
			jQuery(".section_area_<?php echo $rowsec["id"];?>").css("padding-bottom",padding_bottom);
		}
	});
	padding_left = $("#padding_left_input").val();
	padding_left = Number(padding_left);
	padding_right = $("#padding_right_input").val();
	padding_right = Number(padding_right);
	$("#padding_left_input").change(function() {
		padding_left = $("#padding_left_input").val();
		padding_left = Number(padding_left);
		$(".section_area_<?php echo $rowsec["id"];?>").css("padding-left",padding_left);
		var section_area_width = jQuery(".section_area_<?php echo $rowsec["id"];?>").css("width");
		section_area_width = Number(section_area_width.replace( /px/g , "" ));
		section_area_width	= section_area_width - padding_left;
		$("#cta_btn_img_<?php echo $rowsec["id"];?>").css("width",section_area_width);
		if ($(".text_area_<?php echo $rowsec["id"];?>")[0]) {											// classセレクター「text_area_(セクションＩＤ)」が存在する場合
			var text_area_width = jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width");
			text_area_width = Number(text_area_width.replace( /px/g , "" ));
			text_area_width			= text_area_width - padding_left - border_width*2;
			$(".text_area_<?php echo $rowsec["id"];?>").css("width",text_area_width);
		}
		if (jQuery(".edit_area1")[0]) {											// classセレクター「edit_area1」が存在する場合
			//var edit_area1_width = jQuery(".edit_area1").css("width");
			//edit_area1_width = Number(edit_area1_width.replace( /px/g , "" ));
			edit_area1_width = 960 - padding_left - padding_right - border_width*2;
			jQuery(".edit_area1").css("width",edit_area1_width)
		}
		if (jQuery(".count_down_area")[0]) {											// classセレクター「count_down_area」が存在する場合
			if (jQuery(".count_down_title_top")[0]) {											// classセレクター「count_down_title_top」が存在する場合
				count_down_area_width		=  960 - padding_left - padding_right - border_width*2;
				count_down_title_top_width 	=  960 - padding_left - padding_right - border_width*2 - <?php echo $rowtimer["erea_border_width"]*2;?>;
				jQuery(".count_down_area").css("width",count_down_area_width);
				jQuery(".count_down_title_top").css("width",count_down_title_top_width);
			}
		}
		if (jQuery(".timer_line")[0]) {											// classセレクター「timer_line」が存在する場合
			timer_line_width = 960 - padding_left - padding_right - border_width*2 - <?php echo $rowtimer["erea_border_width"]*2;?>;
			jQuery(".timer_line").css("width",timer_line_width);
		}
	});
	$("#padding_right_input").change(function() {
		padding_right = $("#padding_right_input").val();
		padding_right = Number(padding_right);
		$(".section_area_<?php echo $rowsec["id"];?>").css("padding-right",padding_right);
		var section_area_width = jQuery(".section_area_<?php echo $rowsec["id"];?>").css("width");
		section_area_width = Number(section_area_width.replace( /px/g , "" ));
		section_area_width	= section_area_width - padding_right;
		$("#cta_btn_img_<?php echo $rowsec["id"];?>").css("width",section_area_width);
		if ($(".text_area_<?php echo $rowsec["id"];?>")[0]) {											// classセレクター「text_area_(セクションＩＤ)」が存在する場合
			var text_area_width = jQuery(".text_area_<?php echo $rowsec["id"];?>").css("width");
			text_area_width = Number(text_area_width.replace( /px/g , "" ));
			text_area_width			= text_area_width - padding_right - border_width*2;
			$(".text_area_<?php echo $rowsec["id"];?>").css("width",text_area_width);
		}
		if (jQuery(".edit_area1")[0]) {											// classセレクター「edit_area1」が存在する場合
			edit_area1_width = 960 - padding_left - padding_right - border_width*2;
			jQuery(".edit_area1").css("width",edit_area1_width)
		}
		if (jQuery(".count_down_area")[0]) {											// classセレクター「count_down_area」が存在する場合
			if (jQuery(".count_down_title_top")[0]) {											// classセレクター「count_down_title_top」が存在する場合
				count_down_area_width		=  960 - padding_left - padding_right - border_width*2;
				count_down_title_top_width 	=  960 - padding_left - padding_right - border_width*2 - <?php echo $rowtimer["erea_border_width"]*2;?>;
				jQuery(".count_down_area").css("width",count_down_area_width);
				jQuery(".count_down_title_top").css("width",count_down_title_top_width);
			}
		}
		if (jQuery(".timer_line")[0]) {											// classセレクター「timer_line」が存在する場合
			timer_line_width = 960 - padding_left - padding_right - border_width*2 - <?php echo $rowtimer["erea_border_width"]*2;?>;
			jQuery(".timer_line").css("width",timer_line_width);
		}
	});
	$("#padding_top_input").change(function() {
		padding_top = $("#padding_top_input").val();
		padding_top = Number(padding_top);
		$(".section_area_<?php echo $rowsec["id"];?>").css("padding-top",padding_top);
	});
	$("#padding_bottom_input").change(function() {
		padding_bottom = $("#padding_bottom_input").val();
		padding_bottom = Number(padding_bottom);
		$(".section_area_<?php echo $rowsec["id"];?>").css("padding-bottom",padding_bottom);
	});

});
</script>
<script>
jQuery(function() {
	jQuery(".edit_area1").css("min-height","0px");
});
</script>
<script type="text/javascript">window.focus();</script>
</html>
