<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$sql = "SELECT * FROM section where (id = ".$_SESSION["section_id"].")";
	//echo "<br>sql=".$sql;		// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>画像確認</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
</head>
<body>
<div id="container_cms_left">
<?php
	// ファイル名の取り出し
	$file_name = $_FILES['filename']['name'];
	if ($file_name == null){
		if ($_SESSION["upload_name"] <> NULL) {				// 確認ページからの戻り
			$upload_name	= $_SESSION['upload_name'];
			exit;
		}else{
			$_SESSION['upload_name'] = NULL;
			echo '<span class="p_edit_guide">画像ファイルを選択してください。</span>';
			exit;
		}
		
	}
	// [参照]のクリック後[選択画像確認]がクリックされた場合
	// ファイル（MIME）タイプの取り出し
	$file_type = $_FILES['filename']['type'];
	// 一時ファイル名の取り出し
	$temp_name = $_FILES['filename']['tmp_name'];
	// 保存先のファイル名
	$time 			= time();
	$now_time 	= date('YmdHis', $time);	//画像ファイル名が重複しないようにする。
	$file_name_arry = explode(".", $file_name);		//ファイル名と拡張子を分離して取り出す。
	$upload_name = "section_title_img_file_0.".$file_name_arry[1];
	$_SESSION['upload_name'] = $upload_name;					//回転を指定され直した場合の削除用
	
	// JPEG or PNG pr GIF形式のファイルをアップロードする
	if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') || 
		($file_type == 'image/png')  || ($file_type == 'image/x-png')   ||
		($file_type == 'image/gif')) {	
		// 画像サイズをホームページ用に変更する。
		// 画像の幅と高さを取り出す
		$image_size = getimagesize($temp_name);
		$width = $image_size[0];
		$height = $image_size[1];
		//ホームページ用画像サイズをセットする。
		$w_max = 960;				//横幅MAX
		$h_max = 500;				//縦MAX
		$after_width = $w_max;
		$after_height = round($height * $after_width/$width);
		//画像サイズを変更する。	    
		if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') ) {
			$source = imagecreatefromjpeg($temp_name);
	    	$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			
			imagejpeg($after_img,"data/uploads/".$domain_user_name."/".$upload_name);
			imagedestroy($source);

		} elseif (($file_type == 'image/png')  || ($file_type == 'image/x-png')){
			$source = imagecreatefrompng($temp_name);
	    	$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagepng($after_img,"data/uploads/".$domain_user_name."/".$upload_name);
			imagedestroy($source);

		} else {														//gifの場合
			$source = imagecreatefromgif($temp_name);
	    	$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagegif($after_img,"data/uploads/".$domain_user_name."/".$upload_name);
			imagedestroy($source);
		}
				
	} else {
		// JPEG、PNG、GIF形式以外のファイルはアップロードしない
		echo '■JPEG、PNG、GIF形式の画像を選択してください。';
	}
$_SESSION['title_img_no']	= 999;
$title_img_no = $_SESSION['title_img_no'];
echo '<style type="text/css">';
echo ".p_title_back_999 {";
echo "width:960px;";
$img_size 	= getimagesize("data/uploads/".$_SESSION['upload_name']);
$img_height = $img_size[1];
$div_height = $img_height - $rowpg["padding_top"];
echo "height:".$div_height."px;";
echo "padding-top:".$rowpg["padding_top"]."px;";
echo "text-indent:".$rowpg["indent"]."px;";
echo "background-image:url(data/uploads/".$_SESSION['upload_name'].");";
echo "text-align:left;";
echo "}";
echo '</style>';
echo '<div class="p_title_back_999">'.$_SESSION["section_title_input"].'</div>';
?>
</div>
</body>
</html>
