<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
session_start();
include 'function_pdo.php';
include 'function_cms.php';
include 'src/function_cms2.php';
// DBへの接続（存在しない場合はDB、TABLEを作成）
$conn = init_sqlite();
$conn2 = init_sqlite2();
$header_logo_input		= $_SESSION["header_logo_input"];

$sql = "SELECT * FROM header_tbl";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$id 			= $row["id"];
	$sql_tmp = "update header_tbl set 
					logoimg_url			= :logoimg_url,
					logoname			= :logoname,
					logo_padding_top	= :logo_padding_top,
					logo_padding_left	= :logo_padding_left,
					update_time 		= :update_time
					where id			= :id";
	$logoimg_url	= NULL;				
	if ($header_logo_input <> NULL) {
		$logoname		= str_replace('\\','',$header_logo_input);	
	}else{
		$logoname		= $row['logoname'];	
	}
	
	// 画像ファイル名を変更する。"img_slide1_0"
	$old_file_name_subsrt = "header_tbl_logoname_0_";
	$new_file_name_subsrt = "header_tbl_logoname_".$row["id"]."_";
	// DB上の画像ファイル名を変更
	$logoname = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $logoname);
	
	if ($_GET["editmode"] == 2) {								// adjust
		$logo_padding_top	= $_POST["padding_top_input"];
		$logo_padding_left 	= $_POST["padding_left_input"];
	}else{
		$logo_padding_top	= $row["logo_padding_top"];
		$logo_padding_left 	= $row["logo_padding_left"];
	}
	$header_text		= NULL;
	
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":logoimg_url", $logoimg_url);
	$stmt->bindParam(":logoname", $logoname);
	$stmt->bindParam(":logo_padding_top", $logo_padding_top);
	$stmt->bindParam(":logo_padding_left", $logo_padding_left);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	//**********************************************************
	// 記事中に存在しない画像ファイルをサーバーから削除する。
	//**********************************************************
	$db_proc				= "upd";
	$contents 				= $logoname;
	$img_using_table_name	= "header_tbl_logoname";
	$img_using_table_id		= $row["id"];
	upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
	
}else{
	$logoimg_url 		= NULL;
	$logoname			= str_replace('\\','',$header_logo_input);
	if ($_GET["editmode"] == 2) {								// adjust
		$logo_padding_top	= $_POST["padding_top_input"];
		$logo_padding_left 	= $_POST["padding_left_input"];
	}else{
		$logo_padding_top	= 10;
		$logo_padding_left 	= 10;
	}
	$header_text		= NULL;
	$text_padding_top	= 0;
	$text_padding_left	= 0;
	$id = insert_header_tbl($conn, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left);
	// DB上の画像ファイル名を変更する。"contents_access_map_data_0"
	$sql = "SELECT * FROM header_tbl where (id = ". $id.")";
	echo "<br>sqldbsave=".$sql;
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$old_file_name_subsrt = "header_tbl_logoname_0_";
		$new_file_name_subsrt = "header_tbl_logoname_".$row["id"]."_";
		// DB上の画像ファイル名を変更
		$logoname = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $logoname);
		update_header_tbl($conn, $row["id"], $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left);
		//**********************************************************
		// 記事中に存在しない画像ファイルをサーバーから削除する。
		//**********************************************************
		$db_proc				= "add";
		$contents 				= $logoname;
		$img_using_table_name	= "header_tbl_logoname";
		$img_using_table_id		= $row["id"];
		upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
	}
}
print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。
print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。

?>
