<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$connshp 	= init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param0 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["uri_cta_info_mng_meisai"] = $uri_param0;
	
	$siharai[1]			= "銀行振込";
	$siharai[2]			= "PayPal　";
	$siharai[4]			= "代金引換";
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜顧客情報明細</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_shop_page.css" rel="stylesheet" type="text/css">
<!-- for Lightbox 2 css start -->
<link rel="stylesheet" href="css/lightbox.css" type="text/css" media="screen" >
<!-- for Lightbox 2 css end -->
<!-- html5対応(IE) start-->
<!--[if lt IE 9]>
<script src="js_common/html5shiv.js"></script>
<![endif]-->
<!-- html5対応(IE) end-->
<!-- for Lightbox 2 start -->
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="jQuery/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="js/lightbox.min.js"></script>
<!-- for Lightbox 2 end -->
</head>
<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contentstitle">顧客情報明細</div>
 		<div class="p_login_box">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        </div>
        <br class="clear_both">
<div class="p_contents_subarea">
<span class="p_edit_memo_blue2">「メルマガ送信」可/否が変更できます。</span><br>
<span class="aka2">　※メルマガ送信が否になっている顧客へはメール一斉送信できません。</span><br>
<br class="clear_both">
<?php
//データ区分(data_kbn) １：送付先請求先情報、２：送付先情報、３：請求先情報、４：無料顧客、５：管理者登録
$dsp_info_array[1] = "送付先請求先情報";
$dsp_info_array[2] = "送付先情報";
$dsp_info_array[3] = "請求先情報";
$dsp_info_array[4] = "無料顧客";
$dsp_info_array[5] = "管理者登録";

// PayPal決済後に登録されたデータ、又はメルマガ登録、お問合せで登録されたデータを処理する。
if ($_GET["ipn"]) {
	$table_name = "customer_info_ipn";		// テーブル名
	$dbh		= $connshpipn;				// データベースハンドラ
	$parm		= "ipn=1";
}else{
	$table_name = "customer_info";			// テーブル名
	$dbh		= $connshp;					// データベースハンドラ
	$parm		= "ipn=0";
}
$sqlc = "SELECT * FROM ".$table_name." WHERE id = ".$_GET["id"];
//echo "<br>sql=".$sql;		// debug
$stmtc = $dbh->prepare($sqlc);
$stmtc->execute();
if ($rowc = $stmtc->fetch(PDO::FETCH_ASSOC)) {
	echo '<table cellpadding="0" cellspacing="0" class="p_order">';
	echo '<tr>';
	echo '<td class="p_tdhs">登録日時</td><td class="p_tdh">顧客名</td><td class="p_tdh">顧客名（カナ）</td><td class="p_tdh">メールアドレス</td><td class="p_tdh">電話番号</td><td class="p_tdh">データ区分</td><td class="p_tdh">メルマガ送信</td>';
	echo '</tr>';
	echo '<tr>';
	echo '<td class="p_tds">'.$rowc["toroku_time"].'</td>';
	echo '<td class="p_td">'.$rowc["name"].'</td>';
	echo '<td class="p_td">'.$rowc["name_kana"].'</td>';
	echo '<td class="p_td">'.$rowc["e_mail"].'</td>';
	echo '<td class="p_td">'.$rowc["tel_no"].'</td>';
	$data_kbn_value = $rowc["data_kbn"];
	echo '<td class="p_td">'.$dsp_info_array[$data_kbn_value].'</td>';
	$mail_send_ok[1] 	= "可";
	$mail_send_ok[0] 	= "否";
	$ok_value			= $rowc["mail_magazine"];
	echo '<br>$ok_value= '.$ok_value;	// test
	if ($rowc["mail_magazine"] == 1) {
		$mail_magazine_check1 = "checked";
		$mail_magazine_check2 = NULL;
	}else{
		$mail_magazine_check1 = NULL;
		$mail_magazine_check2 = "checked";
	}
	echo '<form action="cms_manager_customer_mng_meisai_update_merumaga.php?'.$parm.'" method="POST">';
	echo '<input type="hidden" name="customer_info_id" value="'.$rowc["id"].'">';
	echo '<td class="p_td"><span style="font-weight:bold;">'.$mail_send_ok[$ok_value].'</font><span style="font-weight:normal;">　　<input type="radio" name="mail_magazine_input" value="1" '.$mail_magazine_check1.'>可　<input type="radio" name="mail_magazine_input" value="0" '.$mail_magazine_check2.'>否　<input type="submit" value="変更"></font></td>';
	echo '</form>';
	echo "</tr>";
	echo '</table>';
	echo '<table cellSpacing=0 cellPadding=0 width=930 class="p_contentstable">';
	echo '<tr>';
	echo '<td colSpan=2 class="p_guide">';
	echo '<strong>'.$rowc["info_title"].'</strong><br>';
	echo '</td></tr>';
	echo '<tr>';
	echo '<td  height="35"  class="p_cell_left">郵便番号</td>';
	echo '<td class="p_cell_right" >'.$rowc["zipa"].'-'.$rowc["zipb"].'</td></tr>';
	echo '<tr>';
	echo '<td  height="35"  class="p_cell_left">都道府県<font color=#000000>　</font></td>';
	echo '<td class="p_cell_right" >'.$rowc["todofuken"].'</td></tr>';
	echo '<tr>';
	echo '<td  height="35"  class="p_cell_left">市区町村番地</td>';
	echo '<td class="p_cell_right" >'.$rowc["city"].$rowc["areabanchi"].'</td></tr>';
	echo '<tr>';
	echo '<td  height="35" class="p_cell_left">建物名　号室</td>';
	echo '<td class="p_cell_right" >'.$rowc["tatemono"].'</td></tr>';
	echo '<tr>';
	echo '<td  height="35"  class="p_cell_left">電話番号</td>';
	echo '<td class="p_cell_right">'.$rowc["tel_no"].'</td></tr>';
	echo '<tr>';
	echo '<td  height="35"  class="p_cell_left">Ｅメールアドレス</td>';
	echo '<td class="p_cell_right">'.$rowc["e_mail"].'</td></tr>';
	if ($rowc["birthday"] <> NULL) {
		echo '<tr>';
		echo '<td  height="35"  class="p_cell_left">生年月日</td>';
		echo '<td class="p_cell_right">'.$rowc["birthday"].'</td></tr>';
	}
	if ($rowc["seibetu"] <> NULL) {
		echo '<tr>';
		echo '<td  height="35"  class="p_cell_left">性別</td>';
		$seibetu_array[1] 	= "男";
		$seibetu_array[2] 	= "女";
		$seibetu_value		= $rowc["seibetu"];
		echo '<td class="p_cell_right">'.$seibetu_array[$seibetu_value].'</td></tr>';
	}
	if ($rowc["free1_input"] <> NULL) {
		echo '<tr>';
		echo '<td  height="35"  class="p_cell_left">'.$rowc["dsp_free1"].'</td>';
		echo '<td class="p_cell_right">'.$rowc["free1_input"].'</td></tr>';
	}
	if ($rowc["free2_input"] <> NULL) {
		echo '<tr>';
		echo '<td  height="35"  class="p_cell_left">'.$rowc["dsp_free2"].'</td>';
		echo '<td class="p_cell_right">'.$rowc["free2_input"].'</td></tr>';
	}
	if ($rowc["free3_input"] <> NULL) {
		echo '<tr>';
		echo '<td  height="35"  class="p_cell_left">'.$rowc["dsp_free3"].'</td>';
		echo '<td class="p_cell_right">'.$rowc["free3_input"].'</td></tr>';
	}
	echo '<tr>';
	echo '<tr><td colSpan=2 height="20"></td></tr>';
	echo '</table>';
}
?>
<br class="clear_both">
<div class="p_button_modoru"><input type="submit" value="　戻る　" onClick="location='cms_manager_customer_mng.php'"></div>
<br class="clear_both">
</div>
</div>
</div>
<!-- end .container --></div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
