<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	$plan_title_honbun_id		= $argv[1];
	$enc_login_name				= $argv[2];

	// セッション情報が引き継げないためパラメータから受け取った情報をセットする。
	$_SESSION["login_name"] 	= urldecode($enc_login_name);
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connshp 	= init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	
	$sql = "SELECT * FROM mail_at_once_send_plan_title_honbun WHERE id = ".$plan_title_honbun_id;
	//echo "<br>sql=".$sql;		// debug
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	if ($rowth = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$title 	= $rowth["title"];
		$honbun = $rowth["honbun"];
		$result_honbun_id = insert_mail_at_once_sent_result_honbun($connshp, $title, $honbun);
	}else{
		echo "不具合が発生しました。しばらくしてから再度行ってください。";
		exit;
	}
	// 選択されたメールの宛先を受け渡し用DBから取得し配列とメール一斉送信結果テーブルにセットする。
	$address_sel = false;
	$cnt = 0;
	$sql = "SELECT * FROM mail_at_once_send_plan_address";
	//echo "<br>sql=".$sql;		// debug
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$address_sel = true;
		$mail_address_array[$cnt] 	= $row["mail_address"];
		$name_array[$cnt] 			= $row["name"];
		//$name_kana_array[$cnt] 		= $row["name_kana"];
		
		$mail_address				= $row["mail_address"];
		$name			 			= $row["name"];
		$name_kana					= $row["name_kana"];
		$title						= $rowth["title"];
		$result						= 9;					// 未送信
		$id = insert_mail_at_once_sent_result($connshp,$result_honbun_id, $mail_address, $name, $name_kana, $title, $result);
		$sent_result_id_array[$cnt] = $id;
		$cnt = $cnt + 1;
	}
	$max_cnt = $cnt;
	if (!$address_sel) {
		echo "不具合が発生しました。しばらくしてから再度行ってください。";
		exit;
	}
	// 日本語（UTF-8）の指定
	mb_language("Ja") ;
	mb_internal_encoding("UTF-8");
	// ヘッダー情報
	$header_info="From: auto@lpsuper.com"."\nContent-Type: text/html;charset=ISO-2022-JP\nX-Mailer: PHP/".phpversion();
	$send_title = $rowth["title"];
	$err_recive	= "-f ".$_SESSION["login_name"];
	//echo '$_SESSION["login_name"]='.$_SESSION["login_name"];
	$honbun		= $rowth["honbun"];
	$honbun		= link_rel_to_abs($honbun);
	$honbun		= $honbun.'<br><br>※このメールは送信専用アドレスで送信しております。<br>
このメールアドレスでは返信はお受けできませんのでご了承ください。';
	// HTMLメール本文の編集
	$body_html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
	$body_html .= '<html lang="ja">';
	$body_html .= '<head>';
	$body_html .= '<meta http-equiv="Content-Type" Content="text/html;charset=iso-2022-jp">';
	$body_html .= '</head>';
	$body_html .= '<body>';
	$body_html .= $honbun;
	$body_html .= '</body>';
	$body_html .= '</html>';
	
	for($cnt=0;$cnt<=$max_cnt;$cnt++){
		// HTMLメール本文の編集
		$body_html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
		$body_html .= '<html lang="ja">';
		$body_html .= '<head>';
		$body_html .= '<meta http-equiv="Content-Type" Content="text/html;charset=iso-2022-jp">';
		$body_html .= '</head>';
		$body_html .= '<body>';
		$body_html .= $name_array[$cnt].'　様<br><br>';
		$body_html .= $honbun;
		$body_html .= '</body>';
		$body_html .= '</html>';
		
		$mailto = $mail_address_array[$cnt];
		$result = mb_send_mail($mailto, $send_title, $body_html, $header_info, $err_recive);
		
		// 送信結果を宛先別にメール一斉送信結果テーブル(mail_at_once_sent_result)に保存する。
		$id 			= $sent_result_id_array[$cnt];
		$sql_tmp = "update mail_at_once_sent_result set 
						result			= :result,
						update_time 	= :update_time
						where id		= :id";
		$stmt = $connshp->prepare($sql_tmp);
		$stmt->bindParam(":id", $id);
		$stmt->bindParam(":result", $result);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		
		sleep(4);	// ４秒遅延させる。
	}
	echo "一斉送信が完了しました。"
?>
