<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$connshp 	= init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	$param_array 	= explode("?",$_SERVER['REQUEST_URI']);
	$param_toiawase	= $param_array[1];
	$_SESSION["title_input"]	= $_POST["title_input"];
	$_SESSION["contents_input"]	= $_POST["contents_input"];
	$_SESSION["errmsg"] = NULL;
	if (isset($_GET["resend"])) {
		if (!$_GET["resend"]) {
			if (!$_SESSION["mail_address_sel"])		$_SESSION["errmsg"] .= "メールアドレスが選択されていません！<br>\n";
			if ($_POST["title_input"] == NULL) 		$_SESSION["errmsg"] .= "タイトルが入力されていません！<br>\n";
			if ($_POST["contents_input"] == NULL) 	$_SESSION["errmsg"] .= "本文が入力されていません！";
		}else{								// 再送信の場合
			if ($_POST["e_mail_input"] == NULL) 		$_SESSION["errmsg"] .= "メールアドレスが入力されていません！<br>\n";
		}
	}
	if ($_SESSION["errmsg"] <> NULL) {
		if (!$_GET["resend"]) {
			header('Location: cms_manager_mail_at_once_send_edit.php?err=1');
		}else{
			header('Location: cms_manager_mail_at_once_send_result_dsp_honbun.php?err=1');
		}
		exit;
	}
	if (!isset($_GET["resend"])) {							// resendは1のみ	
		$dsp_proc = "メール一斉送信";
	}else{
		$dsp_proc = "メール再送信";
	}
	// 日本語（UTF-8）の指定
	mb_language("Ja") ;
	mb_internal_encoding("UTF-8");
	// ヘッダー情報
	$header_info="From: ".$_SESSION["login_name"]."\nContent-Type: text/html;charset=ISO-2022-JP\nX-Mailer: PHP/".phpversion();
	$send_title = $_SESSION["title"];
	$err_recive	= "-f ".$_SESSION["login_name"];
	$honbun		= link_rel_to_abs($_SESSION["honbun"]);
	// HTMLメール本文の編集
	$body_html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
	$body_html .= '<html lang="ja">';
	$body_html .= '<head>';
	$body_html .= '<meta http-equiv="Content-Type" Content="text/html;charset=iso-2022-jp">';
	$body_html .= '</head>';
	$body_html .= '<body>';
	$body_html .= $honbun;
	$body_html .= '</body>';
	$body_html .= '</html>';
	// HTMLメール本文の編集
	$body_html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
	$body_html .= '<html lang="ja">';
	$body_html .= '<head>';
	$body_html .= '<meta http-equiv="Content-Type" Content="text/html;charset=iso-2022-jp">';
	$body_html .= '</head>';
	$body_html .= '<body>';
	$body_html .= $_SESSION["name"].'　様<br><br>';
	$body_html .= $honbun;
	$body_html .= '</body>';
	$body_html .= '</html>';
	
	$mailto = $_SESSION["e_mail_input"];
	$result = mb_send_mail($mailto, $send_title, $body_html, $header_info, $err_recive);
	// 送信結果を宛先別にメール一斉送信結果テーブル(mail_at_once_sent_result)に保存する。
	$id 			= $_SESSION["result_id"];
	$sql_tmp = "update mail_at_once_sent_result set 
					result			= :result,
					update_time 	= :update_time
					where id		= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":result", $result);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$_SESSION["mail_address_sel"]		= false;

?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container_cms">
<div id="mainarea_contents_cms" style="text-align:left;">
<div class="p_proc_title_cms">　<?php echo $dsp_proc;?></div>
<div class="p_qa_guide">
<strong><?php echo $dsp_proc;?>を開始しました。</strong><br><br>
</div>
<br class="clear_both">
<div class="p_button">
    <a href="cms_manager_mail_at_once_send_result_dsp.php"><div class="basic_btn" style="float:left;margin-left:300px;">送信結果を表示</div></a>
</div>
</div>
</div>
<br class="clear_both">
</body>
<script type="text/javascript">window.focus();</script>
</html>

