<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$connshp = init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜メール宛先管理</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript">
jQuery(function(){
	$('#err').change(function(){
		if ($(this).is(':checked')) {
			$('.class_err').show();
			$('.class_normal').hide();
			$('.class_misousin').hide();
			$('#misousin').prop('checked', false);
			$('#normal').prop('checked', false);
			$('#all').prop('checked', false);
		}
	});
	$('#misousin').change(function(){
		if ($(this).is(':checked')) {
			$('.class_err').hide();
			$('.class_normal').hide();
			$('.class_misousin').show();
			$('#err').prop('checked', false);
			$('#normal').prop('checked', false);
			$('#all').prop('checked', false);
		}
	});
	$('#normal').change(function(){
		if ($(this).is(':checked')) {
			$('.class_err').hide();
			$('.class_normal').show();
			$('.class_misousin').hide();
			$('#misousin').prop('checked', false);
			$('#err').prop('checked', false);
			$('#all').prop('checked', false);
		}
	});
	$('#all').change(function(){
		if ($(this).is(':checked')) {
			$('.class_err').show();
			$('.class_normal').show();
			$('.class_misousin').hide();
			$('#misousin').prop('checked', false);
			$('#err').prop('checked', false);
			$('#normal').prop('checked', false);
		}
	});
	
})
</script>
</head>
<body>
<div id="container">
<div id="mainarea" style="text-align:left;"><!-- メインコンテンツ start -->
<br>
<span class="aka1">※メールアドレスが間違っていた場合は「failure notice」というタイトルのエラー通知が<br>　ログイン画面の「ユーザー名」に入力したメールアドレスに届きますが<br>
　送信結果は正常にカウントされます。</span>
<?php
echo '<table cellpadding="2" cellspacing="0" style="font-size:14px;margin-top:10px;">';
echo '<tr><td class="p_tdhs">タイトル</td><td class="p_tdh">送信結果（件数）<br>正常/エラー/未送信</td><td class="p_tdh">送信開始日時</td></tr>';
$sql = "SELECT * FROM mail_at_once_sent_result_honbun ORDER BY update_time DESC";
$stmt = $connshp->prepare($sql);
$stmt->execute();
while($rowhon = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$sql = "SELECT COUNT(*) cnt FROM mail_at_once_sent_result WHERE result = 1 and result_honbun_id = ".$rowhon["id"];	// 正常
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$normal_cnt = $row["cnt"];
	}else{
		$normal_cnt = "N/A";
	}
	$sql = "SELECT COUNT(*) cnt FROM mail_at_once_sent_result WHERE result = 0 and result_honbun_id = ".$rowhon["id"];	// エラー
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$error_cnt = $row["cnt"];
	}else{
		$error_cnt = "N/A";
	}
	$sql = "SELECT COUNT(*) cnt FROM mail_at_once_sent_result WHERE result = 9 and result_honbun_id = ".$rowhon["id"];	// 未送信
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$misousin_cnt = $row["cnt"];
	}else{
		$misousin_cnt = "N/A";
	}
	$php_file_name = "cms_manager_mail_at_once_send_result_dsp_address.php";
	echo '<tr>';
	echo '<td class="p_tds" style="text-align:left"><a href="'.$php_file_name.'?result_honbun_id='.$rowhon["id"].'&taisho=all" target="_new">'.$rowhon["title"].'</a></td>';
	echo '<td class="p_td"><a href="'.$php_file_name.'?result_honbun_id='.$rowhon["id"].'&taisho=normal" target="_new">'.$normal_cnt.'</a>/<a href="'.$php_file_name.'?result_honbun_id='.$rowhon["id"].'&taisho=error" target="_new">'.$error_cnt.'</a>/<a href="'.$php_file_name.'?result_honbun_id='.$rowhon["id"].'&taisho=misousi" target="_new">'.$misousin_cnt.'</a></td><td class="p_td">'.$rowhon["update_time"].'</td>';
	echo '</tr>';
}
echo '</table>';
echo '<br class="clear_both">';
?>
</div>
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
