<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
// データベースの初期設定(SQLite)
function init_sqlite_shop() {
	// DB接続
	include 'function_parts_db_connect_shop.php';
    // ネットショップページが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_shop_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				page_title				TEXT,
				page_description		TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				dsp_form				INTEGER,
				paypal_id				TEXT,
				paypal_id_test			TEXT,
				paypal_mode				INTEGER,
				bank_name				TEXT,
				bank_cd					TEXT,
				bank_siten_name			TEXT,
				bank_siten_cd			TEXT,
				bank_account_syurui		INTEGER,
				bank_account			TEXT,
				bank_account_name_kana	TEXT,
				bank_account_name_kanji	TEXT,
				order_mail				TEXT,
				furikomi_mail			TEXT,
				order_mail_title		TEXT,
				order_mail_contents		TEXT,
				order_mail_footer		TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
    // ネットショップフリーコンテンツが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_shop_free (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				shop_page_id			INTEGER,
				order_no				INTEGER,
				title_icon_path			TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				facebook_btn			INTEGER,
				facebook_comment		INTEGER,
				tweet_btn				INTEGER,
				google_btn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_shop_free on contents_shop_free (order_no)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//消費税テーブル（共通テーブル）が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS tax_tbl (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				tax_rate1				REAL,
				new_tax_rate1			REAL,
				new_tax_rate1_start_day	TEXT,
				new_tax_rate1_ref_day	TEXT,
				tax_rate2				REAL,
				new_tax_rate2			REAL,
				new_tax_rate2_start_day	TEXT,
				new_tax_rate2_ref_day	TEXT,
				tax_rate3				REAL,
				new_tax_rate3			REAL,
				new_tax_rate3_start_day	TEXT,
				new_tax_rate3_ref_day	TEXT,
				hasu					INTEGER,
				uti_soto				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//割引テーブル（共通テーブル）が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS discount_tbl (
				id 							INTEGER PRIMARY KEY AUTOINCREMENT,
				matome_wari_price1			INTEGER,
				matome_wari_price_rate1		INTEGER,
				matome_wari_price2			INTEGER,
				matome_wari_price_rate2		INTEGER,
				matome_wari_price3			INTEGER,
				matome_wari_price_rate3		INTEGER,
				matome_wari_price4			INTEGER,
				matome_wari_price_rate4		INTEGER,
				matome_wari_price5			INTEGER,
				matome_wari_price_rate5		INTEGER,
				matome_wari_kosu1			INTEGER,
				matome_wari_kosu_rate1		INTEGER,
				matome_wari_kosu2			INTEGER,
				matome_wari_kosu_rate2		INTEGER,
				matome_wari_kosu3			INTEGER,
				matome_wari_kosu_rate3		INTEGER,
				matome_wari_kosu4			INTEGER,
				matome_wari_kosu_rate4		INTEGER,
				matome_wari_kosu5			INTEGER,
				matome_wari_kosu_rate5		INTEGER,
				no_shipping_kosu			INTEGER,
				no_shipping_price			INTEGER,
				matomegai_shipping_kbn		INTEGER,
				no_shipping_kbn				INTEGER,
				update_time 				TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//決済テーブル（共通テーブル）が存在しない場合は、テーブルを作成
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE TABLE IF NOT EXISTS kessai_tbl (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				kessai_paypal			INTEGER,
				kessai_bank				INTEGER,
				kessai_hikikae			INTEGER,
				kessai_conveni			INTEGER,
				kessai_tento			INTEGER,
				paypal_id				TEXT,
				paypal_id_test			TEXT,
				paypal_mode				INTEGER,
				bank_name				TEXT,
				bank_cd					TEXT,
				bank_siten_name			TEXT,
				bank_siten_cd			TEXT,
				bank_account_syurui		INTEGER,
				bank_account			TEXT,
				bank_account_name_kana	TEXT,
				bank_account_name_kanji	TEXT,
				order_mail				TEXT,
				furikomi_mail			TEXT,
				order_mail_title		TEXT,
				order_mail_contents		TEXT,
				order_mail_footer		TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//配送料テーブル（共通テーブル）が存在しない場合は、テーブルを作成
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE TABLE IF NOT EXISTS shipping_tbl (
				id 					INTEGER PRIMARY KEY AUTOINCREMENT,
				shipping_ptn_name	TEXT,
				shipping_gyosya		TEXT,
				shipping_kbn		INTEGER,
				zenkoku				INTEGER,
				hokkaido			INTEGER,
				aomori				INTEGER,
				iwate				INTEGER,
				miyagi				INTEGER,
				akita				INTEGER,
				yamagata			INTEGER,
				fukushima			INTEGER,
				ibaraki				INTEGER,
				tochigi				INTEGER,
				gunma				INTEGER,
				saitama				INTEGER,
				chiba				INTEGER,
				tokyo				INTEGER,
				kanagawa			INTEGER,
				niigata				INTEGER,
				toyama				INTEGER,
				ishikawa			INTEGER,
				fukui				INTEGER,
				yamanashi			INTEGER,
				nagano				INTEGER,
				gifu				INTEGER,
				shizuoka			INTEGER,
				aichi				INTEGER,
				mie					INTEGER,
				shiga				INTEGER,
				kyoto				INTEGER,
				osaka				INTEGER,
				hyogo				INTEGER,
				nara				INTEGER,
				wakayama			INTEGER,
				tottori				INTEGER,
				shimane				INTEGER,
				okayama				INTEGER,
				hiroshima			INTEGER,
				yamaguchi			INTEGER,
				tokushima			INTEGER,
				kagawa				INTEGER,
				ehime				INTEGER,
				kochi				INTEGER,
				fukuoka				INTEGER,
				saga				INTEGER,
				nagasaki			INTEGER,
				kumamoto			INTEGER,
				oita				INTEGER,
				miyazaki			INTEGER,
				kagoshima			INTEGER,
				okinawa				INTEGER,
				update_time 		TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//商品コード採番テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS item_cd_seq_tbl (
				id 				INTEGER PRIMARY KEY AUTOINCREMENT,
				item_cd_seq_no	INTEGER,				
				update_time 	TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_item_cd_seq_tbl on item_cd_seq_tbl (item_cd_seq_no)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//商品カタログテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS item_catalog (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				shop_page_id			INTEGER,
				order_no				INTEGER,	
				country					TEXT,				
				company					TEXT,				
				item_code				TEXT,		
				level1_category_id		INTEGER,			
				level1_category_name	TEXT,				
				level2_category_id		INTEGER,			
				level2_category_name	TEXT,
				level3_category_id		INTEGER,			
				level3_category_name	TEXT,	
				item_name				TEXT,
				yoto					TEXT,
				price					INTEGER,
				new_price				INTEGER,
				new_price_start_day		TEXT,
				wari_rate				INTEGER,
				zei_kbn					INTEGER,
				stock_quantity			INTEGER,
				stock_chk				INTEGER,
				yoyaku_item				INTEGER,			
				nyuka_yotei				TEXT,
				kikangentei				INTEGER,			
				kikan_start				TEXT,
				kikan_end				TEXT,
				item_img1_path			TEXT,				
				non_disp 				INTEGER,
				syoninflg				INTEGER,
				syounin_time			TEXT,		
				toroku_time				TEXT,
				update_time 			TEXT NOT NULL		
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_item_catalog on item_catalog (item_code)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_item_catalog on item_catalog (order_no)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_item_catalog on item_catalog (kikan_start)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx5_item_catalog on item_catalog (kikan_end)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//商品カタログ明細テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS item_catalog_meisai (
				id 								INTEGER PRIMARY KEY AUTOINCREMENT,
				country							TEXT,				
				company							TEXT,				
				item_code						TEXT,	
				catalog_id						INTEGER,
				siire_price_en					INTEGER,	
				siire_price_dollar				REAL,
				irogara_su						INTEGER,
				image_su						INTEGER,
				item_img2_path					TEXT,				
				item_img3_path					TEXT,				
				item_img4_path					TEXT,				
				item_img5_path					TEXT,				
				item_spec						TEXT,				
				item_memo						TEXT,				
				shipping_tbl_id					INTEGER,
				shipping_none					INTEGER,
				new_shipping_tbl_id				INTEGER,
				new_shipping_none				INTEGER,
				new_shipping_start_day			TEXT,
				matome_wari_kbn					INTEGER,
				matome_no_shipping_kbn			INTEGER,
				shipping_kobetu_kbn				INTEGER,
				matome_wari_price_kbn			INTEGER,
				matome_wari_kosu_kbn			INTEGER,
				no_shipping_kosu_kbn			INTEGER,
				no_shipping_price_kbn			INTEGER,
				rel_item1_id					INTEGER,			
				rel_item2_id					INTEGER,			
				rel_item3_id					INTEGER,			
				rel_item4_id					INTEGER,			
				rel_item5_id					INTEGER,			
				rel_item6_id					INTEGER,			
				rel_item7_id					INTEGER,			
				rel_item8_id					INTEGER,			
				rel_item9_id					INTEGER,			
				rel_item10_id					INTEGER,			
				non_disp 						INTEGER,
				contents						TEXT,
				sns_btn_kbn						INTEGER,
				dummypage_url					TEXT,
				update_time 					TEXT NOT NULL
                )";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_item_catalog_meisai on item_catalog_meisai (item_code)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_item_catalog_meisai on item_catalog_meisai (catalog_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	
	//注文番号採番テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS order_no_seq_tbl (
				id 				INTEGER PRIMARY KEY AUTOINCREMENT,
				order_no_seq	INTEGER,				
				update_time 	TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_order_no_seq_tbl on order_no_seq_tbl (order_no_seq)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	 //商品カテゴリテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS item_category (
				id 				INTEGER PRIMARY KEY AUTOINCREMENT,
				category_name	TEXT NOT NULL,
				level			INTEGER NOT NULL,	
				order_no		INTEGER NOT NULL,	
				non_disp 		INTEGER,			
				update_time 	TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//今週のおすすめ商品テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS weekly_osusume_item (
				id 				INTEGER PRIMARY KEY AUTOINCREMENT,
				order_no		INTEGER NOT NULL,	
				country			TEXT,				
				company			TEXT,				
				item_code		TEXT,		
				update_time 	TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//新商品情報テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS new_item (
				id 				INTEGER PRIMARY KEY AUTOINCREMENT,
				country			TEXT,				
				company			TEXT,				
				item_code		TEXT,		
				update_time 	TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//ランキングテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS ranking (
				id 				INTEGER PRIMARY KEY AUTOINCREMENT,
				order_no		INTEGER NOT NULL,	
				country			TEXT,				
				company			TEXT,				
				item_code		TEXT,		
				update_time 	TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//トップページ表示商品テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS toppage_item (
				id 				INTEGER PRIMARY KEY AUTOINCREMENT,
				catalog_id_1	INTEGER,
				catalog_id_2	INTEGER,				
				catalog_id_3	INTEGER,				
				catalog_id_4	INTEGER,				
				catalog_id_5	INTEGER,				
				catalog_id_6	INTEGER,				
				catalog_id_7	INTEGER,				
				catalog_id_8	INTEGER,				
				catalog_id_9	INTEGER,				
				catalog_id_10	INTEGER,		
				catalog_id_11	INTEGER,
				catalog_id_12	INTEGER,				
				catalog_id_13	INTEGER,				
				catalog_id_14	INTEGER,				
				catalog_id_15	INTEGER,				
				catalog_id_16	INTEGER,				
				catalog_id_17	INTEGER,				
				catalog_id_18	INTEGER,				
				catalog_id_19	INTEGER,				
				catalog_id_20	INTEGER,	
				catalog_id_21	INTEGER,
				catalog_id_22	INTEGER,				
				catalog_id_23	INTEGER,				
				catalog_id_24	INTEGER,				
				update_time 	TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//サイドエリア表示商品テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS side_area_item (
				id 				INTEGER PRIMARY KEY AUTOINCREMENT,
				menu_kbn		INTEGER,
				btn_id			INTEGER,
				title_name		TEXT,
				title_color		TEXT,		
				catalog_id_1	INTEGER,
				catalog_id_2	INTEGER,				
				catalog_id_3	INTEGER,				
				catalog_id_4	INTEGER,				
				catalog_id_5	INTEGER,				
				catalog_id_6	INTEGER,				
				catalog_id_7	INTEGER,				
				catalog_id_8	INTEGER,				
				catalog_id_9	INTEGER,				
				catalog_id_10	INTEGER,				
				update_time 	TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//paypalIPNカート内商品情報テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS paypal_ipn_cart_items (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				txn_id					TEXT,
				cart_item_no			INTEGER,
				item_name_n				TEXT,
				item_code_n				TEXT,
				payment_amount_n		INTEGER,
				shipping_n				INTEGER,
				option_name1_n			TEXT,
				option_selection1_n		TEXT,
				tax_n					INTEGER,
				item_tax_rate_n			REAL,
				quantity_n				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_paypal_ipn_cart_items on paypal_ipn_cart_items (item_code_n)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_paypal_ipn_cart_items on paypal_ipn_cart_items (txn_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_paypal_ipn_cart_items on paypal_ipn_cart_items (update_time)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//顧客情報テーブル「customer_info」が存在しない場合は、テーブルを作成
	$table_name = "customer_info";	// テーブル名
	$dbh		= $connshp;			// データベースハンドラ
	include 'function_pdo_shop_parts_create_customer_info.php';
	//顧客購入履歴テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS customer_buy_history (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				order_info_id			INTEGER,
				customer_info_id		INTEGER,
				customer_id				TEXT,
				order_date				TEXT,
				buy_date				TEXT,
				toroku_time				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_customer_buy_history on customer_buy_history (order_info_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_customer_buy_history on customer_buy_history (customer_info_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_customer_buy_history on customer_buy_history (customer_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//受注情報テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS order_info (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				customer_info_id		INTEGER,
				section_id				INTEGER,
				cta_btn_no				INTEGER,
				cta_proc_no				INTEGER,
				order_id				TEXT,
				customer_id				TEXT,
				order_date				TEXT,
				tesuryo					INTEGER,
				use_point				INTEGER,
				add_point				INTEGER,
				wari_gaku				INTEGER,
				syohizei				INTEGER,
				keigenzei				INTEGER,
				shipping				INTEGER,
				total_price				INTEGER,
				num_cart_items			INTEGER,
				siharai_hoho			INTEGER,
				renraku_jiko			TEXT,
				nyukin_status			INTEGER,
				nyukin_date				TEXT,
				toroku_time				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_order_info on order_info (customer_info_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_order_info on order_info (section_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx4_order_info on order_info (order_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx5_order_info on order_info (customer_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx6_order_info on order_info (update_time)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//受注商品情報テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS order_item_info (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				order_info_id			INTEGER,
				order_id				TEXT,
				cart_item_no			INTEGER,
				catalog_id				INTEGER,
				item_code				TEXT,
				item_name				TEXT,
				item_img_path			TEXT,
				opt_name				TEXT,
				opt_naiyo				TEXT,
				price					INTEGER,
				suryo					INTEGER,
				shipping				INTEGER,
				tesuryo					INTEGER,
				discount				INTEGER,
				total_price				INTEGER,
				uti_soto				INTEGER,
				zei_kbn					INTEGER,
				hattyu_suryo			INTEGER,
				hattyu_date				TEXT,
				siire_suryo				INTEGER,
				siire_date				TEXT,
				hasso_suryo				INTEGER,
				hasso_date				TEXT,
				henpin_suryo			INTEGER,
				henpin_renraku_date		TEXT,
				henpin_date				TEXT,
				juchu_date				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_order_item_info on order_item_info (order_info_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_order_item_info on order_item_info (order_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_order_item_info on order_item_info (catalog_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx4_order_item_info on order_item_info (item_code)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx5_order_item_info on order_item_info (juchu_date)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx6_order_item_info on order_item_info (update_time)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//メール一斉送信済みデータテーブル(mail_at_once_sent_data)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS mail_at_once_sent_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				sent_mail_addresses		TEXT,
				title					TEXT,
				contents				TEXT,
				background_color		TEXT,
				sent_date				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_mail_at_once_sent_data on mail_at_once_sent_data (sent_date)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	
	//メール一斉送信予定アドレス(mail_at_once_send_plan_address)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS mail_at_once_send_plan_address (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				mail_address			TEXT,
				name					TEXT,
				name_kana				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//メール一斉送信予定タイトル本文(mail_at_once_send_plan_title_honbun)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS mail_at_once_send_plan_title_honbun (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				title					TEXT,
				honbun					TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//メール一斉送信結果本文(mail_at_once_sent_result_honbun)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS mail_at_once_sent_result_honbun (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				title					TEXT,
				honbun					TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	//メール一斉送信結果(mail_at_once_sent_result)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS mail_at_once_sent_result (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				result_honbun_id		INTEGER,
				mail_address			TEXT,
				name					TEXT,
				name_kana				TEXT,
				title					TEXT,
				result					INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_mail_at_once_sent_result on mail_at_once_sent_result (result_honbun_id)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_mail_at_once_sent_result on mail_at_once_sent_result (mail_address)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	
	//メール一斉送信本文定型文(mail_at_once_honbun_teikeibun)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS mail_at_once_honbun_teikeibun (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				orderno					INTEGER,
				title					TEXT,
				honbun					TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	
    return $connshp;
}
//ネットショップページの追加
function insert_contents_shop_page($connshp, $page_title, $page_description, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $dsp_form, $paypal_id, $paypal_id_test, $paypal_mode, $bank_name, $bank_cd, $bank_siten_name, $bank_siten_cd, $bank_account_syurui, $bank_account, $bank_account_name_kana, $bank_account_name_kanji, $order_mail, $furikomi_mail, $order_mail_title, $order_mail_contents, $order_mail_footer, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into contents_shop_page(page_title, page_description, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, contents, dsp_form, paypal_id, paypal_id_test, paypal_mode, bank_name, bank_cd, bank_siten_name, bank_siten_cd, bank_account_syurui, bank_account, bank_account_name_kana, bank_account_name_kanji, order_mail, furikomi_mail, order_mail_title, order_mail_contents, order_mail_footer, sns_btn_kbn, dummypage_url, update_time)
							values(:page_title, :page_description, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :contents, :dsp_form, :paypal_id, :paypal_id_test, :paypal_mode, :bank_name, :bank_cd, :bank_siten_name, :bank_siten_cd, :bank_account_syurui, :bank_account, :bank_account_name_kana, :bank_account_name_kanji, :order_mail, :furikomi_mail, :order_mail_title, :order_mail_contents, :order_mail_footer, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":dsp_form", $dsp_form);
	$stmt->bindParam(":paypal_id", $paypal_id);
	$stmt->bindParam(":paypal_id_test", $paypal_id_test);
	$stmt->bindParam(":paypal_mode", $paypal_mode);
	$stmt->bindParam(":bank_name", $bank_name);
	$stmt->bindParam(":bank_cd", $bank_cd);
	$stmt->bindParam(":bank_siten_name", $bank_siten_name);
	$stmt->bindParam(":bank_siten_cd", $bank_siten_cd);
	$stmt->bindParam(":bank_account_syurui", $bank_account_syurui);
	$stmt->bindParam(":bank_account", $bank_account);
	$stmt->bindParam(":bank_account_name_kana", $bank_account_name_kana);
	$stmt->bindParam(":bank_account_name_kanji", $bank_account_name_kanji);
	$stmt->bindParam(":order_mail", $order_mail);
	$stmt->bindParam(":furikomi_mail", $furikomi_mail);
	$stmt->bindParam(":order_mail_title", $order_mail_title);
	$stmt->bindParam(":order_mail_contents", $order_mail_contents);
	$stmt->bindParam(":order_mail_footer", $order_mail_footer);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//ネットショップページの更新
function update_contents_shop_page($connshp, $id, $page_title, $page_description, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $dsp_form, $paypal_id, $paypal_id_test, $paypal_mode, $bank_name, $bank_cd, $bank_siten_name, $bank_siten_cd, $bank_account_syurui, $bank_account, $bank_account_name_kana, $bank_account_name_kanji, $order_mail, $furikomi_mail, $order_mail_title, $order_mail_contents, $order_mail_footer, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update contents_shop_page set 
					page_title				= :page_title,
					page_description		= :page_description, 
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_color 			= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					contents				= :contents,
					dsp_form				= :dsp_form,
					paypal_id				= :paypal_id,
					paypal_id_test			= :paypal_id_test,
					paypal_mode				= :paypal_mode,
					bank_name				= :bank_name,
					bank_cd					= :bank_cd,
					bank_siten_name			= :bank_siten_name,
					bank_siten_cd			= :bank_siten_cd,
					bank_account_syurui		= :bank_account_syurui,
					bank_account			= :bank_account,
					bank_account_name_kana	= :bank_account_name_kana,
					bank_account_name_kanji	= :bank_account_name_kanji,
					order_mail				= :order_mail,
					furikomi_mail			= :furikomi_mail,
					order_mail_title		= :order_mail_title,
					order_mail_contents		= :order_mail_contents,
					order_mail_footer		= :order_mail_footer,
					sns_btn_kbn				= :sns_btn_kbn,
					dummypage_url			= :dummypage_url,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":dsp_form", $dsp_form);
	$stmt->bindParam(":paypal_id", $paypal_id);
	$stmt->bindParam(":paypal_id_test", $paypal_id_test);
	$stmt->bindParam(":paypal_mode", $paypal_mode);
	$stmt->bindParam(":bank_name", $bank_name);
	$stmt->bindParam(":bank_cd", $bank_cd);
	$stmt->bindParam(":bank_siten_name", $bank_siten_name);
	$stmt->bindParam(":bank_siten_cd", $bank_siten_cd);
	$stmt->bindParam(":bank_account_syurui", $bank_account_syurui);
	$stmt->bindParam(":bank_account", $bank_account);
	$stmt->bindParam(":bank_account_name_kana", $bank_account_name_kana);
	$stmt->bindParam(":bank_account_name_kanji", $bank_account_name_kanji);
	$stmt->bindParam(":order_mail", $order_mail);
	$stmt->bindParam(":furikomi_mail", $furikomi_mail);
	$stmt->bindParam(":order_mail_title", $order_mail_title);
	$stmt->bindParam(":order_mail_contents", $order_mail_contents);
	$stmt->bindParam(":order_mail_footer", $order_mail_footer);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（ネットショップページ）（idで指定されたデータを削除）
function delete_contents_shop_page($connshp, $id) {
    $sql_tmp = "DELETE FROM contents_shop_page WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
// ネットショップフリーコンテンツの追加
function insert_contents_shop_free($connshp, $shop_page_id, $order_no, $title_icon_path, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $facebook_btn, $facebook_comment, $tweet_btn, $google_btn, $dummypage_url) {
	$sql_tmp = "insert into contents_shop_free(shop_page_id, order_no, title_icon_path, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, contents, facebook_btn, facebook_comment, tweet_btn, google_btn, dummypage_url, update_time)
							values(:shop_page_id, :order_no, :title_icon_path, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :contents, :facebook_btn, :facebook_comment, :tweet_btn, :google_btn, :dummypage_url, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":shop_page_id", $shop_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":facebook_btn", $facebook_btn);
	$stmt->bindParam(":facebook_comment", $facebook_comment);
	$stmt->bindParam(":tweet_btn", $tweet_btn);
	$stmt->bindParam(":google_btn", $google_btn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
// ネットショップフリーコンテンツの更新
function update_contents_shop_free($connshp, $id, $shop_page_id, $order_no, $title_icon_path, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $facebook_btn, $facebook_comment, $tweet_btn, $google_btn, $dummypage_url) {
	$sql_tmp = "update contents_shop_free set 
					shop_page_id			= :shop_page_id,
					order_no				= :order_no,
					title_icon_path			= :title_icon_path,
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_color 			= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					contents				= :contents,
					facebook_btn			= :facebook_btn,
					facebook_comment		= :facebook_comment,
					tweet_btn				= :tweet_btn,
					google_btn				= :google_btn,
					dummypage_url			= :dummypage_url,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":shop_page_id", $shop_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":facebook_btn", $facebook_btn);
	$stmt->bindParam(":facebook_comment", $facebook_comment);
	$stmt->bindParam(":tweet_btn", $tweet_btn);
	$stmt->bindParam(":google_btn", $google_btn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（ネットショップフリーコンテンツ）（idで指定されたデータを削除）
function delete_contents_shop_free($connshp, $id) {
    $sql_tmp = "DELETE FROM contents_shop_free WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//データの追加（商品コード採番テーブル）
function insert_item_cd_seq_tbl($connshp) {
	$sql_tmp = "insert into item_cd_seq_tbl(item_cd_seq_no, update_time)
							values(:item_cd_seq_no, :update_time)";
		//order_noの最大値を取得する。
		$sql = "SELECT * FROM item_cd_seq_tbl ORDER BY item_cd_seq_no DESC";
		//echo "<br>sql=".$sql;		// debug
		$stmt = $connshp->prepare($sql);
		$stmt->execute();
		if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {	// order_noが最大のレコードを1件読む。
			$item_cd_seq_no = $row["item_cd_seq_no"] + 1;
		}else{
			$item_cd_seq_no = 1;
		}
	
		$stmt = $connshp->prepare($sql_tmp);
		$stmt->bindParam(":item_cd_seq_no", $item_cd_seq_no);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		$id = $connshp->lastInsertId();
	
	$item_cd_ymd 	= date('Ymd', $time);
	
	return $item_cd_ymd."S".$item_cd_seq_no;
}
//データの追加（配送料テーブル）
function insert_shipping_tbl($connshp, $shipping_ptn_name, $shipping_gyosya, $shipping_kbn, $zenkoku, $hokkaido, $aomori, $iwate, $miyagi, $akita, $yamagata, $fukushima, $ibaraki, $tochigi, $gunma, $saitama, $chiba, $tokyo, $kanagawa, $niigata, $toyama, $ishikawa, $fukui, $yamanashi, $nagano, $gifu, $shizuoka, $aichi, $mie, $shiga, $kyoto, $osaka, $hyogo, $nara, $wakayama, $tottori, $shimane, $okayama, $hiroshima, $yamaguchi, $tokushima, $kagawa, $ehime, $kochi, $fukuoka, $saga, $nagasaki, $kumamoto, $oita, $miyazaki, $kagoshima, $okinawa) {
	$sql_tmp = "insert into shipping_tbl(shipping_ptn_name, shipping_gyosya, shipping_kbn, zenkoku, hokkaido, aomori, iwate, miyagi, akita, yamagata, fukushima, ibaraki, tochigi, gunma, saitama, chiba, tokyo, kanagawa, niigata, toyama, ishikawa, fukui, yamanashi, nagano, gifu, shizuoka, aichi, mie, shiga, kyoto, osaka, hyogo, nara, wakayama, tottori, shimane, okayama, hiroshima, yamaguchi, tokushima, kagawa, ehime, kochi, fukuoka, saga, nagasaki, kumamoto, oita, miyazaki, kagoshima, okinawa, update_time)
							values(:shipping_ptn_name, :shipping_gyosya, :shipping_kbn, :zenkoku, :hokkaido, :aomori, :iwate, :miyagi, :akita, :yamagata, :fukushima, :ibaraki, :tochigi, :gunma, :saitama, :chiba, :tokyo, :kanagawa, :niigata, :toyama, :ishikawa, :fukui, :yamanashi, :nagano, :gifu, :shizuoka, :aichi, :mie, :shiga, :kyoto, :osaka, :hyogo, :nara, :wakayama, :tottori, :shimane, :okayama, :hiroshima, :yamaguchi, :tokushima, :kagawa, :ehime, :kochi, :fukuoka, :saga, :nagasaki, :kumamoto, :oita, :miyazaki, :kagoshima, :okinawa, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":shipping_ptn_name", $shipping_ptn_name);
	$stmt->bindParam(":shipping_gyosya", $shipping_gyosya);
	$stmt->bindParam(":shipping_kbn", $shipping_kbn);
	$stmt->bindParam(":zenkoku", $zenkoku);
	$stmt->bindParam(":hokkaido", $hokkaido);
	$stmt->bindParam(":aomori", $aomori);
	$stmt->bindParam(":iwate", $iwate);
	$stmt->bindParam(":miyagi", $miyagi);
	$stmt->bindParam(":akita", $akita);
	$stmt->bindParam(":yamagata", $yamagata);
	$stmt->bindParam(":fukushima", $fukushima);
	$stmt->bindParam(":ibaraki", $ibaraki);
	$stmt->bindParam(":tochigi", $tochigi);
	$stmt->bindParam(":gunma", $gunma);
	$stmt->bindParam(":saitama", $saitama);
	$stmt->bindParam(":chiba", $chiba);
	$stmt->bindParam(":tokyo", $tokyo);
	$stmt->bindParam(":kanagawa", $kanagawa);
	$stmt->bindParam(":niigata", $niigata);
	$stmt->bindParam(":toyama", $toyama);
	$stmt->bindParam(":ishikawa", $ishikawa);
	$stmt->bindParam(":fukui", $fukui);
	$stmt->bindParam(":yamanashi", $yamanashi);
	$stmt->bindParam(":nagano", $nagano);
	$stmt->bindParam(":gifu", $gifu);
	$stmt->bindParam(":shizuoka", $shizuoka);
	$stmt->bindParam(":aichi", $aichi);
	$stmt->bindParam(":mie", $mie);
	$stmt->bindParam(":shiga", $shiga);
	$stmt->bindParam(":kyoto", $kyoto);
	$stmt->bindParam(":osaka", $osaka);
	$stmt->bindParam(":hyogo", $hyogo);
	$stmt->bindParam(":nara", $nara);
	$stmt->bindParam(":wakayama", $wakayama);
	$stmt->bindParam(":tottori", $tottori);
	$stmt->bindParam(":shimane", $shimane);
	$stmt->bindParam(":okayama", $okayama);
	$stmt->bindParam(":hiroshima", $hiroshima);
	$stmt->bindParam(":yamaguchi", $yamaguchi);
	$stmt->bindParam(":tokushima", $tokushima);
	$stmt->bindParam(":kagawa", $kagawa);
	$stmt->bindParam(":ehime", $ehime);
	$stmt->bindParam(":kochi", $kochi);
	$stmt->bindParam(":fukuoka", $fukuoka);
	$stmt->bindParam(":saga", $saga);
	$stmt->bindParam(":nagasaki", $nagasaki);
	$stmt->bindParam(":kumamoto", $kumamoto);
	$stmt->bindParam(":oita", $oita);
	$stmt->bindParam(":miyazaki", $miyazaki);
	$stmt->bindParam(":kagoshima", $kagoshima);
	$stmt->bindParam(":okinawa", $okinawa);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（配送料テーブル）
function update_shipping_tbl($connshp, $id, $shipping_ptn_name, $shipping_gyosya, $shipping_kbn, $zenkoku, $hokkaido, $aomori, $iwate, $miyagi, $akita, $yamagata, $fukushima, $ibaraki, $tochigi, $gunma, $saitama, $chiba, $tokyo, $kanagawa, $niigata, $toyama, $ishikawa, $fukui, $yamanashi, $nagano, $gifu, $shizuoka, $aichi, $mie, $shiga, $kyoto, $osaka, $hyogo, $nara, $wakayama, $tottori, $shimane, $okayama, $hiroshima, $yamaguchi, $tokushima, $kagawa, $ehime, $kochi, $fukuoka, $saga, $nagasaki, $kumamoto, $oita, $miyazaki, $kagoshima, $okinawa) {
	$sql_tmp = "update shipping_tbl set
                    shipping_ptn_name	= :shipping_ptn_name,
                    shipping_gyosya		= :shipping_gyosya,
                    shipping_kbn		= :shipping_kbn,
					zenkoku				= :zenkoku,
                    hokkaido			= :hokkaido,
                    aomori				= :aomori,
                    iwate				= :iwate,
                    miyagi				= :miyagi,
                    akita				= :akita,
                    yamagata			= :yamagata,
                    fukushima			= :fukushima,
                    ibaraki				= :ibaraki,
					tochigi				= :tochigi,
					gunma				= :gunma,
					saitama				= :saitama,
					chiba				= :chiba,
					tokyo				= :tokyo,
					kanagawa			= :kanagawa,
					niigata				= :niigata,
					toyama				= :toyama,
					ishikawa			= :ishikawa,
					fukui				= :fukui,
					yamanashi			= :yamanashi,
					nagano				= :nagano,
					gifu				= :gifu,
					shizuoka			= :shizuoka,
					aichi				= :aichi,
					mie					= :mie,
					shiga				= :shiga,
					kyoto				= :kyoto,
					osaka				= :osaka,
					hyogo				= :hyogo,
					nara				= :nara,
					wakayama			= :wakayama,
					tottori				= :tottori,
					shimane				= :shimane,
					okayama				= :okayama,
					hiroshima			= :hiroshima,
					yamaguchi			= :yamaguchi,
					tokushima			= :tokushima,
					kagawa				= :kagawa,
					ehime				= :ehime,
					kochi				= :kochi,
					fukuoka				= :fukuoka,
					saga				= :saga,
					nagasaki			= :nagasaki,
					kumamoto			= :kumamoto,
					oita				= :oita,
					miyazaki			= :miyazaki,
					kagoshima			= :kagoshima,
					okinawa				= :okinawa,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":shipping_ptn_name", $shipping_ptn_name);
	$stmt->bindParam(":shipping_gyosya", $shipping_gyosya);
	$stmt->bindParam(":shipping_kbn", $shipping_kbn);
	$stmt->bindParam(":zenkoku", $zenkoku);
	$stmt->bindParam(":hokkaido", $hokkaido);
	$stmt->bindParam(":aomori", $aomori);
	$stmt->bindParam(":iwate", $iwate);
	$stmt->bindParam(":miyagi", $miyagi);
	$stmt->bindParam(":akita", $akita);
	$stmt->bindParam(":yamagata", $yamagata);
	$stmt->bindParam(":fukushima", $fukushima);
	$stmt->bindParam(":ibaraki", $ibaraki);
	$stmt->bindParam(":tochigi", $tochigi);
	$stmt->bindParam(":gunma", $gunma);
	$stmt->bindParam(":saitama", $saitama);
	$stmt->bindParam(":chiba", $chiba);
	$stmt->bindParam(":tokyo", $tokyo);
	$stmt->bindParam(":kanagawa", $kanagawa);
	$stmt->bindParam(":niigata", $niigata);
	$stmt->bindParam(":toyama", $toyama);
	$stmt->bindParam(":ishikawa", $ishikawa);
	$stmt->bindParam(":fukui", $fukui);
	$stmt->bindParam(":yamanashi", $yamanashi);
	$stmt->bindParam(":nagano", $nagano);
	$stmt->bindParam(":gifu", $gifu);
	$stmt->bindParam(":shizuoka", $shizuoka);
	$stmt->bindParam(":aichi", $aichi);
	$stmt->bindParam(":mie", $mie);
	$stmt->bindParam(":shiga", $shiga);
	$stmt->bindParam(":kyoto", $kyoto);
	$stmt->bindParam(":osaka", $osaka);
	$stmt->bindParam(":hyogo", $hyogo);
	$stmt->bindParam(":nara", $nara);
	$stmt->bindParam(":wakayama", $wakayama);
	$stmt->bindParam(":tottori", $tottori);
	$stmt->bindParam(":shimane", $shimane);
	$stmt->bindParam(":okayama", $okayama);
	$stmt->bindParam(":hiroshima", $hiroshima);
	$stmt->bindParam(":yamaguchi", $yamaguchi);
	$stmt->bindParam(":tokushima", $tokushima);
	$stmt->bindParam(":kagawa", $kagawa);
	$stmt->bindParam(":ehime", $ehime);
	$stmt->bindParam(":kochi", $kochi);
	$stmt->bindParam(":fukuoka", $fukuoka);
	$stmt->bindParam(":saga", $saga);
	$stmt->bindParam(":nagasaki", $nagasaki);
	$stmt->bindParam(":kumamoto", $kumamoto);
	$stmt->bindParam(":oita", $oita);
	$stmt->bindParam(":miyazaki", $miyazaki);
	$stmt->bindParam(":kagoshima", $kagoshima);
	$stmt->bindParam(":okinawa", $okinawa);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（配送料テーブル）（idで指定されたデータを削除）
function delete_shipping_tbl($connshp, $id) {
    $sql_tmp = "DELETE FROM shipping_tbl WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//データの追加（割引テーブル）
function insert_discount_tbl($connshp, $matome_wari_price1, $matome_wari_price_rate1, $matome_wari_price2, $matome_wari_price_rate2, $matome_wari_price3, $matome_wari_price_rate3, $matome_wari_price4, $matome_wari_price_rate4, $matome_wari_price5, $matome_wari_price_rate5, $matome_wari_kosu1, $matome_wari_kosu_rate1, $matome_wari_kosu2, $matome_wari_kosu_rate2, $matome_wari_kosu3, $matome_wari_kosu_rate3, $matome_wari_kosu4, $matome_wari_kosu_rate4, $matome_wari_kosu5, $matome_wari_kosu_rate5, $no_shipping_kosu, $no_shipping_price, $matomegai_shipping_kbn, $no_shipping_kbn) {
	$sql_tmp = "insert into discount_tbl(matome_wari_price1, matome_wari_price_rate1, matome_wari_price2, matome_wari_price_rate2, matome_wari_price3, matome_wari_price_rate3, matome_wari_price4, matome_wari_price_rate4, matome_wari_price5, matome_wari_price_rate5, matome_wari_kosu1, matome_wari_kosu_rate1, matome_wari_kosu2, matome_wari_kosu_rate2, matome_wari_kosu3, matome_wari_kosu_rate3, matome_wari_kosu4, matome_wari_kosu_rate4, matome_wari_kosu5, matome_wari_kosu_rate5, no_shipping_kosu, no_shipping_price, matomegai_shipping_kbn, no_shipping_kbn, update_time)
							values(:matome_wari_price1, :matome_wari_price_rate1, :matome_wari_price2, :matome_wari_price_rate2, :matome_wari_price3, :matome_wari_price_rate3, :matome_wari_price4, :matome_wari_price_rate4, :matome_wari_price5, :matome_wari_price_rate5, :matome_wari_kosu1, :matome_wari_kosu_rate1, :matome_wari_kosu2, :matome_wari_kosu_rate2, :matome_wari_kosu3, :matome_wari_kosu_rate3, :matome_wari_kosu4, :matome_wari_kosu_rate4, :matome_wari_kosu5, :matome_wari_kosu_rate5, :no_shipping_kosu, :no_shipping_price, :matomegai_shipping_kbn, :no_shipping_kbn, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":matome_wari_price1", $matome_wari_price1);
	$stmt->bindParam(":matome_wari_price_rate1", $matome_wari_price_rate1);
	$stmt->bindParam(":matome_wari_price2", $matome_wari_price2);
	$stmt->bindParam(":matome_wari_price_rate2", $matome_wari_price_rate2);
	$stmt->bindParam(":matome_wari_price3", $matome_wari_price3);
	$stmt->bindParam(":matome_wari_price_rate3", $matome_wari_price_rate3);
	$stmt->bindParam(":matome_wari_price4", $matome_wari_price4);
	$stmt->bindParam(":matome_wari_price_rate4", $matome_wari_price_rate4);
	$stmt->bindParam(":matome_wari_price5", $matome_wari_price5);
	$stmt->bindParam(":matome_wari_price_rate5", $matome_wari_price_rate5);
	$stmt->bindParam(":matome_wari_kosu1", $matome_wari_kosu1);
	$stmt->bindParam(":matome_wari_kosu_rate1", $matome_wari_kosu_rate1);
	$stmt->bindParam(":matome_wari_kosu2", $matome_wari_kosu2);
	$stmt->bindParam(":matome_wari_kosu_rate2", $matome_wari_kosu_rate2);
	$stmt->bindParam(":matome_wari_kosu3", $matome_wari_kosu3);
	$stmt->bindParam(":matome_wari_kosu_rate3", $matome_wari_kosu_rate3);
	$stmt->bindParam(":matome_wari_kosu4", $matome_wari_kosu4);
	$stmt->bindParam(":matome_wari_kosu_rate4", $matome_wari_kosu_rate4);
	$stmt->bindParam(":matome_wari_kosu5", $matome_wari_kosu5);
	$stmt->bindParam(":matome_wari_kosu_rate5", $matome_wari_kosu_rate5);
	$stmt->bindParam(":no_shipping_kosu", $no_shipping_kosu);
	$stmt->bindParam(":no_shipping_price", $no_shipping_price);
	$stmt->bindParam(":matomegai_shipping_kbn", $matomegai_shipping_kbn);
	$stmt->bindParam(":no_shipping_kbn", $no_shipping_kbn);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（割引テーブル）
function update_discount_tbl($connshp, $id, $matome_wari_price1, $matome_wari_price_rate1, $matome_wari_price2, $matome_wari_price_rate2, $matome_wari_price3, $matome_wari_price_rate3, $matome_wari_price4, $matome_wari_price_rate4, $matome_wari_price5, $matome_wari_price_rate5, $matome_wari_kosu1, $matome_wari_kosu_rate1, $matome_wari_kosu2, $matome_wari_kosu_rate2, $matome_wari_kosu3, $matome_wari_kosu_rate3, $matome_wari_kosu4, $matome_wari_kosu_rate4, $matome_wari_kosu5, $matome_wari_kosu_rate5, $no_shipping_kosu, $no_shipping_price, $matomegai_shipping_kbn, $no_shipping_kbn) {
	$sql_tmp = "update discount_tbl set
                    matome_wari_price1			= :matome_wari_price1,
                    matome_wari_price_rate1		= :matome_wari_price_rate1,
                    matome_wari_price2			= :matome_wari_price2,
                    matome_wari_price_rate2		= :matome_wari_price_rate2,
                    matome_wari_price3			= :matome_wari_price3,
                    matome_wari_price_rate3		= :matome_wari_price_rate3,
                    matome_wari_price4			= :matome_wari_price4,
                    matome_wari_price_rate4		= :matome_wari_price_rate4,
                    matome_wari_price5			= :matome_wari_price5,
                    matome_wari_price_rate5		= :matome_wari_price_rate5,
                    matome_wari_kosu1			= :matome_wari_kosu1,
                    matome_wari_kosu_rate1		= :matome_wari_kosu_rate1,
                    matome_wari_kosu2			= :matome_wari_kosu2,
                    matome_wari_kosu_rate2		= :matome_wari_kosu_rate2,
                    matome_wari_kosu3			= :matome_wari_kosu3,
                    matome_wari_kosu_rate3		= :matome_wari_kosu_rate3,
                    matome_wari_kosu4			= :matome_wari_kosu4,
                    matome_wari_kosu_rate4		= :matome_wari_kosu_rate4,
                    matome_wari_kosu5			= :matome_wari_kosu5,
                    matome_wari_kosu_rate5		= :matome_wari_kosu_rate5,
					no_shipping_kosu			= :no_shipping_kosu,
					no_shipping_price			= :no_shipping_price,
					matomegai_shipping_kbn		= :matomegai_shipping_kbn,
					no_shipping_kbn				= :no_shipping_kbn,
					update_time 				= :update_time
					where id					= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":matome_wari_price1", $matome_wari_price1);
	$stmt->bindParam(":matome_wari_price_rate1", $matome_wari_price_rate1);
	$stmt->bindParam(":matome_wari_price2", $matome_wari_price2);
	$stmt->bindParam(":matome_wari_price_rate2", $matome_wari_price_rate2);
	$stmt->bindParam(":matome_wari_price3", $matome_wari_price3);
	$stmt->bindParam(":matome_wari_price_rate3", $matome_wari_price_rate3);
	$stmt->bindParam(":matome_wari_price4", $matome_wari_price4);
	$stmt->bindParam(":matome_wari_price_rate4", $matome_wari_price_rate4);
	$stmt->bindParam(":matome_wari_price5", $matome_wari_price5);
	$stmt->bindParam(":matome_wari_price_rate5", $matome_wari_price_rate5);
	$stmt->bindParam(":matome_wari_kosu1", $matome_wari_kosu1);
	$stmt->bindParam(":matome_wari_kosu_rate1", $matome_wari_kosu_rate1);
	$stmt->bindParam(":matome_wari_kosu2", $matome_wari_kosu2);
	$stmt->bindParam(":matome_wari_kosu_rate2", $matome_wari_kosu_rate2);
	$stmt->bindParam(":matome_wari_kosu3", $matome_wari_kosu3);
	$stmt->bindParam(":matome_wari_kosu_rate3", $matome_wari_kosu_rate3);
	$stmt->bindParam(":matome_wari_kosu4", $matome_wari_kosu4);
	$stmt->bindParam(":matome_wari_kosu_rate4", $matome_wari_kosu_rate4);
	$stmt->bindParam(":matome_wari_kosu5", $matome_wari_kosu5);
	$stmt->bindParam(":matome_wari_kosu_rate5", $matome_wari_kosu_rate5);
	$stmt->bindParam(":no_shipping_kosu", $no_shipping_kosu);
	$stmt->bindParam(":no_shipping_price", $no_shipping_price);
	$stmt->bindParam(":matomegai_shipping_kbn", $matomegai_shipping_kbn);
	$stmt->bindParam(":no_shipping_kbn", $no_shipping_kbn);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//データの追加（消費税テーブル）
function insert_tax_tbl($connshp, $tax_rate1, $new_tax_rate1, $new_tax_rate1_start_day, $new_tax_rate1_ref_day, $tax_rate2, $new_tax_rate2, $new_tax_rate2_start_day, $new_tax_rate2_ref_day, $tax_rate3, $new_tax_rate3, $new_tax_rate3_start_day, $new_tax_rate3_ref_day, $hasu, $uti_soto) {
	$sql_tmp = "insert into tax_tbl(tax_rate1, new_tax_rate1, new_tax_rate1_start_day, new_tax_rate1_ref_day, tax_rate2, new_tax_rate2, new_tax_rate2_start_day, new_tax_rate2_ref_day, tax_rate3, new_tax_rate3, new_tax_rate3_start_day, new_tax_rate3_ref_day, hasu, uti_soto, update_time)
							values(:tax_rate1, :new_tax_rate1, :new_tax_rate1_start_day, :new_tax_rate1_ref_day, :tax_rate2, :new_tax_rate2, :new_tax_rate2_start_day, :new_tax_rate2_ref_day, :tax_rate3, :new_tax_rate3, :new_tax_rate3_start_day, :new_tax_rate3_ref_day, :hasu, :uti_soto, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":tax_rate1", $tax_rate1);
	$stmt->bindParam(":new_tax_rate1", $new_tax_rate1);
	$stmt->bindParam(":new_tax_rate1_start_day", $new_tax_rate1_start_day);
	$stmt->bindParam(":new_tax_rate1_ref_day", $new_tax_rate1_ref_day);
	$stmt->bindParam(":tax_rate2", $tax_rate2);
	$stmt->bindParam(":new_tax_rate2", $new_tax_rate2);
	$stmt->bindParam(":new_tax_rate2_start_day", $new_tax_rate2_start_day);
	$stmt->bindParam(":new_tax_rate2_ref_day", $new_tax_rate2_ref_day);
	$stmt->bindParam(":tax_rate3", $tax_rate3);
	$stmt->bindParam(":new_tax_rate3", $new_tax_rate3);
	$stmt->bindParam(":new_tax_rate3_start_day", $new_tax_rate3_start_day);
	$stmt->bindParam(":new_tax_rate3_ref_day", $new_tax_rate3_ref_day);
	$stmt->bindParam(":hasu", $hasu);
	$stmt->bindParam(":uti_soto", $uti_soto);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（消費税テーブル）
function update_tax_tbl($connshp, $id, $tax_rate1, $new_tax_rate1, $new_tax_rate1_start_day, $new_tax_rate1_ref_day, $tax_rate2, $new_tax_rate2, $new_tax_rate2_start_day, $new_tax_rate2_ref_day, $tax_rate3, $new_tax_rate3, $new_tax_rate3_start_day, $new_tax_rate3_ref_day, $hasu, $uti_soto) {
	$sql_tmp = "update tax_tbl set
                    tax_rate1				= :tax_rate1,
                    new_tax_rate1			= :new_tax_rate1,
					new_tax_rate1_start_day	= :new_tax_rate1_start_day,
					new_tax_rate1_ref_day	= :new_tax_rate1_ref_day,
                    tax_rate2				= :tax_rate2,
                    new_tax_rate2			= :new_tax_rate2,
					new_tax_rate2_start_day	= :new_tax_rate2_start_day,
					new_tax_rate2_ref_day	= :new_tax_rate2_ref_day,
                    tax_rate3				= :tax_rate3,
                    new_tax_rate3			= :new_tax_rate3,
					new_tax_rate3_start_day	= :new_tax_rate3_start_day,
					new_tax_rate3_ref_day	= :new_tax_rate3_ref_day,
					hasu					= :hasu,
					uti_soto				= :uti_soto,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":tax_rate1", $tax_rate1);
	$stmt->bindParam(":new_tax_rate1", $new_tax_rate1);
	$stmt->bindParam(":new_tax_rate1_start_day", $new_tax_rate1_start_day);
	$stmt->bindParam(":new_tax_rate1_ref_day", $new_tax_rate1_ref_day);
	$stmt->bindParam(":tax_rate2", $tax_rate2);
	$stmt->bindParam(":new_tax_rate2", $new_tax_rate2);
	$stmt->bindParam(":new_tax_rate2_start_day", $new_tax_rate2_start_day);
	$stmt->bindParam(":new_tax_rate2_ref_day", $new_tax_rate2_ref_day);
	$stmt->bindParam(":tax_rate3", $tax_rate3);
	$stmt->bindParam(":new_tax_rate3", $new_tax_rate3);
	$stmt->bindParam(":new_tax_rate3_start_day", $new_tax_rate3_start_day);
	$stmt->bindParam(":new_tax_rate3_ref_day", $new_tax_rate3_ref_day);
	$stmt->bindParam(":hasu", $hasu);
	$stmt->bindParam(":uti_soto", $uti_soto);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//データの追加（決済テーブル）
function insert_kessai_tbl($connshp, $kessai_paypal, $kessai_bank, $kessai_hikikae, $kessai_conveni, $kessai_tento, $paypal_id, $paypal_id_test, $paypal_mode, $bank_name, $bank_cd, $bank_siten_name, $bank_siten_cd, $bank_account_syurui, $bank_account, $bank_account_name_kana, $bank_account_name_kanji, $order_mail, $furikomi_mail, $order_mail_title, $order_mail_contents, $order_mail_footer) {
	$sql_tmp = "insert into kessai_tbl(kessai_paypal, kessai_bank, kessai_hikikae, kessai_conveni, kessai_tento, paypal_id, paypal_id_test, paypal_mode, bank_name, bank_cd, bank_siten_name, bank_siten_cd, bank_account_syurui, bank_account, bank_account_name_kana, bank_account_name_kanji, order_mail, furikomi_mail, order_mail_title, order_mail_contents, order_mail_footer, update_time)
							values(:kessai_paypal, :kessai_bank, :kessai_hikikae, :kessai_conveni, :kessai_tento, :paypal_id, :paypal_id_test, :paypal_mode, :bank_name, :bank_cd, :bank_siten_name, :bank_siten_cd, :bank_account_syurui, :bank_account, :bank_account_name_kana, :bank_account_name_kanji, :order_mail, :furikomi_mail, :order_mail_title, :order_mail_contents, :order_mail_footer, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":kessai_paypal", $kessai_paypal);
	$stmt->bindParam(":kessai_bank", $kessai_bank);
	$stmt->bindParam(":kessai_hikikae", $kessai_hikikae);
	$stmt->bindParam(":kessai_conveni", $kessai_conveni);
	$stmt->bindParam(":kessai_tento", $kessai_tento);
	$stmt->bindParam(":paypal_id", $paypal_id);
	$stmt->bindParam(":paypal_id_test", $paypal_id_test);
	$stmt->bindParam(":paypal_mode", $paypal_mode);
	$stmt->bindParam(":bank_name", $bank_name);
	$stmt->bindParam(":bank_cd", $bank_cd);
	$stmt->bindParam(":bank_siten_name", $bank_siten_name);
	$stmt->bindParam(":bank_siten_cd", $bank_siten_cd);
	$stmt->bindParam(":bank_account_syurui", $bank_account_syurui);
	$stmt->bindParam(":bank_account", $bank_account);
	$stmt->bindParam(":bank_account_name_kana", $bank_account_name_kana);
	$stmt->bindParam(":bank_account_name_kanji", $bank_account_name_kanji);
	$stmt->bindParam(":order_mail", $order_mail);
	$stmt->bindParam(":furikomi_mail", $furikomi_mail);
	$stmt->bindParam(":order_mail_title", $order_mail_title);
	$stmt->bindParam(":order_mail_contents", $order_mail_contents);
	$stmt->bindParam(":order_mail_footer", $order_mail_footer);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（決済テーブル）
function update_kessai_tbl($connshp, $id, $kessai_paypal, $kessai_bank, $kessai_hikikae, $kessai_conveni, $kessai_tento, $paypal_id, $paypal_id_test, $paypal_mode, $bank_name, $bank_cd, $bank_siten_name, $bank_siten_cd, $bank_account_syurui, $bank_account, $bank_account_name_kana, $bank_account_name_kanji, $order_mail, $furikomi_mail, $order_mail_title, $order_mail_contents, $order_mail_footer) {
	$sql_tmp = "update kessai_tbl set
					kessai_paypal			= :kessai_paypal,
					kessai_bank				= :kessai_bank,
					kessai_hikikae			= :kessai_hikikae,
					kessai_conveni			= :kessai_conveni,
					kessai_tento			= :kessai_tento,
					paypal_id				= :paypal_id,
					paypal_id_test			= :paypal_id_test,
					paypal_mode				= :paypal_mode,
					bank_name				= :bank_name,
					bank_cd					= :bank_cd,
					bank_siten_name			= :bank_siten_name,
					bank_siten_cd			= :bank_siten_cd,
					bank_account_syurui		= :bank_account_syurui,
					bank_account			= :bank_account,
					bank_account_name_kana	= :bank_account_name_kana,
					bank_account_name_kanji	= :bank_account_name_kanji,
					order_mail				= :order_mail,
					furikomi_mail			= :furikomi_mail,
					order_mail_title		= :order_mail_title,
					order_mail_contents		= :order_mail_contents,
					order_mail_footer		= :order_mail_footer,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":kessai_paypal", $kessai_paypal);
	$stmt->bindParam(":kessai_bank", $kessai_bank);
	$stmt->bindParam(":kessai_hikikae", $kessai_hikikae);
	$stmt->bindParam(":kessai_conveni", $kessai_conveni);
	$stmt->bindParam(":kessai_tento", $kessai_tento);
	$stmt->bindParam(":paypal_id", $paypal_id);
	$stmt->bindParam(":paypal_id_test", $paypal_id_test);
	$stmt->bindParam(":paypal_mode", $paypal_mode);
	$stmt->bindParam(":bank_name", $bank_name);
	$stmt->bindParam(":bank_cd", $bank_cd);
	$stmt->bindParam(":bank_siten_name", $bank_siten_name);
	$stmt->bindParam(":bank_siten_cd", $bank_siten_cd);
	$stmt->bindParam(":bank_account_syurui", $bank_account_syurui);
	$stmt->bindParam(":bank_account", $bank_account);
	$stmt->bindParam(":bank_account_name_kana", $bank_account_name_kana);
	$stmt->bindParam(":bank_account_name_kanji", $bank_account_name_kanji);
	$stmt->bindParam(":order_mail", $order_mail);
	$stmt->bindParam(":furikomi_mail", $furikomi_mail);
	$stmt->bindParam(":order_mail_title", $order_mail_title);
	$stmt->bindParam(":order_mail_contents", $order_mail_contents);
	$stmt->bindParam(":order_mail_footer", $order_mail_footer);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//データの追加（商品カタログテーブル）
function insert_item_catalog($connshp, $shop_page_id, $order_no, $country, $company, $item_code, $level1_category_id, $level1_category_name, $level2_category_id, $level2_category_name, $level3_category_id, $level3_category_name, $item_name, $yoto, $price,  $new_price, $new_price_start_day, $wari_rate, $zei_kbn, $stock_quantity, $stock_chk, $yoyaku_item, $nyuka_yotei, $kikangentei, $kikan_start, $kikan_end, $item_img1_path, $non_disp) {
	$sql_tmp = "insert into item_catalog(shop_page_id, order_no, country, company, item_code, level1_category_id, level1_category_name, level2_category_id, level2_category_name, level3_category_id, level3_category_name, item_name, yoto, price, new_price, new_price_start_day, wari_rate, zei_kbn, stock_quantity, stock_chk, yoyaku_item, nyuka_yotei, kikangentei, kikan_start, kikan_end, item_img1_path, non_disp, syoninflg, syounin_time, toroku_time, update_time)
							values(:shop_page_id, :order_no, :country, :company, :item_code, :level1_category_id, :level1_category_name, :level2_category_id, :level2_category_name, :level3_category_id, :level3_category_name, :item_name, :yoto, :price, :new_price, :new_price_start_day, :wari_rate, :zei_kbn, :stock_quantity, :stock_chk, :yoyaku_item, :nyuka_yotei, :kikangentei, :kikan_start, :kikan_end, :item_img1_path, :non_disp, :syoninflg, :syounin_time, :toroku_time, :update_time)";
	$syoninflg				= 0; // 未承認
	$syounin_time			= "";
	
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":shop_page_id", $shop_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":level1_category_id", $level1_category_id);
	$stmt->bindParam(":level1_category_name", $level1_category_name);
	$stmt->bindParam(":level2_category_id", $level2_category_id);
	$stmt->bindParam(":level2_category_name", $level2_category_name);
	$stmt->bindParam(":level3_category_id", $level3_category_id);
	$stmt->bindParam(":level3_category_name", $level3_category_name);
	$stmt->bindParam(":item_name", $item_name);
	$stmt->bindParam(":yoto", $yoto);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":new_price", $new_price);
	$stmt->bindParam(":new_price_start_day", $new_price_start_day);
	$stmt->bindParam(":wari_rate", $wari_rate);
	$stmt->bindParam(":zei_kbn", $zei_kbn);
	$stmt->bindParam(":stock_quantity", $stock_quantity);
	$stmt->bindParam(":stock_chk", $stock_chk);
	$stmt->bindParam(":yoyaku_item", $yoyaku_item);
	$stmt->bindParam(":nyuka_yotei", $nyuka_yotei);
	$stmt->bindParam(":kikangentei", $kikangentei);
	$stmt->bindParam(":kikan_start", $kikan_start);
	$stmt->bindParam(":kikan_end", $kikan_end);
	$stmt->bindParam(":item_img1_path", $item_img1_path);
	$stmt->bindParam(":non_disp", $non_disp);
	$stmt->bindParam(":syoninflg", $syoninflg);
	$stmt->bindParam(":syounin_time", $syounin_time);
	//登録日時
	$time 					= time();
	$toroku_time 			= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":toroku_time", $toroku_time);
	//更新日時
	$time 					= time();
	$update_time 			= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（商品カタログテーブル）
function update_item_catalog($connshp, $id, $shop_page_id, $order_no, $country, $company, $item_code, $level1_category_id, $level1_category_name, $level2_category_id, $level2_category_name, $level3_category_id, $level3_category_name, $item_name, $yoto, $price, $new_price, $new_price_start_day, $wari_rate, $zei_kbn, $stock_quantity, $yoyaku_item, $nyuka_yotei, $kikangentei, $kikan_start, $kikan_end, $item_img1_path, $non_disp) {
	$sql_tmp = "update item_catalog set
					shop_page_id			= :shop_page_id,
					order_no 				= :order_no, 
					country 				= :country, 
					company 				= :company, 
					item_code 				= :item_code, 
					level1_category_id 		= :level1_category_id, 
					level1_category_name 	= :level1_category_name, 
					level2_category_id		= :level2_category_id, 
					level2_category_name 	= :level2_category_name, 
					level3_category_id		= :level3_category_id, 
					level3_category_name 	= :level3_category_name, 
					item_name 				= :item_name, 
					yoto					= :yoto,
					price 					= :price, 
					new_price				= :new_price,
					new_price_start_day		= :new_price_start_day,
					wari_rate				= :wari_rate,
					zei_kbn					= :zei_kbn,
					stock_quantity 			= :stock_quantity, 
					yoyaku_item 			= :yoyaku_item, 
					nyuka_yotei 			= :nyuka_yotei, 
					kikangentei				= :kikangentei,
					kikan_start				= :kikan_start,
					kikan_end				= :kikan_end,
					item_img1_path 			= :item_img1_path, 
					non_disp 				= :non_disp, 
					update_time 			= :update_time
					where id				= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":shop_page_id", $shop_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":level1_category_id", $level1_category_id);
	$stmt->bindParam(":level1_category_name", $level1_category_name);
	$stmt->bindParam(":level2_category_id", $level2_category_id);
	$stmt->bindParam(":level2_category_name", $level2_category_name);
	$stmt->bindParam(":level3_category_id", $level3_category_id);
	$stmt->bindParam(":level3_category_name", $level3_category_name);
	$stmt->bindParam(":item_name", $item_name);
	$stmt->bindParam(":yoto", $yoto);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":new_price", $new_price);
	$stmt->bindParam(":new_price_start_day", $new_price_start_day);
	$stmt->bindParam(":wari_rate", $wari_rate);
	$stmt->bindParam(":zei_kbn", $zei_kbn);
	$stmt->bindParam(":stock_quantity", $stock_quantity);
	//$stmt->bindParam(":stock_chk", $stock_chk);
	$stmt->bindParam(":yoyaku_item", $yoyaku_item);
	$stmt->bindParam(":nyuka_yotei", $nyuka_yotei);
	$stmt->bindParam(":kikangentei", $kikangentei);
	$stmt->bindParam(":kikan_start", $kikan_start);
	$stmt->bindParam(":kikan_end", $kikan_end);
	$stmt->bindParam(":item_img1_path", $item_img1_path);
	$stmt->bindParam(":non_disp", $non_disp);
	//更新日時
	$time 					= time();
	$update_time 			= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（商品カタログテーブル＆商品カタログ明細テーブル）（idで指定されたデータを削除）
function delete_item_catalog($connshp, $id) {
    $sql_tmp = "DELETE FROM item_catalog WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
	
	// 商品カタログ明細テーブルデータの削除
    $sql_tmp = "DELETE FROM item_catalog_meisai WHERE (catalog_id = :catalog_id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":catalog_id", $id);
	$stmt->execute();
}

//データの追加（商品カタログ明細テーブル）
function insert_item_catalog_meisai($connshp, $country, $company, $item_code, $catalog_id, $siire_price_en, $siire_price_dollar, $irogara_su, $image_su, $item_img2_path, $item_img3_path, $item_img4_path, $item_img5_path, $item_spec, $item_memo, $shipping_tbl_id, $shipping_none, $new_shipping_tbl_id, $new_shipping_none, $new_shipping_start_day, $matome_wari_kbn, $matome_no_shipping_kbn, $shipping_kobetu_kbn, $matome_wari_price_kbn, $matome_wari_kosu_kbn, $no_shipping_kosu_kbn, $no_shipping_price_kbn, $rel_item1_id, $rel_item2_id, $rel_item3_id, $rel_item4_id, $rel_item5_id, $rel_item6_id, $rel_item7_id, $rel_item8_id, $rel_item9_id, $rel_item10_id, $non_disp, $contents, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into item_catalog_meisai(country, company, item_code, catalog_id, siire_price_en, siire_price_dollar, irogara_su, image_su, item_img2_path, item_img3_path, item_img4_path, item_img5_path, item_spec, item_memo, shipping_tbl_id, shipping_none, new_shipping_tbl_id, new_shipping_none, new_shipping_start_day, matome_wari_kbn, matome_no_shipping_kbn, shipping_kobetu_kbn, matome_wari_price_kbn, matome_wari_kosu_kbn, no_shipping_kosu_kbn, no_shipping_price_kbn, rel_item1_id, rel_item2_id, rel_item3_id, rel_item4_id, rel_item5_id, rel_item6_id, rel_item7_id, rel_item8_id, rel_item9_id, rel_item10_id, non_disp, contents, sns_btn_kbn, dummypage_url, update_time)
							values(:country, :company, :item_code, :catalog_id, :siire_price_en, :siire_price_dollar, :irogara_su, :image_su, :item_img2_path, :item_img3_path, :item_img4_path, :item_img5_path, :item_spec, :item_memo, :shipping_tbl_id, :shipping_none, :new_shipping_tbl_id, :new_shipping_none, :new_shipping_start_day, :matome_wari_kbn, :matome_no_shipping_kbn, :shipping_kobetu_kbn, :matome_wari_price_kbn, :matome_wari_kosu_kbn, :no_shipping_kosu_kbn, :no_shipping_price_kbn, :rel_item1_id, :rel_item2_id, :rel_item3_id, :rel_item4_id, :rel_item5_id, :rel_item6_id, :rel_item7_id, :rel_item8_id, :rel_item9_id, :rel_item10_id, :non_disp, :contents, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":catalog_id", $catalog_id);
	$stmt->bindParam(":siire_price_en", $siire_price_en);
	$stmt->bindParam(":siire_price_dollar", $siire_price_dollar);
	$stmt->bindParam(":irogara_su", $irogara_su);
	$stmt->bindParam(":image_su", $image_su);
	$stmt->bindParam(":item_img2_path", $item_img2_path);
	$stmt->bindParam(":item_img3_path", $item_img3_path);
	$stmt->bindParam(":item_img4_path", $item_img4_path);
	$stmt->bindParam(":item_img5_path", $item_img5_path);
	$stmt->bindParam(":item_spec", $item_spec);
	$stmt->bindParam(":item_memo", $item_memo);
	$stmt->bindParam(":shipping_tbl_id", $shipping_tbl_id);
	$stmt->bindParam(":shipping_none", $shipping_none);
	$stmt->bindParam(":new_shipping_tbl_id", $new_shipping_tbl_id);
	$stmt->bindParam(":new_shipping_none", $new_shipping_none);
	$stmt->bindParam(":new_shipping_start_day", $new_shipping_start_day);
	$stmt->bindParam(":matome_wari_kbn", $matome_wari_kbn);
	$stmt->bindParam(":matome_no_shipping_kbn", $matome_no_shipping_kbn);
	$stmt->bindParam(":shipping_kobetu_kbn", $shipping_kobetu_kbn);
	$stmt->bindParam(":matome_wari_price_kbn", $matome_wari_price_kbn);
	$stmt->bindParam(":matome_wari_kosu_kbn", $matome_wari_kosu_kbn);
	$stmt->bindParam(":no_shipping_kosu_kbn", $no_shipping_kosu_kbn);
	$stmt->bindParam(":no_shipping_price_kbn", $no_shipping_price_kbn);
	$stmt->bindParam(":rel_item1_id", $rel_item1_id);
	$stmt->bindParam(":rel_item2_id", $rel_item2_id);
	$stmt->bindParam(":rel_item3_id", $rel_item3_id);
	$stmt->bindParam(":rel_item4_id", $rel_item4_id);
	$stmt->bindParam(":rel_item5_id", $rel_item5_id);
	$stmt->bindParam(":rel_item6_id", $rel_item6_id);
	$stmt->bindParam(":rel_item7_id", $rel_item7_id);
	$stmt->bindParam(":rel_item8_id", $rel_item8_id);
	$stmt->bindParam(":rel_item9_id", $rel_item9_id);
	$stmt->bindParam(":rel_item10_id", $rel_item10_id);
	$stmt->bindParam(":non_disp", $non_disp);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（商品カタログ明細テーブル）
function update_item_catalog_meisai($connshp, $id, $country, $company, $item_code, $catalog_id, $siire_price_en, $siire_price_dollar, $irogara_su, $image_su, $item_img2_path, $item_img3_path, $item_img4_path, $item_img5_path, $item_spec, $item_memo, $shipping_tbl_id, $shipping_none, $new_shipping_tbl_id, $new_shipping_none, $new_shipping_start_day, $matome_wari_kbn, $matome_no_shipping_kbn, $shipping_kobetu_kbn, $matome_wari_price_kbn, $matome_wari_kosu_kbn, $no_shipping_kosu_kbn, $no_shipping_price_kbn, $rel_item1_id, $rel_item2_id, $rel_item3_id, $rel_item4_id, $rel_item5_id, $rel_item6_id, $rel_item7_id, $rel_item8_id, $rel_item9_id, $rel_item10_id, $non_disp, $contents, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update item_catalog_meisai set
					country 						= :country, 
					company 						= :company, 
					item_code 						= :item_code, 
					catalog_id 						= :catalog_id, 
					siire_price_en 					= :siire_price_en, 
					siire_price_dollar 				= :siire_price_dollar, 
					irogara_su 						= :irogara_su,
					image_su 						= :image_su,
					item_img2_path 					= :item_img2_path, 
					item_img3_path 					= :item_img3_path, 
					item_img4_path 					= :item_img4_path, 
					item_img5_path 					= :item_img5_path, 
					item_spec 						= :item_spec,  
					item_memo 						= :item_memo,  
					shipping_tbl_id					= :shipping_tbl_id, 
					shipping_none					= :shipping_none,
					new_shipping_tbl_id				= :new_shipping_tbl_id, 
					new_shipping_none				= :new_shipping_none,
					new_shipping_start_day			= :new_shipping_start_day,
					matome_wari_kbn					= :matome_wari_kbn,
					matome_no_shipping_kbn			= :matome_no_shipping_kbn,
					shipping_kobetu_kbn				= :shipping_kobetu_kbn,
					matome_wari_price_kbn			= :matome_wari_price_kbn,
					matome_wari_kosu_kbn			= :matome_wari_kosu_kbn,
					no_shipping_kosu_kbn			= :no_shipping_kosu_kbn,
					no_shipping_price_kbn			= :no_shipping_price_kbn,
					rel_item1_id 					= :rel_item1_id, 
					rel_item2_id 					= :rel_item2_id, 
					rel_item3_id 					= :rel_item3_id, 
					rel_item4_id 					= :rel_item4_id, 
					rel_item5_id 					= :rel_item5_id, 
					rel_item6_id 					= :rel_item6_id, 
					rel_item7_id 					= :rel_item7_id, 
					rel_item8_id 					= :rel_item8_id, 
					rel_item9_id 					= :rel_item9_id, 
					rel_item10_id 					= :rel_item10_id, 
					non_disp 						= :non_disp, 
					contents						= :contents, 
					sns_btn_kbn						= :sns_btn_kbn, 
					dummypage_url					= :dummypage_url, 
					update_time 					= :update_time
					where id						= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":catalog_id", $catalog_id);
	$stmt->bindParam(":siire_price_en", $siire_price_en);
	$stmt->bindParam(":siire_price_dollar", $siire_price_dollar);
	$stmt->bindParam(":irogara_su", $irogara_su);
	$stmt->bindParam(":image_su", $image_su);
	$stmt->bindParam(":item_img2_path", $item_img2_path);
	$stmt->bindParam(":item_img3_path", $item_img3_path);
	$stmt->bindParam(":item_img4_path", $item_img4_path);
	$stmt->bindParam(":item_img5_path", $item_img5_path);
	$stmt->bindParam(":item_spec", $item_spec);
	$stmt->bindParam(":item_memo", $item_memo);
	$stmt->bindParam(":shipping_tbl_id", $shipping_tbl_id);
	$stmt->bindParam(":shipping_none", $shipping_none);
	$stmt->bindParam(":new_shipping_tbl_id", $new_shipping_tbl_id);
	$stmt->bindParam(":new_shipping_none", $new_shipping_none);
	$stmt->bindParam(":new_shipping_start_day", $new_shipping_start_day);
	$stmt->bindParam(":matome_wari_kbn", $matome_wari_kbn);
	$stmt->bindParam(":matome_no_shipping_kbn", $matome_no_shipping_kbn);
	$stmt->bindParam(":shipping_kobetu_kbn", $shipping_kobetu_kbn);
	$stmt->bindParam(":matome_wari_price_kbn", $matome_wari_price_kbn);
	$stmt->bindParam(":matome_wari_kosu_kbn", $matome_wari_kosu_kbn);
	$stmt->bindParam(":no_shipping_kosu_kbn", $no_shipping_kosu_kbn);
	$stmt->bindParam(":no_shipping_price_kbn", $no_shipping_price_kbn);
	$stmt->bindParam(":rel_item1_id", $rel_item1_id);
	$stmt->bindParam(":rel_item2_id", $rel_item2_id);
	$stmt->bindParam(":rel_item3_id", $rel_item3_id);
	$stmt->bindParam(":rel_item4_id", $rel_item4_id);
	$stmt->bindParam(":rel_item5_id", $rel_item5_id);
	$stmt->bindParam(":rel_item6_id", $rel_item6_id);
	$stmt->bindParam(":rel_item7_id", $rel_item7_id);
	$stmt->bindParam(":rel_item8_id", $rel_item8_id);
	$stmt->bindParam(":rel_item9_id", $rel_item9_id);
	$stmt->bindParam(":rel_item10_id", $rel_item10_id);
	$stmt->bindParam(":non_disp", $non_disp);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（商品カタログ明細テーブル）（idで指定されたデータを削除）
function delete_item_catalog_meisai($connshp, $id) {
    $sql_tmp = "DELETE FROM item_catalog_meisai WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//データの追加（注文番号採番テーブル）
function insert_order_no_seq_tbl($connshp) {
	$sql_tmp = "insert into order_no_seq_tbl(order_no_seq, update_time)
							values(:order_no_seq, :update_time)";
	//更新日時
	$sql = "SELECT * FROM order_no_seq_tbl ORDER BY order_no_seq DESC";
    $stmt = $connshp->prepare($sql);
    $stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {	// order_noが最大のレコードを1件読む。
		$order_no_seq = $row["order_no_seq"] + 1;
	}else{
		$order_no_seq = 1;
	}
	
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":order_no_seq", $order_no_seq);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();

	$order_no_ymd 	= date('Ymd', $time);
	$order_no_dsp	= sprintf("%05d", $order_no_seq);
	return $order_no_ymd."-".$order_no_dsp;
}

//データの追加（商品カテゴリテーブル）
function insert_item_category($connshp, $category_name, $level, $order_no, $non_disp) {
	$sql_tmp = "insert into item_category(category_name, level, order_no, non_disp, update_time)
							values(:category_name, :level, :order_no, :non_disp, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":category_name", $category_name);
	$stmt->bindParam(":level", $level);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":non_disp", $non_disp);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（カテゴリ）
function update_item_category($connshp, $id, $category_name, $level, $order_no, $non_disp) {
	$sql_tmp = "update item_category set
					category_name	= :category_name,
					level			= :level,
					order_no		= :order_no,
					non_disp		= :non_disp,
					update_time 	= :update_time
					where id		= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":category_name", $category_name);
	$stmt->bindParam(":level", $level);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":non_disp", $non_disp);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（カテゴリ）（idで指定されたデータを削除）
function delete_item_category($connshp, $id) {
    $sql_tmp = "DELETE FROM item_category WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//データの追加（今週のおすすめ商品）
function insert_weekly_osusume_item($connshp, $order_no, $country, $company, $item_code) {
	$sql_tmp = "insert into weekly_osusume_item(order_no, country, company, item_code, update_time)
							values(:order_no, :country, company, :item_code, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（今週のおすすめ商品）
function update_weekly_osusume_item($connshp, $id, $order_no, $country, $company, $item_code) {
	$sql_tmp = "update weekly_osusume_item set 
					order_no	= :order_no,
					country		= :country,
					company		= :company,
					item_code	= :item_code,
					update_time = :update_time
					where id	= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（今週のおすすめ商品）（idで指定されたデータを削除）
function delete_weekly_osusume_item($connshp, $id) {
    $sql_tmp = "DELETE FROM weekly_osusume_item WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//データの追加（新商品情報）
function insert_new_item($connshp, $order_no,  $country, $company, $item_code) {
	$sql_tmp = "insert into new_item(order_no, country, company, item_code, update_time)
							values(:order_no, :country, company, :item_code, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（新商品情報）
function update_new_item($connshp, $order_no,  $country, $company, $item_code) {
	$sql_tmp = "update new_item set 
					order_no	= :order_no,
					country		= :country,
					company		= :company,
					item_code	= :item_code,
					update_time = :update_time
					where id	= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（新商品情報）（idで指定されたデータを削除）
function delete_new_item($connshp, $id) {
    $sql_tmp = "DELETE FROM new_item WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//データの追加（ランキング）
function insert_ranking($connshp, $order_no, $country, $company, $item_code) {
	$sql_tmp = "insert into ranking(order_no, country, company, item_code, update_time)
							values(:order_no, :country, company, :item_code, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（ランキング）
function update_ranking($connshp, $id, $order_no, $country, $company, $item_code) {
	$sql_tmp = "update ranking set 
					order_no	= :order_no,
					country		= :country,
					company		= :company,
					item_code	= :item_code,
					update_time = :update_time
					where id	= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":country", $country);
	$stmt->bindParam(":company", $company);
	$stmt->bindParam(":item_code", $item_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（ランキング）（idで指定されたデータを削除）
function delete_ranking($connshp, $id) {
    $sql_tmp = "DELETE FROM ranking WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//データの追加（トップページ表示商品）
function insert_toppage_item($connshp, $catalog_id_1, $catalog_id_2, $catalog_id_3, $catalog_id_4, $catalog_id_5, $catalog_id_6, $catalog_id_7, $catalog_id_8, $catalog_id_9, $catalog_id_10, $catalog_id_11, $catalog_id_12, $catalog_id_13, $catalog_id_14, $catalog_id_15, $catalog_id_16, $catalog_id_17, $catalog_id_18, $catalog_id_19, $catalog_id_20, $catalog_id_21, $catalog_id_22, $catalog_id_23, $catalog_id_24) {
	$sql_tmp = "insert into toppage_item(catalog_id_1, catalog_id_2, catalog_id_3, catalog_id_4, catalog_id_5, catalog_id_6, catalog_id_7, catalog_id_8, catalog_id_9, catalog_id_10, catalog_id_11, catalog_id_12, catalog_id_13, catalog_id_14, catalog_id_15, catalog_id_16, catalog_id_17, catalog_id_18, catalog_id_19, catalog_id_20, catalog_id_21, catalog_id_22, catalog_id_23, catalog_id_24, update_time)
							values(:catalog_id_1, :catalog_id_2, :catalog_id_3, :catalog_id_4, :catalog_id_5, :catalog_id_6, :catalog_id_7, :catalog_id_8, :catalog_id_9, :catalog_id_10, :catalog_id_11, :catalog_id_12, :catalog_id_13, :catalog_id_14, :catalog_id_15, :catalog_id_16, :catalog_id_17, :catalog_id_18, :catalog_id_19, :catalog_id_20, :catalog_id_21, :catalog_id_22, :catalog_id_23, :catalog_id_24, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":catalog_id_1", $catalog_id_1);
	$stmt->bindParam(":catalog_id_2", $catalog_id_2);
	$stmt->bindParam(":catalog_id_3", $catalog_id_3);
	$stmt->bindParam(":catalog_id_4", $catalog_id_4);
	$stmt->bindParam(":catalog_id_5", $catalog_id_5);
	$stmt->bindParam(":catalog_id_6", $catalog_id_6);
	$stmt->bindParam(":catalog_id_7", $catalog_id_7);
	$stmt->bindParam(":catalog_id_8", $catalog_id_8);
	$stmt->bindParam(":catalog_id_9", $catalog_id_9);
	$stmt->bindParam(":catalog_id_10", $catalog_id_10);
	$stmt->bindParam(":catalog_id_11", $catalog_id_11);
	$stmt->bindParam(":catalog_id_12", $catalog_id_12);
	$stmt->bindParam(":catalog_id_13", $catalog_id_13);
	$stmt->bindParam(":catalog_id_14", $catalog_id_14);
	$stmt->bindParam(":catalog_id_15", $catalog_id_15);
	$stmt->bindParam(":catalog_id_16", $catalog_id_16);
	$stmt->bindParam(":catalog_id_17", $catalog_id_17);
	$stmt->bindParam(":catalog_id_18", $catalog_id_18);
	$stmt->bindParam(":catalog_id_19", $catalog_id_19);
	$stmt->bindParam(":catalog_id_20", $catalog_id_20);
	$stmt->bindParam(":catalog_id_21", $catalog_id_21);
	$stmt->bindParam(":catalog_id_22", $catalog_id_22);
	$stmt->bindParam(":catalog_id_23", $catalog_id_23);
	$stmt->bindParam(":catalog_id_24", $catalog_id_24);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（トップページ表示商品）
function update_toppage_item($connshp, $id, $catalog_id_1, $catalog_id_2, $catalog_id_3, $catalog_id_4, $catalog_id_5, $catalog_id_6, $catalog_id_7, $catalog_id_8, $catalog_id_9, $catalog_id_10, $catalog_id_11, $catalog_id_12, $catalog_id_13, $catalog_id_14, $catalog_id_15, $catalog_id_16, $catalog_id_17, $catalog_id_18, $catalog_id_19, $catalog_id_20, $catalog_id_21, $catalog_id_22, $catalog_id_23, $catalog_id_24) {
	$sql_tmp = "update toppage_item set 
					catalog_id_1	= :catalog_id_1,
					catalog_id_2	= :catalog_id_2,
					catalog_id_3	= :catalog_id_3,
					catalog_id_4	= :catalog_id_4,
					catalog_id_5	= :catalog_id_5,
					catalog_id_6	= :catalog_id_6,
					catalog_id_7	= :catalog_id_7,
					catalog_id_8	= :catalog_id_8,
					catalog_id_9	= :catalog_id_9,
					catalog_id_10	= :catalog_id_10,
					catalog_id_11	= :catalog_id_11,
					catalog_id_12	= :catalog_id_12,
					catalog_id_13	= :catalog_id_13,
					catalog_id_14	= :catalog_id_14,
					catalog_id_15	= :catalog_id_15,
					catalog_id_16	= :catalog_id_16,
					catalog_id_17	= :catalog_id_17,
					catalog_id_18	= :catalog_id_18,
					catalog_id_19	= :catalog_id_19,
					catalog_id_20	= :catalog_id_20,
					catalog_id_21	= :catalog_id_21,
					catalog_id_22	= :catalog_id_22,
					catalog_id_23	= :catalog_id_23,
					catalog_id_24	= :catalog_id_24,
					update_time 	= :update_time
					where id		= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":catalog_id_1", $catalog_id_1);
	$stmt->bindParam(":catalog_id_2", $catalog_id_2);
	$stmt->bindParam(":catalog_id_3", $catalog_id_3);
	$stmt->bindParam(":catalog_id_4", $catalog_id_4);
	$stmt->bindParam(":catalog_id_5", $catalog_id_5);
	$stmt->bindParam(":catalog_id_6", $catalog_id_6);
	$stmt->bindParam(":catalog_id_7", $catalog_id_7);
	$stmt->bindParam(":catalog_id_8", $catalog_id_8);
	$stmt->bindParam(":catalog_id_9", $catalog_id_9);
	$stmt->bindParam(":catalog_id_10", $catalog_id_10);
	$stmt->bindParam(":catalog_id_11", $catalog_id_11);
	$stmt->bindParam(":catalog_id_12", $catalog_id_12);
	$stmt->bindParam(":catalog_id_13", $catalog_id_13);
	$stmt->bindParam(":catalog_id_14", $catalog_id_14);
	$stmt->bindParam(":catalog_id_15", $catalog_id_15);
	$stmt->bindParam(":catalog_id_16", $catalog_id_16);
	$stmt->bindParam(":catalog_id_17", $catalog_id_17);
	$stmt->bindParam(":catalog_id_18", $catalog_id_18);
	$stmt->bindParam(":catalog_id_19", $catalog_id_19);
	$stmt->bindParam(":catalog_id_20", $catalog_id_20);
	$stmt->bindParam(":catalog_id_21", $catalog_id_21);
	$stmt->bindParam(":catalog_id_22", $catalog_id_22);
	$stmt->bindParam(":catalog_id_23", $catalog_id_23);
	$stmt->bindParam(":catalog_id_24", $catalog_id_24);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（トップページ表示商品）（idで指定されたデータを削除）
function delete_toppage_item($connshp, $id) {
    $sql_tmp = "DELETE FROM toppage_item WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//データの追加（サイドエリア表示商品）
//$id = insert_side_area_item($connshp, $menu_kbn, $btn_id, $title_name, $title_color, $catalog_id_1, $catalog_id_2, $catalog_id_3, $catalog_id_4, $catalog_id_5, $catalog_id_6, $catalog_id_7, $catalog_id_8, $catalog_id_9, $catalog_id_10);
function insert_side_area_item($connshp, $menu_kbn, $btn_id, $title_name, $title_color, $catalog_id_1, $catalog_id_2, $catalog_id_3, $catalog_id_4, $catalog_id_5, $catalog_id_6, $catalog_id_7, $catalog_id_8, $catalog_id_9, $catalog_id_10) {
	$sql_tmp = "insert into side_area_item(menu_kbn, btn_id, title_name, title_color, catalog_id_1, catalog_id_2, catalog_id_3, catalog_id_4, catalog_id_5, catalog_id_6, catalog_id_7, catalog_id_8, catalog_id_9, catalog_id_10, update_time)
							values(:menu_kbn, :btn_id, :title_name, :title_color, :catalog_id_1, :catalog_id_2, :catalog_id_3, :catalog_id_4, :catalog_id_5, :catalog_id_6, :catalog_id_7, :catalog_id_8, :catalog_id_9, :catalog_id_10, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":title_name", $title_name);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":catalog_id_1", $catalog_id_1);
	$stmt->bindParam(":catalog_id_2", $catalog_id_2);
	$stmt->bindParam(":catalog_id_3", $catalog_id_3);
	$stmt->bindParam(":catalog_id_4", $catalog_id_4);
	$stmt->bindParam(":catalog_id_5", $catalog_id_5);
	$stmt->bindParam(":catalog_id_6", $catalog_id_6);
	$stmt->bindParam(":catalog_id_7", $catalog_id_7);
	$stmt->bindParam(":catalog_id_8", $catalog_id_8);
	$stmt->bindParam(":catalog_id_9", $catalog_id_9);
	$stmt->bindParam(":catalog_id_10", $catalog_id_10);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（サイドエリア表示商品）
function update_side_area_item($connshp, $id, $menu_kbn, $btn_id, $title_name, $title_color, $catalog_id_1, $catalog_id_2, $catalog_id_3, $catalog_id_4, $catalog_id_5, $catalog_id_6, $catalog_id_7, $catalog_id_8, $catalog_id_9, $catalog_id_10) {
	$sql_tmp = "update side_area_item set 
					menu_kbn		= :menu_kbn,
					btn_id			= :btn_id,
					title_name		= :title_name,
					title_color		= :title_color,
					catalog_id_1	= :catalog_id_1,
					catalog_id_2	= :catalog_id_2,
					catalog_id_3	= :catalog_id_3,
					catalog_id_4	= :catalog_id_4,
					catalog_id_5	= :catalog_id_5,
					catalog_id_6	= :catalog_id_6,
					catalog_id_7	= :catalog_id_7,
					catalog_id_8	= :catalog_id_8,
					catalog_id_9	= :catalog_id_9,
					catalog_id_10	= :catalog_id_10,
					update_time 	= :update_time
					where id		= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":title_name", $title_name);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":catalog_id_1", $catalog_id_1);
	$stmt->bindParam(":catalog_id_2", $catalog_id_2);
	$stmt->bindParam(":catalog_id_3", $catalog_id_3);
	$stmt->bindParam(":catalog_id_4", $catalog_id_4);
	$stmt->bindParam(":catalog_id_5", $catalog_id_5);
	$stmt->bindParam(":catalog_id_6", $catalog_id_6);
	$stmt->bindParam(":catalog_id_7", $catalog_id_7);
	$stmt->bindParam(":catalog_id_8", $catalog_id_8);
	$stmt->bindParam(":catalog_id_9", $catalog_id_9);
	$stmt->bindParam(":catalog_id_10", $catalog_id_10);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（サイドエリア表示商品）（idで指定されたデータを削除）
function delete_side_area_item($connshp, $id) {
    $sql_tmp = "DELETE FROM side_area_item WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//データの追加（paypalIPNカート内商品情報）
function insert_paypal_ipn_cart_items($connshp, $txn_id, $cart_item_no, $item_name_n, $item_code_n, $payment_amount_n, $shipping_n, $option_name1_n, $option_selection1_n, $tax_n, $item_tax_rate_n, $quantity_n) {
	$sql_tmp = "insert into paypal_ipn_cart_items(txn_id, cart_item_no, item_name_n, item_code_n, payment_amount_n, shipping_n, option_name1_n, option_selection1_n, tax_n, item_tax_rate_n, quantity_n, update_time)
								values(:txn_id, :cart_item_no, :item_name_n, :item_code_n, :payment_amount_n, :shipping_n, :option_name1_n, :option_selection1_n, :tax_n, :item_tax_rate_n, :quantity_n, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":txn_id", $txn_id);
	$stmt->bindParam(":cart_item_no", $cart_item_no);
	$stmt->bindParam(":item_name_n", $item_name_n);
	$stmt->bindParam(":item_code_n", $item_code_n);
	$stmt->bindParam(":payment_amount_n", $payment_amount_n);
	$stmt->bindParam(":shipping_n", $shipping_n);
	$stmt->bindParam(":option_name1_n", $option_name1_n);
	$stmt->bindParam(":option_selection1_n", $option_selection1_n);
	$stmt->bindParam(":tax_n", $tax_n);
	$stmt->bindParam(":item_tax_rate_n", $item_tax_rate_n);
	$stmt->bindParam(":quantity_n", $quantity_n);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの追加（顧客情報customer_info）
function insert_customer_info($connshp, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status) {
	$sql = 'select * FROM customer_info WHERE e_mail = "'.$e_mail.'"';
    $stmt = $connshp->prepare($sql);
    $stmt->execute();
	if (!($row1 = $stmt->fetch(PDO::FETCH_ASSOC))) {							// 追加
		$sql_tmp = "insert into customer_info(data_kbn, related_data_id, info_title, name, name_kana, zipa, zipb, todofuken, city, areabanchi, tatemono, e_mail, paypal_email, e_mail2, tel_no, tel_no2, fax_no, 
						seibetu, job, birthday, dsp_free1, free1_input, dsp_free2, free2_input, dsp_free3, free3_input, kessai, pswd, pswd_question1, pswd_question1_answer, pswd_question2, pswd_question2_answer, 
						firstdate_buy, lastdate_buy, konyukaisu, total_amount, point, henpin_kaisu, memo, mail_magazine, buy_input_send_status, toroku_time, update_time)
				values(:data_kbn, :related_data_id, :info_title, :name, :name_kana, :zipa, :zipb, :todofuken, :city, :areabanchi, :tatemono, :e_mail, :paypal_email, :e_mail2, :tel_no, :tel_no2, :fax_no, 
						:seibetu, :job, :birthday, :dsp_free1, :free1_input, :dsp_free2, :free2_input, :dsp_free3, :free3_input, :kessai, :pswd, :pswd_question1, :pswd_question1_answer, :pswd_question2, :pswd_question2_answer, 
						:firstdate_buy, :lastdate_buy, :konyukaisu, :total_amount, :point, :henpin_kaisu, :memo, :mail_magazine, :buy_input_send_status, :toroku_time, :update_time)";
		$stmt = $connshp->prepare($sql_tmp);
		$stmt->bindParam(":data_kbn", $data_kbn);
		$stmt->bindParam(":related_data_id", $related_data_id);
		$stmt->bindParam(":info_title", $info_title);
		$stmt->bindParam(":name", $name);
		$stmt->bindParam(":name_kana", $name_kana);
		$stmt->bindParam(":zipa", $zipa);
		$stmt->bindParam(":zipb", $zipb);
		$stmt->bindParam(":todofuken", $todofuken);
		$stmt->bindParam(":city", $city);
		$stmt->bindParam(":areabanchi", $areabanchi);
		$stmt->bindParam(":tatemono", $tatemono);
		$stmt->bindParam(":e_mail", $e_mail);
		$stmt->bindParam(":paypal_email", $paypal_email);
		$stmt->bindParam(":e_mail2", $e_mail2);
		$stmt->bindParam(":tel_no", $tel_no);
		$stmt->bindParam(":tel_no2", $tel_no2);
		$stmt->bindParam(":fax_no", $fax_no);
		$stmt->bindParam(":seibetu", $seibetu);
		$stmt->bindParam(":job", $job);
		$stmt->bindParam(":birthday", $birthday);
		$stmt->bindParam(":dsp_free1", $dsp_free1);
		$stmt->bindParam(":free1_input", $free1_input);
		$stmt->bindParam(":dsp_free2", $dsp_free2);
		$stmt->bindParam(":free2_input", $free2_input);
		$stmt->bindParam(":dsp_free3", $dsp_free3);
		$stmt->bindParam(":free3_input", $free3_input);
		$stmt->bindParam(":kessai", $kessai);
		$stmt->bindParam(":pswd", $pswd);
		$stmt->bindParam(":pswd_question1", $pswd_question1);
		$stmt->bindParam(":pswd_question1_answer", $pswd_question1_answer);
		$stmt->bindParam(":pswd_question2", $pswd_question2);
		$stmt->bindParam(":pswd_question2_answer", $pswd_question2_answer);
		$stmt->bindParam(":firstdate_buy", $firstdate_buy);
		$stmt->bindParam(":lastdate_buy", $lastdate_buy);
		$stmt->bindParam(":konyukaisu", $konyukaisu);
		$stmt->bindParam(":total_amount", $total_amount);
		$stmt->bindParam(":point", $point);
		$stmt->bindParam(":henpin_kaisu", $henpin_kaisu);
		$stmt->bindParam(":memo", $memo);
		$stmt->bindParam(":mail_magazine", $mail_magazine);
		$stmt->bindParam(":buy_input_send_status", $buy_input_send_status);
		//登録日時・更新日時
		$time 			= time();
		$toroku_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":toroku_time", $toroku_time);
		$update_time	= $toroku_time;
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		$id = $connshp->lastInsertId();
		return $id;
	}else {											// 更新
		$konyukaisu 	= $konyukaisu + $row1["konyukaisu"];
		$total_amount2	= $total_amount + $row1["total_amount"];
		$point			=  $row1["point"] + $total_amount/100;
		update_customer_info($connshp, $id, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status);
		return $row1["id"];
	}
}
//データの更新（顧客情報customer_info）
// ※e_mail又はs_e_mailをキーとして更新
function update_customer_info($connshp, $id, $data_kbn, $related_data_id, $info_title, $name, $name_kana, $zipa, $zipb, $todofuken, $city, $areabanchi, $tatemono, $e_mail, $paypal_email, $e_mail2, $tel_no, $tel_no2, $fax_no, 
								$seibetu, $job, $birthday, $dsp_free1, $free1_input, $dsp_free2, $free2_input, $dsp_free3, $free3_input, $kessai, $pswd, $pswd_question1, $pswd_question1_answer, $pswd_question2, $pswd_question2_answer, 
								$firstdate_buy, $lastdate_buy, $konyukaisu, $total_amount, $point, $henpin_kaisu, $memo, $mail_magazine, $buy_input_send_status) {
	$sql_tmp = "update customer_info set 
					data_kbn				= :data_kbn,
					related_data_id			= :related_data_id,
					info_title				= :info_title,
					name					= :name, 
					name_kana				= :name_kana, 
					zipa					= :zipa,
					zipb					= :zipb,
					todofuken				= :todofuken, 
					city					= :city,
					areabanchi				= :areabanchi,
					tatemono				= :tatemono,
					paypal_email			= :paypal_email,
					e_mail2					= :e_mail2,
					tel_no					= :tel_no,
					tel_no2					= :tel_no2, 
					fax_no					= :fax_no, 
					seibetu					= :seibetu,
					job						= :job, 
					birthday				= :birthday,
					dsp_free1				= :dsp_free1,
					free1_input				= :free1_input,
					dsp_free2				= :dsp_free2,
					free2_input				= :free2_input,
					dsp_free3				= :dsp_free3,
					free3_input				= :free3_input,
					kessai					= :kessai,
					pswd					= :pswd,
					pswd_question1			= :pswd_question1, 
					pswd_question1_answer	= :pswd_question1_answer, 
					pswd_question2			= :pswd_question2,
					pswd_question2_answer	= :pswd_question2_answer, 
					firstdate_buy			= :firstdate_buy, 
					lastdate_buy			= :lastdate_buy, 
					konyukaisu				= :konyukaisu, 
					total_amount			= :total_amount,
					point					= :point,
					henpin_kaisu			= :henpin_kaisu,
					memo					= :memo, 
					mail_magazine			= :mail_magazine, 
					buy_input_send_status	= :buy_input_send_status,
					update_time				= :update_time
					where e_mail			= :e_mail";
		$stmt = $connshp->prepare($sql_tmp);
		$stmt->bindParam(":data_kbn", $data_kbn);
		$stmt->bindParam(":related_data_id", $related_data_id);
		$stmt->bindParam(":info_title", $info_title);
		$stmt->bindParam(":name", $name);
		$stmt->bindParam(":name_kana", $name_kana);
		$stmt->bindParam(":zipa", $zipa);
		$stmt->bindParam(":zipb", $zipb);
		$stmt->bindParam(":todofuken", $todofuken);
		$stmt->bindParam(":city", $city);
		$stmt->bindParam(":areabanchi", $areabanchi);
		$stmt->bindParam(":tatemono", $tatemono);
		$stmt->bindParam(":e_mail", $e_mail);
		$stmt->bindParam(":paypal_email", $paypal_email);
		$stmt->bindParam(":e_mail2", $e_mail2);
		$stmt->bindParam(":tel_no", $tel_no);
		$stmt->bindParam(":tel_no2", $tel_no2);
		$stmt->bindParam(":fax_no", $fax_no);
		$stmt->bindParam(":seibetu", $seibetu);
		$stmt->bindParam(":job", $job);
		$stmt->bindParam(":birthday", $birthday);
		$stmt->bindParam(":dsp_free1", $dsp_free1);
		$stmt->bindParam(":free1_input", $free1_input);
		$stmt->bindParam(":dsp_free2", $dsp_free2);
		$stmt->bindParam(":free2_input", $free2_input);
		$stmt->bindParam(":dsp_free3", $dsp_free3);
		$stmt->bindParam(":free3_input", $free3_input);
		$stmt->bindParam(":kessai", $kessai);
		$stmt->bindParam(":pswd", $pswd);
		$stmt->bindParam(":pswd_question1", $pswd_question1);
		$stmt->bindParam(":pswd_question1_answer", $pswd_question1_answer);
		$stmt->bindParam(":pswd_question2", $pswd_question2);
		$stmt->bindParam(":pswd_question2_answer", $pswd_question2_answer);
		$stmt->bindParam(":firstdate_buy", $firstdate_buy);
		$stmt->bindParam(":lastdate_buy", $lastdate_buy);
		$stmt->bindParam(":konyukaisu", $konyukaisu);
		$stmt->bindParam(":total_amount", $total_amount);
		$stmt->bindParam(":point", $point);
		$stmt->bindParam(":henpin_kaisu", $henpin_kaisu);
		$stmt->bindParam(":memo", $memo);
		$stmt->bindParam(":mail_magazine", $mail_magazine);
		$stmt->bindParam(":buy_input_send_status", $buy_input_send_status);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
}
//指定データの削除（顧客情報customer_info）（idで指定されたデータを削除）
function delete_customer_info($connshp, $id) {
    $sql_tmp = "DELETE FROM customer_info WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//データの追加（顧客購入履歴テーブル）
function insert_customer_buy_history($connshp, $order_info_id, $customer_info_id, $customer_id, $order_date, $buy_date) {
	$sql_tmp = "insert into customer_buy_history(order_info_id, customer_info_id, customer_id, order_date, buy_date, toroku_time, update_time)
							values(:order_info_id, :customer_info_id, :customer_id, :order_date, :buy_date, :toroku_time, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":order_info_id", $order_info_id);
	$stmt->bindParam(":customer_info_id", $customer_info_id);
	$stmt->bindParam(":customer_id", $customer_id);
	$stmt->bindParam(":order_date", $order_date);
	$stmt->bindParam(":buy_date", $buy_date);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$toroku_time	= $update_time;
	//$buy_date		= $toroku_time;
	
	$stmt->bindParam(":toroku_time", $toroku_time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（顧客購入履歴テーブル）
function update_customer_buy_history($connshp, $id, $order_info_id, $customer_info_id, $customer_id, $order_date, $buy_date) {
	$sql_tmp = "update customer_buy_history set 
					order_info_id		= :order_info_id,
					customer_info_id	= :customer_info_id,	 
					customer_id			= :customer_id,	 
					order_date			= :order_date,	 
					buy_date			= :buy_date, 
					update_time 		= :update_time
					where id			= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":order_info_id", $order_info_id);
	$stmt->bindParam(":customer_info_id", $customer_info_id);
	$stmt->bindParam(":customer_id", $customer_id);
	$stmt->bindParam(":order_date", $order_date);
	$stmt->bindParam(":buy_date", $buy_date);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの追加（受注情報テーブル）
function insert_order_info($connshp, $customer_info_id, $section_id, $cta_btn_no, $cta_proc_no, $order_id, $customer_id, $tesuryo, $use_point, $add_point, $wari_gaku, $syohizei, $keigenzei, $shipping, $total_price, $num_cart_items, $siharai_hoho, $renraku_jiko, $nyukin_status, $nyukin_date) {
	$sql_tmp = "insert into order_info(customer_info_id, section_id, cta_btn_no, cta_proc_no, order_id, customer_id, order_date, tesuryo, use_point, add_point, wari_gaku, syohizei, keigenzei, shipping, total_price, num_cart_items, siharai_hoho, renraku_jiko, nyukin_status, nyukin_date, toroku_time, update_time)
							values(:customer_info_id, :section_id, :cta_btn_no, :cta_proc_no, :order_id, :customer_id, :order_date, :tesuryo, :use_point, :add_point, :wari_gaku, :syohizei, :keigenzei, :shipping, :total_price, :num_cart_items, :siharai_hoho, :renraku_jiko, :nyukin_status, :nyukin_date, :toroku_time, :update_time)";
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$toroku_time	= $update_time;
	$order_date		= $toroku_time;

	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":customer_info_id", $customer_info_id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":cta_btn_no", $cta_btn_no);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":order_id", $order_id);
	$stmt->bindParam(":customer_id", $customer_id);
	$stmt->bindParam(":order_date", $order_date);
	$stmt->bindParam(":tesuryo", $tesuryo);
	$stmt->bindParam(":use_point", $use_point);
	$stmt->bindParam(":add_point", $add_point);
	$stmt->bindParam(":wari_gaku", $wari_gaku);
	$stmt->bindParam(":syohizei", $syohizei);
	$stmt->bindParam(":keigenzei", $keigenzei);
	$stmt->bindParam(":shipping", $shipping);
	$stmt->bindParam(":total_price", $total_price);
	$stmt->bindParam(":num_cart_items", $num_cart_items);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":renraku_jiko", $renraku_jiko);
	$stmt->bindParam(":nyukin_status", $nyukin_status);
	$stmt->bindParam(":nyukin_date", $nyukin_date);
	$stmt->bindParam(":toroku_time", $toroku_time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（受注情報テーブル）
function update_order_info($connshp, $id, $customer_info_id, $section_id, $cta_btn_no, $cta_proc_no, $order_id, $customer_id, $tesuryo, $use_point, $add_point, $wari_gaku, $syohizei, $keigenzei, $shipping, $total_price, $num_cart_items, $siharai_hoho, $renraku_jiko, $nyukin_status, $nyukin_date) {
	$sql_tmp = "update order_info set
					customer_info_id	= :customer_info_id,
					section_id			= :section_id,
					cta_btn_no			= :cta_btn_no,
					cta_proc_no			= :cta_proc_no,
					order_id			= :order_id,	 
					customer_id			= :customer_id,	 
					order_date			= :order_date, 
					tesuryo				= :tesuryo,	 
					use_point			= :use_point,	 
					add_point			= :add_point,
					wari_gaku			= :wari_gaku,
					syohizei			= :syohizei,
					keigenzei			= :keigenzei,
					shipping			= :shipping,
					total_price			= :total_price, 
					num_cart_items		= :num_cart_items, 
					siharai_hoho		= :siharai_hoho,
					renraku_jiko		= :renraku_jiko, 
					nyukin_status		= :nyukin_status,	 
					nyukin_date			= :nyukin_date,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":customer_info_id", $customer_info_id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":cta_btn_no", $cta_btn_no);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":order_id", $order_id);
	$stmt->bindParam(":customer_id", $customer_id);
	$stmt->bindParam(":order_date", $order_date);
	$stmt->bindParam(":tesuryo", $tesuryo);
	$stmt->bindParam(":use_point", $use_point);
	$stmt->bindParam(":add_point", $add_point);
	$stmt->bindParam(":wari_gaku", $wari_gaku);
	$stmt->bindParam(":syohizei", $syohizei);
	$stmt->bindParam(":keigenzei", $keigenzei);
	$stmt->bindParam(":shipping", $shipping);
	$stmt->bindParam(":total_price", $total_price);
	$stmt->bindParam(":num_cart_items", $num_cart_items);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":renraku_jiko", $renraku_jiko);
	$stmt->bindParam(":nyukin_status", $nyukin_status);
	$stmt->bindParam(":nyukin_date", $nyukin_date);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//データの追加（受注商品情報テーブル）
function insert_order_item_info($connshp, $order_info_id, $order_id, $cart_item_no, $catalog_id, $item_code, $item_name, $item_img_path, $opt_name, $opt_naiyo, $price, $suryo, $shipping, $tesuryo, $discount, $total_price, $uti_soto, $zei_kbn, $hattyu_suryo, $hattyu_date, $siire_suryo, $siire_date, $hasso_suryo, $hasso_date, $henpin_suryo, $henpin_renraku_date, $henpin_date) {
	$sql_tmp = "insert into order_item_info(order_info_id, order_id, cart_item_no, catalog_id, item_code, item_name, item_img_path, opt_name, opt_naiyo, price, suryo, shipping, tesuryo, discount, total_price, uti_soto, zei_kbn, hattyu_suryo, hattyu_date, siire_suryo, siire_date, hasso_suryo, hasso_date, henpin_suryo, henpin_renraku_date, henpin_date, juchu_date, update_time)
							values(:order_info_id, :order_id, :cart_item_no, :catalog_id, :item_code, :item_name, :item_img_path, :opt_name, :opt_naiyo, :price, :suryo, :shipping, :tesuryo, :discount, :total_price, :uti_soto, :zei_kbn, :hattyu_suryo, :hattyu_date, :siire_suryo, :siire_date, :hasso_suryo, :hasso_date, :henpin_suryo, :henpin_renraku_date, :henpin_date, :juchu_date, :update_time)";
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$juchu_date		= date('Y/m/d', $time);
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":order_info_id", $order_info_id);
	$stmt->bindParam(":order_id", $order_id);
	$stmt->bindParam(":cart_item_no", $cart_item_no);
	$stmt->bindParam(":catalog_id", $catalog_id);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":item_name", $item_name);
	$stmt->bindParam(":item_img_path", $item_img_path);
	$stmt->bindParam(":opt_name", $opt_name);
	$stmt->bindParam(":opt_naiyo", $opt_naiyo);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":suryo", $suryo);
	$stmt->bindParam(":shipping", $shipping);
	$stmt->bindParam(":tesuryo", $tesuryo);
	$stmt->bindParam(":discount", $discount);
	$stmt->bindParam(":total_price", $total_price);
	$stmt->bindParam(":uti_soto", $uti_soto);
	$stmt->bindParam(":zei_kbn", $zei_kbn);
	$stmt->bindParam(":hattyu_suryo", $hattyu_suryo);
	$stmt->bindParam(":hattyu_date", $hattyu_date);
	$stmt->bindParam(":siire_suryo", $siire_suryo);
	$stmt->bindParam(":siire_date", $siire_date);
	$stmt->bindParam(":hasso_suryo", $hasso_suryo);
	$stmt->bindParam(":hasso_date", $hasso_date);
	$stmt->bindParam(":henpin_suryo", $henpin_suryo);
	$stmt->bindParam(":henpin_renraku_date", $henpin_renraku_date);
	$stmt->bindParam(":henpin_date", $henpin_date);
	$stmt->bindParam(":juchu_date", $juchu_date);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（受注商品情報テーブル）
function update_order_item_info($connshp, $id, $order_info_id, $order_id, $cart_item_no, $catalog_id, $item_code, $item_name, $item_img_path, $opt_name, $opt_naiyo, $price, $suryo, $shipping, $tesuryo, $discount, $total_price, $uti_soto, $zei_kbn, $hattyu_suryo, $hattyu_date, $siire_suryo, $siire_date, $hasso_suryo, $hasso_date, $henpin_suryo, $henpin_renraku_date, $henpin_date) {
	$sql_tmp = "update order_item_info set 
					order_info_id		= :order_info_id,
					order_id			= :order_id,	
					cart_item_no 		= :cart_item_no,
					catalog_id			= :catalog_id,	 
					item_code			= :item_code,
					item_name			= :item_name,
					item_img_path		= :item_img_path, 
					opt_name			= :opt_name,	 
					opt_naiyo			= :opt_naiyo,	 
					price				= :price	 
					suryo				= :suryo,	 
					shipping			= :shipping,	 
					tesuryo				= :tesuryo,	 
					discount			= :discount,	 
					total_price			= :total_price,
					uti_soto			= :uti_soto,
					zei_kbn				= :zei_kbn,
					hattyu_suryo		= :hattyu_suryo, 
					hattyu_date			= :hattyu_date,
					siire_suryo			= :siire_suryo,
					siire_date			= :siire_date,
					hasso_suryo			= :hasso_suryo,
					hasso_date			= :hasso_date,	 
					henpin_suryo		= :henpin_suryo,	 
					henpin_renraku_date	= :henpin_renraku_date,	 
					henpin_date			= :henpin_date, 
					update_time 		= :update_time
					where id			= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":order_info_id", $order_info_id);
	$stmt->bindParam(":order_id", $order_id);
	$stmt->bindParam(":cart_item_no", $cart_item_no);
	$stmt->bindParam(":catalog_id", $catalog_id);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":item_name", $item_name);
	$stmt->bindParam(":item_img_path", $item_img_path);
	$stmt->bindParam(":opt_name", $opt_name);
	$stmt->bindParam(":opt_naiyo", $opt_naiyo);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":suryo", $suryo);
	$stmt->bindParam(":shipping", $shipping);
	$stmt->bindParam(":tesuryo", $tesuryo);
	$stmt->bindParam(":discount", $discount);
	$stmt->bindParam(":total_price", $total_price);
	$stmt->bindParam(":uti_soto", $uti_soto);
	$stmt->bindParam(":zei_kbn", $zei_kbn);
	$stmt->bindParam(":hattyu_suryo", $hattyu_suryo);
	$stmt->bindParam(":hattyu_date", $hattyu_date);
	$stmt->bindParam(":siire_suryo", $siire_suryo);
	$stmt->bindParam(":siire_date", $siire_date);
	$stmt->bindParam(":hasso_suryo", $hasso_suryo);
	$stmt->bindParam(":hasso_date", $hasso_date);
	$stmt->bindParam(":henpin_suryo", $henpin_suryo);
	$stmt->bindParam(":henpin_renraku_date", $henpin_renraku_date);
	$stmt->bindParam(":henpin_date", $henpin_date);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//データの追加（メール一斉送信済みデータテーブル）
function insert_mail_at_once_sent_data($connshp, $sent_mail_addresses, $title, $contents, $background_color, $sent_date) {
	$sql_tmp = "insert into mail_at_once_sent_data(sent_mail_addresses, title, contents, background_color, sent_date, update_time)
							values(:sent_mail_addresses, :title, :contents, :background_color, :sent_date, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":sent_mail_addresses", $sent_mail_addresses);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":background_color", $background_color);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$sent_date		= $update_time;
	$stmt->bindParam(":sent_date", $sent_date);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（メール一斉送信済みデータテーブル）
function update_mail_at_once_sent_data($connshp, $id, $sent_mail_addresses, $title, $contents, $background_color, $sent_date) {
	$sql_tmp = "update mail_at_once_sent_data set 
					sent_mail_addresses	= :sent_mail_addresses,
					title				= :title,	 
					contents			= :contents,
					background_color	= :background_color,	 
					sent_date			= :sent_date,	 
					update_time 		= :update_time
					where id			= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":sent_mail_addresses", $sent_mail_addresses);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":sent_date", $sent_date);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（メール一斉送信済みデータテーブル）（idで指定されたデータを削除）
function delete_mail_at_once_sent_data($connshp, $id) {
    $sql_tmp = "DELETE FROM mail_at_once_sent_data WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//データの追加（メール一斉送信予定アドレス）
function insert_mail_at_once_send_plan_address($connshp, $mail_address, $name, $name_kana) {
	$sql_tmp = "insert into mail_at_once_send_plan_address(mail_address, name, name_kana, update_time)
							values(:mail_address, :name, :name_kana, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":mail_address", $mail_address);
	$stmt->bindParam(":name", $name);
	$stmt->bindParam(":name_kana", $name_kana);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（メール一斉送信予定アドレス）
function update_mail_at_once_send_plan_address($connshp, $id, $mail_address, $name, $name_kana) {
	$sql_tmp = "update mail_at_once_send_plan_address set 
					mail_address	= :mail_address,
					name			= :name,	 
					name_kana		= :name_kana,
					update_time 	= :update_time
					where id		= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":mail_address", $mail_address);
	$stmt->bindParam(":name", $name);
	$stmt->bindParam(":name_kana", $name_kana);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//データの追加（メール一斉送信予定タイトル本文）
function insert_mail_at_once_send_plan_title_honbun($connshp, $title, $honbun) {
	$sql_tmp = "insert into mail_at_once_send_plan_title_honbun(title, honbun, update_time)
							values(:title, :honbun, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":honbun", $honbun);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（メール一斉送信予定タイトル本文）
function update_mail_at_once_send_plan_title_honbun($connshp, $id, $title, $honbun) {
	$sql_tmp = "update mail_at_once_send_plan_title_honbun set 
					title			= :title,
					honbun			= :honbun,	 
					update_time 	= :update_time
					where id		= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":honbun", $honbun);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//データの追加（メール一斉送信結果本文）
function insert_mail_at_once_sent_result_honbun($connshp, $title, $honbun) {
	$sql_tmp = "insert into mail_at_once_sent_result_honbun(title, honbun, update_time)
							values(:title, :honbun, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":honbun", $honbun);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（メール一斉送信結果本文）
function update_mail_at_once_sent_result_honbun($connshp, $id, $title, $honbun) {
	$sql_tmp = "update mail_at_once_sent_result_honbun set 
					title			= :title,
					honbun			= :honbun,	 
					update_time 	= :update_time
					where id		= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":honbun", $honbun);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//データの追加（メール一斉送信結果）
function insert_mail_at_once_sent_result($connshp, $result_honbun_id, $mail_address, $name, $name_kana, $title, $result) {
	$sql_tmp = "insert into mail_at_once_sent_result(result_honbun_id, mail_address, name, name_kana, title, result, update_time)
							values(:result_honbun_id, :mail_address, :name, :name_kana, :title, :result, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":result_honbun_id", $result_honbun_id);
	$stmt->bindParam(":mail_address", $mail_address);
	$stmt->bindParam(":name", $name);
	$stmt->bindParam(":name_kana", $name_kana);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":result", $result);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（メール一斉送信結果）
function update_mail_at_once_sent_result($connshp, $id, $result_honbun_id, $mail_address, $name, $name_kana, $title, $result) {
	$sql_tmp = "update mail_at_once_sent_result set 
					result_honbun_id	= :result_honbun_id,
					mail_address		= :mail_address,
					name				= :name,	 
					name_kana			= :name_kana,
					title				= :title,
					result				= :result,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":result_honbun_id", $result_honbun_id);
	$stmt->bindParam(":mail_address", $mail_address);
	$stmt->bindParam(":name", $name);
	$stmt->bindParam(":name_kana", $name_kana);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":result", $result);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//データの追加（メール一斉送信本文定型文）
function insert_mail_at_once_honbun_teikeibun($connshp, $orderno, $title, $honbun) {
	$sql_tmp = "insert into mail_at_once_honbun_teikeibun(orderno, title, honbun, update_time)
							values(:orderno, :title, :honbun, :update_time)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":honbun", $honbun);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connshp->lastInsertId();
	return $id;
}
//データの更新（メール一斉送信本文定型文）
function update_mail_at_once_honbun_teikeibun($connshp, $id, $orderno, $title, $honbun) {
	$sql_tmp = "update mail_at_once_honbun_teikeibun set 
					title			= :title,
					orderno			= :orderno,
					honbun			= :honbun,	 
					update_time 	= :update_time
					where id		= :id";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":honbun", $honbun);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（メール一斉送信本文定型文）（idで指定されたデータを削除）
function delete_mail_at_once_honbun_teikeibun($connshp, $id) {
    $sql_tmp = "DELETE FROM mail_at_once_honbun_teikeibun WHERE (id = :id)";
	$stmt = $connshp->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
/*************************************************************************************************************************/
// function 			：消費税テーブルと商品カタログデータから消費税が反映された価格（個別割引率適用後）を算出する。
// return				：課税で内税の場合は、消費税率を反映した価格。非課税または外税の場合は、商品カタログの価格そのまま
/*************************************************************************************************************************/
function price_set($connshp, $rowtx, $row, $today){
	// 適用する消費税率をセット
	if ($row["zei_kbn"] == 99) {		// 非課税
		$zei_rate = 0;
	}else
	if ($row["zei_kbn"] == 1) {			// 消費税１（通常消費税）課税
		if (($rowtx["new_tax_rate1_start_day"] <> NULL && $rowtx["new_tax_rate1_start_day"] <> "") && $today >= $rowtx["new_tax_rate1_start_day"]) {	// 新消費税適用日時に達していない場合
			// 新消費税適用日時に達している場合
			$zei_rate = $rowtx["new_tax_rate1"];
			// 消費税テーブルの消費税１を新消費税に置き換える。
			$sql_tmp = "update tax_tbl set
							tax_rate1				= :tax_rate1,
							new_tax_rate1			= :new_tax_rate1,
							new_tax_rate1_start_day	= :new_tax_rate1_start_day,
							new_tax_rate1_ref_day	= :new_tax_rate1_ref_day,
							update_time 			= :update_time
							where id				= :id";
			$new_tax_rate1 				= 0;
			$new_tax_rate1_start_day 	= NULL;
			$stmt = $connshp->prepare($sql_tmp);
			$stmt->bindParam(":id", $rowtx["id"]);
			$stmt->bindParam(":tax_rate1", $rowtx["new_tax_rate1"]);
			$stmt->bindParam(":new_tax_rate1", $new_tax_rate1);
			$stmt->bindParam(":new_tax_rate1_start_day", $new_tax_rate1_start_day);
			$stmt->bindParam(":new_tax_rate1_ref_day", $today);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else{
			$zei_rate = $rowtx["tax_rate1"];
		}
	}else
	if ($row["zei_kbn"] == 2) {			// 消費税２（軽減税）課税
		if (($rowtx["new_tax_rate2_start_day"] <> NULL && $rowtx["new_tax_rate2_start_day"] <> "") && $today >= $rowtx["new_tax_rate2_start_day"]) {	// 新消費税適用日時に達している場合
			// 新消費税適用日時に達している場合
			$zei_rate = $rowtx["new_tax_rate2"];
			// 消費税テーブルの消費税２（軽減税）を新消費税２（新軽減税）に置き換える。
			$sql_tmp = "update tax_tbl set
							tax_rate2				= :tax_rate2,
							new_tax_rate2			= :new_tax_rate2,
							new_tax_rate2_start_day	= :new_tax_rate2_start_day,
							new_tax_rate2_ref_day	= :new_tax_rate2_ref_day,
							update_time 			= :update_time
							where id				= :id";
			$new_tax_rate2 				= 0;
			$new_tax_rate2_start_day 	= NULL;
			$stmt = $connshp->prepare($sql_tmp);
			$stmt->bindParam(":id", $rowtx["id"]);
			$stmt->bindParam(":tax_rate2", $rowtx["new_tax_rate2"]);
			$stmt->bindParam(":new_tax_rate2", $new_tax_rate2);
			$stmt->bindParam(":new_tax_rate2_start_day", $new_tax_rate2_start_day);
			$stmt->bindParam(":new_tax_rate2_ref_day", $today);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else{
			$zei_rate = $rowtx["tax_rate2"];
		}
	}else{
		$zei_rate = 0;
	}
	// 適用する料金をセット
	if (($row["new_price_start_day"] <> NULL && $row["new_price_start_day"] <> "") && $today >= $row["new_price_start_day"]) {	// 新消費税適用日時に達してる場合
		// 新料金適用日時に達している場合
		$price = $row["new_price"];
		// 料金を新料金に置き換える。
		$sql_tmp = "update item_catalog set
						price					= :price,
						new_price				= :new_price,
						new_price_start_day		= :new_price_start_day,
						update_time 			= :update_time
						where id				= :id";
		$new_price 				= 0;				
		$new_price_start_day 	= NULL;				
		$stmt = $connshp->prepare($sql_tmp);
		$stmt->bindParam(":id", $row["id"]);
		$stmt->bindParam(":price", $row["new_price"]);
		$stmt->bindParam(":new_price", $new_price);
		$stmt->bindParam(":new_price_start_day", $new_price_start_day);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
	}else{
		$price = $row["price"];
	}
	// 個別割引率を適用
	if ($row["wari_rate"] <> NULL && $row["wari_rate"] <> "") $price = $price - floor($price*($row["wari_rate"]/100));
	// 料金に消費税額を加算する。（税込の場合）
	if ($rowtx["uti_soto"] == 1) {				// 内税の場合
		if ($rowtx["hasu"] == 1) {		// 切捨て
			$price = $price + floor($price * ($zei_rate/100));
		}else
		if ($rowtx["hasu"] == 2) {		// 四捨五入
			$price = $price + round($price * ($zei_rate/100));
		}else{							// 切上げ
			$price = $price + ceil($price * ($zei_rate/100));
		}
	}
	return $price;
}
/*************************************************************************************************************************/
// function 			：消費税テーブルと商品カタログデータから消費税が反映された価格（個別割引率適用前）を算出する。
// return				：課税で内税の場合は、消費税率を反映した価格。非課税または外税の場合は、商品カタログの価格そのまま
/*************************************************************************************************************************/
function pre_price_set($connshp, $rowtx, $row, $today){
	// 適用する消費税率をセット
	if ($row["zei_kbn"] == 99) {		// 非課税
		$zei_rate = 0;
	}else
	if ($row["zei_kbn"] == 1) {			// 消費税１（通常消費税）課税
		if (($rowtx["new_tax_rate1_start_day"] <> NULL && $rowtx["new_tax_rate1_start_day"] <> "") && $today >= $rowtx["new_tax_rate1_start_day"]) {	// 新消費税適用日時に達していない場合
			// 新消費税適用日時に達している場合
			$zei_rate = $rowtx["new_tax_rate1"];
		}else{
			$zei_rate = $rowtx["tax_rate1"];
		}
	}else
	if ($row["zei_kbn"] == 2) {			// 消費税２（軽減税）課税
		if (($rowtx["new_tax_rate2_start_day"] <> NULL && $rowtx["new_tax_rate2_start_day"] <> "") && $today >= $rowtx["new_tax_rate2_start_day"]) {	// 新消費税適用日時に達している場合
			// 新消費税適用日時に達している場合
			$zei_rate = $rowtx["new_tax_rate2"];
		}else{
			$zei_rate = $rowtx["tax_rate2"];
		}
	}else{
		$zei_rate = 0;
	}
	// 適用する料金をセット
	if (($row["new_price_start_day"] <> NULL && $row["new_price_start_day"] <> "") && $today >= $row["new_price_start_day"]) {	// 新消費税適用日時に達してる場合
		// 新料金適用日時に達している場合
		
		$price = $row["new_price"];
	}else{
		$price = $row["price"];
	}
	// 個別割引率を適用
	// 料金に消費税額を加算する。（税込の場合）
	if ($rowtx["uti_soto"] == 1) {				// 内税の場合
		if ($rowtx["hasu"] == 1) {		// 切捨て
			$price = $price + floor($price * ($zei_rate/100));
		}else
		if ($rowtx["hasu"] == 2) {		// 四捨五入
			$price = $price + round($price * ($zei_rate/100));
		}else{							// 切上げ
			$price = $price + ceil($price * ($zei_rate/100));
		}
	}
	return $price;
}
/*************************************************************************************************************************/
// function 			：消費税テーブルから商品個別の消費税額を算出する。
// $rowtx				：消費税テーブル
// $row					：商品カタログテーブル
// return				：消費税額
/*************************************************************************************************************************/
function tax_set($connshp, $rowtx, $row, $today){
	// 適用する消費税率をセット
	if ($row["zei_kbn"] == 99) {		// 非課税
		$zei_rate = 0;
	}else
	if ($row["zei_kbn"] == 1) {			// 消費税１（通常消費税）課税
		if (($rowtx["new_tax_rate1_start_day"] <> NULL && $rowtx["new_tax_rate1_start_day"] <> "") && $today >= $rowtx["new_tax_rate1_start_day"]) {	// 新消費税適用日時に達していない場合
			// 新消費税適用日時に達している場合
			$zei_rate = $rowtx["new_tax_rate1"];
			// 消費税テーブルの消費税１を新消費税に置き換える。
			$sql_tmp = "update tax_tbl set
							tax_rate1				= :tax_rate1,
							new_tax_rate1			= :new_tax_rate1,
							new_tax_rate1_start_day	= :new_tax_rate1_start_day,
							new_tax_rate1_ref_day	= :new_tax_rate1_ref_day,
							update_time 			= :update_time
							where id				= :id";
			$new_tax_rate1 				= 0;
			$new_tax_rate1_start_day 	= NULL;
			$stmt = $connshp->prepare($sql_tmp);
			$stmt->bindParam(":id", $rowtx["id"]);
			$stmt->bindParam(":tax_rate1", $rowtx["new_tax_rate1"]);
			$stmt->bindParam(":new_tax_rate1", $new_tax_rate1);
			$stmt->bindParam(":new_tax_rate1_start_day", $new_tax_rate1_start_day);
			$stmt->bindParam(":new_tax_rate1_ref_day", $today);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else{
			$zei_rate = $rowtx["tax_rate1"];
		}
	}else
	if ($row["zei_kbn"] == 2) {			// 消費税２（軽減税）課税
		if (($rowtx["new_tax_rate2_start_day"] <> NULL && $rowtx["new_tax_rate2_start_day"] <> "") && $today >= $rowtx["new_tax_rate2_start_day"]) {	// 新消費税適用日時に達している場合
			// 新消費税適用日時に達している場合
			$zei_rate = $rowtx["new_tax_rate2"];
			// 消費税テーブルの消費税１を新消費税に置き換える。
			$sql_tmp = "update tax_tbl set
							tax_rate2				= :tax_rate2,
							new_tax_rate2			= :new_tax_rate2,
							new_tax_rate2_start_day	= :new_tax_rate2_start_day,
							new_tax_rate2_ref_day	= :new_tax_rate2_ref_day,
							update_time 			= :update_time
							where id				= :id";
			$new_tax_rate2 				= 0;
			$new_tax_rate2_start_day 	= NULL;
			$stmt = $connshp->prepare($sql_tmp);
			$stmt->bindParam(":id", $rowtx["id"]);
			$stmt->bindParam(":tax_rate2", $rowtx["new_tax_rate2"]);
			$stmt->bindParam(":new_tax_rate2", $new_tax_rate2);
			$stmt->bindParam(":new_tax_rate2_start_day", $new_tax_rate2_start_day);
			$stmt->bindParam(":new_tax_rate2_ref_day", $today);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}else{
			$zei_rate = $rowtx["tax_rate2"];
		}
	}else{
		$zei_rate = 0;
	}
	// 適用する料金をセット
	if (($row["new_price_start_day"] <> NULL && $row["new_price_start_day"] <> "") && $today >= $row["new_price_start_day"]) {	// 新消費税適用日時に達してる場合
		// 新料金適用日時に達している場合
		$price = $row["new_price"];
		// 消費税テーブルの消費税１を新消費税に置き換える。
		$sql_tmp = "update item_catalog set
						price					= :price,
						new_price				= :new_price,
						new_price_start_day		= :new_price_start_day,
						update_time 			= :update_time
						where id				= :id";
		$new_price 				= 0;				
		$new_price_start_day 	= NULL;				
		$stmt = $connshp->prepare($sql_tmp);
		$stmt->bindParam(":id", $row["id"]);
		$stmt->bindParam(":price", $row["new_price"]);
		$stmt->bindParam(":new_price", $new_price);
		$stmt->bindParam(":new_price_start_day", $new_price_start_day);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
	}else{
		$price = $row["price"];
	}
	// 個別割引率を適用
	if ($row["wari_rate"] <> NULL && $row["wari_rate"] <> "") $price = $price - floor($price*($row["wari_rate"]/100));
	// 適用する税額をセット
	// 料金に消費税額を加算する。（税込の場合）
	if ($rowtx["hasu"] == 1) {		// 切捨て
		$tax = floor($price * ($zei_rate/100));
	}else
	if ($rowtx["hasu"] == 2) {		// 四捨五入
		$tax = round($price * ($zei_rate/100));
	}else{							// 切上げ
		$tax = ceil($price * ($zei_rate/100));
	}
	//echo '$tax='.$tax;		// test
	return $tax;
}
/*************************************************************************************************************************/
// function 			：消費税テーブルから合計価格の消費税額を算出する。
// $rowtx				：消費税テーブル
// $total_price			：商品カタログテーブル
// return				：消費税額
/*************************************************************************************************************************/
function total_tax_set($connshp, $rowtx, $zei_kbn, $total_price, $today){
	// 適用する消費税率をセット
	if ($zei_kbn == 99) {		// 非課税
		$zei_rate = 0;
	}else
	if ($zei_kbn == 1) {			// 消費税１（通常消費税）課税
		if (($rowtx["new_tax_rate1_start_day"] <> NULL && $rowtx["new_tax_rate1_start_day"] <> "") && $today >= $rowtx["new_tax_rate1_start_day"]) {	// 新消費税適用日時に達している場合
			// 新消費税適用日時に達している場合
			$zei_rate = $rowtx["new_tax_rate1"];
		}else{
			$zei_rate = $rowtx["tax_rate1"];
		}
	}else
	if ($zei_kbn == 2) {			// 消費税２（軽減税）課税
		if (($rowtx["new_tax_rate2_start_day"] <> NULL && $rowtx["new_tax_rate2_start_day"] <> "") && $today >= $rowtx["new_tax_rate2_start_day"]) {	// 軽減税適用日時に達している場合
			// 新消費税適用日時に達している場合
			$zei_rate = $rowtx["new_tax_rate2"];
		}else{
			$zei_rate = $rowtx["tax_rate2"];
		}
	}else{
		$zei_rate = 0;
	}
	// 適用する税額をセット
	if ($rowtx["hasu"] == 1) {		// 切捨て
		$tax = floor($total_price * ($zei_rate/100));
	}else
	if ($rowtx["hasu"] == 2) {		// 四捨五入
		$tax = round($total_price * ($zei_rate/100));
	}else{							// 切上げ
		$tax = ceil($total_price * ($zei_rate/100));
	}
	//echo '$tax='.$tax;		// test
	return $tax;
}
/*************************************************************************************************************************/
// function 			：現か新かを判定し、配送料テーブルのレコードＩＤをセットする。
// $mrow				：商品カタログ明細テーブル
// $today				：本日（yyyymmdd）
// return				：配送料テーブルのレコードＩＤ（０：配送料無料）
/*************************************************************************************************************************/
function shipping_tbl_id_set($mrow, $today){
	if (($mrow["new_shipping_start_day"] <> NULL && $mrow["new_shipping_start_day"] <> "") && $today >= $mrow["new_shipping_start_day"]) {	// 新適用配送料開始日に達している場合
		if ($mrow["new_shipping_none"] == 1) {
			$id = 0;
		}else{
			// 新適用配送料開始日に達している場合
			$id = $mrow["new_shipping_tbl_id"];
			// 商品カタログ明細テーブルの適用配送料テーブルＩＤを新適用配送料テーブルＩＤに置き換える。
			$sql_tmp = "update item_catalog_meisai set
							shipping_tbl_id			= :shipping_tbl_id,
							new_shipping_tbl_id		= :new_shipping_tbl_id,
							new_shipping_start_day	= :new_shipping_start_day,
							update_time 			= :update_time
							where id				= :id";
			$new_shipping_tbl_id 		= 0;
			$new_shipping_start_day 	= NULL;
			$stmt = $connshp->prepare($sql_tmp);
			$stmt->bindParam(":id", $mrow["id"]);
			$stmt->bindParam(":shipping_tbl_id", $mrow["new_shipping_tbl_id"]);
			$stmt->bindParam(":new_shipping_tbl_id", $new_shipping_tbl_id);
			$stmt->bindParam(":new_shipping_start_day", $new_shipping_start_day);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
		}
	}else{
		if ($mrow["shipping_none"] == 1) {
			$id = 0;
		}else{
			$id = $mrow["shipping_tbl_id"];
		}
	}
	return $id;
}
/*************************************************************************************************************************/
// function 			：配送料をセットする。
// $mrow				：商品カタログ明細テーブル
// $today				：本日（yyyymmdd）
// return				：配送料テーブルのレコードＩＤ（０：配送料無料）
/*************************************************************************************************************************/
function shipping_set($connshp, $todofuken, $shipping_tbl_id) {
	$srch["北海道"] = "hokkaido";
	$srch["青森県"] = "aomori";
	$srch["岩手県"] = "iwate";
	$srch["宮城県"] = "miyagi";
	$srch["秋田県"] = "akita";
	$srch["山形県"] = "yamagata";
	$srch["福島県"] = "fukushima";
	$srch["茨城県"] = "ibaraki";
	$srch["栃木県"] = "tochigi";
	$srch["群馬県"] = "gunma";
	$srch["埼玉県"] = "saitama";
	$srch["千葉県"] = "chiba";
	$srch["東京都"] = "tokyo";
	$srch["神奈川県"] = "kanagawa";
	$srch["新潟県"] = "niigata";
	$srch["富山県"] = "toyama";
	$srch["石川県"] = "ishikawa";
	$srch["福井県"] = "fukui";
	$srch["山梨県"] = "yamanashi";
	$srch["長野県"] = "nagano";
	$srch["岐阜県"] = "gifu";
	$srch["静岡県"] = "shizuoka";
	$srch["愛知県"] = "aichi";
	$srch["三重県"] = "mie";
	$srch["滋賀県"] = "shiga";
	$srch["京都府"] = "kyoto";
	$srch["大阪府"] = "osaka";
	$srch["兵庫県"] = "hyogo";
	$srch["奈良県"] = "nara";
	$srch["和歌山県"] = "wakayama";
	$srch["鳥取県"] = "tottori";
	$srch["島根県"] = "shimane";
	$srch["岡山県"] = "okayama";
	$srch["広島県"] = "hiroshima";
	$srch["山口県"] = "yamaguchi";
	$srch["徳島県"] = "tokushima";
	$srch["香川県"] = "kagawa";
	$srch["愛媛県"] = "ehime";
	$srch["高知県"] = "kochi";
	$srch["福岡県"] = "fukuoka";
	$srch["佐賀県"] = "saga";
	$srch["長崎県"] = "nagasaki";
	$srch["熊本県"] = "kumamoto";
	$srch["大分県"] = "oita";
	$srch["宮崎県"] = "miyazaki";
	$srch["鹿児島県"] = "kagoshima";
	$srch["沖縄県"] = "okinawa";
	
	$sql = "SELECT * FROM shipping_tbl where (id =".$shipping_tbl_id.")";
	$stmt = $connshp->prepare($sql);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	
	if ($row["shipping_kbn"] == 1) {
		$haisoryo = $row["zenkoku"];
	}else{
		$col_name = $srch[$todofuken];
		//echo '$col_name='.$col_name;
		$haisoryo = $row[$col_name];
		//echo '$haisoryo='.$haisoryo;
	}
	return $haisoryo;
}
/*************************************************************************************************************************/
// function 			：まとめ買い割引価格、割引額、割引率算出（価格による割引）。
// $matome_wari_kakaku　：割引対象価格
// $rowdis				：割引テーブル
// return				：配送料テーブルのレコードＩＤ（０：配送料無料）
/*************************************************************************************************************************/
function matome_wari_kakaku_set($total_kakaku, $kakaku, $rowdis){
	$matome_wari_kakaku = $kakaku;
	//echo 'func_$matome_wari_kakaku='.$matome_wari_kakaku;		// debug
	if ((($rowdis["matome_wari_price1"] > 0 && $rowdis["matome_wari_price2"] == 0) && ($total_kakaku >= $rowdis["matome_wari_price1"]))
		|| (($rowdis["matome_wari_price1"] > 0 && $rowdis["matome_wari_price2"] > 0) && ($total_kakaku >= $rowdis["matome_wari_price1"] && $total_kakaku < $rowdis["matome_wari_price2"]))) {
		// まとめ買い割引価格１適用
		//echo "まとめ買い割引価格１適用";		// debug
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_price_rate1"])/100);
		//echo 'func_$wari_gaku='.$wari_gaku;	// debug
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		//echo 'func_$matome_wari_kakaku2='.$matome_wari_kakaku;		// debug
		$wari_rate 				= $rowdis["matome_wari_price_rate1"];
	}else
	if((($rowdis["matome_wari_price2"] > 0 && $rowdis["matome_wari_price3"] == 0) && ($total_kakaku >= $rowdis["matome_wari_price2"]))
		|| (($rowdis["matome_wari_price2"] > 0 && $rowdis["matome_wari_price3"] > 0) && ($total_kakaku >= $rowdis["matome_wari_price2"] && $total_kakaku < $rowdis["matome_wari_price3"]))) {
		// まとめ買い割引価格２適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_price_rate2"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_price_rate2"];
	}else
	if((($rowdis["matome_wari_price3"] > 0 && $rowdis["matome_wari_price4"] == 0) && ($total_kakaku >= $rowdis["matome_wari_price3"]))
		|| (($rowdis["matome_wari_price3"] > 0 && $rowdis["matome_wari_price4"] > 0) && ($total_kakaku >= $rowdis["matome_wari_price3"] && $total_kakaku < $rowdis["matome_wari_price4"]))) {
		// まとめ買い割引価格３適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_price_rate3"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_price_rate3"];
	}else
	if((($rowdis["matome_wari_price4"] > 0 && $rowdis["matome_wari_price5"] == 0) && ($total_kakaku >= $rowdis["matome_wari_price4"]))
		|| (($rowdis["matome_wari_price4"] > 0 && $rowdis["matome_wari_price4"] > 5) && ($total_kakaku >= $rowdis["matome_wari_price4"] && $total_kakaku < $rowdis["matome_wari_price5"]))) {
		// まとめ買い割引価格４適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_price_rate4"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_price_rate4"];
	}else
	if(($rowdis["matome_wari_price5"] > 0) && ($total_kakaku >= $rowdis["matome_wari_price5"])) {
		// まとめ買い割引価格５適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_price_rate5"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_price_rate5"];
	}
	$matome_wari["wari_gaku"] 	= $wari_gaku;
	$matome_wari["kakaku"] 		= $matome_wari_kakaku;
	$matome_wari["rate"] 		= $wari_rate;
	return $matome_wari;
}
/*************************************************************************************************************************/
// function 			：まとめ買い割引価格、割引額、割引率算出（数量による割引）。
// $matome_wari_kakaku　：割引対象価格
// $rowdis				：割引テーブル
// return				：配送料テーブルのレコードＩＤ（０：配送料無料）
/*************************************************************************************************************************/
function suryo_matome_wari_kakaku_set($total_suryo, $kakaku, $rowdis){
	$matome_wari_kakaku = $kakaku;
	if ((($rowdis["matome_wari_kosu1"] > 0 && $rowdis["matome_wari_kosu2"] == 0) && ($total_suryo >= $rowdis["matome_wari_kosu1"]))
		|| (($rowdis["matome_wari_kosu1"] > 0 && $rowdis["matome_wari_kosu2"] > 0) && ($total_suryo >= $rowdis["matome_wari_kosu1"] && $total_suryo < $rowdis["matome_wari_kosu2"]))) {
		//まとめ買い割引価格１適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_kosu_rate1"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_kosu_rate1"];
	}else
	if((($rowdis["matome_wari_kosu2"] > 0 && $rowdis["matome_wari_kosu3"] == 0) && ($total_suryo >= $rowdis["matome_wari_kosu2"]))
		|| (($rowdis["matome_wari_kosu2"] > 0 && $rowdis["matome_wari_kosu3"] > 0) && ($total_suryo >= $rowdis["matome_wari_kosu2"] && $total_suryo < $rowdis["matome_wari_kosu3"]))) {
		// まとめ買い割引価格２適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_kosu_rate2"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_kosu_rate2"];
	}else
	if((($rowdis["matome_wari_kosu3"] > 0 && $rowdis["matome_wari_kosu4"] == 0) && ($total_suryo >= $rowdis["matome_wari_kosu3"]))
		|| (($rowdis["matome_wari_kosu3"] > 0 && $rowdis["matome_wari_kosu4"] > 0) && ($total_suryo >= $rowdis["matome_wari_kosu3"] && $total_suryo < $rowdis["matome_wari_kosu4"]))) {
		// まとめ買い割引価格３適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_kosu_rate3"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_kosu_rate3"];
	}else
	if((($rowdis["matome_wari_kosu4"] > 0 && $rowdis["matome_wari_kosu5"] == 0) && ($total_suryo >= $rowdis["matome_wari_kosu4"]))
		|| (($rowdis["matome_wari_kosu4"] > 0 && $rowdis["matome_wari_kosu4"] > 5) && ($total_suryo >= $rowdis["matome_wari_kosu4"] && $total_suryo < $rowdis["matome_wari_kosu5"]))) {
		// まとめ買い割引価格４適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_kosu_rate4"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_kosu_rate4"];
	}else
	if(($rowdis["matome_wari_kosu5"] > 0) && ($total_suryo >= $rowdis["matome_wari_kosu5"])) {
		// まとめ買い割引価格５適用
		$wari_gaku 				= floor(($matome_wari_kakaku * $rowdis["matome_wari_kosu_rate5"])/100);
		$matome_wari_kakaku 	= $matome_wari_kakaku - $wari_gaku;
		$wari_rate 				= $rowdis["matome_wari_kosu_rate5"];
	}
	$matome_wari["wari_gaku"] 	= $wari_gaku;
	$matome_wari["kakaku"] 		= $matome_wari_kakaku;
	$matome_wari["rate"] 		= $wari_rate;
	return $matome_wari;
}
/*************************************************************************************************************************/
// function 					：まとめ買い価格・数量により送料が無料になるか判定する。
// $matome_no_shippin_kakaku　	：まとめ買い価格
// matome_no_shippin_suryo		：まとめ買い数量
// $rowdis						：割引テーブル
// return						：true or false
/*************************************************************************************************************************/
function shipping_muryo($matome_no_shippin_kakaku, $matome_no_shippin_suryo, $rowdis){
	if (($matome_no_shippin_kakaku >= $rowdis["no_shipping_price"]) && ($rowdis["no_shipping_price"] <> NULL && $rowdis["no_shipping_price"] <> "" && $rowdis["no_shipping_price"] <> 0) || 
		($matome_no_shippin_suryo >= $rowdis["no_shipping_kosu"]) && ($rowdis["no_shipping_kosu"] <> NULL && $rowdis["no_shipping_kosu"] <> "" && $rowdis["no_shipping_kosu"] <> 0) ) {
		return true;
	}else{
		return false;
	}
}
?>
