<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set('memory_limit', '256M');
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	include '../src/function_cms2.php';
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>画像確認</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<body>
<?php
	// ファイル名の取り出し
	$file_name = $_FILES['filename']['name'];
	if ($file_name == null){
		if ($_GET["proc"] == "upd") {				// 修正（編集エリアでダブルクリック（又は右クリック）された場合）
			// 確認エリアに表示するときのパスの先頭3文字は常に「../」になるようにする。
			if (substr($_SESSION['editor_page_upload_name'],0,3) == "../") {
				$upload_name			= $_SESSION['editor_page_upload_name'];
			}else{
				$upload_name			= "../".$_SESSION['editor_page_upload_name'];
			}
			if ($_GET["init"]) {
				echo '<img src="'.$upload_name.'" width="'.$_SESSION['width'].'" height="'.$_SESSION['height'].'">';
				echo '<input type="hidden" id="src" value="'.$upload_name.'">';
				echo '<input type="hidden" id="percent" value="'.$_SESSION['percent'].'">';
				echo '<input type="hidden" id="width" value="'.$_SESSION['width'].'">';
				echo '<input type="hidden" id="height" value="'.$_SESSION['height'].'">';
				echo '</body>';
				echo '</html>';
				exit;
			}else{										//　修正（編集エリアでダブルクリック（又は右クリック）された場合）で「ファイル選択」せずに【確認】ボタンがクリックされた場合
			
				$image_size = getimagesize($upload_name);
				$width 	= $image_size[0];
				$height = $image_size[1];
				$w_max 		= 1440;
				$h_max 		= 960;
				$w_max_dsp 	= $_SESSION["area_width"];
				$h_max_dsp 	= 1440;
				if ($width > $w_max) {
					$after_width = $w_max;
					$after_height = round($height * $after_width/$width);
				}else{
					$after_width  = $width;
					$after_height = $height;
				}
				$after_width_dsp 	= $w_max_dsp;
				$after_height_dsp 	= round($after_height * $after_width_dsp/$after_width);
				$after_width_dsp 	= round(($after_width_dsp * $_POST["size_percent"])/100, 0, PHP_ROUND_HALF_DOWN);
				$after_height_dsp 	= round(($after_height_dsp * $_POST["size_percent"])/100, 0, PHP_ROUND_HALF_DOWN);
				echo '<img src="'.$upload_name.'" width="'.$after_width_dsp.'" height="'.$after_height_dsp.'">';
				echo '<input type="hidden" id="src" value="'.$upload_name.'">';
				echo '<input type="hidden" id="percent" value="'.$_POST['size_percent'].'">';
				echo '<input type="hidden" id="width" value="'.$after_width_dsp.'">';
				echo '<input type="hidden" id="height" value="'.$after_height_dsp.'">';
				echo '</body>';
				echo '</html>';
				exit;
			}
		}else{
			if (!$_GET["init"]) {
				echo '<span style="color:#FF3333;">画像ファイルが選択されていません。<br>';
				echo '２. ［ファイルを選択］（または［参照］）をクリックしてパソコンの画像ファイルを選択してください。</span>';
			}
			echo '</body>';
			echo '</html>';
			exit;
		}
	}
	$file_type = $_FILES['filename']['type'];
	$temp_name = $_FILES['filename']['tmp_name'];
	$rotate = $_POST["rotate"];
	
	$time 			= time();
	$now_time 	= date('YmdHis', $time);
	$file_name_arry = explode(".", $file_name);
	
	if ($_SESSION["img_using_table_name_col_id"] <> NULL) {
		$img_using_table_name_col_id = $_SESSION["img_using_table_name_col_id"];
	}else{
		$img_using_table_name_col_id = "img_using_table_name_col_id";
	}
	// パスを設定
	$upload_name 				= "../data/uploads/".$img_using_table_name_col_id."_". $now_time . "." . $file_name_arry[1];
	//$editor_page_upload_name 	= $pre_path."data/uploads/".$img_using_table_name_col_id."_". $now_time . "." . $file_name_arry[1];

	if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') || 
	    ($file_type == 'image/png')  || ($file_type == 'image/x-png')   ||
	    ($file_type == 'image/gif')) {	
	   	$image_size = getimagesize($temp_name);
		$width 	= $image_size[0];
		$height = $image_size[1];
		if (!(($rotate == 90) || ($rotate == 270))) {
			$w_max 		= 960;
			$h_max 		= 1440;
			$w_max_dsp 	= $_SESSION["area_width"];
			$h_max_dsp 	= 1440;
		}else{
			$w_max 		= 1440;
			$h_max 		= 960;
			$w_max_dsp 	= $_SESSION["area_width"];
			$h_max_dsp 	= 1440;
		}
		if ($width > $w_max) {
		  	$after_width = $w_max;
		  	$after_height = round($height * $after_width/$width);
		}else{
		  	$after_width  = $width;
		  	$after_height = $height;
		}
	    if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') ) {
	    	$source = imagecreatefromjpeg($temp_name);
	    	$resize_img = imagecreatetruecolor($after_width, $after_height);
	    	imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			if (!($rotate == 0)) {
				$after_img = imagerotate($resize_img, $rotate, 0);
			} else {
				$after_img = $resize_img;
			}
			imagejpeg($after_img,$upload_name);
			imagedestroy($source);

		} elseif (($file_type == 'image/png')  || ($file_type == 'image/x-png')){
	    	$source = imagecreatefrompng($temp_name);
	    	$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
	    	imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			if (!($rotate == 0)) {
				$after_img = imagerotate($resize_img, $rotate, 0);
			} else {
				$after_img = $resize_img;
			}
			imagepng($after_img,$upload_name);
			imagedestroy($source);

		} else {
	    	$source = imagecreatefromgif($temp_name);
	    	$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagecolortransparent ($resize_img, $bg_color);
	    	imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			if (!($rotate == 0)) {
				$after_img = imagerotate($resize_img, $rotate, 0);
			} else {
				$after_img = $resize_img;
			}
			imagegif($after_img,$upload_name);
			imagedestroy($source);
		}
	    	    
	} else {
		echo '<span style="color:#FF3333;">JPEG、PNG、GIF形式の画像を選択してください。</span>';
		echo '</body>';
		echo '</html>';
		exit;
	}
	if (($rotate == 90) || ($rotate == 270)) {
		$w_after_width 		= $after_width;
		$after_width 		= $after_height;
		$after_height 		= $w_after_width;
 	}

$after_width_dsp = $w_max_dsp;
$after_height_dsp = round($after_height * $after_width_dsp/$after_width);
$after_width_dsp 	= round(($after_width_dsp * $_POST["size_percent"])/100, 0, PHP_ROUND_HALF_DOWN);
$after_height_dsp 	= round(($after_height_dsp * $_POST["size_percent"])/100, 0, PHP_ROUND_HALF_DOWN);
echo '<img src="'.$upload_name.'" width="'.$after_width_dsp.'" height="'.$after_height_dsp.'">';
?>
<!--<input type="hidden" id="src" value="<?php// echo $editor_page_upload_name; ?>">-->
<input type="hidden" id="src" value="<?php echo $upload_name; ?>">
<input type="hidden" id="percent" value="<?php echo $_POST["size_percent"]; ?>">
<input type="hidden" id="width" value="<?php echo $after_width_dsp; ?>">
<input type="hidden" id="height" value="<?php echo $after_height_dsp; ?>">
<input type="hidden" id="file_type" value="<?php echo $file_type; ?>">
</body>
</html>
