<?php
// データベースの初期設定(SQLite)
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
function init_sqlite() {
	// DB接続
	include 'function_parts_db_connect.php';
    // 全体デザイン設定テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS design_set (
				id 									INTEGER PRIMARY KEY AUTOINCREMENT,
				header_form 						INTEGER,
				header_color						INTEGER,
				header_color_no						INTEGER,
				header_img_file						TEXT,
				header_img_dsp_form					INTEGER,
				menu_btn_color						INTEGER,
				menu_btn_design		 				INTEGER,
				menu_btn_img_file_on				TEXT,
				menu_btn_img_file_off				TEXT,
				menu_btn_line_color_no				TEXT,
				menu_btn_font_color_no_on			TEXT,
				menu_btn_font_color_no_off			TEXT,
				menu_btn_under_font_color_no_on		TEXT,
				menu_btn_under_font_color_no_off	TEXT,
				menu_btn_font_bold					INTEGER,
				menu_btn_font_size					INTEGER,
				menu_btn_font_family				INTEGER,
				side_btn_form						INTEGER,
				side_btn_color 						INTEGER,
				side_btn_design		 				INTEGER,
				side_btn_img_file_on				TEXT,
				side_btn_img_file_off				TEXT,
				side_btn_img_file_plus_on			TEXT,
				side_btn_img_file_plus_off			TEXT,
				side_btn_img_file_minus				TEXT,
				side_under_btn_img_file_on			TEXT,
				side_under_btn_img_file_off			TEXT,
				side_btn_font_color_no_on			TEXT,
				side_btn_font_color_no_off			TEXT,
				side_under_btn_font_color_no_on		TEXT,
				side_under_btn_font_color_no_off	TEXT,
				side_btn_font_bold					INTEGER,
				side_btn_font_size					INTEGER,
				side_btn_font_family				INTEGER,
				side_background_color				INTEGER,
				side_background_color_no			TEXT,
				footer_form							INTEGER,
				footer_color						INTEGER,
				footer_color_no						TEXT,
				footer_font_color_no				TEXT,
				index_news_color					INTEGER,
				index_blog_color					INTEGER,
				update_time 						TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // コンテンツページデザイン設定テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_design_set2 (
				id 									INTEGER PRIMARY KEY AUTOINCREMENT,
				menu_kbn							INTEGER,
				btn_id								INTEGER,
				page_id								INTEGER,
				header_form 						INTEGER,
				header_color						INTEGER,
				header_color_no						INTEGER,
				header_img_file						TEXT,
				header_img_dsp_form					INTEGER,
				menu_btn_color						INTEGER,
				menu_btn_design		 				INTEGER,
				menu_btn_img_file_on				TEXT,
				menu_btn_img_file_off				TEXT,
				menu_btn_line_color_no				TEXT,
				menu_btn_font_color_no_on			TEXT,
				menu_btn_font_color_no_off			TEXT,
				menu_btn_under_font_color_no_on		TEXT,
				menu_btn_under_font_color_no_off	TEXT,
				menu_btn_font_bold					INTEGER,
				menu_btn_font_size					INTEGER,
				menu_btn_font_family				INTEGER,
				side_btn_form						INTEGER,
				side_btn_color 						INTEGER,
				side_btn_design		 				INTEGER,
				side_btn_img_file_on				TEXT,
				side_btn_img_file_off				TEXT,
				side_btn_img_file_plus_on			TEXT,
				side_btn_img_file_plus_off			TEXT,
				side_btn_img_file_minus				TEXT,
				side_under_btn_img_file_on			TEXT,
				side_under_btn_img_file_off			TEXT,
				side_btn_font_color_no_on			TEXT,
				side_btn_font_color_no_off			TEXT,
				side_under_btn_font_color_no_on		TEXT,
				side_under_btn_font_color_no_off	TEXT,
				side_btn_font_bold					INTEGER,
				side_btn_font_size					INTEGER,
				side_btn_font_family				INTEGER,
				side_background_color				INTEGER,
				side_background_color_no			TEXT,
				footer_form							INTEGER,
				footer_color						INTEGER,
				footer_color_no						TEXT,
				footer_font_color_no				TEXT,
				index_news_color					INTEGER,
				index_blog_color					INTEGER,
				update_time 						TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_design_set2 on contents_design_set2 (menu_kbn)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_design_set2 on contents_design_set2 (btn_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_contents_design_set2 on contents_design_set2 (page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // index_layoutテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS index_layout (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				menubutton_umu 			INTEGER,
				menubutton_pos			INTEGER,
				slide1_umu 				INTEGER,
				slide2_umu 				INTEGER,
				side_menubutton_umu 	INTEGER,
				side_menubutton_pos		INTEGER,
				sidemenu_left_table		TEXT,
				conents_title_umu 		INTEGER,
				conents_umu				INTEGER,
				update_time 	TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // コンテンツページレイアウトテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_layout (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				menu_kbn				INTEGER,
				btn_id					INTEGER,
				menubutton_umu 			INTEGER,
				menubutton_pos			INTEGER,
				slide1_umu 				INTEGER,
				slide2_umu 				INTEGER,
				side_menubutton_umu 	INTEGER,
				side_menubutton_pos		INTEGER,
				sidemenu_left_table		TEXT,
				conents_title_umu 		INTEGER,
				conents_umu				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_contents_layout on contents_layout (btn_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // サイドコントロールテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS side_ctrl (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				menu_kbn				INTEGER,
				btn_id					INTEGER,
				side_menubutton_pos		INTEGER,
				blog_title_pos			INTEGER,
				news_title_pos			INTEGER,
				item_ranking_pos		INTEGER,
				side_free_page_pos		INTEGER,
				side_free_contents_pos	INTEGER,
				sns_btn_pos				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_side_ctrl on side_ctrl (btn_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_side_ctrl on side_ctrl (menu_kbn, btn_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // サイド表示順序テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS side_order (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				side_ctrl_id			INTEGER,
				menu_kbn				INTEGER,
				btn_id					INTEGER,
				pos						INTEGER,
				order_no				INTEGER,
				taisho					INTEGER,
				blog_page_id			INTEGER,
				news_page_id			INTEGER,
				option_page_id			INTEGER,
				option_contents_id		INTEGER,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_side_order on side_order (side_ctrl_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_side_order on side_order (menu_kbn, btn_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // サイド表示sns_ogp用dataテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS sns_ogp_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				menu_kbn				INTEGER,
				btn_id					INTEGER,
				page_id					INTEGER,
				data_id					INTEGER,
				side_order_id			INTEGER,
				ogp_title				TEXT,
				ogp_img					TEXT,
				ogp_description			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_sns_ogp_data on sns_ogp_data (side_order_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // トップページSNSボタン(top_page_sns_btn)テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS top_page_sns_btn (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				top_dsp_kbn				INTEGER,
				bottom_dsp_kbn			INTEGER,
				sns_btn_kbn				INTEGER,
				ogp_site_name			TEXT,
				ogp_title				TEXT,
				ogp_img					TEXT,
				ogp_description			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // ヘッダーテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS header_tbl (
				id 					INTEGER PRIMARY KEY AUTOINCREMENT,
				logoimg_url			TEXT,
				logoname			TEXT,
				logo_padding_top	INTEGER,
				logo_padding_left	INTEGER,
				header_text			TEXT,
				text_padding_top	INTEGER,
				text_padding_left	INTEGER,
				update_time 		TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // コンテンツヘッダーテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_header_tbl (
				id 					INTEGER PRIMARY KEY AUTOINCREMENT,
				menu_kbn				INTEGER,
				btn_id					INTEGER,
				page_id					INTEGER,
				logoimg_url				TEXT,
				logoname				TEXT,
				logo_padding_top		INTEGER,
				logo_padding_left		INTEGER,
				upper_text				TEXT,
				upper_text_padding_top	INTEGER,
				upper_text_padding_left	INTEGER,
				upper_text_width		INTEGER,
				upper_text_height		INTEGER,
				header_text				TEXT,
				text_padding_top		INTEGER,
				text_padding_left		INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_header_tbl on contents_header_tbl (menu_kbn)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_header_tbl on contents_header_tbl (btn_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_contents_header_tbl on contents_header_tbl (page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // メニューボタンテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS menubutton (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				orderno					INTEGER NOT NULL,
				kanjieiji_2dankbn		INTEGER NOT NULL,
				button_kanjiname		TEXT,
				button_eijiname			TEXT,
				contents_page_ctrl_id	INTEGER,
				display_flg				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_menubutton on menubutton (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // サイドメニューボタンテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS side_menubutton (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				orderno					INTEGER NOT NULL,
				button_name				TEXT,
				contents_page_ctrl_id	INTEGER,
				display_flg				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_side_menubutton on side_menubutton (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // サイドメニューアンダーボタンテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS side_menu_underbutton (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				side_menubutton_id		INTEGER NOT NULL,
				orderno					INTEGER NOT NULL,
				button_name				TEXT,
				contents_page_ctrl_id	INTEGER,
				display_flg				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_side_menu_underbutton on side_menu_underbutton (side_menubutton_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // サイド任意ページボタンテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS side_free_button (
				id 							INTEGER PRIMARY KEY AUTOINCREMENT,
				side_ctrl_id				INTEGER,
				side_order_id				INTEGER,
				menu_kbn					INTEGER,
				btn_id						INTEGER,
				data_kbn					INTEGER,
				order_no					INTEGER,
				button_name					TEXT,
				link_contents_page_ctrl_id	INTEGER,
				link_menu_kbn				INTEGER,
				link_btn_id					INTEGER,
				link_data_id				INTEGER,
				back_img					TEXT,
				contents					INTEGER,
				update_time 				TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_side_menubutton on side_menubutton (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				orderno					INTEGER NOT NULL,
				section_form			INTEGER,
				margin_top				INTEGER,
				section_bk_color		TEXT,
				section_border_width	INTEGER,
				section_border_style	TEXT,
				section_border_color	TEXT,
				section_title			TEXT,
				title_padding_top		INTEGER,
				padding_left			INTEGER,
				padding_top				INTEGER,
				padding_right			INTEGER,
				padding_bottom			INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				title_area_height		INTEGER,
				dsp_form				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section on section (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションbox表示順序管理テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_box_orderno_mng (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				section_id				INTEGER NOT NULL,
				box_orderno				INTEGER,
				data_kbn				INTEGER,
				data_id					INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_box_orderno_mng on section_box_orderno_mng (section_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_section_box_orderno_mng on section_box_orderno_mng (box_orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_section_box_orderno_mng on section_box_orderno_mng (data_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションＰＣテキストデータが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_pc_text_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				section_id				INTEGER NOT NULL,
				box_orderno				INTEGER,
				orderno					INTEGER NOT NULL,
				contents				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_pc_text_data on section_pc_text_data (section_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_section_pc_text_data on section_pc_text_data (box_orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_section_pc_text_data on section_pc_text_data (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションＰＣテキストデータが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_pc_text_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				section_id				INTEGER NOT NULL,
				box_orderno				INTEGER,
				orderno					INTEGER NOT NULL,
				contents				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_pc_text_data on section_pc_text_data (section_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_section_pc_text_data on section_pc_text_data (box_orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_section_pc_text_data on section_pc_text_data (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションテキストデータが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_text_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				section_id				INTEGER NOT NULL,
				box_orderno				INTEGER,
				orderno					INTEGER NOT NULL,
				text_contents			TEXT,
				font_size				INTEGER,
				font_color				TEXT,
				background_color		TEXT,
				font_weight				TEXT,
				text_decoration			INTEGER,
				font_family				INTEGER,
				link_umu				INTEGER,
				link_url				TEXT,
				link_page_title			TEXT,
				link_page_open_way		INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_text_data on section_text_data (section_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_section_text_data on section_text_data (box_orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_section_text_data on section_text_data (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクション画像データが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_img_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				section_id				INTEGER NOT NULL,
				box_orderno				INTEGER,
				left_light_pos			INTEGER,
				img_file				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_img_data on section_img_data (section_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_section_img_data on section_img_data (box_orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションＣＴＡデータが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_cta_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				section_id				INTEGER NOT NULL,
				cta_btn_img_no			INTEGER,
				cta_btn_img_file		TEXT,
				botton_name				TEXT,
				font_size				INTEGER,
				font_color				TEXT,
				font_weight				TEXT,
				text_decoration			INTEGER,
				font_family				INTEGER,
				letter_spacing			INTEGER,
				section_left			INTEGER,
				section_top				INTEGER,
				section_bottom			INTEGER,
				botton_left				INTEGER,
				botton_top				INTEGER,
				botton_bottom			INTEGER,
				cta_syurui				INTEGER,
				cta_proc_data_id		INTEGER,
				sitei_page_url			TEXT,
				page_open_way			INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_cta_data on section_cta_data (section_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_section_cta_data on section_cta_data (cta_proc_data_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションＣＴＡカウントダウンタイマーが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_cta_count_down_timer (
				id 								INTEGER PRIMARY KEY AUTOINCREMENT,
				section_id						INTEGER NOT NULL,
				section_cta_data_id				INTEGER NOT NULL,
				title_top						TEXT,
				title_left						TEXT,
				title_right						TEXT,
				complete_time					TEXT,
				title_font_size					INTEGER,
				timer_font_size			INTEGER,
				title_color						TEXT,
				timer_color				TEXT,
				title_background_color			TEXT,
				timer_background_color	TEXT,
				erea_border_width				INTEGER,
				erea_border_style				TEXT,
				erea_border_color				TEXT,
				update_time 					TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_cta_count_down_timer on section_cta_count_down_timer (section_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_section_cta_count_down_timer on section_cta_count_down_timer (section_cta_data_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションＣＴＡ完了データが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_cta_complete_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				section_id				INTEGER NOT NULL,
				section_cta_data_id		INTEGER NOT NULL,
				contents				TEXT,
				background_kbn			INTEGER,
				background_color		TEXT,
				background_img			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_cta_complete_data on section_cta_complete_data (section_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_section_cta_complete_data on section_cta_complete_data (section_cta_data_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションＣＴＡ処理データが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_cta_proc_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				cta_proc_no				INTEGE,
				sohu_address_title		TEXT,
				dsp_name				TEXT,
				name_hissu				INTEGER,
				name_sample				TEXT,
				dsp_name_kana			TEXT,
				name_kana_hissu			INTEGER,
				name_kana_sample		TEXT,
				dsp_yubin_no			TEXT,
				yubin_no_hissu			INTEGER,
				yubin_no_sample			TEXT,
				dsp_todohuken			TEXT,
				todohuken_hissu			INTEGER,
				todohuken_sample		TEXT,
				dsp_city				TEXT,
				city_hissu				INTEGER,
				city_sample				TEXT,
				dsp_areabanchi			TEXT,
				areabanchi_hissu		INTEGER,
				areabanchi_sample		TEXT,
				dsp_tatemono			TEXT,
				tatemono_hissu			INTEGER,
				tatemono_sample			TEXT,
				dsp_e_mail				TEXT,
				e_mail_hissu			INTEGER,
				e_mail_sample			TEXT,
				dsp_tel_no			 	TEXT,
				tel_no_hissu		 	INTEGER,
				tel_no_sample		 	TEXT,
				dsp_seinengappi		 	TEXT,
				seinengappi_hissu	 	INTEGER,
				seinengappi_sample	 	TEXT,
				dsp_seibetu			 	TEXT,
				seibetu_hissu		 	INTEGER,
				seibetu_sample		 	TEXT,
				dsp_free1			 	TEXT,
				free1_hissu			 	INTEGER,
				free1_sample		 	TEXT,
				dsp_free2			 	TEXT,
				free2_hissu			 	INTEGER,
				free2_sample		 	TEXT,
				dsp_free3			 	TEXT,
				free3_hissu			 	INTEGER,
				free3_sample		 	TEXT,
				dsp_renraku			 	TEXT,
				renraku_hissu			INTEGER,
				renraku_sample		 	TEXT,
				seikyu_address_title	TEXT,
				seikyu_dsp_kbn			INTEGER,
				dsp_sname				TEXT,
				sname_hissu				INTEGER,
				sname_sample			TEXT,
				dsp_sname_kana			TEXT,
				sname_kana_hissu		INTEGER,
				sname_kana_sample		TEXT,
				dsp_syubin_no			TEXT,
				syubin_no_hissu			INTEGER,
				syubin_no_sample		TEXT,
				dsp_stodohuken			TEXT,
				stodohuken_hissu		INTEGER,
				stodohuken_sample		TEXT,
				dsp_scity				TEXT,
				scity_hissu				INTEGER,
				scity_sample			TEXT,
				dsp_sareabanchi			TEXT,
				sareabanchi_hissu		INTEGER,
				sareabanchi_sample		TEXT,
				dsp_statemono			TEXT,
				statemono_hissu			INTEGER,
				statemono_sample		TEXT,
				dsp_se_mail				TEXT,
				se_mail_hissu			INTEGER,
				se_mail_sample			TEXT,
				dsp_stel_no			 	TEXT,
				stel_no_hissu		 	INTEGER,
				stel_no_sample		 	TEXT,
				item_service_name		TEXT,
				item_code				TEXT,
				price					INTEGER,
				dsp_price_name			TEXT,
				price_hissu				INTEGER,
				buy_quantity_display	INTEGER,
				stock_quantity			INTEGER,
				stock_chk				INTEGER,
				siharai_hoho			TEXT,
				muryo_kikan				INTEGER,
				muryo_kikan_unit		TEXT,
				infotop_kessai_link		TEXT,
				gaibu_url				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // セクションＣＴＡ処理データが存在しない場合は、テーブルを作成
	$table_name = "section_cta_proc_result_data";	// テーブル名
	$dbh		= $conn;			// データベースハンドラ
	include 'function_pdo_parts_create_section_cta_proc_result_data.php';
    // 動画スライド１テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide1 (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				slide_no				INTEGER NOT NULL,
				img_cnt					INTEGER NOT NULL,
				img1_url				TEXT,
				img2_url				TEXT,
				img1_link_url			TEXT,
				img2_link_url			TEXT,
				img1_overtext			TEXT,
				img2_overtext			TEXT,
				slide_title				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_img_slide1 on img_slide1 (slide_no)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 動画スライド１テーブル拡張設定が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide1_op1 (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				dsp_form				INTEGER,
				pre_after_dsp_way		INTEGER,
				slide_speed				INTEGER,
				slide_anime_op			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 動画スライド１オーバーコンテンツ領域順序テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide1_over_contents_order_table (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				img_slide1_id			INTEGER NOT NULL,
				orderno					INTEGER NOT NULL,
				dsp_object				INTEGER,
				dsp_object_id			INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_img_slide1_over_contents_order_table on img_slide1_over_contents_order_table (img_slide1_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_img_slide1_over_contents_order_table on img_slide1_over_contents_order_table (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_img_slide1_over_contents_order_table on img_slide1_over_contents_order_table (dsp_object_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 動画スライド１オーバーコンテンツテキストデータが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide1_over_text_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				img_slide1_id			INTEGER NOT NULL,
				orderno					INTEGER NOT NULL,
				text_contents			TEXT,
				font_size				INTEGER,
				font_color				TEXT,
				background_color		TEXT,
				font_weight				TEXT,
				text_decoration			INTEGER,
				font_family				INTEGER,
				link_umu				INTEGER,
				link_url				TEXT,
				link_page_title			TEXT,
				link_page_open_way		INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_img_slide1_over_text_data on img_slide1_over_text_data (img_slide1_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_img_slide1_over_text_data on img_slide1_over_text_data (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 動画スライド１オーバーコンテンツ画像データ(img_slide1_over_img_data)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide1_over_img_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				img_slide1_id			INTEGER NOT NULL,
				img_file				TEXT,
				align					TEXT,
				click_enlarge			INTEGER,
				img_title				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_img_slide1_over_img_data on img_slide1_over_img_data (img_slide1_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 動画スライド１オーバーコンテンツアイコンデータ(img_slide1_over_icon_data)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide1_over_icon_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				img_slide1_id			INTEGER NOT NULL,
				icon_file				TEXT,
				vertical_align			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_img_slide1_over_icon_data on img_slide1_over_icon_data (img_slide1_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 動画スライド１オーバーコンテンツyoutube埋め込みコード(img_slide1_over_youtube_code)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide1_over_youtube_code (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				img_slide1_id			INTEGER NOT NULL,
				youtube_code			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_img_slide1_over_youtube_code on img_slide1_over_youtube_code (img_slide1_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 動画スライド１オーバーコンテンツ位置調整(img_slide1_over_adjust)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide1_over_adjust (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				img_slide1_id			INTEGER NOT NULL,
				padding_left			INTEGER,
				padding_top				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_img_slide1_over_adjust on img_slide1_over_adjust (img_slide1_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
//******************************************************************************************
    // 共通コンテンツ領域順序テーブル(common_contents_order_table)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS common_contents_order_table (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				contents_kbn			INTEGER NOT NULL,
				contents_id				INTEGER NOT NULL,
				orderno					INTEGER NOT NULL,
				dsp_object				INTEGER,
				dsp_object_id			INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_common_contents_order_table on common_contents_order_table (contents_kbn)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_common_contents_order_table on common_contents_order_table (contents_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_common_contents_order_table on common_contents_order_table (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx4_common_contents_order_table on common_contents_order_table (dsp_object_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 共通コンテンツテキストデータ(common_text_data)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS common_text_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				contents_id				INTEGER NOT NULL,
				orderno					INTEGER NOT NULL,
				text_contents			TEXT,
				font_size				INTEGER,
				font_color				TEXT,
				background_color		TEXT,
				font_weight				TEXT,
				text_decoration			INTEGER,
				font_family				INTEGER,
				link_umu				INTEGER,
				link_url				TEXT,
				link_page_title			TEXT,
				link_page_open_way		INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_common_text_data on common_text_data (contents_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_common_text_data on common_text_data (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 共通コンテンツ画像データ(common_img_data)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS common_img_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				contents_id				INTEGER NOT NULL,
				img_file				TEXT,
				align					TEXT,
				click_enlarge			INTEGER,
				click_img_title			TEXT,
				thumbnail_img_height	INTEGER,
				thumbnail_img_width		INTEGER,
				img_title				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_common_img_data on common_img_data (contents_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 共通コンテンツアイコンデータ(common_icon_data)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS common_icon_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				contents_id			INTEGER NOT NULL,
				icon_file				TEXT,
				vertical_align			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_common_icon_data on common_icon_data (contents_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 共通コンテンツyoutube埋め込みコード(common_youtube_code)が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS common_youtube_code (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				contents_id				INTEGER NOT NULL,
				youtube_code			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_common_youtube_code on common_youtube_code (contents_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
//********************************************************************************************
    // 動画スライド２ページテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide2_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				img_cnt					INTEGER NOT NULL,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 動画スライド２テーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS img_slide2 (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				slide2_page_id			INTEGER NOT NULL,
				slide_no				INTEGER NOT NULL,
				img_cnt					INTEGER NOT NULL,
				img1_url				TEXT,
				img2_url				TEXT,
				img3_url				TEXT,
				img4_url				TEXT,
				img1_link_menu_kbn		INTEGER,
				img1_link_menu_id		INTEGER,
				img2_link_menu_kbn		INTEGER,
				img2_link_menu_id		INTEGER,
				img3_link_menu_kbn		INTEGER,
				img3_link_menu_id		INTEGER,
				img4_link_menu_kbn		INTEGER,
				img4_link_menu_id		INTEGER,
				img1_catalog_id			INTEGER,
				img2_catalog_id			INTEGER,
				img3_catalog_id			INTEGER,
				img4_catalog_id			INTEGER,
				img1_title				TEXT,
				img2_title				TEXT,
				img3_title				TEXT,
				img4_title				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_img_slide2 on img_slide2 (slide_no)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // インデックスページテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS index_page_tbl (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				page_title				TEXT,
				page_description		TEXT,
				page_keywords			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // インデックスデータテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS index_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				orderno					INTEGER,
				contents_kbn			INTEGER,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				menu_kbn				INTEGER,
				page_id					INTEGER,
				style					INTEGER,
				page_limit				INTEGER,
				contents				TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_index_data on index_data (orderno)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // コンテンツページコントロールが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_page_ctrl (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				button_tbl				TEXT,
				button_tbl_id			INTEGER,
				page_table				TEXT,
				page_id					INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // コンテンツニュースページが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_news_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				index_orderno			INTEGER,
				page_title				TEXT,
				page_description		TEXT,
				index_news_title		TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				news_page_layout		INTEGER,
				index_page_layout		INTEGER,
				news_page_limit			INTEGER,
				index_page_limit		INTEGER,
				comment_init_chk		INTEGER,
				contents				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // コンテンツニュースデータテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_news_data (
				id 					INTEGER PRIMARY KEY AUTOINCREMENT,
				news_page_id		INTEGER,
				news_date			TEXT NOT NULL,
				news_date_year 		TEXT NOT NULL,
				news_date_month 	TEXT NOT NULL,
				news_date_day 		TEXT NOT NULL,
				news_date_hour 		TEXT NOT NULL,
				news_date_minute	TEXT NOT NULL,
				index_page_layout	INTEGER,
				news_img_file		TEXT,
				title_icon_path 	TEXT,
				news_title			TEXT,
				title_back_color1	TEXT,
				title_back_color2	TEXT,
				title_font_color1	TEXT,
				title_font_color2	TEXT,
				title_font_bold1	INTEGER,
				title_font_bold2	INTEGER,
				news_contents 		TEXT,
				comment_kbn			INTEGER,
				sns_btn_kbn			INTEGER,
				dummypage_url		TEXT,
				update_time 		TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_contents_news_data on contents_news_data (news_date)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // ニュースコメントテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_news_comment (
				id 					INTEGER PRIMARY KEY AUTOINCREMENT,
				news_page_id		INTEGER,
				news_id				INTEGER,
				order_date			TEXT NOT NULL,
				year 				TEXT NOT NULL,
				month 				TEXT NOT NULL,
				day 				TEXT NOT NULL,
				hour 				TEXT NOT NULL,
				minute				TEXT NOT NULL,
				user_name			TEXT,
				user_e_mail			TEXT,
				user_url			TEXT,
				user_password		TEXT,
				title_icon_path 	TEXT,
				title				TEXT,
				comment 			TEXT,
				comment_kbn			INTEGER,
				update_time 		TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_contents_news_comment on contents_news_comment (news_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // タイトル付きフリーページが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_title_free_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				page_title				TEXT,
				page_description		TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				youtube_code			TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // タイトル付きフリーデータが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_title_free_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				title_free_page_id		INTEGER,
				order_no				INTEGER,
				title_icon_path			TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				dsp_form				TEXT,
				youtube_code			TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();

    // 表付きフリーページが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_table_free_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				page_title				TEXT,
				page_description		TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				youtube_code			TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 表付きフリーデータ順序が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_table_free_data_order (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				table_free_page_id		INTEGER,
				order_no				INTEGER,
				data_kbn				INTEGER,
				data_id					INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_table_free_data_order on contents_table_free_data_order (table_free_page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_table_free_data_order on contents_table_free_data_order (order_no)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 表付きフリーデータテキストが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_table_free_data_text (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				table_free_page_id		INTEGER,
				free_data_order_id		INTEGER,
				order_no				INTEGER,
				title_icon_path			TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				dsp_form				TEXT,
				youtube_code			TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_table_free_data_text on contents_table_free_data_text (table_free_page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_table_free_data_text on contents_table_free_data_text (free_data_order_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 表付きフリーデータ表が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_table_free_data_table (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				table_free_page_id		INTEGER,
				free_data_order_id		INTEGER,
				order_no				INTEGER,
				title_icon_path			TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				font_size				INTEGER,
				margin_left				INTEGER,
				margin_top				INTEGER,
				margin_bottom			INTEGER,
				line_color				TEXT,
				outline_bold			INTEGER,
				row_number				INTEGER,
				col_number				INTEGER,
				dsp_form				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_table_free_data_table on contents_table_free_data_table (table_free_page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_table_free_data_table on contents_table_free_data_table (free_data_order_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 表付きフリーデータセルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_table_free_data_cell (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				table_free_page_id		INTEGER,
				free_data_table_id		INTEGER,
				order_no				INTEGER,
				row_pos					INTEGER,
				col_pos					INTEGER,
				cell_width				INTEGER,
				cell_height				INTEGER,
				cell_bkcolor			INTEGER,
				contents				TEXT,
				font_size				INTEGER,
				font_color				TEXT,
				font_bold				INTEGER,
				align_left				INTEGER,
				align_right				INTEGER,
				align_center			INTEGER,
				valign_top				INTEGER,
				valign_center			INTEGER,
				valign_bottom			INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_table_free_data_cell on contents_table_free_data_cell (table_free_page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_table_free_data_cell on contents_table_free_data_cell (free_data_table_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // ＰＤＦページが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_pdf_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				order_no				INTEGER,
				page_title				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_pdf_page on contents_pdf_page (order_no)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // ＰＤＦデータ順序が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_pdf_data_order (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				pdf_page_id				INTEGER,
				order_no				INTEGER,
				data_kbn				INTEGER,
				data_id					INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_pdf_data_order on contents_pdf_data_order (pdf_page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_pdf_data_order on contents_pdf_data_order (order_no)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // ＰＤＦデータテキストが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_pdf_data_text (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				pdf_page_id				INTEGER,
				pdf_data_order_id		INTEGER,
				order_no				INTEGER,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_img_no			INTEGER,
				title_background_color	TEXT,
				contents				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_pdf_data_text on contents_pdf_data_text (pdf_page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_pdf_data_text on contents_pdf_data_text (pdf_data_order_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // ＰＤＦデータ表が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_pdf_data_table (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				pdf_page_id				INTEGER,
				pdf_data_order_id		INTEGER,
				order_no				INTEGER,
				font_size				INTEGER,
				margin_left				INTEGER,
				margin_top				INTEGER,
				margin_bottom			INTEGER,
				line_color				TEXT,
				outline_bold			INTEGER,
				row_number				INTEGER,
				col_number				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_pdf_data_table on contents_pdf_data_table (pdf_page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_pdf_data_table on contents_pdf_data_table (pdf_data_order_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // ＰＤＦデータセルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_pdf_data_cell (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				pdf_page_id				INTEGER,
				pdf_data_table_id		INTEGER,
				order_no				INTEGER,
				row_pos					INTEGER,
				col_pos					INTEGER,
				cell_width				INTEGER,
				cell_height				INTEGER,
				cell_bkcolor			INTEGER,
				contents				TEXT,
				font_size				INTEGER,
				font_color				TEXT,
				font_bold				INTEGER,
				align_left				INTEGER,
				align_right				INTEGER,
				align_center			INTEGER,
				valign_top				INTEGER,
				valign_center			INTEGER,
				valign_bottom			INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_contents_pdf_data_cell on contents_pdf_data_cell (pdf_page_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_contents_pdf_data_cell on contents_pdf_data_cell (pdf_data_table_id)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();	
    // お問合せページが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_toiawase_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				page_title				TEXT,
				page_description		TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				mail					TEXT,
				mail_title				TEXT,
				guide					TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	//お問合せ項目が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_toiawase_item (
				id 					INTEGER PRIMARY KEY AUTOINCREMENT,
				toiawase_page_id	INTEGER,
				order_no			INTEGER,
				item				TEXT,
				item_syurui			INTEGER,
				item_sample			TEXT,
				hissu				INTEGER,
				input_check			INTEGER,
				contents			TEXT,
				update_time 		TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_contents_toiawase_item on contents_toiawase_item (order_no)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // 会社概要ページが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_company_profile_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				page_title				TEXT,
				page_description		TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				page_img				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	//会社概要項目が存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_company_profile_item (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				company_profile_page_id	INTEGER,
				order_no				INTEGER,
				item					TEXT,
				contents				TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx_contents_company_profile_item on contents_company_profile_item (order_no)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // アクセスマップページが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_access_map_page (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				page_title				TEXT,
				page_description		TEXT,
				contents_title			TEXT,
				padding_top				INTEGER,
				indent					INTEGER,
				title_color				TEXT,
				title_img_no			INTEGER,
				title_img_file			TEXT,
				contents				TEXT,
				sns_btn_kbn				INTEGER,
				dummypage_url			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	//アクセスマップデータが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS contents_access_map_data (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				access_map_page_id		INTEGER,
				order_no				INTEGER,
				contents				TEXT,
				jusyo					TEXT,
				zoom_level				INTEGER,
				map_title				TEXT,
				marker_title			TEXT,
				marker_contents			TEXT,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // フッターリンクテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS footer_link (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				link_button_name		TEXT,
				menu_kbn				INTEGER,
				button_id			INTEGER,
				position				INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
    // フッターテキストテーブルが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS footer_text (
				id 					INTEGER PRIMARY KEY AUTOINCREMENT,
				display_flg			INTEGER,
				footertext			TEXT,
				update_time 		TEXT NOT NULL
			)";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	
    return $conn;
}
//全体デザイン設定テーブルデータの追加
function insert_design_set($conn, $header_form, $header_color, $header_color_no, $header_img_file, $header_img_dsp_form, $menu_btn_color, $menu_btn_design, $menu_btn_img_file_on, $menu_btn_img_file_off, $menu_btn_line_color_no, $menu_btn_font_color_no_on, $menu_btn_font_color_no_off, $menu_btn_under_font_color_no_on, $menu_btn_under_font_color_no_off, $menu_btn_font_bold, $menu_btn_font_size, $menu_btn_font_family, $side_btn_form, $side_btn_color, $side_btn_design, $side_btn_img_file_on, $side_btn_img_file_off, $side_btn_img_file_plus_on, $side_btn_img_file_plus_off, $side_btn_img_file_minus, $side_under_btn_img_file_on, $side_under_btn_img_file_off, $side_btn_font_color_no_on, $side_btn_font_color_no_off, $side_under_btn_font_color_no_on, $side_under_btn_font_color_no_off, $side_btn_font_bold, $side_btn_font_size, $side_btn_font_family, $side_background_color, $side_background_color_no, $footer_form, $footer_color, $footer_color_no, $footer_font_color_no, $index_news_color, $index_blog_color) {
	$sql_tmp = "insert into design_set(header_form, header_color, header_color_no, header_img_file, header_img_dsp_form, menu_btn_color, menu_btn_design, menu_btn_img_file_on, menu_btn_img_file_off, menu_btn_line_color_no, menu_btn_font_color_no_on, menu_btn_font_color_no_off, menu_btn_under_font_color_no_on, menu_btn_under_font_color_no_off, menu_btn_font_bold, menu_btn_font_size, menu_btn_font_family, side_btn_form, side_btn_color, side_btn_design, side_btn_img_file_on, side_btn_img_file_off, side_btn_img_file_plus_on, side_btn_img_file_plus_off, side_btn_img_file_minus, side_under_btn_img_file_on, side_under_btn_img_file_off, side_btn_font_color_no_on, side_btn_font_color_no_off, side_under_btn_font_color_no_on, side_under_btn_font_color_no_off, side_btn_font_bold, side_btn_font_size, side_btn_font_family, side_background_color, side_background_color_no, footer_form, footer_color, footer_color_no, footer_font_color_no, index_news_color, index_blog_color, update_time)
					values(:header_form, :header_color, :header_color_no, :header_img_file, :header_img_dsp_form, :menu_btn_color, :menu_btn_design, :menu_btn_img_file_on, :menu_btn_img_file_off, :menu_btn_line_color_no, :menu_btn_font_color_no_on, :menu_btn_font_color_no_off, :menu_btn_under_font_color_no_on, :menu_btn_under_font_color_no_off, :menu_btn_font_bold, :menu_btn_font_size, :menu_btn_font_family, :side_btn_form, :side_btn_color, :side_btn_design, :side_btn_img_file_on, :side_btn_img_file_off, :side_btn_img_file_plus_on, :side_btn_img_file_plus_off, :side_btn_img_file_minus, :side_under_btn_img_file_on, :side_under_btn_img_file_off, :side_btn_font_color_no_on, :side_btn_font_color_no_off, :side_under_btn_font_color_no_on, :side_under_btn_font_color_no_off, :side_btn_font_bold, :side_btn_font_size, :side_btn_font_family, :side_background_color, :side_background_color_no, :footer_form, :footer_color, :footer_color_no, :footer_font_color_no, :index_news_color, :index_blog_color, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":header_form", $header_form);
	$stmt->bindParam(":header_color", $header_color);
	$stmt->bindParam(":header_color_no", $header_color_no);
	$stmt->bindParam(":header_img_file", $header_img_file);
	$stmt->bindParam(":header_img_dsp_form", $header_img_dsp_form);
	$stmt->bindParam(":menu_btn_color", $menu_btn_color);
	$stmt->bindParam(":menu_btn_design", $menu_btn_design);
	$stmt->bindParam(":menu_btn_img_file_on", $menu_btn_img_file_on);
	$stmt->bindParam(":menu_btn_img_file_off", $menu_btn_img_file_off);
	$stmt->bindParam(":menu_btn_line_color_no", $menu_btn_line_color_no);
	$stmt->bindParam(":menu_btn_font_color_no_on", $menu_btn_font_color_no_on);
	$stmt->bindParam(":menu_btn_font_color_no_off", $menu_btn_font_color_no_off);
	$stmt->bindParam(":menu_btn_under_font_color_no_on", $menu_btn_under_font_color_no_on);
	$stmt->bindParam(":menu_btn_under_font_color_no_off", $menu_btn_under_font_color_no_off);
	$stmt->bindParam(":menu_btn_font_bold", $menu_btn_font_bold);
	$stmt->bindParam(":menu_btn_font_size", $menu_btn_font_size);
	$stmt->bindParam(":menu_btn_font_family", $menu_btn_font_family);
	$stmt->bindParam(":side_btn_form", $side_btn_form);
	$stmt->bindParam(":side_btn_color", $side_btn_color);
	$stmt->bindParam(":side_btn_design", $side_btn_design);
	$stmt->bindParam(":side_btn_img_file_on", $side_btn_img_file_on);
	$stmt->bindParam(":side_btn_img_file_off", $side_btn_img_file_off);
	$stmt->bindParam(":side_btn_img_file_plus_on", $side_btn_img_file_plus_on);
	$stmt->bindParam(":side_btn_img_file_plus_off", $side_btn_img_file_plus_off);
	$stmt->bindParam(":side_btn_img_file_minus", $side_btn_img_file_minus);
	$stmt->bindParam(":side_under_btn_img_file_on", $side_under_btn_img_file_on);
	$stmt->bindParam(":side_under_btn_img_file_off", $side_under_btn_img_file_off);
	$stmt->bindParam(":side_btn_font_color_no_on", $side_btn_font_color_no_on);
	$stmt->bindParam(":side_btn_font_color_no_off", $side_btn_font_color_no_off);
	$stmt->bindParam(":side_under_btn_font_color_no_on", $side_under_btn_font_color_no_on);
	$stmt->bindParam(":side_under_btn_font_color_no_off", $side_under_btn_font_color_no_off);
	$stmt->bindParam(":side_btn_font_bold", $side_btn_font_bold);
	$stmt->bindParam(":side_btn_font_size", $side_btn_font_size);
	$stmt->bindParam(":side_btn_font_family", $side_btn_font_family);
	$stmt->bindParam(":side_background_color", $side_background_color);
	$stmt->bindParam(":side_background_color_no", $side_background_color_no);
	$stmt->bindParam(":footer_form", $footer_form);
	$stmt->bindParam(":footer_color", $footer_color);
	$stmt->bindParam(":footer_color_no", $footer_color_no);
	$stmt->bindParam(":footer_font_color_no", $footer_font_color_no);
	$stmt->bindParam(":index_news_color", $index_news_color);
	$stmt->bindParam(":index_blog_color", $index_blog_color);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//全体デザイン設定テーブルデータの更新
function update_design_set($conn, $id, $header_form, $header_color, $header_color_no, $header_img_file, $header_img_dsp_form, $menu_btn_color, $menu_btn_design, $menu_btn_img_file_on, $menu_btn_img_file_off, $menu_btn_line_color_no, $menu_btn_font_color_no_on, $menu_btn_font_color_no_off, $menu_btn_under_font_color_no_on, $menu_btn_under_font_color_no_off, $menu_btn_font_bold, $menu_btn_font_size, $menu_btn_font_family, $side_btn_form, $side_btn_color, $side_btn_design, $side_btn_img_file_on, $side_btn_img_file_off, $side_btn_img_file_plus_on, $side_btn_img_file_plus_off, $side_btn_img_file_minus, $side_under_btn_img_file_on, $side_under_btn_img_file_off, $side_btn_font_color_no_on, $side_btn_font_color_no_off, $side_under_btn_font_color_no_on, $side_under_btn_font_color_no_off, $side_btn_font_bold, $side_btn_font_size, $side_btn_font_family, $side_background_color, $side_background_color_no, $footer_form, $footer_color, $footer_color_no, $footer_font_color_no, $index_news_color, $index_blog_color) {
	$sql_tmp = "update design_set set 
                    header_form 						= :header_form,
					header_color						= :header_color,
					header_color_no						= :header_color_no,
					header_img_file						= :header_img_file,
					header_img_dsp_form					= :header_img_dsp_form,
                    menu_btn_color						= :menu_btn_color,
					menu_btn_design		 				= :menu_btn_design,
					menu_btn_img_file_on				= :menu_btn_img_file_on,
					menu_btn_img_file_off				= :menu_btn_img_file_off,
					menu_btn_line_color_no				= :menu_btn_line_color_no,
					menu_btn_font_color_no_on			= :menu_btn_font_color_no_on,
					menu_btn_font_color_no_off			= :menu_btn_font_color_no_off,
					menu_btn_under_font_color_no_on		= :menu_btn_under_font_color_no_on,
					menu_btn_under_font_color_no_off	= :menu_btn_under_font_color_no_off,
					menu_btn_font_bold					= :menu_btn_font_bold,
					menu_btn_font_size					= :menu_btn_font_size,
					menu_btn_font_family				= :menu_btn_font_family,
					side_btn_form						= :side_btn_form,
                    side_btn_color 						= :side_btn_color,
					side_btn_design		 				= :side_btn_design,
					side_btn_img_file_on				= :side_btn_img_file_on,
					side_btn_img_file_off				= :side_btn_img_file_off,
					side_btn_img_file_plus_on			= :side_btn_img_file_plus_on,
					side_btn_img_file_plus_off			= :side_btn_img_file_plus_off,
					side_btn_img_file_minus				= :side_btn_img_file_minus,
					side_under_btn_img_file_on			= :side_under_btn_img_file_on,
					side_under_btn_img_file_off			= :side_under_btn_img_file_off,
					side_btn_font_color_no_on			= :side_btn_font_color_no_on,
					side_btn_font_color_no_off			= :side_btn_font_color_no_off,
					side_under_btn_font_color_no_on		= :side_under_btn_font_color_no_on,
					side_under_btn_font_color_no_off	= :side_under_btn_font_color_no_off,
					side_btn_font_bold					= :side_btn_font_bold,
					side_btn_font_size					= :side_btn_font_size,
					side_btn_font_family				= :side_btn_font_family,
					side_background_color				= :side_background_color,
					side_background_color_no			= :side_background_color_no,
					footer_form							= :footer_form,
					footer_color						= :footer_color,
					footer_color_no						= :footer_color_no,
					footer_font_color_no				= :footer_font_color_no,
					index_news_color					= :index_news_color,
					index_blog_color					= :index_blog_color,
					update_time 						= :update_time
					where id							= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":header_form", $header_form);
	$stmt->bindParam(":header_color", $header_color);
	$stmt->bindParam(":header_color_no", $header_color_no);
	$stmt->bindParam(":header_img_file", $header_img_file);
	$stmt->bindParam(":header_img_dsp_form", $header_img_dsp_form);
	$stmt->bindParam(":menu_btn_color", $menu_btn_color);
	$stmt->bindParam(":menu_btn_design", $menu_btn_design);
	$stmt->bindParam(":menu_btn_img_file_on", $menu_btn_img_file_on);
	$stmt->bindParam(":menu_btn_img_file_off", $menu_btn_img_file_off);
	$stmt->bindParam(":menu_btn_line_color_no", $menu_btn_line_color_no);
	$stmt->bindParam(":menu_btn_font_color_no_on", $menu_btn_font_color_no_on);
	$stmt->bindParam(":menu_btn_font_color_no_off", $menu_btn_font_color_no_off);
	$stmt->bindParam(":menu_btn_under_font_color_no_on", $menu_btn_under_font_color_no_on);
	$stmt->bindParam(":menu_btn_under_font_color_no_off", $menu_btn_under_font_color_no_off);
	$stmt->bindParam(":menu_btn_font_bold", $menu_btn_font_bold);
	$stmt->bindParam(":menu_btn_font_size", $menu_btn_font_size);
	$stmt->bindParam(":menu_btn_font_family", $menu_btn_font_family);
	$stmt->bindParam(":side_btn_form", $side_btn_form);
	$stmt->bindParam(":side_btn_color", $side_btn_color);
	$stmt->bindParam(":side_btn_design", $side_btn_design);
	$stmt->bindParam(":side_btn_img_file_on", $side_btn_img_file_on);
	$stmt->bindParam(":side_btn_img_file_off", $side_btn_img_file_off);
	$stmt->bindParam(":side_btn_img_file_plus_on", $side_btn_img_file_plus_on);
	$stmt->bindParam(":side_btn_img_file_plus_off", $side_btn_img_file_plus_off);
	$stmt->bindParam(":side_btn_img_file_minus", $side_btn_img_file_minus);
	$stmt->bindParam(":side_under_btn_img_file_on", $side_under_btn_img_file_on);
	$stmt->bindParam(":side_under_btn_img_file_off", $side_under_btn_img_file_off);
	$stmt->bindParam(":side_btn_font_color_no_on", $side_btn_font_color_no_on);
	$stmt->bindParam(":side_btn_font_color_no_off", $side_btn_font_color_no_off);
	$stmt->bindParam(":side_under_btn_font_color_no_on", $side_under_btn_font_color_no_on);
	$stmt->bindParam(":side_under_btn_font_color_no_off", $side_under_btn_font_color_no_off);
	$stmt->bindParam(":side_btn_font_bold", $side_btn_font_bold);
	$stmt->bindParam(":side_btn_font_size", $side_btn_font_size);
	$stmt->bindParam(":side_btn_font_family", $side_btn_font_family);
	$stmt->bindParam(":side_background_color", $side_background_color);
	$stmt->bindParam(":side_background_color_no", $side_background_color_no);
	$stmt->bindParam(":footer_form", $footer_form);
	$stmt->bindParam(":footer_color", $footer_color);
	$stmt->bindParam(":footer_color_no", $footer_color_no);
	$stmt->bindParam(":footer_font_color_no", $footer_font_color_no);
	$stmt->bindParam(":index_news_color", $index_news_color);
	$stmt->bindParam(":index_blog_color", $index_blog_color);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//コンテンツデザイン設定テーブルデータの追加
function insert_contents_design_set2($conn, $menu_kbn, $btn_id, $page_id, $header_form, $header_color, $header_color_no, $header_img_file, $header_img_dsp_form, $menu_btn_color, $menu_btn_design, $menu_btn_img_file_on, $menu_btn_img_file_off, $menu_btn_line_color_no, $menu_btn_font_color_no_on, $menu_btn_font_color_no_off, $menu_btn_under_font_color_no_on, $menu_btn_under_font_color_no_off, $menu_btn_font_bold, $menu_btn_font_size, $menu_btn_font_family, $side_btn_form, $side_btn_color, $side_btn_design, $side_btn_img_file_on, $side_btn_img_file_off, $side_btn_img_file_plus_on, $side_btn_img_file_plus_off, $side_btn_img_file_minus, $side_under_btn_img_file_on, $side_under_btn_img_file_off, $side_btn_font_color_no_on, $side_btn_font_color_no_off, $side_under_btn_font_color_no_on, $side_under_btn_font_color_no_off, $side_btn_font_bold, $side_btn_font_size, $side_btn_font_family, $side_background_color, $side_background_color_no, $footer_form, $footer_color, $footer_color_no, $footer_font_color_no, $index_news_color, $index_blog_color) {
	$sql_tmp = "insert into contents_design_set2(menu_kbn, btn_id, page_id, header_form, header_color, header_color_no, header_img_file, header_img_dsp_form, menu_btn_color, menu_btn_design, menu_btn_img_file_on, menu_btn_img_file_off, menu_btn_line_color_no, menu_btn_font_color_no_on, menu_btn_font_color_no_off, menu_btn_under_font_color_no_on, menu_btn_under_font_color_no_off, menu_btn_font_bold, menu_btn_font_size, menu_btn_font_family, side_btn_form, side_btn_color, side_btn_design, side_btn_img_file_on, side_btn_img_file_off, side_btn_img_file_plus_on, side_btn_img_file_plus_off, side_btn_img_file_minus, side_under_btn_img_file_on, side_under_btn_img_file_off, side_btn_font_color_no_on, side_btn_font_color_no_off, side_under_btn_font_color_no_on, side_under_btn_font_color_no_off, side_btn_font_bold, side_btn_font_size, side_btn_font_family, side_background_color, side_background_color_no, footer_form, footer_color, footer_color_no, footer_font_color_no, index_news_color, index_blog_color, update_time)
					values(:menu_kbn, :btn_id, :page_id, :header_form, :header_color, :header_color_no, :header_img_file, :header_img_dsp_form, :menu_btn_color, :menu_btn_design, :menu_btn_img_file_on, :menu_btn_img_file_off, :menu_btn_line_color_no, :menu_btn_font_color_no_on, :menu_btn_font_color_no_off, :menu_btn_under_font_color_no_on, :menu_btn_under_font_color_no_off, :menu_btn_font_bold, :menu_btn_font_size, :menu_btn_font_family, :side_btn_form, :side_btn_color, :side_btn_design, :side_btn_img_file_on, :side_btn_img_file_off, :side_btn_img_file_plus_on, :side_btn_img_file_plus_off, :side_btn_img_file_minus, :side_under_btn_img_file_on, :side_under_btn_img_file_off, :side_btn_font_color_no_on, :side_btn_font_color_no_off, :side_under_btn_font_color_no_on, :side_under_btn_font_color_no_off, :side_btn_font_bold, :side_btn_font_size, :side_btn_font_family, :side_background_color, :side_background_color_no, :footer_form, :footer_color, :footer_color_no, :footer_font_color_no, :index_news_color, :index_blog_color, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":page_id", $page_id);
	$stmt->bindParam(":header_form", $header_form);
	$stmt->bindParam(":header_color", $header_color);
	$stmt->bindParam(":header_color_no", $header_color_no);
	$stmt->bindParam(":header_img_file", $header_img_file);
	$stmt->bindParam(":header_img_dsp_form", $header_img_dsp_form);
	$stmt->bindParam(":menu_btn_color", $menu_btn_color);
	$stmt->bindParam(":menu_btn_design", $menu_btn_design);
	$stmt->bindParam(":menu_btn_img_file_on", $menu_btn_img_file_on);
	$stmt->bindParam(":menu_btn_img_file_off", $menu_btn_img_file_off);
	$stmt->bindParam(":menu_btn_line_color_no", $menu_btn_line_color_no);
	$stmt->bindParam(":menu_btn_font_color_no_on", $menu_btn_font_color_no_on);
	$stmt->bindParam(":menu_btn_font_color_no_off", $menu_btn_font_color_no_off);
	$stmt->bindParam(":menu_btn_under_font_color_no_on", $menu_btn_under_font_color_no_on);
	$stmt->bindParam(":menu_btn_under_font_color_no_off", $menu_btn_under_font_color_no_off);
	$stmt->bindParam(":menu_btn_font_bold", $menu_btn_font_bold);
	$stmt->bindParam(":menu_btn_font_size", $menu_btn_font_size);
	$stmt->bindParam(":menu_btn_font_family", $menu_btn_font_family);
	$stmt->bindParam(":side_btn_form", $side_btn_form);
	$stmt->bindParam(":side_btn_color", $side_btn_color);
	$stmt->bindParam(":side_btn_design", $side_btn_design);
	$stmt->bindParam(":side_btn_img_file_on", $side_btn_img_file_on);
	$stmt->bindParam(":side_btn_img_file_off", $side_btn_img_file_off);
	$stmt->bindParam(":side_btn_img_file_plus_on", $side_btn_img_file_plus_on);
	$stmt->bindParam(":side_btn_img_file_plus_off", $side_btn_img_file_plus_off);
	$stmt->bindParam(":side_btn_img_file_minus", $side_btn_img_file_minus);
	$stmt->bindParam(":side_under_btn_img_file_on", $side_under_btn_img_file_on);
	$stmt->bindParam(":side_under_btn_img_file_off", $side_under_btn_img_file_off);
	$stmt->bindParam(":side_btn_font_color_no_on", $side_btn_font_color_no_on);
	$stmt->bindParam(":side_btn_font_color_no_off", $side_btn_font_color_no_off);
	$stmt->bindParam(":side_under_btn_font_color_no_on", $side_under_btn_font_color_no_on);
	$stmt->bindParam(":side_under_btn_font_color_no_off", $side_under_btn_font_color_no_off);
	$stmt->bindParam(":side_btn_font_bold", $side_btn_font_bold);
	$stmt->bindParam(":side_btn_font_size", $side_btn_font_size);
	$stmt->bindParam(":side_btn_font_family", $side_btn_font_family);
	$stmt->bindParam(":side_background_color", $side_background_color);
	$stmt->bindParam(":side_background_color_no", $side_background_color_no);
	$stmt->bindParam(":footer_form", $footer_form);
	$stmt->bindParam(":footer_color", $footer_color);
	$stmt->bindParam(":footer_color_no", $footer_color_no);
	$stmt->bindParam(":footer_font_color_no", $footer_font_color_no);
	$stmt->bindParam(":index_news_color", $index_news_color);
	$stmt->bindParam(":index_blog_color", $index_blog_color);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//全体デザイン設定テーブルデータの更新
function update_contents_design_set2($conn, $id, $menu_kbn, $btn_id, $page_id, $header_form, $header_color, $header_color_no, $header_img_file, $header_img_dsp_form, $menu_btn_color, $menu_btn_design, $menu_btn_img_file_on, $menu_btn_img_file_off, $menu_btn_line_color_no, $menu_btn_font_color_no_on, $menu_btn_font_color_no_off, $menu_btn_under_font_color_no_on, $menu_btn_under_font_color_no_off, $menu_btn_font_bold, $menu_btn_font_size, $menu_btn_font_family, $side_btn_form, $side_btn_color, $side_btn_design, $side_btn_img_file_on, $side_btn_img_file_off, $side_btn_img_file_plus_on, $side_btn_img_file_plus_off, $side_btn_img_file_minus, $side_under_btn_img_file_on, $side_under_btn_img_file_off, $side_btn_font_color_no_on, $side_btn_font_color_no_off, $side_under_btn_font_color_no_on, $side_under_btn_font_color_no_off, $side_btn_font_bold, $side_btn_font_size, $side_btn_font_family, $side_background_color, $side_background_color_no, $footer_form, $footer_color, $footer_color_no, $footer_font_color_no, $index_news_color, $index_blog_color) {
	$sql_tmp = "update contents_design_set2 set 
					menu_kbn							= :menu_kbn,
					btn_id								= :btn_id,
					page_id								= :page_id,
                    header_form 						= :header_form,
					header_color						= :header_color,
					header_color_no						= :header_color_no,
					header_img_file						= :header_img_file,
					header_img_dsp_form					= :header_img_dsp_form,
                    menu_btn_color						= :menu_btn_color,
					menu_btn_design		 				= :menu_btn_design,
					menu_btn_img_file_on				= :menu_btn_img_file_on,
					menu_btn_img_file_off				= :menu_btn_img_file_off,
					menu_btn_line_color_no				= :menu_btn_line_color_no,
					menu_btn_font_color_no_on			= :menu_btn_font_color_no_on,
					menu_btn_font_color_no_off			= :menu_btn_font_color_no_off,
					menu_btn_under_font_color_no_on		= :menu_btn_under_font_color_no_on,
					menu_btn_under_font_color_no_off	= :menu_btn_under_font_color_no_off,
					menu_btn_font_bold					= :menu_btn_font_bold,
					menu_btn_font_size					= :menu_btn_font_size,
					menu_btn_font_family				= :menu_btn_font_family,
					side_btn_form						= :side_btn_form,
                    side_btn_color 						= :side_btn_color,
					side_btn_design		 				= :side_btn_design,
					side_btn_img_file_on				= :side_btn_img_file_on,
					side_btn_img_file_off				= :side_btn_img_file_off,
					side_btn_img_file_plus_on			= :side_btn_img_file_plus_on,
					side_btn_img_file_plus_off			= :side_btn_img_file_plus_off,
					side_btn_img_file_minus				= :side_btn_img_file_minus,
					side_under_btn_img_file_on			= :side_under_btn_img_file_on,
					side_under_btn_img_file_off			= :side_under_btn_img_file_off,
					side_btn_font_color_no_on			= :side_btn_font_color_no_on,
					side_btn_font_color_no_off			= :side_btn_font_color_no_off,
					side_under_btn_font_color_no_on		= :side_under_btn_font_color_no_on,
					side_under_btn_font_color_no_off	= :side_under_btn_font_color_no_off,
					side_btn_font_bold					= :side_btn_font_bold,
					side_btn_font_size					= :side_btn_font_size,
					side_btn_font_family				= :side_btn_font_family,
					side_background_color				= :side_background_color,
					side_background_color_no			= :side_background_color_no,
					footer_form							= :footer_form,
					footer_color						= :footer_color,
					footer_color_no						= :footer_color_no,
					footer_font_color_no				= :footer_font_color_no,
					index_news_color					= :index_news_color,
					index_blog_color					= :index_blog_color,
					update_time 						= :update_time
					where id							= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":page_id", $page_id);
	$stmt->bindParam(":header_form", $header_form);
	$stmt->bindParam(":header_color", $header_color);
	$stmt->bindParam(":header_color_no", $header_color_no);
	$stmt->bindParam(":header_img_file", $header_img_file);
	$stmt->bindParam(":header_img_dsp_form", $header_img_dsp_form);
	$stmt->bindParam(":menu_btn_color", $menu_btn_color);
	$stmt->bindParam(":menu_btn_design", $menu_btn_design);
	$stmt->bindParam(":menu_btn_img_file_on", $menu_btn_img_file_on);
	$stmt->bindParam(":menu_btn_img_file_off", $menu_btn_img_file_off);
	$stmt->bindParam(":menu_btn_line_color_no", $menu_btn_line_color_no);
	$stmt->bindParam(":menu_btn_font_color_no_on", $menu_btn_font_color_no_on);
	$stmt->bindParam(":menu_btn_font_color_no_off", $menu_btn_font_color_no_off);
	$stmt->bindParam(":menu_btn_under_font_color_no_on", $menu_btn_under_font_color_no_on);
	$stmt->bindParam(":menu_btn_under_font_color_no_off", $menu_btn_under_font_color_no_off);
	$stmt->bindParam(":menu_btn_font_bold", $menu_btn_font_bold);
	$stmt->bindParam(":menu_btn_font_size", $menu_btn_font_size);
	$stmt->bindParam(":menu_btn_font_family", $menu_btn_font_family);
	$stmt->bindParam(":side_btn_form", $side_btn_form);
	$stmt->bindParam(":side_btn_color", $side_btn_color);
	$stmt->bindParam(":side_btn_design", $side_btn_design);
	$stmt->bindParam(":side_btn_img_file_on", $side_btn_img_file_on);
	$stmt->bindParam(":side_btn_img_file_off", $side_btn_img_file_off);
	$stmt->bindParam(":side_btn_img_file_plus_on", $side_btn_img_file_plus_on);
	$stmt->bindParam(":side_btn_img_file_plus_off", $side_btn_img_file_plus_off);
	$stmt->bindParam(":side_btn_img_file_minus", $side_btn_img_file_minus);
	$stmt->bindParam(":side_under_btn_img_file_on", $side_under_btn_img_file_on);
	$stmt->bindParam(":side_under_btn_img_file_off", $side_under_btn_img_file_off);
	$stmt->bindParam(":side_btn_font_color_no_on", $side_btn_font_color_no_on);
	$stmt->bindParam(":side_btn_font_color_no_off", $side_btn_font_color_no_off);
	$stmt->bindParam(":side_under_btn_font_color_no_on", $side_under_btn_font_color_no_on);
	$stmt->bindParam(":side_under_btn_font_color_no_off", $side_under_btn_font_color_no_off);
	$stmt->bindParam(":side_btn_font_bold", $side_btn_font_bold);
	$stmt->bindParam(":side_btn_font_size", $side_btn_font_size);
	$stmt->bindParam(":side_btn_font_family", $side_btn_font_family);
	$stmt->bindParam(":side_background_color", $side_background_color);
	$stmt->bindParam(":side_background_color_no", $side_background_color_no);
	$stmt->bindParam(":footer_form", $footer_form);
	$stmt->bindParam(":footer_color", $footer_color);
	$stmt->bindParam(":footer_color_no", $footer_color_no);
	$stmt->bindParam(":footer_font_color_no", $footer_font_color_no);
	$stmt->bindParam(":index_news_color", $index_news_color);
	$stmt->bindParam(":index_blog_color", $index_blog_color);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//インデックスレイアウトテーブルデータの追加
function insert_index_layout($conn, $menubutton_umu, $menubutton_pos, $slide1_umu, $slide2_umu, $side_menubutton_umu, $side_menubutton_pos, $sidemenu_left_table, $conents_title_umu, $conents_umu) {
	$sql_tmp = "insert into index_layout(menubutton_umu, menubutton_pos, slide1_umu, slide2_umu, side_menubutton_umu, side_menubutton_pos, sidemenu_left_table, conents_title_umu, conents_umu, update_time)
							values(:menubutton_umu, :menubutton_pos, :slide1_umu, :slide2_umu, :side_menubutton_umu, :side_menubutton_pos, :sidemenu_left_table, :conents_title_umu, :conents_umu, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":menubutton_umu", $menubutton_umu);
	$stmt->bindParam(":menubutton_pos", $menubutton_pos);
	
	$stmt->bindParam(":slide1_umu", $slide1_umu);
	$stmt->bindParam(":slide2_umu", $slide2_umu);
	$stmt->bindParam(":side_menubutton_umu", $side_menubutton_umu);
	$stmt->bindParam(":side_menubutton_pos", $side_menubutton_pos);
	$stmt->bindParam(":sidemenu_left_table", $sidemenu_left_table);
	$stmt->bindParam(":conents_title_umu", $conents_title_umu);
	$stmt->bindParam(":conents_umu", $conents_umu);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//インデックスレイアウトテーブルデータの更新
function update_index_layout($conn, $id, $menubutton_umu, $menubutton_pos, $slide1_umu, $slide2_umu, $side_menubutton_umu, $side_menubutton_pos, $sidemenu_left_table, $conents_title_umu, $conents_umu) {
	$sql_tmp = "update index_layout set 
					menubutton_umu		= :menubutton_umu,
					menubutton_pos		= :menubutton_pos,
					slide1_umu			= :slide1_umu,
					slide2_umu			= :slide2_umu,
					side_menubutton_umu	= :side_menubutton_umu,
					side_menubutton_pos	= :side_menubutton_pos,
					sidemenu_left_table	= :sidemenu_left_table,
					conents_title_umu	= :conents_title_umu,
					conents_umu			= :conents_umu,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":menubutton_umu", $menubutton_umu);
	$stmt->bindParam(":menubutton_pos", $menubutton_pos);
	$stmt->bindParam(":slide1_umu", $slide1_umu);
	$stmt->bindParam(":slide2_umu", $slide2_umu);
	$stmt->bindParam(":side_menubutton_umu", $side_menubutton_umu);
	$stmt->bindParam(":side_menubutton_pos", $side_menubutton_pos);
	$stmt->bindParam(":sidemenu_left_table", $sidemenu_left_table);
	$stmt->bindParam(":conents_title_umu", $conents_title_umu);
	$stmt->bindParam(":conents_umu", $conents_umu);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//コンテンツページレイアウトテーブルの追加
function insert_contents_layout($conn, $menu_kbn, $btn_id, $menubutton_umu, $menubutton_pos, $slide1_umu, $slide2_umu, $side_menubutton_umu, $side_menubutton_pos, $sidemenu_left_table, $conents_title_umu, $conents_umu) {
	$sql_tmp = "insert into contents_layout(menu_kbn, btn_id, menubutton_umu, menubutton_pos, slide1_umu, slide2_umu, side_menubutton_umu, side_menubutton_pos, sidemenu_left_table, conents_title_umu, conents_umu, update_time)
							values(:menu_kbn, :btn_id, :menubutton_umu, :menubutton_pos, :slide1_umu, :slide2_umu, :side_menubutton_umu, :side_menubutton_pos, :sidemenu_left_table, :conents_title_umu, :conents_umu, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":menubutton_umu", $menubutton_umu);
	$stmt->bindParam(":menubutton_pos", $menubutton_pos);
	$stmt->bindParam(":slide1_umu", $slide1_umu);
	$stmt->bindParam(":slide2_umu", $slide2_umu);
	$stmt->bindParam(":side_menubutton_umu", $side_menubutton_umu);
	$stmt->bindParam(":side_menubutton_pos", $side_menubutton_pos);
	$stmt->bindParam(":sidemenu_left_table", $sidemenu_left_table);
	$stmt->bindParam(":conents_title_umu", $conents_title_umu);
	$stmt->bindParam(":conents_umu", $conents_umu);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//コンテンツページレイアウトテーブルの更新
function update_contents_layout($conn, $id, $menu_kbn, $btn_id, $menubutton_umu, $menubutton_pos, $slide1_umu, $slide2_umu, $side_menubutton_umu, $side_menubutton_pos, $sidemenu_left_table, $conents_title_umu, $conents_umu) {
	$sql_tmp = "update contents_layout set
					menu_kbn			= :menu_kbn,
					btn_id				= :btn_id,
					menubutton_umu		= :menubutton_umu,
					menubutton_pos		= :menubutton_pos,
					slide1_umu			= :slide1_umu,
					slide2_umu			= :slide2_umu,
					side_menubutton_umu	= :side_menubutton_umu,
					side_menubutton_pos	= :side_menubutton_pos,
					sidemenu_left_table	= :sidemenu_left_table,
					conents_title_umu	= :conents_title_umu,
					conents_umu			= :conents_umu,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":menubutton_umu", $menubutton_umu);
	$stmt->bindParam(":menubutton_pos", $menubutton_pos);
	$stmt->bindParam(":slide1_umu", $slide1_umu);
	$stmt->bindParam(":slide2_umu", $slide2_umu);
	$stmt->bindParam(":side_menubutton_umu", $side_menubutton_umu);
	$stmt->bindParam(":side_menubutton_pos", $side_menubutton_pos);
	$stmt->bindParam(":sidemenu_left_table", $sidemenu_left_table);
	$stmt->bindParam(":conents_title_umu", $conents_title_umu);
	$stmt->bindParam(":conents_umu", $conents_umu);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//サイドコントロールテーブルの追加
function insert_side_ctrl($conn, $menu_kbn, $btn_id, $side_menubutton_pos, $blog_title_pos, $news_title_pos, $item_ranking_pos, $side_free_page_pos, $side_free_contents_pos, $sns_btn_pos) {
	$sql_tmp = "INSERT INTO side_ctrl(menu_kbn, btn_id, side_menubutton_pos, blog_title_pos, news_title_pos, item_ranking_pos, side_free_page_pos, side_free_contents_pos, sns_btn_pos, update_time)
				VALUES(:menu_kbn, :btn_id, :side_menubutton_pos, :blog_title_pos, :news_title_pos, :item_ranking_pos, :side_free_page_pos, :side_free_contents_pos, :sns_btn_pos, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":side_menubutton_pos", $side_menubutton_pos);
	$stmt->bindParam(":blog_title_pos", $blog_title_pos);
	$stmt->bindParam(":news_title_pos", $news_title_pos);
	$stmt->bindParam(":item_ranking_pos", $item_ranking_pos);
	$stmt->bindParam(":side_free_page_pos", $side_free_page_pos);
	$stmt->bindParam(":side_free_contents_pos", $side_free_contents_pos);
	$stmt->bindParam(":sns_btn_pos", $sns_btn_pos);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//データの更新（side_ctrl）
function update_side_ctrl($conn, $id, $menu_kbn, $btn_id, $side_menubutton_pos, $blog_title_pos, $news_title_pos, $item_ranking_pos, $side_free_page_pos, $side_free_contents_pos, $sns_btn_pos) {
	$sql_tmp = "UPDATE side_ctrl SET
				menu_kbn 				= :menu_kbn,
				btn_id 					= :btn_id,
				side_menubutton_pos 	= :side_menubutton_pos,
				blog_title_pos 			= :blog_title_pos,
				news_title_pos 			= :news_title_pos,
				item_ranking_pos 		= :item_ranking_pos,
				side_free_page_pos 		= :side_free_page_pos,
				side_free_contents_pos 	= :side_free_contents_pos,
				sns_btn_pos				= :sns_btn_pos,
				update_time 			= :update_time
				WHERE id 				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":side_menubutton_pos", $side_menubutton_pos);
	$stmt->bindParam(":blog_title_pos", $blog_title_pos);
	$stmt->bindParam(":news_title_pos", $news_title_pos);
	$stmt->bindParam(":item_ranking_pos", $item_ranking_pos);
	$stmt->bindParam(":side_free_page_pos", $side_free_page_pos);
	$stmt->bindParam(":side_free_contents_pos", $side_free_contents_pos);
	$stmt->bindParam(":sns_btn_pos", $sns_btn_pos);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
// 指定データの削除（side_ctrl）
function delete_side_ctrl($conn, $id) {
	$sql_tmp = "DELETE FROM side_ctrl WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//サイド表示順序テーブルデータの追加
function insert_side_order($conn, $side_ctrl_id, $menu_kbn, $btn_id, $pos, $order_no, $taisho, $blog_page_id, $news_page_id, $option_page_id, $option_contents_id, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into side_order(side_ctrl_id, menu_kbn, btn_id, pos, order_no, taisho, blog_page_id, news_page_id, option_page_id, option_contents_id, sns_btn_kbn, dummypage_url, update_time)
							values(:side_ctrl_id, :menu_kbn, :btn_id, :pos, :order_no, :taisho, :blog_page_id, :news_page_id, :option_page_id, :option_contents_id, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	//echo '<br>$sql_tmp='.$sql_tmp;
	$stmt->bindParam(":side_ctrl_id", $side_ctrl_id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":pos", $pos);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":taisho", $taisho);
	$stmt->bindParam(":blog_page_id", $blog_page_id);
	$stmt->bindParam(":news_page_id", $news_page_id);
	$stmt->bindParam(":option_page_id", $option_page_id);
	$stmt->bindParam(":option_contents_id", $option_contents_id);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//サイド表示順序テーブルデータの更新
function update_side_order($conn, $id, $side_ctrl_id, $menu_kbn, $btn_id, $pos, $order_no, $taisho, $blog_page_id, $news_page_id, $option_page_id, $option_contents_id, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update side_order set 
					side_ctrl_id		= :side_ctrl_id, 
					menu_kbn			= :menu_kbn,
					btn_id				= :btn_id,
					pos					= :pos,
					order_no			= :order_no, 
					taisho				= :taisho, 
					blog_page_id		= :blog_page_id, 
					news_page_id		= :news_page_id, 
					option_page_id		= :option_page_id, 
					option_contents_id	= :option_contents_id, 
					sns_btn_kbn			= :sns_btn_kbn,
					dummypage_url		= :dummypage_url,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":side_ctrl_id", $side_ctrl_id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":pos", $pos);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":taisho", $taisho);
	$stmt->bindParam(":blog_page_id", $blog_page_id);
	$stmt->bindParam(":news_page_id", $news_page_id);
	$stmt->bindParam(":option_page_id", $option_page_id);
	$stmt->bindParam(":option_contents_id", $option_contents_id);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（サイド表示順序テーブル）（idで指定されたデータを削除）
function delete_side_order($conn, $id) {
    $sql_tmp = 'DELETE FROM side_order WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//sns_ogp用dataテーブルデータの追加
function insert_sns_ogp_data($conn, $menu_kbn, $btn_id, $page_id, $data_id, $side_order_id, $ogp_title, $ogp_img, $ogp_description) {
	$sql_tmp = "insert into sns_ogp_data(menu_kbn, btn_id, page_id, data_id, side_order_id, ogp_title, ogp_img, ogp_description, update_time)
							values(:menu_kbn, :btn_id, :page_id, :data_id, :side_order_id, :ogp_title, :ogp_img, :ogp_description, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	//echo '<br>$sql_tmp='.$sql_tmp;
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":page_id", $page_id);
	$stmt->bindParam(":data_id", $data_id);
	$stmt->bindParam(":side_order_id", $side_order_id);
	$stmt->bindParam(":ogp_title", $ogp_title);
	$stmt->bindParam(":ogp_img", $ogp_img);
	$stmt->bindParam(":ogp_description", $ogp_description);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//sns_ogp用dataテーブルデータの更新
function update_sns_ogp_data($conn, $id, $menu_kbn, $btn_id, $page_id, $data_id, $side_order_id, $ogp_title, $ogp_img, $ogp_description) {
	$sql_tmp = "update sns_ogp_data set 
					menu_kbn			= :menu_kbn, 
					btn_id				= :btn_id, 
					page_id				= :page_id, 
					data_id				= :data_id, 
					side_order_id		= :side_order_id, 
					ogp_title			= :ogp_title,
					ogp_img				= :ogp_img,
					ogp_description		= :ogp_description,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":page_id", $page_id);
	$stmt->bindParam(":data_id", $data_id);
	$stmt->bindParam(":side_order_id", $side_order_id);
	$stmt->bindParam(":ogp_title", $ogp_title);
	$stmt->bindParam(":ogp_img", $ogp_img);
	$stmt->bindParam(":ogp_description", $ogp_description);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（サイド表示sns_ogp用dataテーブル）（idで指定されたデータを削除）
function delete_sns_ogp_data($conn, $id) {
    $sql_tmp = 'DELETE FROM sns_ogp_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//トップページSNSボタンの追加
function insert_top_page_sns_btn($conn, $top_dsp_kbn, $bottom_dsp_kbn, $sns_btn_kbn, $ogp_site_name, $ogp_title, $ogp_img, $ogp_description) {
	$sql_tmp = "insert into top_page_sns_btn(top_dsp_kbn, bottom_dsp_kbn, sns_btn_kbn, ogp_site_name, ogp_title, ogp_img, ogp_description, update_time)
							values(:top_dsp_kbn, :bottom_dsp_kbn, :sns_btn_kbn, :ogp_site_name, :ogp_title, :ogp_img, :ogp_description, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	//echo '<br>$sql_tmp='.$sql_tmp;
	$stmt->bindParam(":top_dsp_kbn", $top_dsp_kbn);
	$stmt->bindParam(":bottom_dsp_kbn", $bottom_dsp_kbn);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":ogp_site_name", $ogp_site_name);
	$stmt->bindParam(":ogp_title", $ogp_title);
	$stmt->bindParam(":ogp_img", $ogp_img);
	$stmt->bindParam(":ogp_description", $ogp_description);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//トップページSNSボタンの更新
function update_top_page_sns_btn($conn, $id, $top_dsp_kbn, $bottom_dsp_kbn, $sns_btn_kbn, $ogp_site_name, $ogp_title, $ogp_img, $ogp_description) {
	$sql_tmp = "update top_page_sns_btn set 
					top_dsp_kbn			= :top_dsp_kbn,
					bottom_dsp_kbn		= :bottom_dsp_kbn,
					sns_btn_kbn			= :sns_btn_kbn, 
					ogp_site_name		= :ogp_site_name, 
					ogp_title			= :ogp_title,
					ogp_img				= :ogp_img,
					ogp_description		= :ogp_description,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":top_dsp_kbn", $top_dsp_kbn);
	$stmt->bindParam(":bottom_dsp_kbn", $bottom_dsp_kbn);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":ogp_site_name", $ogp_site_name);
	$stmt->bindParam(":ogp_title", $ogp_title);
	$stmt->bindParam(":ogp_img", $ogp_img);
	$stmt->bindParam(":ogp_description", $ogp_description);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（トップページSNSボタン）（idで指定されたデータを削除）
function delete_top_page_sns_btn($conn, $id) {
    $sql_tmp = 'DELETE FROM top_page_sns_btn WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}


//ヘッダーテーブルデータの追加
function insert_header_tbl($conn, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left) {
	$sql_tmp = "insert into header_tbl(logoimg_url, logoname, logo_padding_top, logo_padding_left, header_text, text_padding_top, text_padding_left, update_time)
							values(:logoimg_url, :logoname, :logo_padding_top, :logo_padding_left, :header_text, :text_padding_top, :text_padding_left, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":logoimg_url", $logoimg_url);
	$stmt->bindParam(":logoname", $logoname);
	$stmt->bindParam(":logo_padding_top", $logo_padding_top);
	$stmt->bindParam(":logo_padding_left", $logo_padding_left);
	$stmt->bindParam(":header_text", $header_text);
	$stmt->bindParam(":text_padding_top", $text_padding_top);
	$stmt->bindParam(":text_padding_left", $text_padding_left);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//ヘッダーテーブルデータの更新
function update_header_tbl($conn, $id, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left) {
	$sql_tmp = "update header_tbl set 
					logoimg_url			= :logoimg_url,
					logoname			= :logoname,
					logo_padding_top	= :logo_padding_top,
					logo_padding_left	= :logo_padding_left,
					header_text			= :header_text,
					text_padding_top	= :text_padding_top,
					text_padding_left	= :text_padding_left,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":logoimg_url", $logoimg_url);
	$stmt->bindParam(":logoname", $logoname);
	$stmt->bindParam(":logo_padding_top", $logo_padding_top);
	$stmt->bindParam(":logo_padding_left", $logo_padding_left);
	$stmt->bindParam(":header_text", $header_text);
	$stmt->bindParam(":text_padding_top", $text_padding_top);
	$stmt->bindParam(":text_padding_left", $text_padding_left);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//コンテンツヘッダーテーブルデータの追加
function insert_contents_header_tbl($conn, $menu_kbn, $btn_id, $page_id, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $upper_text, $upper_text_padding_top, $upper_text_padding_left, $upper_text_width, $upper_text_height, $header_text, $text_padding_top, $text_padding_left) {
	$sql_tmp = "insert into contents_header_tbl(menu_kbn, btn_id, page_id, logoimg_url, logoname, logo_padding_top, logo_padding_left, upper_text, upper_text_padding_top, upper_text_padding_left, upper_text_width, upper_text_height, header_text, text_padding_top, text_padding_left, update_time)
							values(:menu_kbn, :btn_id, :page_id, :logoimg_url, :logoname, :logo_padding_top, :logo_padding_left, :upper_text, :upper_text_padding_top, :upper_text_padding_left, :upper_text_width, :upper_text_height, :header_text, :text_padding_top, :text_padding_left, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":page_id", $page_id);
	$stmt->bindParam(":logoimg_url", $logoimg_url);
	$stmt->bindParam(":logoname", $logoname);
	$stmt->bindParam(":logo_padding_top", $logo_padding_top);
	$stmt->bindParam(":logo_padding_left", $logo_padding_left);
	$stmt->bindParam(":upper_text", $upper_text);
	$stmt->bindParam(":upper_text_padding_top", $upper_text_padding_top);
	$stmt->bindParam(":upper_text_padding_left", $upper_text_padding_left);
	$stmt->bindParam(":upper_text_width", $upper_text_width);
	$stmt->bindParam(":upper_text_height", $upper_text_height);
	$stmt->bindParam(":header_text", $header_text);
	$stmt->bindParam(":text_padding_top", $text_padding_top);
	$stmt->bindParam(":text_padding_left", $text_padding_left);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//ヘッダーテーブルデータの更新
function update_contents_header_tbl($conn, $menu_kbn, $btn_id, $page_id, $id, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left) {
	$sql_tmp = "update contents_header_tbl set 
					menu_kbn			= :menu_kbn,
					btn_id				= :btn_id,
					page_id				= :page_id,
					logoimg_url			= :logoimg_url,
					logoname			= :logoname,
					logo_padding_top	= :logo_padding_top,
					logo_padding_left	= :logo_padding_left,
					header_text			= :header_text,
					text_padding_top	= :text_padding_top,
					text_padding_left	= :text_padding_left,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":page_id", $page_id);
	$stmt->bindParam(":logoimg_url", $logoimg_url);
	$stmt->bindParam(":logoname", $logoname);
	$stmt->bindParam(":logo_padding_top", $logo_padding_top);
	$stmt->bindParam(":logo_padding_left", $logo_padding_left);
	$stmt->bindParam(":header_text", $header_text);
	$stmt->bindParam(":text_padding_top", $text_padding_top);
	$stmt->bindParam(":text_padding_left", $text_padding_left);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//セクションの追加
function insert_section($conn, $orderno, $section_form, $margin_top, $section_bk_color, $section_border_width, $section_border_style, $section_border_color, $section_title, 
						$title_padding_top, $padding_left, $padding_top, $padding_right, $padding_bottom, $indent, $title_color, $title_img_no, $title_img_file, $title_area_height, $dsp_form) {
	$sql_tmp = "insert into section(orderno, section_form, margin_top, section_bk_color, section_border_width, section_border_style, section_border_color, section_title, 
									title_padding_top, padding_left, padding_top, padding_right, padding_bottom, indent, title_color, title_img_no, title_img_file, title_area_height, dsp_form, update_time)
							values(:orderno, :section_form, :margin_top, :section_bk_color, :section_border_width, :section_border_style, :section_border_color, :section_title, 
									:title_padding_top, :padding_left, :padding_top, :padding_right, :padding_bottom, :indent, :title_color, :title_img_no, :title_img_file, :title_area_height, :dsp_form, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":section_form", $section_form);
	$stmt->bindParam(":margin_top", $margin_top);
	$stmt->bindParam(":section_bk_color", $section_bk_color);
	$stmt->bindParam(":section_border_width", $section_border_width);
	$stmt->bindParam(":section_border_style", $section_border_style);
	$stmt->bindParam(":section_border_color", $section_border_color);
	$stmt->bindParam(":section_title", $section_title);
	$stmt->bindParam(":title_padding_top", $title_padding_top);
	$stmt->bindParam(":padding_left", $padding_left);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":padding_right", $padding_right);
	$stmt->bindParam(":padding_bottom", $padding_bottom);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":title_area_height", $title_area_height);
	$stmt->bindParam(":dsp_form", $dsp_form);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションの更新
function update_section($conn, $id, $orderno, $section_form, $margin_top, $section_bk_color, $section_border_width, $section_border_style, $section_border_color, $section_title, 
						$title_padding_top, $padding_left, $padding_top, $padding_right, $padding_bottom, $indent, $title_color, $title_img_no, $title_img_file, $title_area_height, $dsp_form) {
	$sql_tmp = "update section set 
					orderno					= :orderno,
					section_form			= :section_form,
					margin_top				= :margin_top,
					section_bk_color		= :section_bk_color,
					section_border_width	= :section_border_width,
					section_border_style	= :section_border_style,
					section_border_color	= :section_border_color,
					section_title			= :section_title,
					title_padding_top		= :title_padding_top,
					padding_left			= :padding_left,
					padding_top				= :padding_top,
					padding_right			= :padding_right,
					padding_bottom			= :padding_bottom,
					indent					= :indent,
					title_color				= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					title_area_height		= :title_area_height,
					dsp_form				= :dsp_form,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":section_form", $section_form);
	$stmt->bindParam(":margin_top", $margin_top);
	$stmt->bindParam(":section_bk_color", $section_bk_color);
	$stmt->bindParam(":section_border_width", $section_border_width);
	$stmt->bindParam(":section_border_style", $section_border_style);
	$stmt->bindParam(":section_border_color", $section_border_color);
	$stmt->bindParam(":section_title", $section_title);
	$stmt->bindParam(":title_padding_top", $title_padding_top);
	$stmt->bindParam(":padding_left", $padding_left);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":padding_right", $padding_right);
	$stmt->bindParam(":padding_bottom", $padding_bottom);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":title_area_height", $title_area_height);
	$stmt->bindParam(":dsp_form", $dsp_form);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（セクションテーブル）（idで指定されたデータを削除）
function delete_section($conn, $id) {
    $sql_tmp = 'DELETE FROM section WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//セクションbox表示順序管理テーブルデータの追加
function insert_section_box_orderno_mng($conn, $section_id, $box_orderno, $data_kbn, $data_id) {
	$sql_tmp = "insert into section_box_orderno_mng(section_id, box_orderno, data_kbn, data_id, update_time)
							values(:section_id, :box_orderno, :data_kbn, :data_id, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":box_orderno", $box_orderno);
	$stmt->bindParam(":data_kbn", $data_kbn);
	$stmt->bindParam(":data_id", $data_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションbox表示順序管理テーブルデータの更新
function update_section_box_orderno_mng($conn, $id, $section_id, $box_orderno, $data_kbn, $data_id) {
	$sql_tmp = "update section_box_orderno_mng set 
					section_id			= :section_id,
					box_orderno			= :box_orderno,
					data_kbn			= :data_kbn,
					data_id				= :data_id,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":box_orderno", $box_orderno);
	$stmt->bindParam(":data_kbn", $data_kbn);
	$stmt->bindParam(":data_id", $data_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（セクションbox表示順序管理テーブルデータ）（section_idで指定されたデータを削除）
function delete_section_box_orderno_mng($conn, $section_id) {
    $sql_tmp = 'DELETE FROM section_box_orderno_mng WHERE (section_id = :section_id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->execute();
}

//セクションＰＣテキストデータの追加
function insert_section_pc_text_data($conn, $section_id, $box_orderno, $orderno, $contents) {
	$sql_tmp = "insert into section_pc_text_data(section_id, box_orderno, orderno, contents, update_time)
							values(:section_id, :box_orderno, :orderno, :contents, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":box_orderno", $box_orderno);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションＰＣテキストデータの更新
function update_section_pc_text_data($conn, $id, $section_id, $box_orderno, $orderno, $contents) {
	$sql_tmp = "update section_pc_text_data set 
					section_id			= :section_id,
					box_orderno			= :box_orderno,
					orderno				= :orderno,
					contents			= :contents,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":box_orderno", $box_orderno);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（セクションＰＣテキストデータ）（idで指定されたデータを削除）
function delete_section_pc_text_data($conn, $id) {
    $sql_tmp = 'DELETE FROM section_pc_text_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//セクションテキストデータの追加
function insert_section_text_data($conn, $section_id, $box_orderno, $orderno, $text_contents, $font_size, $font_color, $background_color, $font_weight, $text_decoration, $font_family, $link_umu, $link_url, $link_page_title, $link_page_open_way) {
	$sql_tmp = "insert into section_text_data(section_id, box_orderno, orderno, text_contents, font_size, font_color, background_color, font_weight, text_decoration, font_family, link_umu, link_url, link_page_title, link_page_open_way, update_time)
							values(:section_id, :box_orderno, :orderno, :text_contents, :font_size, :font_color, :background_color, :font_weight, :text_decoration, :font_family, :link_umu, :link_url, :link_page_title, :link_page_open_way, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":box_orderno", $box_orderno);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":text_contents", $text_contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":font_weight", $font_weight);
	$stmt->bindParam(":text_decoration", $text_decoration);
	$stmt->bindParam(":font_family", $font_family);
	$stmt->bindParam(":link_umu", $link_umu);
	$stmt->bindParam(":link_url", $link_url);
	$stmt->bindParam(":link_page_title", $link_page_title);
	$stmt->bindParam(":link_page_open_way", $link_page_open_way);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションテキストデータの更新
function update_section_text_data($conn, $id, $section_id, $box_orderno, $orderno, $text_contents, $font_size, $font_color, $background_color, $font_weight, $text_decoration, $font_family, $link_umu, $link_url, $link_page_title, $link_page_open_way) {
	$sql_tmp = "update section_text_data set 
					section_id			= :section_id,
					box_orderno			= :box_orderno,
					orderno				= :orderno,
					text_contents		= :text_contents,
					font_size			= :font_size,
					font_color			= :font_color,
					background_color	= :background_color,
					font_weight			= :font_weight,
					text_decoration		= :text_decoration,
					font_family			= :font_family,
					link_umu			= :link_umu,
					link_url			= :link_url,
					link_page_title		= :link_page_title,
					link_page_open_way	= :link_page_open_way,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":box_orderno", $box_orderno);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":text_contents", $text_contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":font_weight", $font_weight);
	$stmt->bindParam(":text_decoration", $text_decoration);
	$stmt->bindParam(":font_family", $font_family);
	$stmt->bindParam(":link_umu", $link_umu);
	$stmt->bindParam(":link_url", $link_url);
	$stmt->bindParam(":link_page_title", $link_page_title);
	$stmt->bindParam(":link_page_open_way", $link_page_open_way);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（セクションテキストデータ）（idで指定されたデータを削除）
function delete_section_text_data($conn, $id) {
    $sql_tmp = 'DELETE FROM section_text_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//セクション画像データの追加
function insert_section_img_data($conn, $section_id, $box_orderno, $left_light_pos, $img_file) {
	$sql_tmp = "insert into section_img_data(section_id, box_orderno, left_light_pos, img_file, update_time)
							values(:section_id, :box_orderno, :left_light_pos, :img_file, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":box_orderno", $box_orderno);
	$stmt->bindParam(":left_light_pos", $left_light_pos);
	$stmt->bindParam(":img_file", $img_file);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクション画像データの更新
function update_section_img_data($conn, $id, $section_id, $box_orderno, $left_light_pos, $img_file) {
	$sql_tmp = "update section_img_data set 
					section_id			= :section_id,
					box_orderno			= :box_orderno,
					left_light_pos		= :left_light_pos,
					img_file			= :img_file,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":box_orderno", $box_orderno);
	$stmt->bindParam(":left_light_pos", $left_light_pos);
	$stmt->bindParam(":img_file", $img_file);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（セクション画像データ）（idで指定されたデータを削除）
function delete_section_img_data($conn, $id) {
    $sql_tmp = 'DELETE FROM section_img_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//セクションＣＴＡデータの追加
function insert_section_cta_data($conn, $section_id, $cta_btn_img_no, $cta_btn_img_file, $botton_name, $font_size, $font_color, $font_weight, $text_decoration, $font_family, 
									$letter_spacing, $section_left, $section_top, $section_bottom, $botton_left, $botton_top, $botton_bottom, $cta_syurui, $cta_proc_data_id, $sitei_page_url, $page_open_way) {
	$sql_tmp = "insert into section_cta_data(section_id, cta_btn_img_no, cta_btn_img_file, botton_name, font_size, font_color, font_weight, text_decoration, font_family, 
	letter_spacing, section_left, section_top, section_bottom, botton_left, botton_top, botton_bottom, cta_syurui, cta_proc_data_id, sitei_page_url, page_open_way, update_time)
							values(:section_id, :cta_btn_img_no, :cta_btn_img_file, :botton_name, :font_size, :font_color, :font_weight, :text_decoration, :font_family, 
							:letter_spacing, :section_left, :section_top, :section_bottom, :botton_left, :botton_top, :botton_bottom, :cta_syurui, :cta_proc_data_id, :sitei_page_url, :page_open_way, :update_time)";
	echo '<br>func$cta_btn_img_file='.$cta_btn_img_file;	// debug
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":cta_btn_img_no", $cta_btn_img_no);
	$stmt->bindParam(":cta_btn_img_file", $cta_btn_img_file);
	$stmt->bindParam(":botton_name", $botton_name);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":font_weight", $font_weight);
	$stmt->bindParam(":text_decoration", $text_decoration);
	$stmt->bindParam(":font_family", $font_family);
	$stmt->bindParam(":letter_spacing", $letter_spacing);
	$stmt->bindParam(":section_left", $section_left);
	$stmt->bindParam(":section_top", $section_top);
	$stmt->bindParam(":section_bottom", $section_bottom);
	$stmt->bindParam(":botton_left", $botton_left);
	$stmt->bindParam(":botton_top", $botton_top);
	$stmt->bindParam(":botton_bottom", $botton_bottom);
	$stmt->bindParam(":cta_syurui", $cta_syurui);
	$stmt->bindParam(":cta_proc_data_id", $cta_proc_data_id);
	$stmt->bindParam(":sitei_page_url", $sitei_page_url);
	$stmt->bindParam(":page_open_way", $page_open_way);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションＣＴＡデータの更新
function update_section_cta_data($conn, $id, $section_id, $cta_btn_img_no, $cta_btn_img_file, $botton_name, $font_size, $font_color, $font_weight, $text_decoration, $font_family, 
									$letter_spacing, $section_left, $section_top, $section_bottom, $botton_left, $botton_top, $botton_bottom, $cta_syurui, $cta_proc_data_id, $sitei_page_url, $page_open_way) {
	$sql_tmp = "update section_cta_data set 
					section_id				= :section_id,
					cta_btn_img_no			= :cta_btn_img_no,
					cta_btn_img_file		= :cta_btn_img_file,
					botton_name				= :botton_name,
					font_size				= :font_size,
					font_color				= :font_color,
					font_weight				= :font_weight,
					text_decoration			= :text_decoration,
					font_family				= :font_family,
					letter_spacing			= :letter_spacing,
					section_left			= :section_left,
					section_top				= :section_top,
					section_bottom			= :section_bottom,
					botton_left				= :botton_left,
					botton_top				= :botton_top,
					botton_bottom			= :botton_bottom,
					cta_syurui				= :cta_syurui,
					cta_proc_data_id		= :cta_proc_data_id,
					sitei_page_url			= :sitei_page_url,
					page_open_way			= :page_open_way,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":cta_btn_img_no", $cta_btn_img_no);
	$stmt->bindParam(":cta_btn_img_file", $cta_btn_img_file);
	$stmt->bindParam(":botton_name", $botton_name);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":font_weight", $font_weight);
	$stmt->bindParam(":text_decoration", $text_decoration);
	$stmt->bindParam(":font_family", $font_family);
	$stmt->bindParam(":letter_spacing", $letter_spacing);
	$stmt->bindParam(":section_left", $section_left);
	$stmt->bindParam(":section_top", $section_top);
	$stmt->bindParam(":section_bottom", $section_bottom);
	$stmt->bindParam(":botton_left", $botton_left);
	$stmt->bindParam(":botton_top", $botton_top);
	$stmt->bindParam(":botton_bottom", $botton_bottom);
	$stmt->bindParam(":cta_syurui", $cta_syurui);
	$stmt->bindParam(":cta_proc_data_id", $cta_proc_data_id);
	$stmt->bindParam(":sitei_page_url", $sitei_page_url);
	$stmt->bindParam(":page_open_way", $page_open_way);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$ret = $stmt->execute();
}
//指定データの削除（セクションＣＴＡデータ）（idで指定されたデータを削除）
function delete_section_cta_data($conn, $id) {
    $sql_tmp = 'DELETE FROM section_cta_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//セクションＣＴＡ完了データの追加
function insert_section_cta_complete_data($conn, $section_id, $section_cta_data_id, $contents, $background_kbn, $background_color, $background_img) {
	$sql_tmp = "insert into section_cta_complete_data(section_id, section_cta_data_id, contents, background_kbn, background_color, background_img, update_time)
							values(:section_id, :section_cta_data_id, :contents, :background_kbn, :background_color, :background_img, :update_time)";
	echo '<br>func$cta_btn_img_file='.$cta_btn_img_file;	// debug
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":section_cta_data_id", $section_cta_data_id);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":background_kbn", $background_kbn);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":background_img", $background_img);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションＣＴＡ完了データの更新
function update_section_cta_complete_data($conn, $id, $section_id, $section_cta_data_id, $contents, $background_kbn, $background_color, $background_img) {
	//echo '<br>func_$id='.$id;	// debug
	$sql_tmp = "update section_cta_complete_data set 
					section_id				= :section_id,
					section_cta_data_id		= :section_cta_data_id,
					contents				= :contents,
					background_kbn			= :background_kbn,
					background_color		= :background_color,
					background_img			= :background_img,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	//echo '<br>func_$id2='.$id;	// debug
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":section_cta_data_id", $section_cta_data_id);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":background_kbn", $background_kbn);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":background_img", $background_img);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$ret = $stmt->execute();
}
//指定データの削除（セクションＣＴＡ完了データ）（idで指定されたデータを削除）
function delete_section_cta_complete_data($conn, $id) {
    $sql_tmp = 'DELETE FROM section_cta_complete_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//セクションＣＴＡカウントダウンタイマーの追加
function insert_section_cta_count_down_timer($conn, $section_id, $section_cta_data_id, $title_top, $title_left, $title_right, $complete_time, $title_font_size, $timer_font_size, 
												$title_color, $timer_color, $title_background_color, $timer_background_color, $erea_border_width, $erea_border_style, $erea_border_color) {
	$sql_tmp = "insert into section_cta_count_down_timer(section_id, section_cta_data_id, title_top, title_left, title_right, complete_time, title_font_size, timer_font_size, 
												title_color, timer_color, title_background_color, timer_background_color, erea_border_width, erea_border_style, erea_border_color, update_time)
							values(:section_id, :section_cta_data_id, :title_top, :title_left, :title_right, :complete_time, :title_font_size, :timer_font_size, 
												:title_color, :timer_color, :title_background_color, :timer_background_color, :erea_border_width, :erea_border_style, :erea_border_color, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":section_cta_data_id", $section_cta_data_id);
	$stmt->bindParam(":title_top", $title_top);
	$stmt->bindParam(":title_left", $title_left);
	$stmt->bindParam(":title_right", $title_right);
	$stmt->bindParam(":complete_time", $complete_time);
	$stmt->bindParam(":title_font_size", $title_font_size);
	$stmt->bindParam(":timer_font_size", $timer_font_size);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":timer_color", $timer_color);
	$stmt->bindParam(":title_background_color", $title_background_color);
	$stmt->bindParam(":timer_background_color", $timer_background_color);
	$stmt->bindParam(":erea_border_width", $erea_border_width);
	$stmt->bindParam(":erea_border_style", $erea_border_style);
	$stmt->bindParam(":erea_border_color", $erea_border_color);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションＣＴＡカウントダウンタイマーの更新
function update_section_cta_count_down_timer($conn, $id, $section_id, $section_cta_data_id, $title_top, $title_left, $title_right, $complete_time, $title_font_size, $timer_font_size, 
												$title_color, $timer_color, $title_background_color, $timer_background_color, $erea_border_width, $erea_border_style, $erea_border_color) {
	$sql_tmp = "update section_cta_count_down_timer set 
					section_id						= :section_id,
					section_cta_data_id				= :section_cta_data_id,
					title_top						= :title_top,
					title_left						= :title_left,
					title_right						= :title_right,
					complete_time					= :complete_time,
					title_font_size					= :title_font_size,
					timer_font_size					= :timer_font_size,
					title_color						= :title_color,
					timer_color						= :timer_color,
					title_background_color			= :title_background_color,
					timer_background_color			= :timer_background_color,
					erea_border_width				= :erea_border_width,
					erea_border_style				= :erea_border_style,
					erea_border_color				= :erea_border_color,
					update_time 					= :update_time
					where id						= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":section_id", $section_id);
	$stmt->bindParam(":section_cta_data_id", $section_cta_data_id);
	$stmt->bindParam(":title_top", $title_top);
	$stmt->bindParam(":title_left", $title_left);
	$stmt->bindParam(":title_right", $title_right);
	$stmt->bindParam(":complete_time", $complete_time);
	$stmt->bindParam(":title_font_size", $title_font_size);
	$stmt->bindParam(":timer_font_size", $timer_font_size);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":timer_color", $timer_color);
	$stmt->bindParam(":title_background_color", $title_background_color);
	$stmt->bindParam(":timer_background_color", $timer_background_color);
	$stmt->bindParam(":erea_border_width", $erea_border_width);
	$stmt->bindParam(":erea_border_style", $erea_border_style);
	$stmt->bindParam(":erea_border_color", $erea_border_color);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$ret = $stmt->execute();
	//echo '<br>$ret='.$ret;	// debug
}
//指定データの削除（セクションＣＴＡ完了データ）（idで指定されたデータを削除）
function delete_section_cta_count_down_timer($conn, $id) {
    $sql_tmp = 'DELETE FROM section_cta_count_down_timer WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//セクションＣＴＡ処理データの追加
function insert_section_cta_proc_data($conn, $cta_proc_no, $sohu_address_title, $dsp_name, $name_hissu, $name_sample, $dsp_name_kana, $name_kana_hissu, $name_kana_sample, $dsp_yubin_no, $yubin_no_hissu, $yubin_no_sample, 
									$dsp_todohuken, $todohuken_hissu, $todohuken_sample, $dsp_city, $city_hissu, $city_sample, $dsp_areabanchi, $areabanchi_hissu, $areabanchi_sample, $dsp_tatemono, $tatemono_hissu, $tatemono_sample, 
									$dsp_e_mail, $e_mail_hissu, $e_mail_sample, $dsp_tel_no, $tel_no_hissu, $tel_no_sample, $dsp_seinengappi, $seinengappi_hissu, $seinengappi_sample, $dsp_seibetu, $seibetu_hissu, $seibetu_sample, 
									$dsp_free1, $free1_hissu, $free1_sample, $dsp_free2, $free2_hissu, $free2_sample, $dsp_free3, $free3_hissu, $free3_sample, $dsp_renraku, $renraku_hissu, $renraku_sample, $seikyu_address_title, $seikyu_dsp_kbn, 
									$dsp_sname, $sname_hissu, $sname_sample, $dsp_sname_kana, $sname_kana_hissu, $sname_kana_sample, $dsp_syubin_no, $syubin_no_hissu, $syubin_no_sample, $dsp_stodohuken, $stodohuken_hissu, $stodohuken_sample, 
									$dsp_scity, $scity_hissu, $scity_sample, $dsp_sareabanchi, $sareabanchi_hissu, $sareabanchi_sample, $dsp_statemono, $statemono_hissu, $statemono_sample, $dsp_se_mail, $se_mail_hissu, $se_mail_sample, 
									$dsp_stel_no, $stel_no_hissu, $stel_no_sample, $item_service_name, $item_code, $price, $dsp_price_name, $price_hissu, $buy_quantity_display, $stock_quantity, $stock_chk, $siharai_hoho, $muryo_kikan, 
									$muryo_kikan_unit, $infotop_kessai_link, $gaibu_url) {
	$sql_tmp = "insert into section_cta_proc_data(cta_proc_no, sohu_address_title, dsp_name, name_hissu, name_sample, dsp_name_kana, name_kana_hissu, name_kana_sample, dsp_yubin_no, yubin_no_hissu, yubin_no_sample, 
									dsp_todohuken, todohuken_hissu, todohuken_sample, dsp_city, city_hissu, city_sample, dsp_areabanchi, areabanchi_hissu, areabanchi_sample, dsp_tatemono, tatemono_hissu, tatemono_sample, 
									dsp_e_mail, e_mail_hissu, e_mail_sample, dsp_tel_no, tel_no_hissu, tel_no_sample, dsp_seinengappi, seinengappi_hissu, seinengappi_sample, dsp_seibetu, seibetu_hissu, seibetu_sample, 
									dsp_free1, free1_hissu, free1_sample, dsp_free2, free2_hissu, free2_sample, dsp_free3, free3_hissu, free3_sample, dsp_renraku, renraku_hissu, renraku_sample, seikyu_address_title, seikyu_dsp_kbn, 
									dsp_sname, sname_hissu, sname_sample, dsp_sname_kana, sname_kana_hissu, sname_kana_sample, dsp_syubin_no, syubin_no_hissu, syubin_no_sample, dsp_stodohuken, stodohuken_hissu, stodohuken_sample, dsp_scity, 
									scity_hissu, scity_sample, dsp_sareabanchi, sareabanchi_hissu, sareabanchi_sample, dsp_statemono, statemono_hissu, statemono_sample, dsp_se_mail, se_mail_hissu, se_mail_sample, 
									dsp_stel_no, stel_no_hissu, stel_no_sample, item_service_name, item_code, price, dsp_price_name, price_hissu, buy_quantity_display, stock_quantity, stock_chk, siharai_hoho, muryo_kikan, 
									muryo_kikan_unit, infotop_kessai_link, gaibu_url, update_time)
							values(:cta_proc_no, :sohu_address_title, :dsp_name, :name_hissu, :name_sample, :dsp_name_kana, :name_kana_hissu, :name_kana_sample, :dsp_yubin_no, :yubin_no_hissu, :yubin_no_sample, 
									:dsp_todohuken, :todohuken_hissu, :todohuken_sample, :dsp_city, :city_hissu, :city_sample, :dsp_areabanchi, :areabanchi_hissu, :areabanchi_sample, :dsp_tatemono, :tatemono_hissu, :tatemono_sample, 
									:dsp_e_mail, :e_mail_hissu, :e_mail_sample, :dsp_tel_no, :tel_no_hissu, :tel_no_sample, :dsp_seinengappi, :seinengappi_hissu, :seinengappi_sample, :dsp_seibetu, :seibetu_hissu, :seibetu_sample, 
									:dsp_free1, :free1_hissu, :free1_sample, :dsp_free2, :free2_hissu, :free2_sample, :dsp_free3, :free3_hissu, :free3_sample, :dsp_renraku, :renraku_hissu, :renraku_sample, :seikyu_address_title, :seikyu_dsp_kbn, 
									:dsp_sname, :sname_hissu, :sname_sample, :dsp_sname_kana, :sname_kana_hissu, :sname_kana_sample, :dsp_syubin_no, :syubin_no_hissu, :syubin_no_sample, :dsp_stodohuken, :stodohuken_hissu, :stodohuken_sample, 
									:dsp_scity, :scity_hissu, :scity_sample, :dsp_sareabanchi, :sareabanchi_hissu, :sareabanchi_sample, :dsp_statemono, :statemono_hissu, :statemono_sample, :dsp_se_mail, :se_mail_hissu, :se_mail_sample, 
									:dsp_stel_no, :stel_no_hissu, :stel_no_sample, :item_service_name, :item_code, :price, :dsp_price_name, :price_hissu, :buy_quantity_display, :stock_quantity, :stock_chk, :siharai_hoho, :muryo_kikan, 
									:muryo_kikan_unit, :infotop_kessai_link, :gaibu_url, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":sohu_address_title", $sohu_address_title);
	$stmt->bindParam(":dsp_name", $dsp_name);
	$stmt->bindParam(":name_hissu", $name_hissu);
	$stmt->bindParam(":name_sample", $name_sample);
	$stmt->bindParam(":dsp_name_kana", $dsp_name_kana);
	$stmt->bindParam(":name_kana_hissu", $name_kana_hissu);
	$stmt->bindParam(":name_kana_sample", $name_kana_sample);
	$stmt->bindParam(":dsp_yubin_no", $dsp_yubin_no);
	$stmt->bindParam(":yubin_no_hissu", $yubin_no_hissu);
	$stmt->bindParam(":yubin_no_sample", $yubin_no_sample);
	$stmt->bindParam(":dsp_todohuken", $dsp_todohuken);
	$stmt->bindParam(":todohuken_hissu", $todohuken_hissu);
	$stmt->bindParam(":todohuken_sample", $todohuken_sample);
	$stmt->bindParam(":dsp_city", $dsp_city);
	$stmt->bindParam(":city_hissu", $city_hissu);
	$stmt->bindParam(":city_sample", $city_sample);
	$stmt->bindParam(":dsp_areabanchi", $dsp_areabanchi);
	$stmt->bindParam(":areabanchi_hissu", $areabanchi_hissu);
	$stmt->bindParam(":areabanchi_sample", $areabanchi_sample);
	$stmt->bindParam(":dsp_tatemono", $dsp_tatemono);
	$stmt->bindParam(":tatemono_hissu", $tatemono_hissu);
	$stmt->bindParam(":tatemono_sample", $tatemono_sample);
	$stmt->bindParam(":dsp_e_mail", $dsp_e_mail);
	$stmt->bindParam(":e_mail_hissu", $e_mail_hissu);
	$stmt->bindParam(":e_mail_sample", $e_mail_sample);
	$stmt->bindParam(":dsp_tel_no", $dsp_tel_no);
	$stmt->bindParam(":tel_no_hissu", $tel_no_hissu);
	$stmt->bindParam(":tel_no_sample", $tel_no_sample);
	$stmt->bindParam(":dsp_seinengappi", $dsp_seinengappi);
	$stmt->bindParam(":seinengappi_hissu", $seinengappi_hissu);
	$stmt->bindParam(":seinengappi_sample", $seinengappi_sample);
	$stmt->bindParam(":dsp_seibetu", $dsp_seibetu);
	$stmt->bindParam(":seibetu_hissu", $seibetu_hissu);
	$stmt->bindParam(":seibetu_sample", $seibetu_sample);
	$stmt->bindParam(":dsp_free1", $dsp_free1);
	$stmt->bindParam(":free1_hissu", $free1_hissu);
	$stmt->bindParam(":free1_sample", $free1_sample);
	$stmt->bindParam(":dsp_free2", $dsp_free2);
	$stmt->bindParam(":free2_hissu", $free2_hissu);
	$stmt->bindParam(":free2_sample", $free2_sample);
	$stmt->bindParam(":dsp_free3", $dsp_free3);
	$stmt->bindParam(":free3_hissu", $free3_hissu);
	$stmt->bindParam(":free3_sample", $free3_sample);
	$stmt->bindParam(":dsp_renraku", $dsp_renraku);
	$stmt->bindParam(":renraku_hissu", $renraku_hissu);
	$stmt->bindParam(":renraku_sample", $renraku_sample);
	$stmt->bindParam(":seikyu_address_title", $seikyu_address_title);
	$stmt->bindParam(":seikyu_dsp_kbn", $seikyu_dsp_kbn);
	$stmt->bindParam(":dsp_sname", $dsp_sname);
	$stmt->bindParam(":sname_hissu", $sname_hissu);
	$stmt->bindParam(":sname_sample", $sname_sample);
	$stmt->bindParam(":dsp_sname_kana", $dsp_sname_kana);
	$stmt->bindParam(":sname_kana_hissu", $sname_kana_hissu);
	$stmt->bindParam(":sname_kana_sample", $sname_kana_sample);
	$stmt->bindParam(":dsp_syubin_no", $dsp_syubin_no);
	$stmt->bindParam(":syubin_no_hissu", $syubin_no_hissu);
	$stmt->bindParam(":syubin_no_sample", $syubin_no_sample);
	$stmt->bindParam(":dsp_stodohuken", $dsp_stodohuken);
	$stmt->bindParam(":stodohuken_hissu", $stodohuken_hissu);
	$stmt->bindParam(":stodohuken_sample", $stodohuken_sample);
	$stmt->bindParam(":dsp_scity", $dsp_scity);
	$stmt->bindParam(":scity_hissu", $scity_hissu);
	$stmt->bindParam(":scity_sample", $scity_sample);
	$stmt->bindParam(":dsp_sareabanchi", $dsp_sareabanchi);
	$stmt->bindParam(":sareabanchi_hissu", $sareabanchi_hissu);
	$stmt->bindParam(":sareabanchi_sample", $sareabanchi_sample);
	$stmt->bindParam(":dsp_statemono", $dsp_statemono);
	$stmt->bindParam(":statemono_hissu", $statemono_hissu);
	$stmt->bindParam(":statemono_sample", $statemono_sample);
	$stmt->bindParam(":dsp_se_mail", $dsp_se_mail);
	$stmt->bindParam(":se_mail_hissu", $se_mail_hissu);
	$stmt->bindParam(":se_mail_sample", $se_mail_sample);
	$stmt->bindParam(":dsp_stel_no", $dsp_stel_no);
	$stmt->bindParam(":stel_no_hissu", $stel_no_hissu);
	$stmt->bindParam(":stel_no_sample", $stel_no_sample);
	$stmt->bindParam(":item_service_name", $item_service_name);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":dsp_price_name", $dsp_price_name);
	$stmt->bindParam(":price_hissu", $price_hissu);
	$stmt->bindParam(":buy_quantity_display", $buy_quantity_display);
	$stmt->bindParam(":stock_quantity", $stock_quantity);
	$stmt->bindParam(":stock_chk", $stock_chk);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":muryo_kikan", $muryo_kikan);
	$stmt->bindParam(":muryo_kikan_unit", $muryo_kikan_unit);
	$stmt->bindParam(":infotop_kessai_link", $infotop_kessai_link);
	$stmt->bindParam(":gaibu_url", $gaibu_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションＣＴＡ処理データの更新
function update_section_cta_proc_data($conn, $id, $cta_proc_no, $sohu_address_title, $dsp_name, $name_hissu, $name_sample, $dsp_name_kana, $name_kana_hissu, $name_kana_sample, $dsp_yubin_no, $yubin_no_hissu, $yubin_no_sample, 
									$dsp_todohuken, $todohuken_hissu, $todohuken_sample, $dsp_city, $city_hissu, $city_sample, $dsp_areabanchi, $areabanchi_hissu, $areabanchi_sample, $dsp_tatemono, $tatemono_hissu, $tatemono_sample, 
									$dsp_e_mail, $e_mail_hissu, $e_mail_sample, $dsp_tel_no, $tel_no_hissu, $tel_no_sample, $dsp_seinengappi, $seinengappi_hissu, $seinengappi_sample, $dsp_seibetu, $seibetu_hissu, $seibetu_sample, 
									$dsp_free1, $free1_hissu, $free1_sample, $dsp_free2, $free2_hissu, $free2_sample, $dsp_free3, $free3_hissu, $free3_sample, $dsp_renraku, $renraku_hissu, $renraku_sample, $seikyu_address_title, $seikyu_dsp_kbn, 
									$dsp_sname, $sname_hissu, $sname_sample, $dsp_sname_kana, $sname_kana_hissu, $sname_kana_sample, $dsp_syubin_no, $syubin_no_hissu, $syubin_no_sample, $dsp_stodohuken, $stodohuken_hissu, $stodohuken_sample, 
									$dsp_scity, $scity_hissu, $scity_sample, $dsp_sareabanchi, $sareabanchi_hissu, $sareabanchi_sample, $dsp_statemono, $statemono_hissu, $statemono_sample, $dsp_se_mail, $se_mail_hissu, $se_mail_sample, 
									$dsp_stel_no, $stel_no_hissu, $stel_no_sample, $item_service_name, $item_code, $price, $dsp_price_name, $price_hissu, $buy_quantity_display, $stock_quantity, $stock_chk, $siharai_hoho, $muryo_kikan, 
									$muryo_kikan_unit, $infotop_kessai_link, $gaibu_url) {
	$sql_tmp = "update section_cta_proc_data set 
					cta_proc_no			= :cta_proc_no,
					sohu_address_title	= :sohu_address_title,
					dsp_name 			= :dsp_name,
					name_hissu 			= :name_hissu,
					name_sample 		= :name_sample,
					dsp_name_kana 		= :dsp_name_kana,
					name_kana_hissu 	= :name_kana_hissu,
					name_kana_sample 	= :name_kana_sample,
					dsp_yubin_no 		= :dsp_yubin_no,
					yubin_no_hissu 		= :yubin_no_hissu,
					yubin_no_sample 	= :yubin_no_sample,
					dsp_todohuken 		= :dsp_todohuken,
					todohuken_hissu 	= :todohuken_hissu,
					todohuken_sample 	= :todohuken_sample,
					dsp_city 			= :dsp_city,
					city_hissu 			= :city_hissu,
					city_sample 		= :city_sample,
					dsp_areabanchi 		= :dsp_areabanchi,
					areabanchi_hissu 	= :areabanchi_hissu,
					areabanchi_sample 	= :areabanchi_sample,
					dsp_tatemono 		= :dsp_tatemono,
					tatemono_hissu 		= :tatemono_hissu,
					tatemono_sample 	= :tatemono_sample,
					dsp_e_mail 			= :dsp_e_mail,
					e_mail_hissu		= :e_mail_hissu,
					e_mail_sample 		= :e_mail_sample,
					dsp_tel_no 			= :dsp_tel_no,
					tel_no_hissu 		= :tel_no_hissu,
					tel_no_sample 		= :tel_no_sample,
					dsp_seinengappi 	= :dsp_seinengappi,
					seinengappi_hissu 	= :seinengappi_hissu,
					seinengappi_sample 	= :seinengappi_sample,
					dsp_seibetu 		= :dsp_seibetu,
					seibetu_hissu 		= :seibetu_hissu,
					seibetu_sample 		= :seibetu_sample,
					dsp_free1 			= :dsp_free1,
					free1_hissu 		= :free1_hissu,
					free1_sample 		= :free1_sample,
					dsp_free2 			= :dsp_free2,
					free2_hissu 		= :free2_hissu,
					free2_sample 		= :free2_sample,
					dsp_free3 			= :dsp_free3,
					free3_hissu 		= :free3_hissu,
					free3_sample 		= :free3_sample,
					dsp_renraku 		= :dsp_renraku,
					renraku_hissu 		= :renraku_hissu,
					renraku_sample 		= :renraku_sample,
					seikyu_address_title	= :seikyu_address_title,
					seikyu_dsp_kbn 		= :seikyu_dsp_kbn,
					dsp_sname 			= :dsp_sname,
					sname_hissu 		= :sname_hissu,
					sname_sample 		= :sname_sample,
					dsp_sname_kana 		= :dsp_sname_kana,
					sname_kana_hissu 	= :sname_kana_hissu,
					sname_kana_sample 	= :sname_kana_sample,
					dsp_syubin_no 		= :dsp_syubin_no,
					syubin_no_hissu 	= :syubin_no_hissu,
					syubin_no_sample 	= :syubin_no_sample,
					dsp_stodohuken 		= :dsp_stodohuken,
					stodohuken_hissu 	= :stodohuken_hissu,
					stodohuken_sample 	= :stodohuken_sample,
					dsp_scity 			= :dsp_scity,
					scity_hissu 		= :scity_hissu,
					scity_sample 		= :scity_sample,
					dsp_sareabanchi 	= :dsp_sareabanchi,
					sareabanchi_hissu 	= :sareabanchi_hissu,
					sareabanchi_sample 	= :sareabanchi_sample,
					dsp_statemono 		= :dsp_statemono,
					statemono_hissu 	= :statemono_hissu,
					statemono_sample 	= :statemono_sample,
					dsp_se_mail 		= :dsp_se_mail,
					se_mail_hissu		= :se_mail_hissu,
					se_mail_sample 		= :se_mail_sample,
					dsp_stel_no 		= :dsp_stel_no,
					stel_no_hissu 		= :stel_no_hissu,
					stel_no_sample 		= :stel_no_sample,
					item_service_name	= :item_service_name,
					item_code			= :item_code,
					price 				= :price,
					dsp_price_name 		= :dsp_price_name,
					price_hissu 		= :price_hissu,
					buy_quantity_display = :buy_quantity_display,
					stock_quantity		= :stock_quantity,
					stock_chk			= :stock_chk,
					siharai_hoho 		= :siharai_hoho,
					muryo_kikan 		= :muryo_kikan,
					muryo_kikan_unit 	= :muryo_kikan_unit,
					infotop_kessai_link	= :infotop_kessai_link,
					gaibu_url 			= :gaibu_url,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":sohu_address_title", $sohu_address_title);
	$stmt->bindParam(":dsp_name", $dsp_name);
	$stmt->bindParam(":name_hissu", $name_hissu);
	$stmt->bindParam(":name_sample", $name_sample);
	$stmt->bindParam(":dsp_name_kana", $dsp_name_kana);
	$stmt->bindParam(":name_kana_hissu", $name_kana_hissu);
	$stmt->bindParam(":name_kana_sample", $name_kana_sample);
	$stmt->bindParam(":dsp_yubin_no", $dsp_yubin_no);
	$stmt->bindParam(":yubin_no_hissu", $yubin_no_hissu);
	$stmt->bindParam(":yubin_no_sample", $yubin_no_sample);
	$stmt->bindParam(":dsp_todohuken", $dsp_todohuken);
	$stmt->bindParam(":todohuken_hissu", $todohuken_hissu);
	$stmt->bindParam(":todohuken_sample", $todohuken_sample);
	$stmt->bindParam(":dsp_city", $dsp_city);
	$stmt->bindParam(":city_hissu", $city_hissu);
	$stmt->bindParam(":city_sample", $city_sample);
	$stmt->bindParam(":dsp_areabanchi", $dsp_areabanchi);
	$stmt->bindParam(":areabanchi_hissu", $areabanchi_hissu);
	$stmt->bindParam(":areabanchi_sample", $areabanchi_sample);
	$stmt->bindParam(":dsp_tatemono", $dsp_tatemono);
	$stmt->bindParam(":tatemono_hissu", $tatemono_hissu);
	$stmt->bindParam(":tatemono_sample", $tatemono_sample);
	$stmt->bindParam(":dsp_e_mail", $dsp_e_mail);
	$stmt->bindParam(":e_mail_hissu", $e_mail_hissu);
	$stmt->bindParam(":e_mail_sample", $e_mail_sample);
	$stmt->bindParam(":dsp_tel_no", $dsp_tel_no);
	$stmt->bindParam(":tel_no_hissu", $tel_no_hissu);
	$stmt->bindParam(":tel_no_sample", $tel_no_sample);
	$stmt->bindParam(":dsp_seinengappi", $dsp_seinengappi);
	$stmt->bindParam(":seinengappi_hissu", $seinengappi_hissu);
	$stmt->bindParam(":seinengappi_sample", $seinengappi_sample);
	$stmt->bindParam(":dsp_seibetu", $dsp_seibetu);
	$stmt->bindParam(":seibetu_hissu", $seibetu_hissu);
	$stmt->bindParam(":seibetu_sample", $seibetu_sample);
	$stmt->bindParam(":dsp_free1", $dsp_free1);
	$stmt->bindParam(":free1_hissu", $free1_hissu);
	$stmt->bindParam(":free1_sample", $free1_sample);
	$stmt->bindParam(":dsp_free2", $dsp_free2);
	$stmt->bindParam(":free2_hissu", $free2_hissu);
	$stmt->bindParam(":free2_sample", $free2_sample);
	$stmt->bindParam(":dsp_free3", $dsp_free3);
	$stmt->bindParam(":free3_hissu", $free3_hissu);
	$stmt->bindParam(":free3_sample", $free3_sample);
	$stmt->bindParam(":dsp_renraku", $dsp_renraku);
	$stmt->bindParam(":renraku_hissu", $renraku_hissu);
	$stmt->bindParam(":renraku_sample", $renraku_sample);
	$stmt->bindParam(":seikyu_address_title", $seikyu_address_title);
	$stmt->bindParam(":seikyu_dsp_kbn", $seikyu_dsp_kbn);
	$stmt->bindParam(":dsp_sname", $dsp_sname);
	$stmt->bindParam(":sname_hissu", $sname_hissu);
	$stmt->bindParam(":sname_sample", $sname_sample);
	$stmt->bindParam(":dsp_sname_kana", $dsp_sname_kana);
	$stmt->bindParam(":sname_kana_hissu", $sname_kana_hissu);
	$stmt->bindParam(":sname_kana_sample", $sname_kana_sample);
	$stmt->bindParam(":dsp_syubin_no", $dsp_syubin_no);
	$stmt->bindParam(":syubin_no_hissu", $syubin_no_hissu);
	$stmt->bindParam(":syubin_no_sample", $syubin_no_sample);
	$stmt->bindParam(":dsp_stodohuken", $dsp_stodohuken);
	$stmt->bindParam(":stodohuken_hissu", $stodohuken_hissu);
	$stmt->bindParam(":stodohuken_sample", $stodohuken_sample);
	$stmt->bindParam(":dsp_scity", $dsp_scity);
	$stmt->bindParam(":scity_hissu", $scity_hissu);
	$stmt->bindParam(":scity_sample", $scity_sample);
	$stmt->bindParam(":dsp_sareabanchi", $dsp_sareabanchi);
	$stmt->bindParam(":sareabanchi_hissu", $sareabanchi_hissu);
	$stmt->bindParam(":sareabanchi_sample", $sareabanchi_sample);
	$stmt->bindParam(":dsp_statemono", $dsp_statemono);
	$stmt->bindParam(":statemono_hissu", $statemono_hissu);
	$stmt->bindParam(":statemono_sample", $statemono_sample);
	$stmt->bindParam(":dsp_se_mail", $dsp_se_mail);
	$stmt->bindParam(":se_mail_hissu", $se_mail_hissu);
	$stmt->bindParam(":se_mail_sample", $se_mail_sample);
	$stmt->bindParam(":dsp_stel_no", $dsp_stel_no);
	$stmt->bindParam(":stel_no_hissu", $stel_no_hissu);
	$stmt->bindParam(":stel_no_sample", $stel_no_sample);
	$stmt->bindParam(":item_service_name", $item_service_name);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":dsp_price_name", $dsp_price_name);
	$stmt->bindParam(":price_hissu", $price_hissu);
	$stmt->bindParam(":buy_quantity_display", $buy_quantity_display);
	$stmt->bindParam(":stock_quantity", $stock_quantity);
	$stmt->bindParam(":stock_chk", $stock_chk);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":muryo_kikan", $muryo_kikan);
	$stmt->bindParam(":muryo_kikan_unit", $muryo_kikan_unit);
	$stmt->bindParam(":infotop_kessai_link", $infotop_kessai_link);
	$stmt->bindParam(":gaibu_url", $gaibu_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（セクションＣＴＡ処理データ）（idで指定されたデータを削除）
function delete_section_cta_proc_data($conn, $id) {
    $sql_tmp = 'DELETE FROM section_cta_proc_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//セクションＣＴＡ処理結果データの追加
function insert_section_cta_proc_result_data($conn, $cta_data_id, $cta_proc_data_id, $paypal_txn_type, $subscr_id, $txn_id, $cta_proc_no, $cta_btn_img_no, $botton_name, $sohu_address_title, $dsp_name, $name, $dsp_name_kana, $name_kana, 
								$dsp_yubin_no, $yubin_no, $dsp_todohuken, $todohuken, $dsp_city, $city, $dsp_areabanchi, $areabanchi, $dsp_tatemono, $tatemono, $dsp_e_mail, $e_mail, $dsp_tel_no, $tel_no, $dsp_seinengappi, $seinengappi, 
								$dsp_seibetu, $seibetu, $dsp_free1, $free1, $dsp_free2, $free2, $dsp_free3, $free3, $dsp_renraku, $renraku, $seikyu_address_title, $seikyu_dsp_kbn, $dsp_sname, $sname, $dsp_sname_kana, $sname_kana, 
								$dsp_syubin_no, $syubin_no, $dsp_stodohuken, $stodohuken, $dsp_scity, $scity, $dsp_sareabanchi, $sareabanchi, $dsp_statemono, $statemono, $dsp_se_mail, $se_mail, $dsp_stel_no, $stel_no,$item_service_name, 
								$item_code, $price, $price_name, $sales_volume_transaction, $stock_chk, $siharai_hoho, $muryo_kikan, $muryo_kikan_unit, $gaibu_url, $mail_sent_result, $toroku_day) {
	$sql_tmp = "insert into section_cta_proc_result_data(cta_data_id, cta_proc_data_id, paypal_txn_type, subscr_id, txn_id, cta_proc_no, cta_btn_img_no, botton_name, sohu_address_title, dsp_name, name, dsp_name_kana, name_kana, 
								dsp_yubin_no, yubin_no, dsp_todohuken, todohuken, dsp_city, city, dsp_areabanchi, areabanchi, dsp_tatemono, tatemono, dsp_e_mail, e_mail, dsp_tel_no, tel_no, dsp_seinengappi, seinengappi, 
								dsp_seibetu, seibetu, dsp_free1, free1, dsp_free2, free2, dsp_free3, free3, dsp_renraku, renraku, seikyu_address_title, seikyu_dsp_kbn, dsp_sname, sname, dsp_sname_kana, sname_kana, 
								dsp_syubin_no, syubin_no, dsp_stodohuken, stodohuken, dsp_scity, scity, dsp_sareabanchi, sareabanchi, dsp_statemono, statemono, dsp_se_mail, se_mail, dsp_stel_no, stel_no,item_service_name, 
								item_code, price, price_name, sales_volume_transaction, stock_chk, siharai_hoho, muryo_kikan, muryo_kikan_unit, gaibu_url, mail_sent_result, toroku_day, update_time)
							values(:cta_data_id, :cta_proc_data_id, :paypal_txn_type, :subscr_id, :txn_id, :cta_proc_no, :cta_btn_img_no, :botton_name, :sohu_address_title, :dsp_name, :name, :dsp_name_kana, :name_kana, 
								:dsp_yubin_no, :yubin_no, :dsp_todohuken, :todohuken, :dsp_city, :city, :dsp_areabanchi, :areabanchi, :dsp_tatemono, :tatemono, :dsp_e_mail, :e_mail, :dsp_tel_no, :tel_no, :dsp_seinengappi, :seinengappi, 
								:dsp_seibetu, :seibetu, :dsp_free1, :free1, :dsp_free2, :free2, :dsp_free3, :free3, :dsp_renraku, :renraku, :seikyu_address_title, :seikyu_dsp_kbn, :dsp_sname, :sname, :dsp_sname_kana, :sname_kana, 
								:dsp_syubin_no, :syubin_no, :dsp_stodohuken, :stodohuken, :dsp_scity, :scity, :dsp_sareabanchi, :sareabanchi, :dsp_statemono, :statemono, :dsp_se_mail, :se_mail, :dsp_stel_no, :stel_no,:item_service_name, 
								:item_code, :price, :price_name, :sales_volume_transaction, :stock_chk, :siharai_hoho, :muryo_kikan, :muryo_kikan_unit, :gaibu_url, :mail_sent_result, :toroku_day, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":cta_data_id", $cta_data_id);
	$stmt->bindParam(":cta_proc_data_id", $cta_proc_data_id);
	$stmt->bindParam(":paypal_txn_type", $paypal_txn_type);
	$stmt->bindParam(":subscr_id", $subscr_id);
	$stmt->bindParam(":txn_id", $txn_id);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":cta_btn_img_no", $cta_btn_img_no);
	$stmt->bindParam(":botton_name", $botton_name);
	$stmt->bindParam(":sohu_address_title", $sohu_address_title);
	$stmt->bindParam(":dsp_name", $dsp_name);
	$stmt->bindParam(":name", $name);
	$stmt->bindParam(":dsp_name_kana", $dsp_name_kana);
	$stmt->bindParam(":name_kana", $name_kana);
	$stmt->bindParam(":dsp_yubin_no", $dsp_yubin_no);
	$stmt->bindParam(":yubin_no", $yubin_no);
	$stmt->bindParam(":dsp_todohuken", $dsp_todohuken);
	$stmt->bindParam(":todohuken", $todohuken);
	$stmt->bindParam(":dsp_city", $dsp_city);
	$stmt->bindParam(":city", $city);
	$stmt->bindParam(":dsp_areabanchi", $dsp_areabanchi);
	$stmt->bindParam(":areabanchi", $areabanchi);
	$stmt->bindParam(":dsp_tatemono", $dsp_tatemono);
	$stmt->bindParam(":tatemono", $tatemono);
	$stmt->bindParam(":dsp_e_mail", $dsp_e_mail);
	$stmt->bindParam(":e_mail", $e_mail);
	$stmt->bindParam(":dsp_tel_no", $dsp_tel_no);
	$stmt->bindParam(":tel_no", $tel_no);
	$stmt->bindParam(":dsp_seinengappi", $dsp_seinengappi);
	$stmt->bindParam(":seinengappi", $seinengappi);
	$stmt->bindParam(":dsp_seibetu", $dsp_seibetu);
	$stmt->bindParam(":seibetu", $seibetu);
	$stmt->bindParam(":dsp_free1", $dsp_free1);
	$stmt->bindParam(":free1", $free1);
	$stmt->bindParam(":dsp_free2", $dsp_free2);
	$stmt->bindParam(":free2", $free2);
	$stmt->bindParam(":dsp_free3", $dsp_free3);
	$stmt->bindParam(":free3", $free3);
	$stmt->bindParam(":dsp_renraku", $dsp_renraku);
	$stmt->bindParam(":renraku", $renraku);
	$stmt->bindParam(":seikyu_address_title", $seikyu_address_title);
	$stmt->bindParam(":seikyu_dsp_kbn", $seikyu_dsp_kbn);
	$stmt->bindParam(":dsp_sname", $dsp_sname);
	$stmt->bindParam(":sname", $sname);
	$stmt->bindParam(":dsp_sname_kana", $dsp_sname_kana);
	$stmt->bindParam(":sname_kana", $sname_kana);
	$stmt->bindParam(":dsp_syubin_no", $dsp_syubin_no);
	$stmt->bindParam(":syubin_no", $syubin_no);
	$stmt->bindParam(":dsp_stodohuken", $dsp_stodohuken);
	$stmt->bindParam(":stodohuken", $stodohuken);
	$stmt->bindParam(":dsp_scity", $dsp_scity);
	$stmt->bindParam(":scity", $scity);
	$stmt->bindParam(":dsp_sareabanchi", $dsp_sareabanchi);
	$stmt->bindParam(":sareabanchi", $sareabanchi);
	$stmt->bindParam(":dsp_statemono", $dsp_statemono);
	$stmt->bindParam(":statemono", $statemono);
	$stmt->bindParam(":dsp_se_mail", $dsp_se_mail);
	$stmt->bindParam(":se_mail", $se_mail);
	$stmt->bindParam(":dsp_stel_no", $dsp_stel_no);
	$stmt->bindParam(":stel_no", $stel_no);
	$stmt->bindParam(":item_service_name", $item_service_name);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":price_name", $price_name);
	$stmt->bindParam(":sales_volume_transaction", $sales_volume_transaction);
	$stmt->bindParam(":stock_chk", $stock_chk);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":muryo_kikan", $muryo_kikan);
	$stmt->bindParam(":muryo_kikan_unit", $muryo_kikan_unit);
	$stmt->bindParam(":gaibu_url", $gaibu_url);
	$stmt->bindParam(":mail_sent_result", $mail_sent_result);
	$stmt->bindParam(":toroku_day", $toroku_day);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//セクションＣＴＡ処理結果データの更新
function update_section_cta_proc_result_data($conn, $id, $cta_data_id, $cta_proc_data_id, $paypal_txn_type, $subscr_id, $txn_id, $cta_proc_no, $cta_btn_img_no, $botton_name, $sohu_address_title, $dsp_name, $name, $dsp_name_kana, $name_kana, 
								$dsp_yubin_no, $yubin_no, $dsp_todohuken, $todohuken, $dsp_city, $city, $dsp_areabanchi, $areabanchi, $dsp_tatemono, $tatemono, $dsp_e_mail, $e_mail, $dsp_tel_no, $tel_no, $dsp_seinengappi, $seinengappi, 
								$dsp_seibetu, $seibetu, $dsp_free1, $free1, $dsp_free2, $free2, $dsp_free3, $free3, $dsp_renraku, $renraku, $seikyu_address_title, $seikyu_dsp_kbn, $dsp_sname, $sname, $dsp_sname_kana, $sname_kana, 
								$dsp_syubin_no, $syubin_no, $dsp_stodohuken, $stodohuken, $dsp_scity, $scity, $dsp_sareabanchi, $sareabanchi, $dsp_statemono, $statemono, $dsp_se_mail, $se_mail, $dsp_stel_no, $stel_no,$item_service_name, 
								$item_code, $price, $price_name, $sales_volume_transaction, $stock_chk, $siharai_hoho, $muryo_kikan, $muryo_kikan_unit, $gaibu_url, $mail_sent_result, $toroku_day) {
	$sql_tmp = "update section_cta_proc_result_data set 
					cta_data_id				= :cta_data_id,
					cta_proc_data_id		= :cta_proc_data_id,
					paypal_txn_type			= :paypal_txn_type,
					subscr_id				= :subscr_id,
					txn_id					= :txn_id,
					cta_proc_no				= :cta_proc_no,
					cta_btn_img_no			= :cta_btn_img_no,
					botton_name				= :botton_name,
					sohu_address_title		= :sohu_address_title,
					dsp_name				= :dsp_name,
					name					= :name,
					dsp_name_kana			= :dsp_name_kana,
					name_kana				= :name_kana,
					dsp_yubin_no			= :dsp_yubin_no,
					yubin_no				= :yubin_no,
					dsp_todohuken			= :dsp_todohuken,
					todohuken				= :todohuken,
					dsp_city				= :dsp_city,
					city					= :city,
					dsp_areabanchi			= :dsp_areabanchi,
					areabanchi				= :areabanchi,
					dsp_tatemono			= :dsp_tatemono,
					tatemono				= :tatemono,
					dsp_e_mail				= :dsp_e_mail,
					e_mail					= :e_mail,
					dsp_tel_no				= :dsp_tel_no,
					tel_no					= :tel_no,
					dsp_seinengappi			= :dsp_seinengappi,
					seinengappi				= :seinengappi,
					dsp_seibetu				= :dsp_seibetu,
					seibetu					= :seibetu,
					dsp_free1				= :dsp_free1,
					free1					= :free1,
					dsp_free2				= :dsp_free2,
					free2					= :free2,
					dsp_free3				= :dsp_free3,
					free3					= :free3,
					dsp_renraku				= :dsp_renraku,
					renraku					= :renraku,
					seikyu_address_title	= :seikyu_address_title,
					seikyu_dsp_kbn			= :seikyu_dsp_kbn,
					dsp_sname				= :dsp_sname,
					sname					= :sname,
					dsp_sname_kana			= :dsp_sname_kana,
					sname_kana				= :sname_kana,
					dsp_syubin_no			= :dsp_syubin_no,
					syubin_no				= :syubin_no,
					dsp_stodohuken			= :dsp_stodohuken,
					stodohuken				= :stodohuken,
					dsp_scity				= :dsp_scity,
					scity					= :scity,
					dsp_sareabanchi			= :dsp_sareabanchi,
					sareabanchi				= :sareabanchi,
					dsp_statemono			= :dsp_statemono,
					statemono				= :statemono,
					dsp_se_mail				= :dsp_se_mail,
					se_mail					= :se_mail,
					dsp_stel_no				= :dsp_stel_no,
					stel_no					= :stel_no,
					item_service_name		= :item_service_name,
					item_code				= :item_code,
					price					= :price,
					price_name				= :price_name,
					sales_volume_transaction	= :sales_volume_transaction,
					stock_chk				= :stock_chk,
					siharai_hoho			= :siharai_hoho,
					muryo_kikan				= :muryo_kikan,
					muryo_kikan_unit		= :muryo_kikan_unit,
					gaibu_url				= :gaibu_url,
					mail_sent_result		= :mail_sent_result,
					toroku_day				= :toroku_day,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":cta_data_id", $cta_data_id);
	$stmt->bindParam(":cta_proc_data_id", $cta_proc_data_id);
	$stmt->bindParam(":paypal_txn_type", $paypal_txn_type);
	$stmt->bindParam(":subscr_id", $subscr_id);
	$stmt->bindParam(":txn_id", $txn_id);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":cta_btn_img_no", $cta_btn_img_no);
	$stmt->bindParam(":botton_name", $botton_name);
	$stmt->bindParam(":sohu_address_title", $sohu_address_title);
	$stmt->bindParam(":dsp_name", $dsp_name);
	$stmt->bindParam(":name", $name);
	$stmt->bindParam(":dsp_name_kana", $dsp_name_kana);
	$stmt->bindParam(":name_kana", $name_kana);
	$stmt->bindParam(":dsp_yubin_no", $dsp_yubin_no);
	$stmt->bindParam(":yubin_no", $yubin_no);
	$stmt->bindParam(":dsp_todohuken", $dsp_todohuken);
	$stmt->bindParam(":todohuken", $todohuken);
	$stmt->bindParam(":dsp_city", $dsp_city);
	$stmt->bindParam(":city", $city);
	$stmt->bindParam(":dsp_areabanchi", $dsp_areabanchi);
	$stmt->bindParam(":areabanchi", $areabanchi);
	$stmt->bindParam(":dsp_tatemono", $dsp_tatemono);
	$stmt->bindParam(":tatemono", $tatemono);
	$stmt->bindParam(":dsp_e_mail", $dsp_e_mail);
	$stmt->bindParam(":e_mail", $e_mail);
	$stmt->bindParam(":dsp_tel_no", $dsp_tel_no);
	$stmt->bindParam(":tel_no", $tel_no);
	$stmt->bindParam(":dsp_seinengappi", $dsp_seinengappi);
	$stmt->bindParam(":seinengappi", $seinengappi);
	$stmt->bindParam(":dsp_seibetu", $dsp_seibetu);
	$stmt->bindParam(":seibetu", $seibetu);
	$stmt->bindParam(":dsp_free1", $dsp_free1);
	$stmt->bindParam(":free1", $free1);
	$stmt->bindParam(":dsp_free2", $dsp_free2);
	$stmt->bindParam(":free2", $free2);
	$stmt->bindParam(":dsp_free3", $dsp_free3);
	$stmt->bindParam(":free3", $free3);
	$stmt->bindParam(":dsp_renraku", $dsp_renraku);
	$stmt->bindParam(":renraku", $renraku);
	$stmt->bindParam(":seikyu_address_title", $seikyu_address_title);
	$stmt->bindParam(":seikyu_dsp_kbn", $seikyu_dsp_kbn);
	$stmt->bindParam(":dsp_sname", $dsp_sname);
	$stmt->bindParam(":sname", $sname);
	$stmt->bindParam(":dsp_sname_kana", $dsp_sname_kana);
	$stmt->bindParam(":sname_kana", $sname_kana);
	$stmt->bindParam(":dsp_syubin_no", $dsp_syubin_no);
	$stmt->bindParam(":syubin_no", $syubin_no);
	$stmt->bindParam(":dsp_stodohuken", $dsp_stodohuken);
	$stmt->bindParam(":stodohuken", $stodohuken);
	$stmt->bindParam(":dsp_scity", $dsp_scity);
	$stmt->bindParam(":scity", $scity);
	$stmt->bindParam(":dsp_sareabanchi", $dsp_sareabanchi);
	$stmt->bindParam(":sareabanchi", $sareabanchi);
	$stmt->bindParam(":dsp_statemono", $dsp_statemono);
	$stmt->bindParam(":statemono", $statemono);
	$stmt->bindParam(":dsp_se_mail", $dsp_se_mail);
	$stmt->bindParam(":se_mail", $se_mail);
	$stmt->bindParam(":dsp_stel_no", $dsp_stel_no);
	$stmt->bindParam(":stel_no", $stel_no);
	$stmt->bindParam(":item_service_name", $item_service_name);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":price_name", $price_name);
	$stmt->bindParam(":sales_volume_transaction", $sales_volume_transaction);
	$stmt->bindParam(":stock_chk", $stock_chk);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":muryo_kikan", $muryo_kikan);
	$stmt->bindParam(":muryo_kikan_unit", $muryo_kikan_unit);
	$stmt->bindParam(":gaibu_url", $gaibu_url);
	$stmt->bindParam(":mail_sent_result", $mail_sent_result);
	$stmt->bindParam(":toroku_day", $toroku_day);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（セクションＣＴＡ処理結果データ）（idで指定されたデータを削除）
function delete_section_cta_proc_result_data($conn, $id) {
    $sql_tmp = 'DELETE FROM section_cta_proc_result_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//メニューボタンテーブルデータの追加
function insert_menubutton($conn, $orderno, $kanjieiji_2dankbn, $button_kanjiname, $button_eijiname, $contents_page_ctrl_id, $display_flg) {
	$sql_tmp = "insert into menubutton(orderno, kanjieiji_2dankbn, button_kanjiname, button_eijiname, contents_page_ctrl_id, display_flg, update_time)
							values(:orderno, :kanjieiji_2dankbn, :button_kanjiname, :button_eijiname, :contents_page_ctrl_id, :display_flg, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":kanjieiji_2dankbn", $kanjieiji_2dankbn);
	$stmt->bindParam(":button_kanjiname", $button_kanjiname);
	$stmt->bindParam(":button_eijiname", $button_eijiname);
	$stmt->bindParam(":contents_page_ctrl_id", $contents_page_ctrl_id);
	$stmt->bindParam(":display_flg", $display_flg);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//メニューボタンテーブルデータの更新
function update_menubutton($conn, $id, $orderno, $kanjieiji_2dankbn, $button_kanjiname, $button_eijiname, $contents_page_ctrl_id, $display_flg) {
	$sql_tmp = "update menubutton set 
					orderno					= :orderno,
					kanjieiji_2dankbn		= :kanjieiji_2dankbn,
					button_eijiname			= :button_eijiname,
					contents_page_ctrl_id	= :contents_page_ctrl_id,
					display_flg				= :display_flg,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":kanjieiji_2dankbn", $kanjieiji_2dankbn);
	$stmt->bindParam(":button_kanjiname", $button_kanjiname);
	$stmt->bindParam(":button_eijiname", $button_eijiname);
	$stmt->bindParam(":contents_page_ctrl_id", $contents_page_ctrl_id);
	$stmt->bindParam(":display_flg", $display_flg);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//サイドメニューボタンテーブルデータの追加
function insert_side_menubutton($conn, $orderno, $button_name, $contents_page_ctrl_id, $display_flg) {
	$sql_tmp = "insert into side_menubutton(orderno, button_name, contents_page_ctrl_id, display_flg, update_time)
							values(:orderno, :button_name, :contents_page_ctrl_id, :display_flg, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":button_name", $button_name);
	$stmt->bindParam(":contents_page_ctrl_id", $contents_page_ctrl_id);
	$stmt->bindParam(":display_flg", $display_flg);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//サイドメニューボタンテーブルデータの更新
function update_side_menubutton($conn, $id, $orderno, $button_name, $contents_page_ctrl_id, $display_flg) {
	$sql_tmp = "update side_menubutton set 
					orderno					= :orderno,
					button_name				= :button_name,
					contents_page_ctrl_id	= :contents_page_ctrl_id,
					display_flg				= :display_flg,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":button_name", $button_name);
	$stmt->bindParam(":contents_page_ctrl_id", $contents_page_ctrl_id);
	$stmt->bindParam(":display_flg", $display_flg);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//サイドメニューアンダーボタンテーブルデータの追加
function insert_side_menu_underbutton($conn, $side_menubutton_id, $orderno, $button_name, $contents_page_ctrl_id, $display_flg) {
	$sql_tmp = "insert into side_menu_underbutton(side_menubutton_id, orderno, button_name, contents_page_ctrl_id, display_flg, update_time)
							values(:side_menubutton_id, :orderno, :button_name, :contents_page_ctrl_id, :display_flg, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":side_menubutton_id", $side_menubutton_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":button_name", $button_name);
	$stmt->bindParam(":contents_page_ctrl_id", $contents_page_ctrl_id);
	$stmt->bindParam(":display_flg", $display_flg);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//サイドメニューアンダーボタンテーブルデータの更新
function update_side_menu_underbutton($conn, $id, $side_menubutton_id, $orderno, $button_name, $contents_page_ctrl_id, $display_flg) {
	$sql_tmp = "update side_menu_underbutton set
					side_menubutton_id		= :side_menubutton_id,
					orderno					= :orderno,
					button_name				= :button_name,
					contents_page_ctrl_id	= :contents_page_ctrl_id,
					display_flg				= :display_flg,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":side_menubutton_id", $side_menubutton_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":button_name", $button_name);
	$stmt->bindParam(":contents_page_ctrl_id", $contents_page_ctrl_id);
	$stmt->bindParam(":display_flg", $display_flg);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//サイド任意ページボタンテーブルの追加
function insert_side_free_button($conn, $side_ctrl_id, $side_order_id, $menu_kbn, $btn_id, $data_kbn, $order_no, $button_name, $link_contents_page_ctrl_id, $link_menu_kbn, $link_btn_id, $link_data_id, $back_img, $contents) {
	$sql_tmp = "insert into side_free_button(side_ctrl_id, side_order_id, menu_kbn, btn_id, data_kbn, order_no, button_name, link_contents_page_ctrl_id, link_menu_kbn, link_btn_id, link_data_id, back_img, contents, update_time)
							values(:side_ctrl_id, :side_order_id, :menu_kbn, :btn_id, :data_kbn, :order_no, :button_name, :link_contents_page_ctrl_id, :link_menu_kbn, :link_btn_id, :link_data_id, :back_img, :contents, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":side_ctrl_id", $side_ctrl_id);
	$stmt->bindParam(":side_order_id", $side_order_id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":data_kbn", $data_kbn);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":button_name", $button_name);
	$stmt->bindParam(":link_contents_page_ctrl_id", $link_contents_page_ctrl_id);
	$stmt->bindParam(":link_menu_kbn", $link_menu_kbn);
	$stmt->bindParam(":link_btn_id", $link_btn_id);
	$stmt->bindParam(":link_data_id", $link_data_id);
	$stmt->bindParam(":back_img", $back_img);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//サイド任意ページボタンテーブルの更新
function update_side_free_buttonl($conn, $id, $side_ctrl_id, $side_order_id, $menu_kbn, $btn_id, $data_kbn, $order_no, $button_name, $link_contents_page_ctrl_id, $link_menu_kbn, $link_btn_id, $link_data_id, $back_img, $contents) {
	$sql_tmp = "update side_free_button set 
					side_ctrl_id				= :side_ctrl_id,
					side_order_id				= :side_order_id,
					menu_kbn					= :menu_kbn,
					btn_id						= :btn_id,
					data_kbn					= :data_kbn,
					order_no					= :order_no,
					button_name					= :button_name, 
					link_contents_page_ctrl_id	= :link_contents_page_ctrl_id,
					link_menu_kbn				= :link_menu_kbn,
					link_btn_id					= :link_btn_id,
					link_data_id				= :link_data_id,
					back_img					= :back_img,
					contents					= :contents,
					update_time 				= :update_time
					where id					= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":side_ctrl_id", $side_ctrl_id);
	$stmt->bindParam(":side_order_id", $side_order_id);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":btn_id", $btn_id);
	$stmt->bindParam(":data_kbn", $data_kbn);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":button_name", $button_name);
	$stmt->bindParam(":link_contents_page_ctrl_id", $link_contents_page_ctrl_id);
	$stmt->bindParam(":link_menu_kbn", $link_menu_kbn);
	$stmt->bindParam(":link_btn_id", $link_btn_id);
	$stmt->bindParam(":link_data_id", $link_data_id);
	$stmt->bindParam(":back_img", $back_img);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（サイド任意ページボタンテーブル）（idで指定されたデータを削除）
function delete_side_free_button($conn, $id) {
    $sql_tmp = 'DELETE FROM side_free_button WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//動画スライド１テーブルデータの追加
function insert_img_slide1($conn, $slide_no, $img_cnt, $img1_url, $img2_url, $img1_link_url, $img2_link_url, $img1_overtext, $img2_overtext, $slide_title) {
	$sql_tmp = "insert into img_slide1(slide_no, img_cnt, img1_url, img2_url, img1_link_url, img2_link_url, img1_overtext, img2_overtext, slide_title, update_time)
							values(:slide_no, :img_cnt, :img1_url, :img2_url, :img1_link_url, :img2_link_url, :img1_overtext, :img2_overtext, :slide_title, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":slide_no", $slide_no);
	$stmt->bindParam(":img_cnt", $img_cnt);
	$stmt->bindParam(":img1_url", $img1_url);
	$stmt->bindParam(":img2_url", $img2_url);
	$stmt->bindParam(":img1_link_url", $img1_link_url);
	$stmt->bindParam(":img2_link_url", $img2_link_url);
	$stmt->bindParam(":img1_overtext", $img1_overtext);
	$stmt->bindParam(":img2_overtext", $img2_overtext);
	$stmt->bindParam(":slide_title", $slide_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//動画スライド１テーブルデータの更新
function update_img_slide1($conn, $id, $slide_no, $img_cnt, $img1_url, $img2_url, $img1_link_url, $img2_link_url, $img1_overtext, $img2_overtext, $slide_title) {
	$sql_tmp = "update img_slide1 set 
					slide_no				= :slide_no, 
					img_cnt					= :img_cnt, 
					img1_url				= :img1_url, 
					img2_url				= :img2_url, 
					img1_link_url			= :img1_link_url, 
					img2_link_url			= :img2_link_url, 
					img1_overtext			= :img1_overtext, 
					img2_overtext			= :img2_overtext, 
					slide_title				= :slide_title, 
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":slide_no", $slide_no);
	$stmt->bindParam(":img_cnt", $img_cnt);
	$stmt->bindParam(":img1_url", $img1_url);
	$stmt->bindParam(":img2_url", $img2_url);
	$stmt->bindParam(":img1_link_url", $img1_link_url);
	$stmt->bindParam(":img2_link_url", $img2_link_url);
	$stmt->bindParam(":img1_overtext", $img1_overtext);
	$stmt->bindParam(":img2_overtext", $img2_overtext);
	$stmt->bindParam(":slide_title", $slide_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（動画スライド１テーブル）（idで指定されたデータを削除）
function delete_img_slide1($conn, $id) {
    $sql_tmp = 'DELETE FROM img_slide1 WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//動画スライド１テーブル拡張設定データの追加
function insert_img_slide1_op1($conn, $dsp_form, $pre_after_dsp_way, $slide_speed, $slide_anime_op) {
	$sql_tmp = "insert into img_slide1_op1(dsp_form, pre_after_dsp_way, slide_speed, slide_anime_op, update_time)
							values(:dsp_form, :pre_after_dsp_way, :slide_speed, :slide_anime_op, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":dsp_form", $dsp_form);
	$stmt->bindParam(":pre_after_dsp_way", $pre_after_dsp_way);
	$stmt->bindParam(":slide_speed", $slide_speed);
	$stmt->bindParam(":slide_anime_op", $slide_anime_op);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//動画スライド１テーブル拡張設定データの更新
function update_img_slide1_op1($conn, $id, $dsp_form, $pre_after_dsp_way, $slide_speed, $slide_anime_op) {
	$sql_tmp = "update img_slide1_op1 set 
					dsp_form				= :dsp_form, 
					pre_after_dsp_way		= :pre_after_dsp_way, 
					slide_speed				= :slide_speed, 
					slide_anime_op			= :slide_anime_op, 
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":dsp_form", $dsp_form);
	$stmt->bindParam(":pre_after_dsp_way", $pre_after_dsp_way);
	$stmt->bindParam(":slide_speed", $slide_speed);
	$stmt->bindParam(":slide_anime_op", $slide_anime_op);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//動画スライド１オーバーコンテンツ領域順序テーブルデータの追加
function insert_img_slide1_over_contents_order_table($conn, $img_slide1_id, $orderno, $dsp_object, $dsp_object_id) {
	$sql_tmp = "insert into img_slide1_over_contents_order_table(img_slide1_id, orderno, dsp_object, dsp_object_id, update_time)
							values(:img_slide1_id, :orderno, :dsp_object, :dsp_object_id, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":dsp_object", $dsp_object);
	$stmt->bindParam(":dsp_object_id", $dsp_object_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//動画スライド１オーバーコンテンツ領域順序テーブルデータの更新
function update_img_slide1_over_contents_order_table($conn, $id, $img_slide1_id, $orderno, $dsp_object, $dsp_object_id) {
	$sql_tmp = "update img_slide1_over_contents_order_table set 
					img_slide1_id		= :img_slide1_id,
					orderno				= :orderno,
					dsp_object			= :dsp_object,
					dsp_object_id		= :dsp_object_id,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":dsp_object", $dsp_object);
	$stmt->bindParam(":dsp_object_id", $dsp_object_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（動画スライド１オーバーコンテンツ領域順序テーブルデータ）（idで指定されたデータを削除）
function delete_img_slide1_over_contents_order_table($conn, $id) {
    $sql_tmp = 'DELETE FROM img_slide1_over_contents_order_table WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//動画スライド１オーバーテキストデータの追加
function insert_img_slide1_over_text_data($conn, $img_slide1_id, $orderno, $text_contents, $font_size, $font_color, $background_color, $font_weight, $text_decoration, $font_family, $link_umu, $link_url, $link_page_title, $link_page_open_way) {
	$sql_tmp = "insert into img_slide1_over_text_data(img_slide1_id, orderno, text_contents, font_size, font_color, background_color, font_weight, text_decoration, font_family, link_umu, link_url, link_page_title, link_page_open_way, update_time)
							values(:img_slide1_id, :orderno, :text_contents, :font_size, :font_color, :background_color, :font_weight, :text_decoration, :font_family, :link_umu, :link_url, :link_page_title, :link_page_open_way, :update_time)";
	echo "<br>insert_img_slide1_over_text_data start";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":text_contents", $text_contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":font_weight", $font_weight);
	$stmt->bindParam(":text_decoration", $text_decoration);
	$stmt->bindParam(":font_family", $font_family);
	$stmt->bindParam(":link_umu", $link_umu);
	$stmt->bindParam(":link_url", $link_url);
	$stmt->bindParam(":link_page_title", $link_page_title);
	$stmt->bindParam(":link_page_open_way", $link_page_open_way);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//動画スライド１オーバーテキストデータの更新
function update_img_slide1_over_text_data($conn, $id, $img_slide1_id, $orderno, $text_contents, $font_size, $font_color, $background_color, $font_weight, $text_decoration, $font_family, $link_umu, $link_url, $link_page_title, $link_page_open_way) {
	$sql_tmp = "update img_slide1_over_text_data set 
					img_slide1_id		= :img_slide1_id,
					orderno				= :orderno,
					text_contents		= :text_contents,
					font_size			= :font_size,
					font_color			= :font_color,
					background_color	= :background_color,
					font_weight			= :font_weight,
					text_decoration		= :text_decoration,
					font_family			= :font_family,
					link_umu			= :link_umu,
					link_url			= :link_url,
					link_page_title		= :link_page_title,
					link_page_open_way	= :link_page_open_way,
					update_time 		= :update_time
					where id			= :id";
	echo "<br>update_img_slide1_over_text_data start";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":text_contents", $text_contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":font_weight", $font_weight);
	$stmt->bindParam(":text_decoration", $text_decoration);
	$stmt->bindParam(":font_family", $font_family);
	$stmt->bindParam(":link_umu", $link_umu);
	$stmt->bindParam(":link_url", $link_url);
	$stmt->bindParam(":link_page_title", $link_page_title);
	$stmt->bindParam(":link_page_open_way", $link_page_open_way);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（動画スライド１オーバーテキストデータ）（idで指定されたデータを削除）
function delete_img_slide1_over_text_data($conn, $id) {
    $sql_tmp = 'DELETE FROM img_slide1_over_text_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//動画スライド１オーバーコンテンツ画像データの追加
function insert_img_slide1_over_img_data($conn, $img_slide1_id, $img_file, $align, $click_enlarge, $img_title) {
	$sql_tmp = "insert into img_slide1_over_img_data(img_slide1_id, img_file, align, click_enlarge, img_title, update_time)
							values(:img_slide1_id, :img_file, :align, :click_enlarge, :img_title, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":img_file", $img_file);
	$stmt->bindParam(":align", $align);
	$stmt->bindParam(":click_enlarge", $click_enlarge);
	$stmt->bindParam(":img_title", $img_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//動画スライド１オーバーコンテンツ画像データの更新
function update_img_slide1_over_img_data($conn, $id, $img_slide1_id, $img_file, $align, $click_enlarge, $img_title) {
	$sql_tmp = "update img_slide1_over_img_data set 
					img_slide1_id		= :img_slide1_id,
					img_file			= :img_file,
					align				= :align,
					click_enlarge		= :click_enlarge,
					img_title			= :img_title,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":img_file", $img_file);
	$stmt->bindParam(":align", $align);
	$stmt->bindParam(":click_enlarge", $click_enlarge);
	$stmt->bindParam(":img_title", $img_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（動画スライド１オーバーコンテンツ画像データ）（idで指定されたデータを削除）
function delete_img_slide1_over_img_data($conn, $id) {
    $sql_tmp = 'DELETE FROM img_slide1_over_img_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//動画スライド１オーバーコンテンツアイコンデータの追加
function insert_img_slide1_over_icon_data($conn, $img_slide1_id, $icon_file, $vertical_align) {
	$sql_tmp = "insert into img_slide1_over_icon_data(img_slide1_id, icon_file, vertical_align, update_time)
							values(:img_slide1_id, :icon_file, :vertical_align, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":icon_file", $icon_file);
	$stmt->bindParam(":vertical_align", $vertical_align);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//動画スライド１オーバーコンテンツアイコンデータの更新
function update_img_slide1_over_icon_data($conn, $id, $img_slide1_id, $icon_file, $vertical_align) {
	$sql_tmp = "update img_slide1_over_icon_data set 
					img_slide1_id		= :img_slide1_id,
					icon_file			= :icon_file,
					vertical_align		= :vertical_align,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":icon_file", $icon_file);
	$stmt->bindParam(":vertical_align", $vertical_align);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（動画スライド１オーバーコンテンツアイコンデータ）（idで指定されたデータを削除）
function delete_img_slide1_over_icon_data($conn, $id) {
    $sql_tmp = 'DELETE FROM img_slide1_over_icon_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//動画スライド１オーバーコンテンツyoutube埋め込みコードの追加
function insert_img_slide1_over_youtube_code($conn, $img_slide1_id, $youtube_code) {
	$sql_tmp = "insert into img_slide1_over_youtube_code(img_slide1_id, youtube_code, update_time)
							values(:img_slide1_id, :youtube_code, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":youtube_code", $youtube_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//動画スライド１オーバーコンテンツyoutube埋め込みコードの更新
function update_img_slide1_over_youtube_code($conn, $id, $img_slide1_id, $youtube_code) {
	$sql_tmp = "update img_slide1_over_youtube_code set 
					img_slide1_id			= :img_slide1_id,
					youtube_code			= :youtube_code,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":youtube_code", $youtube_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（動画スライド１オーバーコンテンツyoutube埋め込みコード）（idで指定されたデータを削除）
function delete_img_slide1_over_youtube_code($conn, $id) {
    $sql_tmp = 'DELETE FROM img_slide1_over_youtube_code WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}


//動画スライド１オーバーコンテンツ位置調整(img_slide1_over_adjust)の追加
function insert_img_slide1_over_adjust($conn, $img_slide1_id, $padding_left, $padding_top) {
	$sql_tmp = "insert into img_slide1_over_adjust(img_slide1_id, padding_left, padding_top, update_time)
							values(:img_slide1_id, :padding_left, :padding_top, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":padding_left", $padding_left);
	$stmt->bindParam(":padding_top", $padding_top);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//動画スライド１オーバーコンテンツ位置調整(img_slide1_over_adjust)の更新
function update_img_slide1_over_adjust($conn, $id, $img_slide1_id, $padding_left, $padding_top) {
	$sql_tmp = "update img_slide1_over_adjust set 
					img_slide1_id			= :img_slide1_id,
					padding_left			= :padding_left,
					padding_top				= :padding_top,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":img_slide1_id", $img_slide1_id);
	$stmt->bindParam(":padding_left", $padding_left);
	$stmt->bindParam(":padding_top", $padding_top);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//*********************************************************************************************************
//共通コンテンツ領域順序テーブルデータの追加
function insert_common_contents_order_table($conn, $contents_kbn, $contents_id, $orderno, $dsp_object, $dsp_object_id) {
	$sql_tmp = "insert into common_contents_order_table(contents_kbn, contents_id, orderno, dsp_object, dsp_object_id, update_time)
							values(:contents_kbn, :contents_id, :orderno, :dsp_object, :dsp_object_id, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":contents_kbn", $contents_kbn);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":dsp_object", $dsp_object);
	$stmt->bindParam(":dsp_object_id", $dsp_object_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//共通コンテンツ領域順序テーブルデータの更新
function update_common_contents_order_table($conn, $id, $contents_kbn, $contents_id, $orderno, $dsp_object, $dsp_object_id) {
	$sql_tmp = "update common_contents_order_table set 
					contents_kbn		= :contents_kbn,
					contents_id			= :contents_id,
					orderno				= :orderno,
					dsp_object			= :dsp_object,
					dsp_object_id		= :dsp_object_id,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":contents_kbn", $contents_kbn);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":dsp_object", $dsp_object);
	$stmt->bindParam(":dsp_object_id", $dsp_object_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（共通コンテンツ領域順序テーブルデータ）（idで指定されたデータを削除）
function delete_common_contents_order_table($conn, $id) {
    $sql_tmp = 'DELETE FROM common_contents_order_table WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//共通コンテンツテキストデータの追加
function insert_common_text_data($conn, $contents_id, $orderno, $text_contents, $font_size, $font_color, $background_color, $font_weight, $text_decoration, $font_family, $link_umu, $link_url, $link_page_title, $link_page_open_way) {
	$sql_tmp = "insert into common_text_data(contents_id, orderno, text_contents, font_size, font_color, background_color, font_weight, text_decoration, font_family, link_umu, link_url, link_page_title, link_page_open_way, update_time)
							values(:contents_id, :orderno, :text_contents, :font_size, :font_color, :background_color, :font_weight, :text_decoration, :font_family, :link_umu, :link_url, :link_page_title, :link_page_open_way, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":text_contents", $text_contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":font_weight", $font_weight);
	$stmt->bindParam(":text_decoration", $text_decoration);
	$stmt->bindParam(":font_family", $font_family);
	$stmt->bindParam(":link_umu", $link_umu);
	$stmt->bindParam(":link_url", $link_url);
	$stmt->bindParam(":link_page_title", $link_page_title);
	$stmt->bindParam(":link_page_open_way", $link_page_open_way);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//共通コンテンツテキストデータの更新
function update_common_text_data($conn, $id, $contents_id, $orderno, $text_contents, $font_size, $font_color, $background_color, $font_weight, $text_decoration, $font_family, $link_umu, $link_url, $link_page_title, $link_page_open_way) {
	$sql_tmp = "update common_text_data set 
					contents_id			= :contents_id,
					orderno				= :orderno,
					text_contents		= :text_contents,
					font_size			= :font_size,
					font_color			= :font_color,
					background_color	= :background_color,
					font_weight			= :font_weight,
					text_decoration		= :text_decoration,
					font_family			= :font_family,
					link_umu			= :link_umu,
					link_url			= :link_url,
					link_page_title		= :link_page_title,
					link_page_open_way	= :link_page_open_way,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":text_contents", $text_contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":background_color", $background_color);
	$stmt->bindParam(":font_weight", $font_weight);
	$stmt->bindParam(":text_decoration", $text_decoration);
	$stmt->bindParam(":font_family", $font_family);
	$stmt->bindParam(":link_umu", $link_umu);
	$stmt->bindParam(":link_url", $link_url);
	$stmt->bindParam(":link_page_title", $link_page_title);
	$stmt->bindParam(":link_page_open_way", $link_page_open_way);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（動共通コンテンツテキストデータ）（idで指定されたデータを削除）
function delete_common_text_data($conn, $id) {
    $sql_tmp = 'DELETE FROM common_text_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//共通コンテンツ画像データの追加
function insert_common_img_data($conn, $contents_id, $img_file, $align, $click_enlarge, $click_img_title, $thumbnail_img_height, $thumbnail_img_width, $img_title) {
	$sql_tmp = "insert into common_img_data(contents_id, img_file, align, click_enlarge, click_img_title, thumbnail_img_height, thumbnail_img_width, img_title, update_time)
							values(:contents_id, :img_file, :align, :click_enlarge, :click_img_title, :thumbnail_img_height, :thumbnail_img_width, :img_title, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":img_file", $img_file);
	$stmt->bindParam(":align", $align);
	$stmt->bindParam(":click_enlarge", $click_enlarge);
	$stmt->bindParam(":click_img_title", $click_img_title);
	$stmt->bindParam(":thumbnail_img_height", $thumbnail_img_height);
	$stmt->bindParam(":thumbnail_img_width", $thumbnail_img_width);
	$stmt->bindParam(":img_title", $img_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//共通コンテンツ画像データの更新
function update_common_img_data($conn, $id, $contents_id, $img_file, $align, $click_enlarge, $click_img_title, $thumbnail_img_height, $thumbnail_img_width, $img_title) {
	$sql_tmp = "update common_img_data set 
					contents_id		= :contents_id,
					img_file				= :img_file,
					align					= :align,
					click_enlarge			= :click_enlarge,
					click_img_title			= :click_img_title,
					thumbnail_img_height	= :thumbnail_img_height,
					thumbnail_img_width		= :thumbnail_img_width,
					img_title				= :img_title,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":img_file", $img_file);
	$stmt->bindParam(":align", $align);
	$stmt->bindParam(":click_enlarge", $click_enlarge);
	$stmt->bindParam(":click_img_title", $click_img_title);
	$stmt->bindParam(":thumbnail_img_height", $thumbnail_img_height);
	$stmt->bindParam(":thumbnail_img_width", $thumbnail_img_width);
	$stmt->bindParam(":img_title", $img_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（共通コンテンツ画像データ）（idで指定されたデータを削除）
function delete_common_img_data($conn, $id) {
    $sql_tmp = 'DELETE FROM common_img_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//共通コンテンツアイコンデータの追加
function insert_common_icon_data($conn, $contents_id, $icon_file, $vertical_align) {
	$sql_tmp = "insert into common_icon_data(contents_id, icon_file, vertical_align, update_time)
							values(:contents_id, :icon_file, :vertical_align, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":icon_file", $icon_file);
	$stmt->bindParam(":vertical_align", $vertical_align);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//共通コンテンツアイコンデータの更新
function update_common_icon_data($conn, $id, $contents_id, $icon_file, $vertical_align) {
	$sql_tmp = "update common_icon_data set 
					contents_id			= :contents_id,
					icon_file			= :icon_file,
					vertical_align		= :vertical_align,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":icon_file", $icon_file);
	$stmt->bindParam(":vertical_align", $vertical_align);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（共通コンテンツアイコンデータ）（idで指定されたデータを削除）
function delete_common_icon_data($conn, $id) {
    $sql_tmp = 'DELETE FROM common_icon_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//共通コンテンツyoutube埋め込みコードの追加
function insert_common_youtube_code($conn, $contents_id, $youtube_code) {
	$sql_tmp = "insert into common_youtube_code(contents_id, youtube_code, update_time)
							values(:contents_id, :youtube_code, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":youtube_code", $youtube_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;	
}
//共通コンテンツyoutube埋め込みコードの更新
function update_common_youtube_code($conn, $id, $contents_id, $youtube_code) {
	$sql_tmp = "update common_youtube_code set 
					contents_id				= :contents_id,
					youtube_code			= :youtube_code,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":contents_id", $contents_id);
	$stmt->bindParam(":youtube_code", $youtube_code);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（共通コンテンツyoutube埋め込みコード）（idで指定されたデータを削除）
function delete_common_youtube_code($conn, $id) {
    $sql_tmp = 'DELETE FROM common_youtube_code WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//*************************************************************************************************************
//動画スライド２ページテーブルデータの追加
function insert_img_slide2_page($conn, $img_cnt) {
	$sql_tmp = "insert into img_slide2_page(img_cnt, update_time)
							values(:img_cnt, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":img_cnt", $img_cnt);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
function update_mg_slide2_page($conn, $id, $img_cnt) {
	$sql_tmp = "update img_slide2_page set 
					img_cnt					= :img_cnt, 
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":img_cnt", $img_cnt);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}

//動画スライド２テーブルデータの追加
function insert_img_slide2($conn, $slide2_page_id, $slide_no, $img_cnt, $img1_url, $img2_url, $img3_url, $img4_url, $img1_link_menu_kbn, $img1_link_menu_id, $img2_link_menu_kbn, $img2_link_menu_id, $img3_link_menu_kbn, $img3_link_menu_id, $img4_link_menu_kbn, $img4_link_menu_id, $img1_catalog_id, $img2_catalog_id, $img3_catalog_id, $img4_catalog_id, $img1_title, $img2_title, $img3_title, $img4_title) {
	$sql_tmp = "insert into img_slide2(slide2_page_id, slide_no, img_cnt, img1_url, img2_url, img3_url, img4_url, img1_link_menu_kbn, img1_link_menu_id, img2_link_menu_kbn, img2_link_menu_id, img3_link_menu_kbn, img3_link_menu_id, img4_link_menu_kbn, img4_link_menu_id, img1_catalog_id, img2_catalog_id, img3_catalog_id, img4_catalog_id, img1_title, img2_title, img3_title, img4_title, update_time)
							values(:slide2_page_id, :slide_no, :img_cnt, :img1_url, :img2_url, :img3_url, :img4_url, :img1_link_menu_kbn, :img1_link_menu_id, :img2_link_menu_kbn, :img2_link_menu_id, :img3_link_menu_kbn, :img3_link_menu_id, :img4_link_menu_kbn, :img4_link_menu_id, :img1_catalog_id, :img2_catalog_id, :img3_catalog_id, :img4_catalog_id, :img1_title, :img2_title, :img3_title, :img4_title, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":slide2_page_id", $slide2_page_id);
	$stmt->bindParam(":slide_no", $slide_no);
	$stmt->bindParam(":img_cnt", $img_cnt);
	$stmt->bindParam(":img1_url", $img1_url);
	$stmt->bindParam(":img2_url", $img2_url);
	$stmt->bindParam(":img3_url", $img3_url);
	$stmt->bindParam(":img4_url", $img4_url);
	$stmt->bindParam(":img1_link_menu_kbn", $img1_link_menu_kbn);
	$stmt->bindParam(":img1_link_menu_id", $img1_link_menu_id);
	$stmt->bindParam(":img2_link_menu_kbn", $img2_link_menu_kbn);
	$stmt->bindParam(":img2_link_menu_id", $img2_link_menu_id);
	$stmt->bindParam(":img3_link_menu_kbn", $img3_link_menu_kbn);
	$stmt->bindParam(":img3_link_menu_id", $img3_link_menu_id);
	$stmt->bindParam(":img4_link_menu_kbn", $img4_link_menu_kbn);
	$stmt->bindParam(":img4_link_menu_id", $img4_link_menu_id);
	$stmt->bindParam(":img1_catalog_id", $img1_catalog_id);
	$stmt->bindParam(":img2_catalog_id", $img2_catalog_id);
	$stmt->bindParam(":img3_catalog_id", $img3_catalog_id);
	$stmt->bindParam(":img4_catalog_id", $img4_catalog_id);
	$stmt->bindParam(":img1_title", $img1_title);
	$stmt->bindParam(":img2_title", $img2_title);
	$stmt->bindParam(":img3_title", $img3_title);
	$stmt->bindParam(":img4_title", $img4_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//動画スライド２テーブルデータの更新
function update_img_slide2($conn, $id, $slide2_page_id, $slide_no, $img_cnt, $img1_url, $img2_url, $img3_url, $img4_url, $img1_link_menu_kbn, $img1_link_menu_id, $img2_link_menu_kbn, $img2_link_menu_id, $img3_link_menu_kbn, $img3_link_menu_id, $img4_link_menu_kbn, $img4_link_menu_id, $img1_catalog_id, $img2_catalog_id, $img3_catalog_id, $img4_catalog_id, $img1_title, $img2_title, $img3_title, $img4_title) {
	$sql_tmp = "update img_slide2 set 
					slide_no				= :slide_no, 
					img_cnt					= :img_cnt, 
					img1_url				= :img1_url, 
					img2_url				= :img2_url, 
					img3_url				= :img3_url, 
					img4_url				= :img4_url, 
					img1_link_menu_kbn		= :img1_link_menu_kbn, 
					img1_link_menu_id		= :img1_link_menu_id,
					img2_link_menu_kbn		= :img2_link_menu_kbn, 
					img2_link_menu_id		= :img2_link_menu_id,
					img3_link_menu_kbn		= :img3_link_menu_kbn, 
					img3_link_menu_id		= :img3_link_menu_id,
					img4_link_menu_kbn		= :img4_link_menu_kbn, 
					img4_link_menu_id		= :img4_link_menu_id,
					img1_catalog_id			= :img1_catalog_id, 
					img2_catalog_id			= :img2_catalog_id, 
					img3_catalog_id			= :img3_catalog_id, 
					img4_catalog_id			= :img4_catalog_id, 
					img1_title				= :img1_title, 
					img2_title				= :img2_title, 
					img3_title				= :img3_title, 
					img4_title				= :img4_title, 
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":slide2_page_id", $slide2_page_id);
	$stmt->bindParam(":slide_no", $slide_no);
	$stmt->bindParam(":img_cnt", $img_cnt);
	$stmt->bindParam(":img1_url", $img1_url);
	$stmt->bindParam(":img2_url", $img2_url);
	$stmt->bindParam(":img3_url", $img3_url);
	$stmt->bindParam(":img4_url", $img4_url);
	$stmt->bindParam(":img1_link_menu_kbn", $img1_link_menu_kbn);
	$stmt->bindParam(":img1_link_menu_id", $img1_link_menu_id);
	$stmt->bindParam(":img2_link_menu_kbn", $img2_link_menu_kbn);
	$stmt->bindParam(":img2_link_menu_id", $img2_link_menu_id);
	$stmt->bindParam(":img3_link_menu_kbn", $img3_link_menu_kbn);
	$stmt->bindParam(":img3_link_menu_id", $img3_link_menu_id);
	$stmt->bindParam(":img4_link_menu_kbn", $img4_link_menu_kbn);
	$stmt->bindParam(":img4_link_menu_id", $img4_link_menu_id);
	$stmt->bindParam(":img1_catalog_id", $img1_catalog_id);
	$stmt->bindParam(":img2_catalog_id", $img2_catalog_id);
	$stmt->bindParam(":img3_catalog_id", $img3_catalog_id);
	$stmt->bindParam(":img4_catalog_id", $img4_catalog_id);
	$stmt->bindParam(":img1_title", $img1_title);
	$stmt->bindParam(":img2_title", $img2_title);
	$stmt->bindParam(":img3_title", $img3_title);
	$stmt->bindParam(":img4_title", $img4_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（動画スライド２テーブル）（idで指定されたデータを削除）
function delete_img_slide2($conn, $id) {
    $sql_tmp = 'DELETE FROM img_slide2 WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//インデックスページデータの追加
function insert_index_page_tbl($conn, $page_title, $page_description, $page_keywords) {
	$sql_tmp = "insert into index_page_tbl(page_title, page_description, page_keywords, update_time)
							values(:page_title, :page_description, :page_keywords, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":page_keywords", $page_keywords);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//インデックスページデータの更新
function update_index_page_tbl($conn, $id, $page_title, $page_description, $page_keywords) {
	$sql_tmp = "update index_page_tbl set 
					page_title				= :page_title, 
					page_description		= :page_description, 
					page_keywords			= :page_keywords,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":page_keywords", $page_keywords);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//インデックスデータの追加
function insert_index_data($conn, $orderno, $contents_kbn, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $menu_kbn, $page_id, $style, $page_limit, $contents, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into index_data(orderno, contents_kbn, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, menu_kbn, page_id, style, page_limit, contents, sns_btn_kbn, dummypage_url, update_time)
							values(:orderno, :contents_kbn, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :menu_kbn, :page_id, :style, :page_limit, :contents, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":contents_kbn", $contents_kbn);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":page_id", $page_id);
	$stmt->bindParam(":style", $style);
	$stmt->bindParam(":page_limit", $page_limit);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//インデックスデータの更新
function update_index_data($conn, $id, $orderno, $contents_kbn, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $menu_kbn, $page_id, $style, $page_limit, $contents, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update index_data set 
					orderno			= :orderno, 
					contents_kbn	= :contents_kbn, 
					contents_title	= :contents_title, 
					padding_top		= :padding_top,
					indent			= :indent,
					title_color		= :title_color,
					title_img_no	= :title_img_no,
					title_img_file	= :title_img_file, 
					menu_kbn		= :menu_kbn, 
					page_id			= :page_id, 
					style			= :style, 
					page_limit		= :page_limit,
					contents		= :contents, 
					sns_btn_kbn		= :sns_btn_kbn,
					dummypage_url	= :dummypage_url,
					update_time 	= :update_time
					where id		= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":orderno", $orderno);
	$stmt->bindParam(":contents_kbn", $contents_kbn);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":page_id", $page_id);
	$stmt->bindParam(":style", $style);
	$stmt->bindParam(":page_limit", $page_limit);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//インデックスデータの削除
function delete_index_data($conn, $id) {
    $sql_tmp = 'DELETE FROM index_data WHERE (id = :id)';
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//コンテンツページコントロールの追加
function insert_contents_page_ctrl($conn, $button_tbl, $button_tbl_id, $page_table, $page_id) {
	$sql_tmp = "insert into contents_page_ctrl(button_tbl, button_tbl_id, page_table, page_id, update_time)
							values(:button_tbl, :button_tbl_id, :page_table, :page_id, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":button_tbl", $button_tbl);
	$stmt->bindParam(":button_tbl_id", $button_tbl_id);
	$stmt->bindParam(":page_table", $page_table);
	$stmt->bindParam(":page_id", $page_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//コンテンツページコントロールの更新
function update_contents_page_ctrl($conn, $id, $button_tbl, $button_tbl_id, $page_table, $page_id) {
	$sql_tmp = "update contents_page_ctrl set 
					button_tbl			= :button_tbl,
					button_tbl_id		= :button_tbl_id, 
					page_table			= :page_table,
					page_id				= :page_id, 
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":button_tbl", $button_tbl);
	$stmt->bindParam(":button_tbl_id", $button_tbl_id);
	$stmt->bindParam(":page_table", $page_table);
	$stmt->bindParam(":page_id", $page_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//コンテンツニュースページの追加
function insert_contents_news_page($conn, $index_orderno, $page_title, $page_description, $index_news_title, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $sns_btn_kbn, $dummypage_url, $news_page_layout, $index_page_layout, $news_page_limit, $index_page_limit, $comment_init_chk, $contents) {
	$sql_tmp = "insert into contents_news_page(index_orderno, page_title, page_description, index_news_title, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, sns_btn_kbn, dummypage_url, news_page_layout, index_page_layout, news_page_limit, index_page_limit, comment_init_chk, contents, update_time)
							values(:index_orderno, :page_title, :page_description, :index_news_title, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :sns_btn_kbn, :dummypage_url, :news_page_layout, :index_page_layout, :news_page_limit, :index_page_limit, :comment_init_chk, :contents, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":index_orderno", $index_orderno);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":index_news_title", $index_news_title);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	$stmt->bindParam(":news_page_layout", $news_page_layout);
	$stmt->bindParam(":index_page_layout", $index_page_layout);
	$stmt->bindParam(":news_page_limit", $news_page_limit);
	$stmt->bindParam(":index_page_limit", $index_page_limit);
	$stmt->bindParam(":comment_init_chk", $comment_init_chk);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//コンテンツニュースページの更新
function update_contents_news_page($conn, $id, $index_orderno, $page_title, $page_description,$index_news_title, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file,  $sns_btn_kbn, $dummypage_url, $news_page_layout, $index_page_layout, $news_page_limit, $index_page_limit, $comment_init_chk, $contents) {
	$sql_tmp = "update contents_news_page set
					index_orderno			= :index_orderno,
					page_title				= :page_title, 
					index_news_title		= :index_news_title, 
					contents_title			= :contents_title, 
					padding_top				= :padding_top,
					indent					= :indent,
					title_color				= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file, 
					sns_btn_kbn				= :sns_btn_kbn,
					dummypage_url			= :dummypage_url,
					page_description		= :page_description, 
					news_page_layout		= :news_page_layout, 
					index_page_layout		= :index_page_layout, 
					news_page_limit			= :news_page_limit, 
					index_page_limit		= :index_page_limit, 
					comment_init_chk		= :comment_init_chk,
					contents				= :contents, 
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":index_orderno", $index_orderno);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":index_news_title", $index_news_title);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	$stmt->bindParam(":news_page_layout", $news_page_layout);
	$stmt->bindParam(":index_page_layout", $index_page_layout);
	$stmt->bindParam(":news_page_limit", $news_page_limit);
	$stmt->bindParam(":index_page_limit", $index_page_limit);
	$stmt->bindParam(":comment_init_chk", $comment_init_chk);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//コンテンツニュースページの削除
function delete_contents_news_page($conn, $id) {
    $sql_tmp = "DELETE FROM contents_news_page WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//コンテンツニュースデータの追加
function insert_contents_news_data($conn, $news_page_id, $news_date_year, $news_date_month, $news_date_day, $news_date_hour, $news_date_minute, $index_page_layout, $news_img_file, $title_icon_path, $news_title, $title_back_color1, $title_back_color2, $title_font_color1, $title_font_color2,  $title_font_bold1, $title_font_bold2, $news_contents, $comment_kbn, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into contents_news_data(news_page_id, news_date, news_date_year, news_date_month, news_date_day, news_date_hour, news_date_minute, index_page_layout, news_img_file, title_icon_path, news_title, title_back_color1, title_back_color2, title_font_color1, title_font_color2,  title_font_bold1, title_font_bold2, news_contents, comment_kbn, sns_btn_kbn, dummypage_url, update_time)
							values(:news_page_id, :news_date, :news_date_year, :news_date_month, :news_date_day, :news_date_hour, :news_date_minute, :index_page_layout, :news_img_file, :title_icon_path, :news_title, :title_back_color1, :title_back_color2, :title_font_color1, :title_font_color2, :title_font_bold1, :title_font_bold2, :news_contents, :comment_kbn, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":news_page_id", $news_page_id);
	$news_date = $news_date_year."/".$news_date_month."/".$news_date_day." ".$news_date_hour.":".$news_date_minute;
	$stmt->bindParam(":news_date", $news_date);
	$stmt->bindParam(":news_date_year", $news_date_year);
	$stmt->bindParam(":news_date_month", $news_date_month);
	$stmt->bindParam(":news_date_day", $news_date_day);
	$stmt->bindParam(":news_date_hour", $news_date_hour);
	$stmt->bindParam(":news_date_minute", $news_date_minute);
	$stmt->bindParam(":index_page_layout", $index_page_layout);
	$stmt->bindParam(":news_img_file", $news_img_file);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":news_title", $news_title);
	$stmt->bindParam(":title_back_color1", $title_back_color1);
	$stmt->bindParam(":title_back_color2", $title_back_color2);
	$stmt->bindParam(":title_font_color1", $title_font_color1);
	$stmt->bindParam(":title_font_color2", $title_font_color2);
	$stmt->bindParam(":title_font_bold1", $title_font_bold1);
	$stmt->bindParam(":title_font_bold2", $title_font_bold2);
	$stmt->bindParam(":news_contents", $news_contents);
	$stmt->bindParam(":comment_kbn", $comment_kbn);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//コンテンツニュースデータの更新
function update_contents_news_data($conn, $id, $news_page_id, $news_date_year, $news_date_month, $news_date_day, $news_date_hour, $news_date_minute, $index_page_layout, $news_img_file, $title_icon_path, $news_title, $title_back_color1, $title_back_color2, $title_font_color1, $title_font_color2,  $title_font_bold1, $title_font_bold2, $news_contents, $comment_kbn, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update contents_news_data set 
					news_page_id		= :news_page_id,
					news_date			= :news_date, 
					news_date_year		= :news_date_year, 
					news_date_month		= :news_date_month, 
					news_date_day		= :news_date_day, 
					news_date_hour		= :news_date_hour, 
					news_date_minute	= :news_date_minute, 
					index_page_layout	= :index_page_layout,
					news_img_file		= :news_img_file, 
					title_icon_path		= :title_icon_path, 
					news_title			= :news_title, 
					title_back_color1	= :title_back_color1, 
					title_back_color2	= :title_back_color2, 
					title_font_color1	= :title_font_color1, 
					title_font_color2	= :title_font_color2, 
					title_font_bold1	= :title_font_bold1,
					title_font_bold2	= :title_font_bold2,
					news_contents		= :news_contents,
					comment_kbn			= :comment_kbn, 
					sns_btn_kbn			= :sns_btn_kbn,
					dummypage_url		= :dummypage_url,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":news_page_id", $news_page_id);
	$news_date = $news_date_year."/".$news_date_month."/".$news_date_day." ".$news_date_hour.":".$news_date_minute;
	$stmt->bindParam(":news_date", $news_date);
	$stmt->bindParam(":news_date_year", $news_date_year);
	$stmt->bindParam(":news_date_month", $news_date_month);
	$stmt->bindParam(":news_date_day", $news_date_day);
	$stmt->bindParam(":news_date_hour", $news_date_hour);
	$stmt->bindParam(":news_date_minute", $news_date_minute);
	$stmt->bindParam(":index_page_layout", $index_page_layout);
	$stmt->bindParam(":news_img_file", $news_img_file);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":news_title", $news_title);
	$stmt->bindParam(":title_back_color1", $title_back_color1);
	$stmt->bindParam(":title_back_color2", $title_back_color2);
	$stmt->bindParam(":title_font_color1", $title_font_color1);
	$stmt->bindParam(":title_font_color2", $title_font_color2);
	$stmt->bindParam(":title_font_bold1", $title_font_bold1);
	$stmt->bindParam(":title_font_bold2", $title_font_bold2);
	$stmt->bindParam(":news_contents", $news_contents);
	$stmt->bindParam(":comment_kbn", $comment_kbn);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//コンテンツニュースデータの削除
function delete_contents_news_data($conn, $id) {
    $sql_tmp = "DELETE FROM contents_news_data WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//データの追加（ニュースコメントテーブル）
function insert_contents_news_comment($conn, $news_page_id, $news_id, $user_name, $user_e_mail, $user_url, $user_password, $title_icon_path, $title, $comment, $comment_kbn) {
	$sql_tmp = "insert into contents_news_comment(news_page_id, news_id, order_date, year, month, day, hour, minute, user_name, user_e_mail, user_url, user_password, title_icon_path, title, comment, comment_kbn, update_time)
							values(:news_page_id, :news_id, :order_date, :year, :month, :day, :hour, :minute, :user_name, :user_e_mail, :user_url, :user_password, :title_icon_path, :title, :comment, :comment_kbn, :update_time)";
	$time 		= time();
	$array_time = explode('-', date('Y-m-d-H-i-s', $time));
	$year 	= $array_time[0];
	$month 	= $array_time[1];
	$day 	= $array_time[2];
	$hour 	= $array_time[3];
	$minute	= $array_time[4];
	$order_date	= $year."/".$month."/".$day." ".$hour.":".$minute;
							
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":news_page_id", $news_page_id);
	$stmt->bindParam(":news_id", $news_id);
	$stmt->bindParam(":order_date", $order_date);
	$stmt->bindParam(":year", $year);
	$stmt->bindParam(":month", $month);
	$stmt->bindParam(":day", $day);
	$stmt->bindParam(":hour", $hour);
	$stmt->bindParam(":minute", $minute);
	$stmt->bindParam(":user_name", $user_name);
	$stmt->bindParam(":user_e_mail", $user_e_mail);
	$stmt->bindParam(":user_url", $user_url);
	$stmt->bindParam(":user_password", $user_password);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":comment", $comment);
	$stmt->bindParam(":comment_kbn", $comment_kbn);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//データの更新（ニュースコメントテーブル）
function update_contents_news_comment($conn, $news_page_id, $news_id, $user_name, $user_e_mail, $user_url, $user_password, $title_icon_path, $title, $comment, $comment_kbn) {
	$sql_tmp = "update contents_news_comment set
					news_page_id		= :news_page_id,
					news_id				= :news_id,
					user_name			= :user_name,
					user_e_mail			= :user_e_mail,
					user_url			= :user_url,
					user_password		= :user_password,
					title_icon_path		= :title_icon_path,
					title 				= :title,
					comment 			= :comment,
					comment_kbn			= :comment_kbn,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":news_page_id", $news_page_id);
	$stmt->bindParam(":news_id", $news_id);
	$stmt->bindParam(":user_name", $user_name);
	$stmt->bindParam(":user_e_mail", $user_e_mail);
	$stmt->bindParam(":user_url", $user_url);
	$stmt->bindParam(":user_password", $user_password);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":title", $title);
	$stmt->bindParam(":comment", $comment);
	$stmt->bindParam(":comment_kbn", $comment_kbn);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（ニュースコメントテーブル）（idで指定されたデータを削除）
function delete_contents_news_comment($conn, $id) {
    $sql_tmp = "DELETE FROM contents_news_comment WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//タイトル付きフリーページの追加
function insert_contents_title_free_page($conn, $page_title, $page_description, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $youtube_code, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into contents_title_free_page(page_title, page_description, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, contents, youtube_code, sns_btn_kbn, dummypage_url, update_time)
							values(:page_title, :page_description, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :contents, :youtube_code, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":youtube_code", $youtube_code);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//タイトル付きフリーページの更新
function update_contents_title_free_page($conn, $id, $page_title, $page_description, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $youtube_code, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update contents_title_free_page set 
					page_title				= :page_title,
					page_description		= :page_description, 
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_color 			= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					contents				= :contents,
					youtube_code			= :youtube_code,
					sns_btn_kbn				= :sns_btn_kbn,
					dummypage_url			= :dummypage_url,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":youtube_code", $youtube_code);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":update_time", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//タイトル付きフリーページの削除
function delete_contents_title_free_page($conn, $id) {
    $sql_tmp = "DELETE FROM contents_title_free_page WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//タイトル付きフリーデータの追加
function insert_contents_title_free_data($conn, $title_free_page_id, $order_no, $title_icon_path, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $dsp_form, $youtube_code, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into contents_title_free_data(title_free_page_id, order_no, title_icon_path, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, contents, dsp_form, youtube_code, sns_btn_kbn, dummypage_url, update_time)
							values(:title_free_page_id, :order_no, :title_icon_path, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :contents, :dsp_form, :youtube_code, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":title_free_page_id", $title_free_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":dsp_form", $dsp_form);
	$stmt->bindParam(":youtube_code", $youtube_code);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//タイトル付きフリーデータの更新
function update_contents_title_free_data($conn, $id, $title_free_page_id, $order_no, $title_icon_path, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $dsp_form, $youtube_code, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update contents_title_free_data set 
					title_free_page_id		= :title_free_page_id,
					order_no				= :order_no,
					title_icon_path			= :title_icon_path,
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_color 			= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					contents				= :contents,
					dsp_form				= :dsp_form,
					youtube_code			= :youtube_code,
					sns_btn_kbn				= :sns_btn_kbn,
					dummypage_url			= :dummypage_url,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":title_free_page_id", $title_free_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":dsp_form", $dsp_form);
	$stmt->bindParam(":youtube_code", $youtube_code);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//タイトル付きフリーデータの削除
function delete_contents_title_free_data($conn, $id) {
    $sql_tmp = "DELETE FROM contents_title_free_data WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//表付きフリーページの追加
function insert_contents_table_free_page($conn, $page_title, $page_description, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $youtube_code, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into contents_table_free_page(page_title, page_description, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, contents, youtube_code, sns_btn_kbn, dummypage_url, update_time)
							values(:page_title, :page_description, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :contents, :youtube_code, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":youtube_code", $youtube_code);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//表付きフリーページの更新
function update_contents_table_free_page($conn, $id, $page_title, $page_description, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $youtube_code, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update contents_table_free_page set 
					page_title				= :page_title,
					page_description		= :page_description, 
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_color 			= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					contents				= :contents,
					youtube_code			= :youtube_code,
					sns_btn_kbn				= :sns_btn_kbn,
					dummypage_url			= :dummypage_url,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":youtube_code", $youtube_code);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//表付きフリーページの削除
function delete_contents_table_free_page($conn, $id) {
    $sql_tmp = "DELETE FROM contents_table_free_page WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//表付きフリーデータ順序の追加
function insert_contents_table_free_data_order($conn, $table_free_page_id, $order_no, $data_kbn, $data_id) {
	$sql_tmp = "insert into contents_table_free_data_order(table_free_page_id, order_no, data_kbn, data_id, update_time)
							values(:table_free_page_id, :order_no, :data_kbn, :data_id, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	//echo '$table_free_page_id='.$table_free_page_id;	// debug
	$stmt->bindParam(":table_free_page_id", $table_free_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":data_kbn", $data_kbn);
	$stmt->bindParam(":data_id", $data_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//表付きフリーデータ順序の更新
function update_contents_table_free_data_order($conn, $id, $table_free_page_id, $order_no, $data_kbn, $data_id) {
	$sql_tmp = "update contents_table_free_data_order set 
					table_free_page_id	= :table_free_page_id, 
					order_no			= :order_no,
					data_kbn			= :data_kbn,
					data_id				= :data_id, 
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":table_free_page_id", $table_free_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":data_kbn", $data_kbn);
	$stmt->bindParam(":data_id", $data_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//表付きフリーデータ順序の削除
function delete_contents_table_free_data_order($conn, $id) {
    $sql_tmp = "DELETE FROM contents_table_free_data_order WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//表付きフリーデータテキストの追加
function insert_contents_table_free_data_text($conn, $table_free_page_id, $free_data_order_id, $order_no, $title_icon_path, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $dsp_form, $youtube_code, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "insert into contents_table_free_data_text(table_free_page_id, free_data_order_id, order_no, title_icon_path, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, contents, dsp_form, youtube_code, sns_btn_kbn, dummypage_url, update_time)
							values(:table_free_page_id, :free_data_order_id, :order_no, :title_icon_path, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :contents, :dsp_form, :youtube_code, :sns_btn_kbn, :dummypage_url, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":table_free_page_id", $table_free_page_id);
	$stmt->bindParam(":free_data_order_id", $free_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":dsp_form", $dsp_form);
	$stmt->bindParam(":youtube_code", $youtube_code);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//表付きフリーデータテキストの更新
function update_contents_table_free_data_text($conn, $id, $table_free_page_id, $free_data_order_id, $order_no, $title_icon_path, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $dsp_form, $youtube_code, $sns_btn_kbn, $dummypage_url) {
	$sql_tmp = "update contents_table_free_data_text set 
					table_free_page_id		= :table_free_page_id,
					free_data_order_id		= :free_data_order_id,
					order_no				= :order_no,
					title_icon_path			= :title_icon_path,
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_color 			= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					contents				= :contents,
					dsp_form				= :dsp_form,
					youtube_code			= :youtube_code,
					sns_btn_kbn				= :sns_btn_kbn,
					dummypage_url			= :dummypage_url,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":table_free_page_id", $table_free_page_id);
	$stmt->bindParam(":free_data_order_id", $free_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":dsp_form", $dsp_form);
	$stmt->bindParam(":youtube_code", $youtube_code);
	$stmt->bindParam(":sns_btn_kbn", $sns_btn_kbn);
	$stmt->bindParam(":dummypage_url", $dummypage_url);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//表付きフリーデータテキストの削除
function delete_contents_table_free_data_text($conn, $id) {
    $sql_tmp = "DELETE FROM contents_table_free_data_text WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//表付きフリーデータ表の追加
function insert_contents_table_free_data_table($conn, $table_free_page_id, $free_data_order_id, $order_no, $title_icon_path, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $font_size, $margin_left, $margin_top, $margin_bottom, $line_color, $outline_bold, $row_number, $col_number, $dsp_form) {
	$sql_tmp = "insert into contents_table_free_data_table(table_free_page_id, free_data_order_id, order_no, title_icon_path, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, font_size, margin_left, margin_top, margin_bottom, line_color, outline_bold, row_number, col_number, dsp_form, update_time)
							values(:table_free_page_id, :free_data_order_id, :order_no, :title_icon_path, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :font_size, :margin_left, :margin_top, :margin_bottom, :line_color, :outline_bold, :row_number, :col_number, :dsp_form, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":table_free_page_id", $title_free_page_id);
	$stmt->bindParam(":free_data_order_id", $free_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":margin_left", $margin_left);
	$stmt->bindParam(":margin_top", $margin_top);
	$stmt->bindParam(":margin_bottom", $margin_bottom);
	$stmt->bindParam(":line_color", $line_color);
	$stmt->bindParam(":outline_bold", $outline_bold);
	$stmt->bindParam(":row_number", $row_number);
	$stmt->bindParam(":col_number", $col_number);
	$stmt->bindParam(":dsp_form", $dsp_form);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//表付きフリーデータ表の更新
function update_contents_table_free_data_table($conn, $id, $table_free_page_id, $free_data_order_id, $order_no, $title_icon_path, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $font_size, $margin_left, $margin_top, $margin_bottom, $line_color, $outline_bold, $row_number, $col_number, $dsp_form, $dummypage_url) {
	$sql_tmp = "update contents_table_free_data_table set 
					table_free_page_id		= :table_free_page_id,
					free_data_order_id		= :free_data_order_id,
					order_no				= :order_no,
					title_icon_path			= :title_icon_path,
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_color 			= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					font_size				= :font_size,
					margin_left				= :margin_left,
					margin_top				= :margin_top,
					margin_bottom			= :margin_bottom,
					line_color				= :line_color,
					outline_bold			= :outline_bold,
					row_number				= :row_number,
					col_number				= :col_number,
					dsp_form				= :dsp_form,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":table_free_page_id", $title_free_page_id);
	$stmt->bindParam(":free_data_order_id", $free_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":title_icon_path", $title_icon_path);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":margin_left", $margin_left);
	$stmt->bindParam(":margin_top", $margin_top);
	$stmt->bindParam(":margin_bottom", $margin_bottom);
	$stmt->bindParam(":line_color", $line_color);
	$stmt->bindParam(":outline_bold", $outline_bold);
	$stmt->bindParam(":row_number", $row_number);
	$stmt->bindParam(":col_number", $col_number);
	$stmt->bindParam(":dsp_form", $dsp_form);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//表付きフリーデータ表の削除
function delete_contents_table_free_data_table($conn, $id) {
    $sql_tmp = "DELETE FROM contents_table_free_data_table WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//表付きフリーデータセルの追加
function insert_contents_table_free_data_cell($conn, $table_free_page_id, $free_data_table_id, $order_no, $row_pos, $col_pos, $cell_width, $cell_height, $cell_bkcolor, $contents, $font_size, $font_color, $font_bold, $align_left, $align_right, $align_center, $valign_top, $valign_center, $valign_bottom) {
	$sql_tmp = "insert into contents_table_free_data_cell(table_free_page_id, free_data_table_id, order_no, row_pos, col_pos, cell_width, cell_height, cell_bkcolor, contents, font_size, font_color, font_bold, align_left, align_right, align_center, valign_top, valign_center, valign_bottom, update_time)
							values(:table_free_page_id, :free_data_table_id, :order_no, :row_pos, :col_pos, :cell_width, :cell_height, :cell_bkcolor, :contents, :font_size, :font_color, :font_bold, :align_left, :align_right, :align_center, :valign_top, :valign_center, :valign_bottom, :update_time)";
	//echo '<br>$sql_tmp='.$sql_tmp;		// debug
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":table_free_page_id", $table_free_page_id);
	$stmt->bindParam(":free_data_table_id", $free_data_table_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":row_pos", $row_pos);
	$stmt->bindParam(":col_pos", $col_pos);
	$stmt->bindParam(":cell_width", $cell_width);
	$stmt->bindParam(":cell_height", $cell_height);
	$stmt->bindParam(":cell_bkcolor", $cell_bkcolor);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":font_bold", $font_bold);
	$stmt->bindParam(":align_left", $align_left);
	$stmt->bindParam(":align_right", $align_right);
	$stmt->bindParam(":align_center", $align_center);
	$stmt->bindParam(":valign_top", $valign_top);
	$stmt->bindParam(":valign_center", $valign_center);
	$stmt->bindParam(":valign_bottom", $valign_bottom);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//表付きフリーデータセルの更新
function update_contents_table_free_data_cell($conn, $id, $table_free_page_id, $free_data_table_id, $order_no, $row_pos, $col_pos, $cell_width, $cell_height, $cell_bkcolor, $contents, $font_size, $font_color, $font_bold, $align_left, $align_right, $align_center, $valign_top, $valign_center, $valign_bottom) {
	$sql_tmp = "update contents_table_free_data_cell set 
					table_free_page_id	= :table_free_page_id,
					free_data_table_id	= :free_data_table_id,
					order_no			= :order_no,
					row_pos				= :row_pos,
					col_pos				= :col_pos,
					cell_width			= :cell_width,
					cell_height			= :cell_height,
					cell_bkcolor 		= :cell_bkcolor,
					contents			= :contents,
					font_size			= :font_size,
					font_color			= :font_color,
					font_bold			= :font_bold,
					align_left			= :align_left,
					align_right			= :align_right,
					align_center		= :align_center,
					valign_top			= :valign_top,
					valign_center		= :valign_center,
					valign_bottom		= :valign_bottom,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":table_free_page_id", $title_free_page_id);
	$stmt->bindParam(":free_data_order_id", $free_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":row_pos", $row_pos);
	$stmt->bindParam(":col_pos", $col_pos);
	$stmt->bindParam(":cell_width", $cell_width);
	$stmt->bindParam(":cell_height", $cell_height);
	$stmt->bindParam(":cell_bkcolor", $cell_bkcolor);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":font_bold", $font_bold);
	$stmt->bindParam(":align_left", $align_left);
	$stmt->bindParam(":align_right", $align_right);
	$stmt->bindParam(":align_center", $align_center);
	$stmt->bindParam(":valign_top", $valign_top);
	$stmt->bindParam(":valign_center", $valign_center);
	$stmt->bindParam(":valign_bottom", $valign_bottom);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//表付きフリーデータセルの削除
function delete_contents_table_free_data_cell($conn, $id) {
    $sql_tmp = "DELETE FROM contents_table_free_data_cell WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//ＰＤＦページの追加
function insert_contents_pdf_page($conn, $order_no, $page_title) {
	$sql_tmp = "insert into contents_pdf_page(order_no, page_title, update_time)
							values(:order_no, :page_title, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":page_title", $page_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//ＰＤＦページの更新
function update_contents_pdf_page($conn, $id, $order_no, $page_title) {
	$sql_tmp = "update contents_pdf_page set 
					order_no				= :order_no,
					page_title				= :page_title,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":page_title", $page_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//ＰＤＦページの削除
function delete_contents_pdf_page($conn, $id) {
    $sql_tmp = "DELETE FROM contents_pdf_page WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//ＰＤＦデータ順序の追加
function insert_contents_pdf_data_order($conn, $pdf_page_id, $order_no, $data_kbn, $data_id) {
	$sql_tmp = "insert into contents_pdf_data_order(pdf_page_id, order_no, data_kbn, data_id, update_time)
							values(:pdf_page_id, :order_no, :data_kbn, :data_id, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	//echo '$table_free_page_id='.$table_free_page_id;	// debug
	$stmt->bindParam(":pdf_page_id", $pdf_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":data_kbn", $data_kbn);
	$stmt->bindParam(":data_id", $data_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//ＰＤＦデータ順序の更新
function update_contents_pdf_data_order($conn, $id, $pdf_page_id, $order_no, $data_kbn, $data_id) {
	$sql_tmp = "update contents_pdf_data_order set 
					pdf_page_id			= :pdf_page_id, 
					order_no			= :order_no,
					data_kbn			= :data_kbn,
					data_id				= :data_id, 
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":pdf_page_id", $pdf_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":data_kbn", $data_kbn);
	$stmt->bindParam(":data_id", $data_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//ＰＤＦデータの削除（ＰＤＦデータ順序）
function delete_contents_pdf_data_order($conn, $id) {
    $sql_tmp = "DELETE FROM contents_pdf_data_order WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//ＰＤＦデータテキストの追加
function insert_contents_pdf_data_text($conn, $pdf_page_id, $pdf_data_order_id, $order_no, $contents_title, $padding_top, $indent, $title_img_no, $title_background_color, $contents) {
	$sql_tmp = "insert into contents_pdf_data_text(pdf_page_id, pdf_data_order_id, order_no, contents_title, padding_top, indent, title_img_no, title_background_color, contents, update_time)
							values(:pdf_page_id, :pdf_data_order_id, :order_no, :contents_title, :padding_top, :indent, :title_img_no, :title_background_color, :contents, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":pdf_page_id", $pdf_page_id);
	$stmt->bindParam(":pdf_data_order_id", $pdf_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_background_color", $title_background_color);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//ＰＤＦデータテキストの更新
function update_contents_pdf_data_text($conn, $id, $pdf_page_id, $pdf_data_order_id, $order_no, $contents_title, $padding_top, $indent, $title_img_no, $title_background_color, $contents) {
	$sql_tmp = "update contents_pdf_data_text set 
					pdf_page_id				= :pdf_page_id,
					pdf_data_order_id		= :pdf_data_order_id,
					order_no				= :order_no,
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_img_no			= :title_img_no,
					title_background_color	= :title_background_color,
					contents				= :contents,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":pdf_page_id", $pdf_page_id);
	$stmt->bindParam(":pdf_data_order_id", $pdf_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_background_color", $title_background_color);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//ＰＤＦデータテキストの削除
function delete_contents_pdf_data_text($conn, $id) {
    $sql_tmp = "DELETE FROM contents_pdf_data_text WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//ＰＤＦデータ表の追加
function insert_contents_pdf_data_table($conn, $pdf_page_id, $pdf_data_order_id, $order_no, $font_size, $margin_left, $margin_top, $margin_bottom, $line_color, $outline_bold, $row_number, $col_number) {
	$sql_tmp = "insert into contents_pdf_data_table(pdf_page_id, pdf_data_order_id, order_no, font_size, margin_left, margin_top, margin_bottom, line_color, outline_bold, row_number, col_number, update_time)
							values(:pdf_page_id, :pdf_data_order_id, :order_no, :font_size, :margin_left, :margin_top, :margin_bottom, :line_color, :outline_bold, :row_number, :col_number, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":pdf_page_id", $pdf_page_id);
	$stmt->bindParam(":pdf_data_order_id", $pdf_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":margin_left", $margin_left);
	$stmt->bindParam(":margin_top", $margin_top);
	$stmt->bindParam(":margin_bottom", $margin_bottom);
	$stmt->bindParam(":line_color", $line_color);
	$stmt->bindParam(":outline_bold", $outline_bold);
	$stmt->bindParam(":row_number", $row_number);
	$stmt->bindParam(":col_number", $col_number);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//ＰＤＦデータ表の更新
function update_contents_pdf_data_table($conn, $id, $pdf_page_id, $pdf_data_order_id, $order_no, $font_size, $margin_left, $margin_top, $margin_bottom, $line_color, $outline_bold, $row_number, $col_number) {
	$sql_tmp = "update contents_pdf_data_table set 
					pdf_page_id				= :pdf_page_id,
					pdf_data_order_id		= :pdf_data_order_id,
					order_no				= :order_no,
					font_size				= :font_size,
					margin_left				= :margin_left,
					margin_top				= :margin_top,
					margin_bottom			= :margin_bottom,
					line_color				= :line_color,
					outline_bold			= :outline_bold,
					row_number				= :row_number,
					col_number				= :col_number,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":pdf_page_id", $pdf_page_id);
	$stmt->bindParam(":pdf_data_order_id", $pdf_data_order_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":margin_left", $margin_left);
	$stmt->bindParam(":margin_top", $margin_top);
	$stmt->bindParam(":margin_bottom", $margin_bottom);
	$stmt->bindParam(":line_color", $line_color);
	$stmt->bindParam(":outline_bold", $outline_bold);
	$stmt->bindParam(":row_number", $row_number);
	$stmt->bindParam(":col_number", $col_number);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//ＰＤＦデータ表の削除
function delete_contents_pdf_data_table($conn, $id) {
    $sql_tmp = "DELETE FROM contents_pdf_data_table WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
//ＰＤＦデータセルの追加
function insert_contents_pdf_data_cell($conn, $pdf_page_id, $pdf_data_table_id, $order_no, $row_pos, $col_pos, $cell_width, $cell_height, $cell_bkcolor, $contents, $font_size, $font_color, $font_bold, $align_left, $align_right, $align_center, $valign_top, $valign_center, $valign_bottom) {
	$sql_tmp = "insert into contents_pdf_data_cell(pdf_page_id, pdf_data_table_id, order_no, row_pos, col_pos, cell_width, cell_height, cell_bkcolor, contents, font_size, font_color, font_bold, align_left, align_right, align_center, valign_top, valign_center, valign_bottom, update_time)
							values(:pdf_page_id, :pdf_data_table_id, :order_no, :row_pos, :col_pos, :cell_width, :cell_height, :cell_bkcolor, :contents, :font_size, :font_color, :font_bold, :align_left, :align_right, :align_center, :valign_top, :valign_center, :valign_bottom, :update_time)";
	//echo '<br>$sql_tmp='.$sql_tmp;		// debug
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":pdf_page_id", $pdf_page_id);
	$stmt->bindParam(":pdf_data_table_id", $pdf_data_table_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":row_pos", $row_pos);
	$stmt->bindParam(":col_pos", $col_pos);
	$stmt->bindParam(":cell_width", $cell_width);
	$stmt->bindParam(":cell_height", $cell_height);
	$stmt->bindParam(":cell_bkcolor", $cell_bkcolor);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":font_bold", $font_bold);
	$stmt->bindParam(":align_left", $align_left);
	$stmt->bindParam(":align_right", $align_right);
	$stmt->bindParam(":align_center", $align_center);
	$stmt->bindParam(":valign_top", $valign_top);
	$stmt->bindParam(":valign_center", $valign_center);
	$stmt->bindParam(":valign_bottom", $valign_bottom);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//ＰＤＦデータセルの更新
function update_contents_pdf_data_cell($conn, $id, $pdf_page_id, $pdf_data_table_id, $order_no, $row_pos, $col_pos, $cell_width, $cell_height, $cell_bkcolor, $contents, $font_size, $font_color, $font_bold, $align_left, $align_right, $align_center, $valign_top, $valign_center, $valign_bottom) {
	$sql_tmp = "update contents_pdf_data_cell set 
					pdf_page_id			= :pdf_page_id,
					pdf_data_table_id	= :pdf_data_table_id,
					order_no			= :order_no,
					row_pos				= :row_pos,
					col_pos				= :col_pos,
					cell_width			= :cell_width,
					cell_height			= :cell_height,
					cell_bkcolor 		= :cell_bkcolor,
					contents			= :contents,
					font_size			= :font_size,
					font_color			= :font_color,
					font_bold			= :font_bold,
					align_left			= :align_left,
					align_right			= :align_right,
					align_center		= :align_center,
					valign_top			= :valign_top,
					valign_center		= :valign_center,
					valign_bottom		= :valign_bottom,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":pdf_page_id", $pdf_page_id);
	$stmt->bindParam(":pdf_data_table_id", $pdf_data_table_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":row_pos", $row_pos);
	$stmt->bindParam(":col_pos", $col_pos);
	$stmt->bindParam(":cell_width", $cell_width);
	$stmt->bindParam(":cell_height", $cell_height);
	$stmt->bindParam(":cell_bkcolor", $cell_bkcolor);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":font_size", $font_size);
	$stmt->bindParam(":font_color", $font_color);
	$stmt->bindParam(":font_bold", $font_bold);
	$stmt->bindParam(":align_left", $align_left);
	$stmt->bindParam(":align_right", $align_right);
	$stmt->bindParam(":align_center", $align_center);
	$stmt->bindParam(":valign_top", $valign_top);
	$stmt->bindParam(":valign_center", $valign_center);
	$stmt->bindParam(":valign_bottom", $valign_bottom);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//ＰＤＦデータセルの削除
function delete_contents_pdf_data_cell($conn, $id) {
    $sql_tmp = "DELETE FROM contents_pdf_data_cell WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//お問合せページの追加
function insert_contents_toiawase_page($conn, $page_title, $page_description, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $mail, $mail_title, $guide) {
	$sql_tmp = "insert into contents_toiawase_page(page_title, page_description, contents_title, padding_top, indent, title_color, title_img_no, title_img_file, contents, mail, mail_title, guide, update_time)
							values(:page_title, :page_description, :contents_title, :padding_top, :indent, :title_color, :title_img_no, :title_img_file, :contents, :mail, :mail_title, :guide, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":mail", $mail);
	$stmt->bindParam(":mail_title", $mail_title);
	$stmt->bindParam(":guide", $guide);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//お問合せページの更新
function update_contents_toiawase_page($conn, $page_title, $page_description, $contents_title, $padding_top, $indent, $title_color, $title_img_no, $title_img_file, $contents, $mail, $mail_title, $guide) {
	$sql_tmp = "update contents_toiawase_page set 
					page_title				= :page_title, 
					page_description		= :page_description, 
					contents_title			= :contents_title,
					padding_top				= :padding_top,
					indent					= :indent,
					title_color 			= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					contents				= :contents,
					mail					= :mail, 
					mail_title				= :mail_title, 
					guide					= :guide, 
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":page_title", $page_title);
	$stmt->bindParam(":page_description", $page_description);
	$stmt->bindParam(":contents_title", $contents_title);
	$stmt->bindParam(":padding_top", $padding_top);
	$stmt->bindParam(":indent", $indent);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	$stmt->bindParam(":contents", $contents);
	$stmt->bindParam(":mail", $mail);
	$stmt->bindParam(":mail_title", $mail_title);
	$stmt->bindParam(":guide", $guide);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//お問合せページのの削除
function delete_contents_toiawase_page($conn, $id) {
    $sql_tmp = "DELETE FROM contents_toiawase_page WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//お問合せ項目の追加
function insert_contents_toiawase_item($conn, $toiawase_page_id, $order_no, $item, $item_syurui, $item_sample, $hissu, $input_check, $contents) {
	$sql_tmp = "insert into contents_toiawase_item(toiawase_page_id, order_no, item, item_syurui, item_sample, hissu, input_check, contents, update_time)
							values(:toiawase_page_id, :order_no, :item, :item_syurui, :item_sample, :hissu, :input_check, :contents, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":toiawase_page_id", $toiawase_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":item", $item);
	$stmt->bindParam(":item_syurui", $item_syurui);
	$stmt->bindParam(":item_sample", $item_sample);
	$stmt->bindParam(":hissu", $hissu);
	$stmt->bindParam(":input_check", $input_check);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//お問合せ項目の更新
function update_contents_toiawase_item($conn, $id, $toiawase_page_id, $order_no, $item, $item_syurui, $item_sample, $hissu, $input_check, $contents) {
	$sql_tmp = "update contents_toiawase_item set 
					toiawase_page_id		= :toiawase_page_id, 
					order_no				= :order_no, 
					item					= :item,
					item_syurui				= :item_syurui, 
					item_sample				= :item_sample,
					hissu					= :hissu,
					input_check				= :input_check,
					contents				= :contents,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":toiawase_page_id", $toiawase_page_id);
	$stmt->bindParam(":order_no", $order_no);
	$stmt->bindParam(":item", $item);
	$stmt->bindParam(":item_syurui", $item_syurui);
	$stmt->bindParam(":item_sample", $item_sample);
	$stmt->bindParam(":hissu", $hissu);
	$stmt->bindParam(":input_check", $input_check);
	$stmt->bindParam(":contents", $contents);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//お問合せ項目の削除
function delete_contents_toiawase_item($conn, $id) {
    $sql_tmp = "DELETE FROM contents_toiawase_item WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//指定データの削除（ニュースコメントテーブル）（idで指定されたデータを削除）
function delete_contents_company_profile_item($conn, $id) {
    $sql_tmp = "DELETE FROM contents_company_profile_item WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//フッターリンクテーブルの追加
function insert_footer_link($conn, $link_button_name, $menu_kbn, $button_id, $position) {
	$sql_tmp = "insert into footer_link(link_button_name, menu_kbn, button_id, position, update_time)
							values(:link_button_name, :menu_kbn, :button_id, :position, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":link_button_name", $link_button_name);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":button_id", $button_id);
	$stmt->bindParam(":position", $position);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//フッターリンクテーブルの更新
function update_footer_link($conn, $id, $link_button_name, $menu_kbn, $button_id, $position) {
	$sql_tmp = "update footer_link set 
					link_button_name	= :link_button_name,
					menu_kbn			= :menu_kbn,
					button_id			= :button_id,
					position			= :position,
					update_time 		= :update_time
					where id			= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":link_button_name", $link_button_name);
	$stmt->bindParam(":menu_kbn", $menu_kbn);
	$stmt->bindParam(":button_id", $button_id);
	$stmt->bindParam(":position", $position);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（フッターリンクテーブル）（idで指定されたデータを削除）
function delete_footer_link($conn, $id) {
    $sql_tmp = "DELETE FROM footer_link WHERE (id = :id)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}

//フッターテキストテーブルの追加
function insert_footer_text($conn, $display_flg, $footertext) {
	$sql_tmp = "insert into footer_text(display_flg, footertext, update_time)
							values(:display_flg, :footertext, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":display_flg", $display_flg);
	$stmt->bindParam(":footertext", $footertext);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//フッターテキストテーブルの更新
function update_footer_text($conn, $id, $display_flg, $footertext) {
	$sql_tmp = "update footer_text set 
					display_flg	= :display_flg,
					footertext	= :footertext,
					update_time = :update_time
					where id	= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":display_flg", $display_flg);
	$stmt->bindParam(":footertext", $footertext);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}

//グーグルアナリティクストラッキングIDテーブルの追加
function insert_google_analytics_tracking_id($conn, $tracking_id) {
	$sql_tmp = "insert into google_analytics_tracking_id(tracking_id, update_time)
							values(:tracking_id, :update_time)";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":tracking_id", $tracking_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
//Google アナリティクストラッキングIDテーブルの更新
function update_google_analytics_tracking_id($conn, $id, $tracking_id) {
	$sql_tmp = "update google_analytics_tracking_id set 
					tracking_id	= :tracking_id,
					update_time = :update_time
					where id	= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":tracking_id", $tracking_id);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $conn->lastInsertId();
	return $id;
}
/*************************************************************************************************************************/
/* function		: sectionのタイトルがNULLで、sectionに紐付く他のテーブルデータが存在しない場合にsectionデータを削除する。
/*  $conn		: 基本テーブルのデータベースハンドラ 
/*  $section_id	: 削除対象sectionデータのＩＤ
/*  return		: true:sectionデータ削除
/*************************************************************************************************************************/
function chk_section_del($conn, $section_id) {
	$data_ari = false;
	//echo '<br>$data_ari1='.$data_ari;	// test
	$sql = "SELECT * FROM section WHERE id = ".$section_id;
	//echo "<br>section_sql=".$sql;		// debug
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($rowsec = $stmt->fetch(PDO::FETCH_ASSOC)) {
		if ($rowsec["section_title"] <> NULL) $data_ari = true;
	}
	$sql = "SELECT * FROM section_img_data WHERE (section_id = ".$section_id.")";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) $data_ari = true;
	$sql = "SELECT * FROM section_pc_text_data WHERE (section_id = ".$section_id.")";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) $data_ari = true;
	$sql = "SELECT * FROM section_cta_data WHERE (section_id = ".$section_id.")";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) $data_ari = true;
	$sql = "SELECT * FROM section_cta_count_down_timer WHERE (section_id = ".$section_id.")";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) $data_ari = true;
	//echo '<br>$data_ari2='.$data_ari;	// test
	if (!$data_ari) {
		$sql_tmp = 'DELETE FROM section_box_orderno_mng WHERE (section_id = '.$section_id.')';
		$stmt = $conn->prepare($sql_tmp);
		$stmt->execute();
		delete_section($conn, $section_id);
		return true;
	}else{
		return false;
	}
}
/**********************************************************************************************************/
/* function		: ボタンに紐つくデータを削除する。
/*  $conn		: 基本テーブルのデータベースハンドラ 
/*  $conn2		: アップロード画像ファイル管理テーブルのデータベースハンドラ
/*  $ctrl_id	: コンテンツページコントロール(contents_page_ctrl)のレコードID
/*  $menu_kbn	: 当該ボタンのメニュー区分 
/*  $btn_id		: 当該メニューボタンのボタンテーブルのレコードID 
/**********************************************************************************************************/
function btn_data_del($conn, $conn2, $ctrl_id, $menu_kbn, $btn_id) {
	// フッターリンクから対象データを削除する。
	$sql = "SELECT * FROM menubutton where (contents_page_ctrl_id = ".$ctrl_id.")";
	$stmtfl = $conn->prepare($sql);
	$stmtfl->execute();
	if ($rowfl = $stmtfl->fetch(PDO::FETCH_ASSOC)) {
		// コンテンツページコントロールから削除対象ページテーブル名とそのレコードIDを取得する。
		$sql = "SELECT * FROM contents_page_ctrl where id = ".$ctrl_id;
		$stmtctrl = $conn->prepare($sql);
		$stmtctrl->execute();
		if ($rowctrl = $stmtctrl->fetch(PDO::FETCH_ASSOC)) {
			$page_table	= $rowctrl["page_table"];
			$page_id	= $rowctrl["page_id"];
			if ($page_table == "contents_news_page") {			// コンテンツニュース
				$sql = "DELETE FROM contents_news_comment where news_page_id = :news_page_id";
				$stmt = $conn->prepare($sql);
				$stmt->bindParam(":news_page_id", $page_id);
				$stmt->execute();
				$sql = "SELECT * FROM contents_news_data WHERE news_page_id = ".$page_id;
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					delete_contents_news_data($conn, $row["id"]);
					$contents_img_in = $row["news_contents"];
					unlink_upload_file($conn2, $contents_img_in);	// 記事中の画像を削除
					unlink($row["news_img_file"]);					// タイトル前の画像を削除
				}
				$sql = "SELECT * FROM contents_news_page where id = ".$page_id;
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					delete_contents_news_page($conn, $row["id"]);
					$contents_img_in = $row["contents_title"];
					unlink_upload_file($conn2, $contents_img_in);
					$contents_img_in = $row["contents"];
					unlink_upload_file($conn2, $contents_img_in);	// お知らせページのページ内容説明中の画像を削除
				}
			}else
			if ($page_table == "contents_table_free_page") {		// 表付きフリーページ
				// 削除対象表付きフリーページ内のセルを削除する。
				$sql_tmp = "DELETE FROM contents_table_free_data_cell WHERE (table_free_page_id	= :table_free_page_id)";
				$stmt = $conn->prepare($sql_tmp);
				$stmt->bindParam(":table_free_page_id", $page_id);
				$stmt->execute();
				// 削除対象表付きフリーページ内の表を削除する。
				$sql_tmp = "DELETE FROM contents_table_free_data_table WHERE (table_free_page_id	= :table_free_page_id)";
				$stmt = $conn->prepare($sql_tmp);
				$stmt->bindParam(":table_free_page_id", $page_id);
				$stmt->execute();
				// 削除対象表付きフリーデータテキスト内の画像、ページ説明内の画像でサーバーにアップロードされているもの、削除対象表付きフリーデータテキストを削除する。
				$sql = "SELECT * FROM contents_table_free_data_text WHERE table_free_page_id = ".$page_id;
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$contents_img_in = $row["contents_title"];
					unlink_upload_file($conn2, $contents_img_in);
					$contents_img_in = $row["contents"];
					unlink_upload_file($conn2, $contents_img_in);
					delete_contents_table_free_data_text($conn, $row["id"]);
				}
				// 削除対象表付きフリーページ内の順序テーブルを削除する。
				$sql_tmp = "DELETE FROM contents_table_free_data_order WHERE (table_free_page_id	= :table_free_page_id)";
				$stmt = $conn->prepare($sql_tmp);
				$stmt->bindParam(":table_free_page_id", $page_id);
				$stmt->execute();
				// 削除対象表付きフリーページのタイトル内の画像、ページ説明内の画像でサーバーにアップロードされているもの、削除対象表付きフリーページを削除する。
				$sql = "SELECT * FROM contents_table_free_page WHERE id = ".$page_id;
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$contents_img_in = $row["contents_title"];
					unlink_upload_file($conn2, $contents_img_in);
					$contents_img_in = $row["contents"];
					unlink_upload_file($conn2, $contents_img_in);
					delete_contents_table_free_page($conn, $row["id"]);
				}
			}else
			if ($page_table == "contents_title_free_page") {		// タイトル付きフリーページ
				// 削除対象タイトル付きフリーページ内のタイトル付きフリーデータ内の画像でサーバーにアップロードされているもの、削除対象タイトル付きフリーページを削除する。
				$sql = "SELECT * FROM contents_title_free_data WHERE title_free_page_id = ".$page_id;
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$contents_img_in = $row["contents_title"];
					unlink_upload_file($conn2, $contents_img_in);
					$contents_img_in = $row["contents"];
					unlink_upload_file($conn2, $contents_img_in);
					delete_contents_title_free_data($conn, $row["id"]);
				}
				// 削除対象表付きフリーページのタイトル内の画像、ページ説明内の画像でサーバーにアップロードされているもの、削除対象表付きフリーページを削除する。
				$sql = "SELECT * FROM contents_title_free_page WHERE id = ".$page_id;
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$contents_img_in = $row["contents_title"];
					unlink_upload_file($conn2, $contents_img_in);
					$contents_img_in = $row["contents"];
					unlink_upload_file($conn2, $contents_img_in);
					delete_contents_title_free_page($conn, $row["id"]);
				}
			}else	
			if ($page_table == "contents_toiawase_page") {
				// 問い合わせ項目を削除
				$sql = "DELETE FROM contents_toiawase_item where toiawase_page_id = :toiawase_page_id";
				$stmt = $conn->prepare($sql);
				$stmt->bindParam(":toiawase_page_id", $page_id);
				$stmt->execute();
				// 削除対象問合せページのタイトル内の画像、ページ説明内の画像でサーバーにアップロードされているもの、削除対象表付きフリーページを削除する。
				$sql = "SELECT * FROM contents_toiawase_page WHERE id = ".$page_id;
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$contents_img_in = $row["contents_title"];
					unlink_upload_file($conn2, $contents_img_in);
					$contents_img_in = $row["contents"];
					unlink_upload_file($conn2, $contents_img_in);
					delete_contents_toiawase_page($conn, $row["id"]);
				}
			}
			// コンテンツページ共通レイアウトテーブルから対象データを削除
			$sql = "DELETE FROM contents_layout where (menu_kbn = :menu_kbn and btn_id = :btn_id)";
			$stmt = $conn->prepare($sql);
			$stmt->bindParam(":menu_kbn", $menu_kbn);
			$stmt->bindParam(":btn_id", $btn_id);
			$stmt->execute();
			// コンテンツページコントロールから対象データを削除する。
			$sql = "DELETE FROM contents_page_ctrl where id = :id";
			$stmt = $conn->prepare($sql);
			$stmt->bindParam(":id", $ctrl_id);
			$stmt->execute();
		}
	}
}

?>